Backend: Open-Source Fixedpoint Model-Checker version 2023
 
Protocol: Carlsen
Types:
[(Purpose,[]),(Agent False False,["A","B","s"]),(Number,["NA","NB","NB2"]),(SymmetricKey,["KAB"]),(Function,["sk"])]
section rules:
step rule_0:
iknows(crypt(K,M));
iknows(inv(K))

=>
iknows(M)

step rule_1:
iknows(crypt(inv(K),M));
iknows(K)

=>
iknows(M)

step rule_2:
iknows(scrypt(K,M));
iknows(K)

=>
iknows(M)

step rule_3:
iknows(pair(M1,M2))

=>
iknows(M1);
iknows(M2)

step rule_4:
secret(M,Agent (honest a));
iknows(M)

=>
attack(pair(secrecy,M))

step rule_5:
request(A,B,Purpose (purposeNA),M,(SID sid))
 | B/=Agent (dishonest i);
M/=Nonce (absNA(pair(B,A)))
=>
attack(pair(authentication,pair(A,pair(B,M))))

step rule_6:
request(A,B,Purpose (purposeNB),M,(SID sid))
 | B/=Agent (dishonest i);
M/=Nonce (absNB(pair(B,A)))
=>
attack(pair(authentication,pair(A,pair(B,M))))

step rule_7:
request(A,B,Purpose (purposeKAB),M,(SID sid))
 | B/=Agent (dishonest i);
M/=SymKey (absKAB(pair(B,A)))
=>
attack(pair(authentication,pair(A,pair(B,M))))

step rule_8:
request(A,B,Purpose (purposeNB2),M,(SID sid))
 | B/=Agent (dishonest i);
M/=Nonce (absNB2(pair(B,A)))
=>
attack(pair(authentication,pair(A,pair(B,M))))

step rule_9:
State (rA,[Agent (A),Step 0,SymKey (sk(pair(Agent (A),Agent (honest a)))),Agent (honest a),Agent (B),(SID sid)])

=>
State (rA,[Agent (A),Step 1,SymKey (sk(pair(Agent (A),Agent (honest a)))),Agent (honest a),Agent (B),Nonce (absNA(pair(Agent (A),Agent (B)))),pair(Agent (A),Nonce (absNA(pair(Agent (A),Agent (B))))),(SID sid)]);
iknows(pair(Agent (A),Nonce (absNA(pair(Agent (A),Agent (B))))))

step rule_10:
State (rB,[Agent (B),Step 0,SymKey (sk(pair(Agent (B),Agent (honest a)))),Agent (honest a),Agent (A),(SID sid)]);
iknows(Agent (A));
iknows(Nonce (NA))

=>
State (rB,[Agent (B),Step 1,SymKey (sk(pair(Agent (B),Agent (honest a)))),Agent (honest a),Agent (A),Nonce (NA),pair(Agent (A),Nonce (NA)),Nonce (absNB(pair(Agent (B),Agent (A)))),pair(Agent (A),pair(Nonce (NA),pair(Agent (B),Nonce (absNB(pair(Agent (B),Agent (A))))))),(SID sid)]);
iknows(pair(Agent (A),pair(Nonce (NA),pair(Agent (B),Nonce (absNB(pair(Agent (B),Agent (A))))))))

step rule_11:
State (rs,[Agent (honest a),Step 0,SymKey (sk(pair(Agent (B),Agent (honest a)))),SymKey (sk(pair(Agent (A),Agent (honest a)))),Agent (B),Agent (A),(SID sid)]);
iknows(Agent (A));
iknows(Nonce (NA));
iknows(Agent (B));
iknows(Nonce (NB))

=>
witness(Agent (honest a),Agent (B),Purpose (pBsKABA),pair(SymKey (absKAB(pair(Agent (B),Agent (A)))),Agent (A)));
witness(Agent (honest a),Agent (A),Purpose (pAsKABB),pair(SymKey (absKAB(pair(Agent (B),Agent (A)))),Agent (B)));
secrets(SymKey (absKAB(pair(Agent (B),Agent (A)))),secrecyset(pair(Agent (honest a),pair((SID sid),Purpose (pKAB)))));
contains(secrecyset(pair(Agent (honest a),pair((SID sid),Purpose (pKAB)))),Agent (A));
contains(secrecyset(pair(Agent (honest a),pair((SID sid),Purpose (pKAB)))),Agent (B));
contains(secrecyset(pair(Agent (honest a),pair((SID sid),Purpose (pKAB)))),Agent (honest a));
State (rs,[Agent (honest a),Step 1,SymKey (sk(pair(Agent (B),Agent (honest a)))),SymKey (sk(pair(Agent (A),Agent (honest a)))),Agent (B),Agent (A),Nonce (NB),Nonce (NA),pair(Agent (A),pair(Nonce (NA),pair(Agent (B),Nonce (NB)))),SymKey (absKAB(pair(Agent (B),Agent (A)))),pair(scrypt(SymKey (sk(pair(Agent (B),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (B),Agent (A)))),pair(Nonce (NB),Agent (A)))),scrypt(SymKey (sk(pair(Agent (A),Agent (honest a)))),pair(Nonce (NA),pair(Agent (B),SymKey (absKAB(pair(Agent (B),Agent (A)))))))),(SID sid)]);
iknows(pair(scrypt(SymKey (sk(pair(Agent (B),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (B),Agent (A)))),pair(Nonce (NB),Agent (A)))),scrypt(SymKey (sk(pair(Agent (A),Agent (honest a)))),pair(Nonce (NA),pair(Agent (B),SymKey (absKAB(pair(Agent (B),Agent (A)))))))))

step rule_12:
State (rB,[Agent (B),Step 1,SymKey (sk(pair(Agent (B),Agent (honest a)))),Agent (honest a),Agent (A),Nonce (NA),pair(Agent (A),Nonce (NA)),Nonce (NB),pair(Agent (A),pair(Nonce (NA),pair(Agent (B),Nonce (NB)))),(SID sid)]);
iknows(scrypt(SymKey (sk(pair(Agent (B),Agent (honest a)))),pair(SymKey (KAB),pair(Nonce (NB),Agent (A)))));
iknows(Agent (dishonest i))

=>
State (rB,[Agent (B),Step 2,SymKey (sk(pair(Agent (B),Agent (honest a)))),Agent (honest a),Agent (A),Nonce (NA),pair(Agent (A),Nonce (NA)),Nonce (NB),pair(Agent (A),pair(Nonce (NA),pair(Agent (B),Nonce (NB)))),Agent (dishonest i),SymKey (KAB),scrypt(SymKey (sk(pair(Agent (B),Agent (honest a)))),pair(SymKey (KAB),pair(Nonce (NB),Agent (A)))),pair(scrypt(SymKey (sk(pair(Agent (B),Agent (honest a)))),pair(SymKey (KAB),pair(Nonce (NB),Agent (A)))),Agent (dishonest i)),Nonce (absNB2(pair(Agent (B),Agent (A)))),pair(Agent (dishonest i),pair(scrypt(SymKey (KAB),Nonce (NA)),Nonce (absNB2(pair(Agent (B),Agent (A)))))),(SID sid)]);
iknows(pair(Agent (dishonest i),pair(scrypt(SymKey (KAB),Nonce (NA)),Nonce (absNB2(pair(Agent (B),Agent (A)))))))

step rule_13:
State (rB,[Agent (B),Step 1,SymKey (sk(pair(Agent (B),Agent (honest a)))),Agent (honest a),Agent (A),Nonce (NA),pair(Agent (A),Nonce (NA)),Nonce (NB),pair(Agent (A),pair(Nonce (NA),pair(Agent (B),Nonce (NB)))),(SID sid)]);
iknows(SymKey (sk(pair(Agent (B),Agent (honest a)))));
iknows(SymKey (KAB));
iknows(Nonce (NB));
iknows(Agent (A));
iknows(Agent (dishonest i))

=>
State (rB,[Agent (B),Step 2,SymKey (sk(pair(Agent (B),Agent (honest a)))),Agent (honest a),Agent (A),Nonce (NA),pair(Agent (A),Nonce (NA)),Nonce (NB),pair(Agent (A),pair(Nonce (NA),pair(Agent (B),Nonce (NB)))),Agent (dishonest i),SymKey (KAB),scrypt(SymKey (sk(pair(Agent (B),Agent (honest a)))),pair(SymKey (KAB),pair(Nonce (NB),Agent (A)))),pair(scrypt(SymKey (sk(pair(Agent (B),Agent (honest a)))),pair(SymKey (KAB),pair(Nonce (NB),Agent (A)))),Agent (dishonest i)),Nonce (absNB2(pair(Agent (B),Agent (A)))),pair(Agent (dishonest i),pair(scrypt(SymKey (KAB),Nonce (NA)),Nonce (absNB2(pair(Agent (B),Agent (A)))))),(SID sid)]);
iknows(pair(Agent (dishonest i),pair(scrypt(SymKey (KAB),Nonce (NA)),Nonce (absNB2(pair(Agent (B),Agent (A)))))))

step rule_14:
State (rA,[Agent (A),Step 1,SymKey (sk(pair(Agent (A),Agent (honest a)))),Agent (honest a),Agent (B),Nonce (NA),pair(Agent (A),Nonce (NA)),(SID sid)]);
iknows(scrypt(SymKey (sk(pair(Agent (A),Agent (honest a)))),pair(Nonce (NA),pair(Agent (B),SymKey (KAB)))));
iknows(scrypt(SymKey (KAB),Nonce (NA)));
iknows(Nonce (NB2))

=>
request(Agent (A),Agent (honest a),Purpose (pAsKABB),pair(SymKey (KAB),Agent (B)),(SID sid));
secrets(SymKey (KAB),secrecyset(pair(Agent (A),pair((SID sid),Purpose (pKAB)))));
contains(secrecyset(pair(Agent (A),pair((SID sid),Purpose (pKAB)))),Agent (A));
contains(secrecyset(pair(Agent (A),pair((SID sid),Purpose (pKAB)))),Agent (B));
contains(secrecyset(pair(Agent (A),pair((SID sid),Purpose (pKAB)))),Agent (honest a));
State (rA,[Agent (A),Step 2,SymKey (sk(pair(Agent (A),Agent (honest a)))),Agent (honest a),Agent (B),Nonce (NA),pair(Agent (A),Nonce (NA)),Nonce (NB2),scrypt(SymKey (KAB),Nonce (NA)),SymKey (KAB),scrypt(SymKey (sk(pair(Agent (A),Agent (honest a)))),pair(Nonce (NA),pair(Agent (B),SymKey (KAB)))),pair(scrypt(SymKey (sk(pair(Agent (A),Agent (honest a)))),pair(Nonce (NA),pair(Agent (B),SymKey (KAB)))),pair(scrypt(SymKey (KAB),Nonce (NA)),Nonce (NB2))),scrypt(SymKey (KAB),Nonce (NB2)),(SID sid)]);
iknows(scrypt(SymKey (KAB),Nonce (NB2)))

step rule_15:
State (rA,[Agent (A),Step 1,SymKey (sk(pair(Agent (A),Agent (honest a)))),Agent (honest a),Agent (B),Nonce (NA),pair(Agent (A),Nonce (NA)),(SID sid)]);
iknows(scrypt(SymKey (sk(pair(Agent (A),Agent (honest a)))),pair(Nonce (NA),pair(Agent (B),SymKey (KAB)))));
iknows(SymKey (KAB));
iknows(Nonce (NA));
iknows(Nonce (NB2))

=>
request(Agent (A),Agent (honest a),Purpose (pAsKABB),pair(SymKey (KAB),Agent (B)),(SID sid));
secrets(SymKey (KAB),secrecyset(pair(Agent (A),pair((SID sid),Purpose (pKAB)))));
contains(secrecyset(pair(Agent (A),pair((SID sid),Purpose (pKAB)))),Agent (A));
contains(secrecyset(pair(Agent (A),pair((SID sid),Purpose (pKAB)))),Agent (B));
contains(secrecyset(pair(Agent (A),pair((SID sid),Purpose (pKAB)))),Agent (honest a));
State (rA,[Agent (A),Step 2,SymKey (sk(pair(Agent (A),Agent (honest a)))),Agent (honest a),Agent (B),Nonce (NA),pair(Agent (A),Nonce (NA)),Nonce (NB2),scrypt(SymKey (KAB),Nonce (NA)),SymKey (KAB),scrypt(SymKey (sk(pair(Agent (A),Agent (honest a)))),pair(Nonce (NA),pair(Agent (B),SymKey (KAB)))),pair(scrypt(SymKey (sk(pair(Agent (A),Agent (honest a)))),pair(Nonce (NA),pair(Agent (B),SymKey (KAB)))),pair(scrypt(SymKey (KAB),Nonce (NA)),Nonce (NB2))),scrypt(SymKey (KAB),Nonce (NB2)),(SID sid)]);
iknows(scrypt(SymKey (KAB),Nonce (NB2)))

step rule_16:
State (rA,[Agent (A),Step 1,SymKey (sk(pair(Agent (A),Agent (honest a)))),Agent (honest a),Agent (B),Nonce (NA),pair(Agent (A),Nonce (NA)),(SID sid)]);
iknows(SymKey (sk(pair(Agent (A),Agent (honest a)))));
iknows(Nonce (NA));
iknows(Agent (B));
iknows(SymKey (KAB));
iknows(scrypt(SymKey (KAB),Nonce (NA)));
iknows(Nonce (NB2))

=>
request(Agent (A),Agent (honest a),Purpose (pAsKABB),pair(SymKey (KAB),Agent (B)),(SID sid));
secrets(SymKey (KAB),secrecyset(pair(Agent (A),pair((SID sid),Purpose (pKAB)))));
contains(secrecyset(pair(Agent (A),pair((SID sid),Purpose (pKAB)))),Agent (A));
contains(secrecyset(pair(Agent (A),pair((SID sid),Purpose (pKAB)))),Agent (B));
contains(secrecyset(pair(Agent (A),pair((SID sid),Purpose (pKAB)))),Agent (honest a));
State (rA,[Agent (A),Step 2,SymKey (sk(pair(Agent (A),Agent (honest a)))),Agent (honest a),Agent (B),Nonce (NA),pair(Agent (A),Nonce (NA)),Nonce (NB2),scrypt(SymKey (KAB),Nonce (NA)),SymKey (KAB),scrypt(SymKey (sk(pair(Agent (A),Agent (honest a)))),pair(Nonce (NA),pair(Agent (B),SymKey (KAB)))),pair(scrypt(SymKey (sk(pair(Agent (A),Agent (honest a)))),pair(Nonce (NA),pair(Agent (B),SymKey (KAB)))),pair(scrypt(SymKey (KAB),Nonce (NA)),Nonce (NB2))),scrypt(SymKey (KAB),Nonce (NB2)),(SID sid)]);
iknows(scrypt(SymKey (KAB),Nonce (NB2)))

step rule_17:
State (rA,[Agent (A),Step 1,SymKey (sk(pair(Agent (A),Agent (honest a)))),Agent (honest a),Agent (B),Nonce (NA),pair(Agent (A),Nonce (NA)),(SID sid)]);
iknows(SymKey (sk(pair(Agent (A),Agent (honest a)))));
iknows(Nonce (NA));
iknows(Agent (B));
iknows(SymKey (KAB));
iknows(Nonce (NB2))

=>
request(Agent (A),Agent (honest a),Purpose (pAsKABB),pair(SymKey (KAB),Agent (B)),(SID sid));
secrets(SymKey (KAB),secrecyset(pair(Agent (A),pair((SID sid),Purpose (pKAB)))));
contains(secrecyset(pair(Agent (A),pair((SID sid),Purpose (pKAB)))),Agent (A));
contains(secrecyset(pair(Agent (A),pair((SID sid),Purpose (pKAB)))),Agent (B));
contains(secrecyset(pair(Agent (A),pair((SID sid),Purpose (pKAB)))),Agent (honest a));
State (rA,[Agent (A),Step 2,SymKey (sk(pair(Agent (A),Agent (honest a)))),Agent (honest a),Agent (B),Nonce (NA),pair(Agent (A),Nonce (NA)),Nonce (NB2),scrypt(SymKey (KAB),Nonce (NA)),SymKey (KAB),scrypt(SymKey (sk(pair(Agent (A),Agent (honest a)))),pair(Nonce (NA),pair(Agent (B),SymKey (KAB)))),pair(scrypt(SymKey (sk(pair(Agent (A),Agent (honest a)))),pair(Nonce (NA),pair(Agent (B),SymKey (KAB)))),pair(scrypt(SymKey (KAB),Nonce (NA)),Nonce (NB2))),scrypt(SymKey (KAB),Nonce (NB2)),(SID sid)]);
iknows(scrypt(SymKey (KAB),Nonce (NB2)))

step rule_18:
State (rB,[Agent (B),Step 2,SymKey (sk(pair(Agent (B),Agent (honest a)))),Agent (honest a),Agent (A),Nonce (NA),pair(Agent (A),Nonce (NA)),Nonce (NB),pair(Agent (A),pair(Nonce (NA),pair(Agent (B),Nonce (NB)))),Agent (dishonest i),SymKey (KAB),scrypt(SymKey (sk(pair(Agent (B),Agent (honest a)))),pair(SymKey (KAB),pair(Nonce (NB),Agent (A)))),pair(scrypt(SymKey (sk(pair(Agent (B),Agent (honest a)))),pair(SymKey (KAB),pair(Nonce (NB),Agent (A)))),Agent (dishonest i)),Nonce (NB2),pair(Agent (dishonest i),pair(scrypt(SymKey (KAB),Nonce (NA)),Nonce (NB2))),(SID sid)]);
iknows(scrypt(SymKey (KAB),Nonce (NB2)))

=>
request(Agent (B),Agent (honest a),Purpose (pBsKABA),pair(SymKey (KAB),Agent (A)),(SID sid));
secrets(SymKey (KAB),secrecyset(pair(Agent (B),pair((SID sid),Purpose (pKAB)))));
contains(secrecyset(pair(Agent (B),pair((SID sid),Purpose (pKAB)))),Agent (A));
contains(secrecyset(pair(Agent (B),pair((SID sid),Purpose (pKAB)))),Agent (B));
contains(secrecyset(pair(Agent (B),pair((SID sid),Purpose (pKAB)))),Agent (honest a));
State (rB,[Agent (B),Step 3,SymKey (sk(pair(Agent (B),Agent (honest a)))),Agent (honest a),Agent (A),Nonce (NA),pair(Agent (A),Nonce (NA)),Nonce (NB),pair(Agent (A),pair(Nonce (NA),pair(Agent (B),Nonce (NB)))),Agent (dishonest i),SymKey (KAB),scrypt(SymKey (sk(pair(Agent (B),Agent (honest a)))),pair(SymKey (KAB),pair(Nonce (NB),Agent (A)))),pair(scrypt(SymKey (sk(pair(Agent (B),Agent (honest a)))),pair(SymKey (KAB),pair(Nonce (NB),Agent (A)))),Agent (dishonest i)),Nonce (NB2),pair(Agent (dishonest i),pair(scrypt(SymKey (KAB),Nonce (NA)),Nonce (NB2))),scrypt(SymKey (KAB),Nonce (NA)),scrypt(SymKey (KAB),Nonce (NB2)),(SID sid)])

step rule_19:
State (rB,[Agent (B),Step 2,SymKey (sk(pair(Agent (B),Agent (honest a)))),Agent (honest a),Agent (A),Nonce (NA),pair(Agent (A),Nonce (NA)),Nonce (NB),pair(Agent (A),pair(Nonce (NA),pair(Agent (B),Nonce (NB)))),Agent (dishonest i),SymKey (KAB),scrypt(SymKey (sk(pair(Agent (B),Agent (honest a)))),pair(SymKey (KAB),pair(Nonce (NB),Agent (A)))),pair(scrypt(SymKey (sk(pair(Agent (B),Agent (honest a)))),pair(SymKey (KAB),pair(Nonce (NB),Agent (A)))),Agent (dishonest i)),Nonce (NB2),pair(Agent (dishonest i),pair(scrypt(SymKey (KAB),Nonce (NA)),Nonce (NB2))),(SID sid)]);
iknows(SymKey (KAB));
iknows(Nonce (NB2))

=>
request(Agent (B),Agent (honest a),Purpose (pBsKABA),pair(SymKey (KAB),Agent (A)),(SID sid));
secrets(SymKey (KAB),secrecyset(pair(Agent (B),pair((SID sid),Purpose (pKAB)))));
contains(secrecyset(pair(Agent (B),pair((SID sid),Purpose (pKAB)))),Agent (A));
contains(secrecyset(pair(Agent (B),pair((SID sid),Purpose (pKAB)))),Agent (B));
contains(secrecyset(pair(Agent (B),pair((SID sid),Purpose (pKAB)))),Agent (honest a));
State (rB,[Agent (B),Step 3,SymKey (sk(pair(Agent (B),Agent (honest a)))),Agent (honest a),Agent (A),Nonce (NA),pair(Agent (A),Nonce (NA)),Nonce (NB),pair(Agent (A),pair(Nonce (NA),pair(Agent (B),Nonce (NB)))),Agent (dishonest i),SymKey (KAB),scrypt(SymKey (sk(pair(Agent (B),Agent (honest a)))),pair(SymKey (KAB),pair(Nonce (NB),Agent (A)))),pair(scrypt(SymKey (sk(pair(Agent (B),Agent (honest a)))),pair(SymKey (KAB),pair(Nonce (NB),Agent (A)))),Agent (dishonest i)),Nonce (NB2),pair(Agent (dishonest i),pair(scrypt(SymKey (KAB),Nonce (NA)),Nonce (NB2))),scrypt(SymKey (KAB),Nonce (NA)),scrypt(SymKey (KAB),Nonce (NB2)),(SID sid)])


section initial state:
init_0: iknows(Nonce (ni));
init_1: iknows(Agent (dishonest i));
init_2: State (rA,[Agent (honest a),Step 0,SymKey (sk(pair(Agent (honest a),Agent (honest a)))),Agent (honest a),Agent (dishonest i),(SID sid)]);
init_3: State (rA,[Agent (honest a),Step 0,SymKey (sk(pair(Agent (honest a),Agent (honest a)))),Agent (honest a),Agent (honest a),(SID sid)]);
init_4: iknows(Step 0);
init_5: iknows(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))));
init_6: iknows(Agent (honest a));
init_7: iknows((SID sid));
init_8: iknows(Agent (honest a));
init_9: State (rB,[Agent (honest a),Step 0,SymKey (sk(pair(Agent (honest a),Agent (honest a)))),Agent (honest a),Agent (dishonest i),(SID sid)]);
init_10: State (rB,[Agent (honest a),Step 0,SymKey (sk(pair(Agent (honest a),Agent (honest a)))),Agent (honest a),Agent (honest a),(SID sid)]);
init_11: State (rs,[Agent (honest a),Step 0,SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),Agent (dishonest i),Agent (dishonest i),(SID sid)]);
init_12: State (rs,[Agent (honest a),Step 0,SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),SymKey (sk(pair(Agent (honest a),Agent (honest a)))),Agent (dishonest i),Agent (honest a),(SID sid)]);
init_13: State (rs,[Agent (honest a),Step 0,SymKey (sk(pair(Agent (honest a),Agent (honest a)))),SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),Agent (honest a),Agent (dishonest i),(SID sid)]);
init_14: State (rs,[Agent (honest a),Step 0,SymKey (sk(pair(Agent (honest a),Agent (honest a)))),SymKey (sk(pair(Agent (honest a),Agent (honest a)))),Agent (honest a),Agent (honest a),(SID sid)]);

section fixedpoint:
fp_0: iknows(pair(scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (ni),Agent (honest a)))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (ni),pair(Agent (honest a),SymKey (absKAB(pair(Agent (honest a),Agent (honest a)))))))));
fp_1: iknows(pair(scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (ni),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (ni),pair(Agent (honest a),SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))))))));
fp_2: iknows(pair(scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (ni),Agent (honest a)))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (ni),pair(Agent (dishonest i),SymKey (absKAB(pair(Agent (dishonest i),Agent (honest a)))))))));
fp_3: iknows(pair(scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))),pair(Nonce (ni),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (ni),pair(Agent (dishonest i),SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))))))));
fp_4: iknows(pair(Agent (honest a),Nonce (absNB(pair(Agent (honest a),Agent (honest a))))));
fp_5: iknows(pair(Nonce (ni),pair(Agent (honest a),Nonce (absNB(pair(Agent (honest a),Agent (honest a)))))));
fp_6: iknows(pair(Agent (honest a),pair(Nonce (ni),pair(Agent (honest a),Nonce (absNB(pair(Agent (honest a),Agent (honest a))))))));
fp_7: iknows(pair(Agent (honest a),Nonce (absNB(pair(Agent (honest a),Agent (dishonest i))))));
fp_8: iknows(pair(Nonce (ni),pair(Agent (honest a),Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))))));
fp_9: iknows(pair(Agent (dishonest i),pair(Nonce (ni),pair(Agent (honest a),Nonce (absNB(pair(Agent (honest a),Agent (dishonest i))))))));
fp_10: iknows(pair(Agent (honest a),Nonce (absNA(pair(Agent (honest a),Agent (honest a))))));
fp_11: iknows(pair(Agent (honest a),Nonce (absNA(pair(Agent (honest a),Agent (dishonest i))))));
fp_12: State (rA,[Agent (honest a),Step 1,SymKey (sk(pair(Agent (honest a),Agent (honest a)))),Agent (honest a),Agent (dishonest i),Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (honest a),Nonce (absNA(pair(Agent (honest a),Agent (dishonest i))))),(SID sid)]);
fp_13: State (rA,[Agent (honest a),Step 1,SymKey (sk(pair(Agent (honest a),Agent (honest a)))),Agent (honest a),Agent (honest a),Nonce (absNA(pair(Agent (honest a),Agent (honest a)))),pair(Agent (honest a),Nonce (absNA(pair(Agent (honest a),Agent (honest a))))),(SID sid)]);
fp_14: State (rB,[Agent (honest a),Step 1,SymKey (sk(pair(Agent (honest a),Agent (honest a)))),Agent (honest a),Agent (dishonest i),Nonce (ni),pair(Agent (dishonest i),Nonce (ni)),Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),pair(Nonce (ni),pair(Agent (honest a),Nonce (absNB(pair(Agent (honest a),Agent (dishonest i))))))),(SID sid)]);
fp_15: State (rB,[Agent (honest a),Step 1,SymKey (sk(pair(Agent (honest a),Agent (honest a)))),Agent (honest a),Agent (honest a),Nonce (ni),pair(Agent (honest a),Nonce (ni)),Nonce (absNB(pair(Agent (honest a),Agent (honest a)))),pair(Agent (honest a),pair(Nonce (ni),pair(Agent (honest a),Nonce (absNB(pair(Agent (honest a),Agent (honest a))))))),(SID sid)]);
fp_16: witness(Agent (honest a),Agent (dishonest i),Purpose (pBsKABA),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))),Agent (dishonest i)));
fp_17: witness(Agent (honest a),Agent (dishonest i),Purpose (pAsKABB),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))),Agent (dishonest i)));
fp_18: secrets(SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))),secrecyset(pair(Agent (honest a),pair((SID sid),Purpose (pKAB)))));
fp_19: contains(secrecyset(pair(Agent (honest a),pair((SID sid),Purpose (pKAB)))),Agent (dishonest i));
fp_20: contains(secrecyset(pair(Agent (honest a),pair((SID sid),Purpose (pKAB)))),Agent (honest a));
fp_21: State (rs,[Agent (honest a),Step 1,SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),Agent (dishonest i),Agent (dishonest i),Nonce (ni),Nonce (ni),pair(Agent (dishonest i),pair(Nonce (ni),pair(Agent (dishonest i),Nonce (ni)))),SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))),pair(scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))),pair(Nonce (ni),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (ni),pair(Agent (dishonest i),SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))))))),(SID sid)]);
fp_22: witness(Agent (honest a),Agent (dishonest i),Purpose (pBsKABA),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (honest a)))),Agent (honest a)));
fp_23: witness(Agent (honest a),Agent (honest a),Purpose (pAsKABB),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (honest a)))),Agent (dishonest i)));
fp_24: secrets(SymKey (absKAB(pair(Agent (dishonest i),Agent (honest a)))),secrecyset(pair(Agent (honest a),pair((SID sid),Purpose (pKAB)))));
fp_25: State (rs,[Agent (honest a),Step 1,SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),SymKey (sk(pair(Agent (honest a),Agent (honest a)))),Agent (dishonest i),Agent (honest a),Nonce (ni),Nonce (ni),pair(Agent (honest a),pair(Nonce (ni),pair(Agent (dishonest i),Nonce (ni)))),SymKey (absKAB(pair(Agent (dishonest i),Agent (honest a)))),pair(scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (ni),Agent (honest a)))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (ni),pair(Agent (dishonest i),SymKey (absKAB(pair(Agent (dishonest i),Agent (honest a)))))))),(SID sid)]);
fp_26: witness(Agent (honest a),Agent (honest a),Purpose (pBsKABA),pair(SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))),Agent (dishonest i)));
fp_27: witness(Agent (honest a),Agent (dishonest i),Purpose (pAsKABB),pair(SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))),Agent (honest a)));
fp_28: secrets(SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))),secrecyset(pair(Agent (honest a),pair((SID sid),Purpose (pKAB)))));
fp_29: State (rs,[Agent (honest a),Step 1,SymKey (sk(pair(Agent (honest a),Agent (honest a)))),SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),Agent (honest a),Agent (dishonest i),Nonce (ni),Nonce (ni),pair(Agent (dishonest i),pair(Nonce (ni),pair(Agent (honest a),Nonce (ni)))),SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))),pair(scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (ni),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (ni),pair(Agent (honest a),SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))))))),(SID sid)]);
fp_30: witness(Agent (honest a),Agent (honest a),Purpose (pBsKABA),pair(SymKey (absKAB(pair(Agent (honest a),Agent (honest a)))),Agent (honest a)));
fp_31: witness(Agent (honest a),Agent (honest a),Purpose (pAsKABB),pair(SymKey (absKAB(pair(Agent (honest a),Agent (honest a)))),Agent (honest a)));
fp_32: secrets(SymKey (absKAB(pair(Agent (honest a),Agent (honest a)))),secrecyset(pair(Agent (honest a),pair((SID sid),Purpose (pKAB)))));
fp_33: State (rs,[Agent (honest a),Step 1,SymKey (sk(pair(Agent (honest a),Agent (honest a)))),SymKey (sk(pair(Agent (honest a),Agent (honest a)))),Agent (honest a),Agent (honest a),Nonce (ni),Nonce (ni),pair(Agent (honest a),pair(Nonce (ni),pair(Agent (honest a),Nonce (ni)))),SymKey (absKAB(pair(Agent (honest a),Agent (honest a)))),pair(scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (ni),Agent (honest a)))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (ni),pair(Agent (honest a),SymKey (absKAB(pair(Agent (honest a),Agent (honest a)))))))),(SID sid)]);
fp_34: iknows(scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (ni),pair(Agent (honest a),SymKey (absKAB(pair(Agent (honest a),Agent (honest a))))))));
fp_35: iknows(scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (ni),Agent (honest a)))));
fp_36: iknows(scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (ni),pair(Agent (honest a),SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i))))))));
fp_37: iknows(scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (ni),Agent (dishonest i)))));
fp_38: iknows(scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (ni),pair(Agent (dishonest i),SymKey (absKAB(pair(Agent (dishonest i),Agent (honest a))))))));
fp_39: iknows(scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (ni),Agent (honest a)))));
fp_40: iknows(scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (ni),pair(Agent (dishonest i),SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i))))))));
fp_41: iknows(scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))),pair(Nonce (ni),Agent (dishonest i)))));
fp_42: iknows(Nonce (absNB(pair(Agent (honest a),Agent (honest a)))));
fp_43: iknows(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))));
fp_44: iknows(Nonce (absNA(pair(Agent (honest a),Agent (honest a)))));
fp_45: iknows(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))));
fp_46: iknows(pair(scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (ni),Agent (honest a)))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (ni),pair(Agent (honest a),SymKey (absKAB(pair(Agent (honest a),Agent (honest a)))))))));
fp_47: iknows(pair(scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),Agent (honest a)))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (ni),pair(Agent (honest a),SymKey (absKAB(pair(Agent (honest a),Agent (honest a)))))))));
fp_48: iknows(pair(scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (honest a)))),Agent (honest a)))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (ni),pair(Agent (honest a),SymKey (absKAB(pair(Agent (honest a),Agent (honest a)))))))));
fp_49: iknows(pair(scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),Agent (honest a)))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (ni),pair(Agent (honest a),SymKey (absKAB(pair(Agent (honest a),Agent (honest a)))))))));
fp_50: iknows(pair(scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (honest a)))),Agent (honest a)))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (ni),pair(Agent (honest a),SymKey (absKAB(pair(Agent (honest a),Agent (honest a)))))))));
fp_51: iknows(pair(scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (ni),Agent (honest a)))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (honest a),SymKey (absKAB(pair(Agent (honest a),Agent (honest a)))))))));
fp_52: iknows(pair(scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),Agent (honest a)))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (honest a),SymKey (absKAB(pair(Agent (honest a),Agent (honest a)))))))));
fp_53: iknows(pair(scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (honest a)))),Agent (honest a)))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (honest a),SymKey (absKAB(pair(Agent (honest a),Agent (honest a)))))))));
fp_54: iknows(pair(scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),Agent (honest a)))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (honest a),SymKey (absKAB(pair(Agent (honest a),Agent (honest a)))))))));
fp_55: iknows(pair(scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (honest a)))),Agent (honest a)))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (honest a),SymKey (absKAB(pair(Agent (honest a),Agent (honest a)))))))));
fp_56: iknows(pair(scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (ni),Agent (honest a)))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (honest a)))),pair(Agent (honest a),SymKey (absKAB(pair(Agent (honest a),Agent (honest a)))))))));
fp_57: iknows(pair(scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),Agent (honest a)))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (honest a)))),pair(Agent (honest a),SymKey (absKAB(pair(Agent (honest a),Agent (honest a)))))))));
fp_58: iknows(pair(scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (honest a)))),Agent (honest a)))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (honest a)))),pair(Agent (honest a),SymKey (absKAB(pair(Agent (honest a),Agent (honest a)))))))));
fp_59: iknows(pair(scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),Agent (honest a)))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (honest a)))),pair(Agent (honest a),SymKey (absKAB(pair(Agent (honest a),Agent (honest a)))))))));
fp_60: iknows(pair(scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (honest a)))),Agent (honest a)))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (honest a)))),pair(Agent (honest a),SymKey (absKAB(pair(Agent (honest a),Agent (honest a)))))))));
fp_61: iknows(pair(scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (ni),Agent (honest a)))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (honest a),SymKey (absKAB(pair(Agent (honest a),Agent (honest a)))))))));
fp_62: iknows(pair(scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),Agent (honest a)))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (honest a),SymKey (absKAB(pair(Agent (honest a),Agent (honest a)))))))));
fp_63: iknows(pair(scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (honest a)))),Agent (honest a)))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (honest a),SymKey (absKAB(pair(Agent (honest a),Agent (honest a)))))))));
fp_64: iknows(pair(scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),Agent (honest a)))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (honest a),SymKey (absKAB(pair(Agent (honest a),Agent (honest a)))))))));
fp_65: iknows(pair(scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (honest a)))),Agent (honest a)))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (honest a),SymKey (absKAB(pair(Agent (honest a),Agent (honest a)))))))));
fp_66: iknows(pair(scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (ni),Agent (honest a)))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (honest a)))),pair(Agent (honest a),SymKey (absKAB(pair(Agent (honest a),Agent (honest a)))))))));
fp_67: iknows(pair(scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),Agent (honest a)))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (honest a)))),pair(Agent (honest a),SymKey (absKAB(pair(Agent (honest a),Agent (honest a)))))))));
fp_68: iknows(pair(scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (honest a)))),Agent (honest a)))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (honest a)))),pair(Agent (honest a),SymKey (absKAB(pair(Agent (honest a),Agent (honest a)))))))));
fp_69: iknows(pair(scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),Agent (honest a)))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (honest a)))),pair(Agent (honest a),SymKey (absKAB(pair(Agent (honest a),Agent (honest a)))))))));
fp_70: iknows(pair(scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (honest a)))),Agent (honest a)))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (honest a)))),pair(Agent (honest a),SymKey (absKAB(pair(Agent (honest a),Agent (honest a)))))))));
fp_71: iknows(pair(scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (ni),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (ni),pair(Agent (honest a),SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))))))));
fp_72: iknows(pair(scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (ni),pair(Agent (honest a),SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))))))));
fp_73: iknows(pair(scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (honest a)))),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (ni),pair(Agent (honest a),SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))))))));
fp_74: iknows(pair(scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (ni),pair(Agent (honest a),SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))))))));
fp_75: iknows(pair(scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (honest a)))),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (ni),pair(Agent (honest a),SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))))))));
fp_76: iknows(pair(scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (ni),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (honest a),SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))))))));
fp_77: iknows(pair(scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (honest a),SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))))))));
fp_78: iknows(pair(scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (honest a)))),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (honest a),SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))))))));
fp_79: iknows(pair(scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (honest a),SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))))))));
fp_80: iknows(pair(scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (honest a)))),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (honest a),SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))))))));
fp_81: iknows(pair(scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (ni),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (honest a)))),pair(Agent (honest a),SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))))))));
fp_82: iknows(pair(scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (honest a)))),pair(Agent (honest a),SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))))))));
fp_83: iknows(pair(scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (honest a)))),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (honest a)))),pair(Agent (honest a),SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))))))));
fp_84: iknows(pair(scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (honest a)))),pair(Agent (honest a),SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))))))));
fp_85: iknows(pair(scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (honest a)))),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (honest a)))),pair(Agent (honest a),SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))))))));
fp_86: iknows(pair(scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (ni),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (honest a),SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))))))));
fp_87: iknows(pair(scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (honest a),SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))))))));
fp_88: iknows(pair(scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (honest a)))),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (honest a),SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))))))));
fp_89: iknows(pair(scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (honest a),SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))))))));
fp_90: iknows(pair(scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (honest a)))),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (honest a),SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))))))));
fp_91: iknows(pair(scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (ni),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (honest a)))),pair(Agent (honest a),SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))))))));
fp_92: iknows(pair(scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (honest a)))),pair(Agent (honest a),SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))))))));
fp_93: iknows(pair(scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (honest a)))),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (honest a)))),pair(Agent (honest a),SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))))))));
fp_94: iknows(pair(scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (honest a)))),pair(Agent (honest a),SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))))))));
fp_95: iknows(pair(scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (honest a)))),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (honest a)))),pair(Agent (honest a),SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))))))));
fp_96: iknows(pair(scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (ni),Agent (honest a)))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (ni),pair(Agent (dishonest i),SymKey (absKAB(pair(Agent (dishonest i),Agent (honest a)))))))));
fp_97: iknows(pair(scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),Agent (honest a)))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (ni),pair(Agent (dishonest i),SymKey (absKAB(pair(Agent (dishonest i),Agent (honest a)))))))));
fp_98: iknows(pair(scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (honest a)))),Agent (honest a)))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (ni),pair(Agent (dishonest i),SymKey (absKAB(pair(Agent (dishonest i),Agent (honest a)))))))));
fp_99: iknows(pair(scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),Agent (honest a)))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (ni),pair(Agent (dishonest i),SymKey (absKAB(pair(Agent (dishonest i),Agent (honest a)))))))));
fp_100: iknows(pair(scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (honest a)))),Agent (honest a)))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (ni),pair(Agent (dishonest i),SymKey (absKAB(pair(Agent (dishonest i),Agent (honest a)))))))));
fp_101: iknows(pair(scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (ni),Agent (honest a)))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),SymKey (absKAB(pair(Agent (dishonest i),Agent (honest a)))))))));
fp_102: iknows(pair(scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),Agent (honest a)))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),SymKey (absKAB(pair(Agent (dishonest i),Agent (honest a)))))))));
fp_103: iknows(pair(scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (honest a)))),Agent (honest a)))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),SymKey (absKAB(pair(Agent (dishonest i),Agent (honest a)))))))));
fp_104: iknows(pair(scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),Agent (honest a)))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),SymKey (absKAB(pair(Agent (dishonest i),Agent (honest a)))))))));
fp_105: iknows(pair(scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (honest a)))),Agent (honest a)))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),SymKey (absKAB(pair(Agent (dishonest i),Agent (honest a)))))))));
fp_106: iknows(pair(scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (ni),Agent (honest a)))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (honest a)))),pair(Agent (dishonest i),SymKey (absKAB(pair(Agent (dishonest i),Agent (honest a)))))))));
fp_107: iknows(pair(scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),Agent (honest a)))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (honest a)))),pair(Agent (dishonest i),SymKey (absKAB(pair(Agent (dishonest i),Agent (honest a)))))))));
fp_108: iknows(pair(scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (honest a)))),Agent (honest a)))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (honest a)))),pair(Agent (dishonest i),SymKey (absKAB(pair(Agent (dishonest i),Agent (honest a)))))))));
fp_109: iknows(pair(scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),Agent (honest a)))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (honest a)))),pair(Agent (dishonest i),SymKey (absKAB(pair(Agent (dishonest i),Agent (honest a)))))))));
fp_110: iknows(pair(scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (honest a)))),Agent (honest a)))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (honest a)))),pair(Agent (dishonest i),SymKey (absKAB(pair(Agent (dishonest i),Agent (honest a)))))))));
fp_111: iknows(pair(scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (ni),Agent (honest a)))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),SymKey (absKAB(pair(Agent (dishonest i),Agent (honest a)))))))));
fp_112: iknows(pair(scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),Agent (honest a)))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),SymKey (absKAB(pair(Agent (dishonest i),Agent (honest a)))))))));
fp_113: iknows(pair(scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (honest a)))),Agent (honest a)))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),SymKey (absKAB(pair(Agent (dishonest i),Agent (honest a)))))))));
fp_114: iknows(pair(scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),Agent (honest a)))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),SymKey (absKAB(pair(Agent (dishonest i),Agent (honest a)))))))));
fp_115: iknows(pair(scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (honest a)))),Agent (honest a)))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),SymKey (absKAB(pair(Agent (dishonest i),Agent (honest a)))))))));
fp_116: iknows(pair(scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (ni),Agent (honest a)))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (honest a)))),pair(Agent (dishonest i),SymKey (absKAB(pair(Agent (dishonest i),Agent (honest a)))))))));
fp_117: iknows(pair(scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),Agent (honest a)))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (honest a)))),pair(Agent (dishonest i),SymKey (absKAB(pair(Agent (dishonest i),Agent (honest a)))))))));
fp_118: iknows(pair(scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (honest a)))),Agent (honest a)))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (honest a)))),pair(Agent (dishonest i),SymKey (absKAB(pair(Agent (dishonest i),Agent (honest a)))))))));
fp_119: iknows(pair(scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),Agent (honest a)))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (honest a)))),pair(Agent (dishonest i),SymKey (absKAB(pair(Agent (dishonest i),Agent (honest a)))))))));
fp_120: iknows(pair(scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (honest a)))),Agent (honest a)))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (honest a)))),pair(Agent (dishonest i),SymKey (absKAB(pair(Agent (dishonest i),Agent (honest a)))))))));
fp_121: iknows(pair(scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))),pair(Nonce (ni),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (ni),pair(Agent (dishonest i),SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))))))));
fp_122: iknows(pair(scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (ni),pair(Agent (dishonest i),SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))))))));
fp_123: iknows(pair(scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (honest a)))),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (ni),pair(Agent (dishonest i),SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))))))));
fp_124: iknows(pair(scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (ni),pair(Agent (dishonest i),SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))))))));
fp_125: iknows(pair(scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (honest a)))),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (ni),pair(Agent (dishonest i),SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))))))));
fp_126: iknows(pair(scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))),pair(Nonce (ni),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))))))));
fp_127: iknows(pair(scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))))))));
fp_128: iknows(pair(scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (honest a)))),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))))))));
fp_129: iknows(pair(scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))))))));
fp_130: iknows(pair(scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (honest a)))),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))))))));
fp_131: iknows(pair(scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))),pair(Nonce (ni),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (honest a)))),pair(Agent (dishonest i),SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))))))));
fp_132: iknows(pair(scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (honest a)))),pair(Agent (dishonest i),SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))))))));
fp_133: iknows(pair(scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (honest a)))),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (honest a)))),pair(Agent (dishonest i),SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))))))));
fp_134: iknows(pair(scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (honest a)))),pair(Agent (dishonest i),SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))))))));
fp_135: iknows(pair(scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (honest a)))),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (honest a)))),pair(Agent (dishonest i),SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))))))));
fp_136: iknows(pair(scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))),pair(Nonce (ni),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))))))));
fp_137: iknows(pair(scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))))))));
fp_138: iknows(pair(scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (honest a)))),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))))))));
fp_139: iknows(pair(scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))))))));
fp_140: iknows(pair(scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (honest a)))),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))))))));
fp_141: iknows(pair(scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))),pair(Nonce (ni),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (honest a)))),pair(Agent (dishonest i),SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))))))));
fp_142: iknows(pair(scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (honest a)))),pair(Agent (dishonest i),SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))))))));
fp_143: iknows(pair(scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (honest a)))),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (honest a)))),pair(Agent (dishonest i),SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))))))));
fp_144: iknows(pair(scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (honest a)))),pair(Agent (dishonest i),SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))))))));
fp_145: iknows(pair(scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (honest a)))),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (honest a)))),pair(Agent (dishonest i),SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))))))));
fp_146: iknows(pair(Agent (honest a),Nonce (absNB(pair(Agent (honest a),Agent (honest a))))));
fp_147: iknows(pair(Nonce (ni),pair(Agent (honest a),Nonce (absNB(pair(Agent (honest a),Agent (honest a)))))));
fp_148: iknows(pair(Agent (honest a),pair(Nonce (ni),pair(Agent (honest a),Nonce (absNB(pair(Agent (honest a),Agent (honest a))))))));
fp_149: iknows(pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (honest a),Nonce (absNB(pair(Agent (honest a),Agent (honest a)))))));
fp_150: iknows(pair(Agent (honest a),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (honest a),Nonce (absNB(pair(Agent (honest a),Agent (honest a))))))));
fp_151: iknows(pair(Nonce (absNA(pair(Agent (honest a),Agent (honest a)))),pair(Agent (honest a),Nonce (absNB(pair(Agent (honest a),Agent (honest a)))))));
fp_152: iknows(pair(Agent (honest a),pair(Nonce (absNA(pair(Agent (honest a),Agent (honest a)))),pair(Agent (honest a),Nonce (absNB(pair(Agent (honest a),Agent (honest a))))))));
fp_153: iknows(pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (honest a),Nonce (absNB(pair(Agent (honest a),Agent (honest a)))))));
fp_154: iknows(pair(Agent (honest a),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (honest a),Nonce (absNB(pair(Agent (honest a),Agent (honest a))))))));
fp_155: iknows(pair(Nonce (absNB(pair(Agent (honest a),Agent (honest a)))),pair(Agent (honest a),Nonce (absNB(pair(Agent (honest a),Agent (honest a)))))));
fp_156: iknows(pair(Agent (honest a),pair(Nonce (absNB(pair(Agent (honest a),Agent (honest a)))),pair(Agent (honest a),Nonce (absNB(pair(Agent (honest a),Agent (honest a))))))));
fp_157: iknows(pair(Agent (honest a),Nonce (absNB(pair(Agent (honest a),Agent (dishonest i))))));
fp_158: iknows(pair(Nonce (ni),pair(Agent (honest a),Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))))));
fp_159: iknows(pair(Agent (dishonest i),pair(Nonce (ni),pair(Agent (honest a),Nonce (absNB(pair(Agent (honest a),Agent (dishonest i))))))));
fp_160: iknows(pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (honest a),Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))))));
fp_161: iknows(pair(Agent (dishonest i),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (honest a),Nonce (absNB(pair(Agent (honest a),Agent (dishonest i))))))));
fp_162: iknows(pair(Nonce (absNA(pair(Agent (honest a),Agent (honest a)))),pair(Agent (honest a),Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))))));
fp_163: iknows(pair(Agent (dishonest i),pair(Nonce (absNA(pair(Agent (honest a),Agent (honest a)))),pair(Agent (honest a),Nonce (absNB(pair(Agent (honest a),Agent (dishonest i))))))));
fp_164: iknows(pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (honest a),Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))))));
fp_165: iknows(pair(Agent (dishonest i),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (honest a),Nonce (absNB(pair(Agent (honest a),Agent (dishonest i))))))));
fp_166: iknows(pair(Nonce (absNB(pair(Agent (honest a),Agent (honest a)))),pair(Agent (honest a),Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))))));
fp_167: iknows(pair(Agent (dishonest i),pair(Nonce (absNB(pair(Agent (honest a),Agent (honest a)))),pair(Agent (honest a),Nonce (absNB(pair(Agent (honest a),Agent (dishonest i))))))));
fp_168: iknows(pair(Agent (honest a),Nonce (absNA(pair(Agent (honest a),Agent (honest a))))));
fp_169: iknows(pair(Agent (honest a),Nonce (absNA(pair(Agent (honest a),Agent (dishonest i))))));
fp_170: iknows(pair(Nonce (ni),Agent (dishonest i)));
fp_171: iknows(pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))),pair(Nonce (ni),Agent (dishonest i))));
fp_172: iknows(pair(Agent (dishonest i),SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i))))));
fp_173: iknows(pair(Nonce (ni),pair(Agent (dishonest i),SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))))));
fp_174: iknows(pair(Nonce (ni),Agent (honest a)));
fp_175: iknows(pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (ni),Agent (honest a))));
fp_176: iknows(pair(Agent (honest a),SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i))))));
fp_177: iknows(pair(Nonce (ni),pair(Agent (honest a),SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))))));
fp_178: State (rB,[Agent (honest a),Step 1,SymKey (sk(pair(Agent (honest a),Agent (honest a)))),Agent (honest a),Agent (dishonest i),Nonce (absNB(pair(Agent (honest a),Agent (honest a)))),pair(Agent (dishonest i),Nonce (absNB(pair(Agent (honest a),Agent (honest a))))),Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),pair(Nonce (absNB(pair(Agent (honest a),Agent (honest a)))),pair(Agent (honest a),Nonce (absNB(pair(Agent (honest a),Agent (dishonest i))))))),(SID sid)]);
fp_179: State (rB,[Agent (honest a),Step 1,SymKey (sk(pair(Agent (honest a),Agent (honest a)))),Agent (honest a),Agent (dishonest i),Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),Nonce (absNB(pair(Agent (honest a),Agent (dishonest i))))),Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (honest a),Nonce (absNB(pair(Agent (honest a),Agent (dishonest i))))))),(SID sid)]);
fp_180: State (rB,[Agent (honest a),Step 1,SymKey (sk(pair(Agent (honest a),Agent (honest a)))),Agent (honest a),Agent (dishonest i),Nonce (absNA(pair(Agent (honest a),Agent (honest a)))),pair(Agent (dishonest i),Nonce (absNA(pair(Agent (honest a),Agent (honest a))))),Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),pair(Nonce (absNA(pair(Agent (honest a),Agent (honest a)))),pair(Agent (honest a),Nonce (absNB(pair(Agent (honest a),Agent (dishonest i))))))),(SID sid)]);
fp_181: State (rB,[Agent (honest a),Step 1,SymKey (sk(pair(Agent (honest a),Agent (honest a)))),Agent (honest a),Agent (dishonest i),Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),Nonce (absNA(pair(Agent (honest a),Agent (dishonest i))))),Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (honest a),Nonce (absNB(pair(Agent (honest a),Agent (dishonest i))))))),(SID sid)]);
fp_182: State (rB,[Agent (honest a),Step 1,SymKey (sk(pair(Agent (honest a),Agent (honest a)))),Agent (honest a),Agent (honest a),Nonce (absNB(pair(Agent (honest a),Agent (honest a)))),pair(Agent (honest a),Nonce (absNB(pair(Agent (honest a),Agent (honest a))))),Nonce (absNB(pair(Agent (honest a),Agent (honest a)))),pair(Agent (honest a),pair(Nonce (absNB(pair(Agent (honest a),Agent (honest a)))),pair(Agent (honest a),Nonce (absNB(pair(Agent (honest a),Agent (honest a))))))),(SID sid)]);
fp_183: State (rB,[Agent (honest a),Step 1,SymKey (sk(pair(Agent (honest a),Agent (honest a)))),Agent (honest a),Agent (honest a),Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (honest a),Nonce (absNB(pair(Agent (honest a),Agent (dishonest i))))),Nonce (absNB(pair(Agent (honest a),Agent (honest a)))),pair(Agent (honest a),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (honest a),Nonce (absNB(pair(Agent (honest a),Agent (honest a))))))),(SID sid)]);
fp_184: State (rB,[Agent (honest a),Step 1,SymKey (sk(pair(Agent (honest a),Agent (honest a)))),Agent (honest a),Agent (honest a),Nonce (absNA(pair(Agent (honest a),Agent (honest a)))),pair(Agent (honest a),Nonce (absNA(pair(Agent (honest a),Agent (honest a))))),Nonce (absNB(pair(Agent (honest a),Agent (honest a)))),pair(Agent (honest a),pair(Nonce (absNA(pair(Agent (honest a),Agent (honest a)))),pair(Agent (honest a),Nonce (absNB(pair(Agent (honest a),Agent (honest a))))))),(SID sid)]);
fp_185: State (rB,[Agent (honest a),Step 1,SymKey (sk(pair(Agent (honest a),Agent (honest a)))),Agent (honest a),Agent (honest a),Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (honest a),Nonce (absNA(pair(Agent (honest a),Agent (dishonest i))))),Nonce (absNB(pair(Agent (honest a),Agent (honest a)))),pair(Agent (honest a),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (honest a),Nonce (absNB(pair(Agent (honest a),Agent (honest a))))))),(SID sid)]);
fp_186: State (rs,[Agent (honest a),Step 1,SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),Agent (dishonest i),Agent (dishonest i),Nonce (absNB(pair(Agent (honest a),Agent (honest a)))),Nonce (absNB(pair(Agent (honest a),Agent (honest a)))),pair(Agent (dishonest i),pair(Nonce (absNB(pair(Agent (honest a),Agent (honest a)))),pair(Agent (dishonest i),Nonce (absNB(pair(Agent (honest a),Agent (honest a))))))),SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))),pair(scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (honest a)))),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (honest a)))),pair(Agent (dishonest i),SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))))))),(SID sid)]);
fp_187: State (rs,[Agent (honest a),Step 1,SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),Agent (dishonest i),Agent (dishonest i),Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),Nonce (absNB(pair(Agent (honest a),Agent (honest a)))),pair(Agent (dishonest i),pair(Nonce (absNB(pair(Agent (honest a),Agent (honest a)))),pair(Agent (dishonest i),Nonce (absNB(pair(Agent (honest a),Agent (dishonest i))))))),SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))),pair(scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (honest a)))),pair(Agent (dishonest i),SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))))))),(SID sid)]);
fp_188: State (rs,[Agent (honest a),Step 1,SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),Agent (dishonest i),Agent (dishonest i),Nonce (absNA(pair(Agent (honest a),Agent (honest a)))),Nonce (absNB(pair(Agent (honest a),Agent (honest a)))),pair(Agent (dishonest i),pair(Nonce (absNB(pair(Agent (honest a),Agent (honest a)))),pair(Agent (dishonest i),Nonce (absNA(pair(Agent (honest a),Agent (honest a))))))),SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))),pair(scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (honest a)))),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (honest a)))),pair(Agent (dishonest i),SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))))))),(SID sid)]);
fp_189: State (rs,[Agent (honest a),Step 1,SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),Agent (dishonest i),Agent (dishonest i),Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),Nonce (absNB(pair(Agent (honest a),Agent (honest a)))),pair(Agent (dishonest i),pair(Nonce (absNB(pair(Agent (honest a),Agent (honest a)))),pair(Agent (dishonest i),Nonce (absNA(pair(Agent (honest a),Agent (dishonest i))))))),SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))),pair(scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (honest a)))),pair(Agent (dishonest i),SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))))))),(SID sid)]);
fp_190: State (rs,[Agent (honest a),Step 1,SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),Agent (dishonest i),Agent (dishonest i),Nonce (ni),Nonce (absNB(pair(Agent (honest a),Agent (honest a)))),pair(Agent (dishonest i),pair(Nonce (absNB(pair(Agent (honest a),Agent (honest a)))),pair(Agent (dishonest i),Nonce (ni)))),SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))),pair(scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))),pair(Nonce (ni),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (honest a)))),pair(Agent (dishonest i),SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))))))),(SID sid)]);
fp_191: State (rs,[Agent (honest a),Step 1,SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),Agent (dishonest i),Agent (dishonest i),Nonce (absNB(pair(Agent (honest a),Agent (honest a)))),Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),Nonce (absNB(pair(Agent (honest a),Agent (honest a))))))),SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))),pair(scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (honest a)))),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))))))),(SID sid)]);
fp_192: State (rs,[Agent (honest a),Step 1,SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),Agent (dishonest i),Agent (dishonest i),Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),Nonce (absNB(pair(Agent (honest a),Agent (dishonest i))))))),SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))),pair(scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))))))),(SID sid)]);
fp_193: State (rs,[Agent (honest a),Step 1,SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),Agent (dishonest i),Agent (dishonest i),Nonce (absNA(pair(Agent (honest a),Agent (honest a)))),Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),Nonce (absNA(pair(Agent (honest a),Agent (honest a))))))),SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))),pair(scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (honest a)))),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))))))),(SID sid)]);
fp_194: State (rs,[Agent (honest a),Step 1,SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),Agent (dishonest i),Agent (dishonest i),Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),Nonce (absNA(pair(Agent (honest a),Agent (dishonest i))))))),SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))),pair(scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))))))),(SID sid)]);
fp_195: State (rs,[Agent (honest a),Step 1,SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),Agent (dishonest i),Agent (dishonest i),Nonce (ni),Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),Nonce (ni)))),SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))),pair(scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))),pair(Nonce (ni),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))))))),(SID sid)]);
fp_196: State (rs,[Agent (honest a),Step 1,SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),Agent (dishonest i),Agent (dishonest i),Nonce (absNB(pair(Agent (honest a),Agent (honest a)))),Nonce (absNA(pair(Agent (honest a),Agent (honest a)))),pair(Agent (dishonest i),pair(Nonce (absNA(pair(Agent (honest a),Agent (honest a)))),pair(Agent (dishonest i),Nonce (absNB(pair(Agent (honest a),Agent (honest a))))))),SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))),pair(scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (honest a)))),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (honest a)))),pair(Agent (dishonest i),SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))))))),(SID sid)]);
fp_197: State (rs,[Agent (honest a),Step 1,SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),Agent (dishonest i),Agent (dishonest i),Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),Nonce (absNA(pair(Agent (honest a),Agent (honest a)))),pair(Agent (dishonest i),pair(Nonce (absNA(pair(Agent (honest a),Agent (honest a)))),pair(Agent (dishonest i),Nonce (absNB(pair(Agent (honest a),Agent (dishonest i))))))),SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))),pair(scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (honest a)))),pair(Agent (dishonest i),SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))))))),(SID sid)]);
fp_198: State (rs,[Agent (honest a),Step 1,SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),Agent (dishonest i),Agent (dishonest i),Nonce (absNA(pair(Agent (honest a),Agent (honest a)))),Nonce (absNA(pair(Agent (honest a),Agent (honest a)))),pair(Agent (dishonest i),pair(Nonce (absNA(pair(Agent (honest a),Agent (honest a)))),pair(Agent (dishonest i),Nonce (absNA(pair(Agent (honest a),Agent (honest a))))))),SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))),pair(scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (honest a)))),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (honest a)))),pair(Agent (dishonest i),SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))))))),(SID sid)]);
fp_199: State (rs,[Agent (honest a),Step 1,SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),Agent (dishonest i),Agent (dishonest i),Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),Nonce (absNA(pair(Agent (honest a),Agent (honest a)))),pair(Agent (dishonest i),pair(Nonce (absNA(pair(Agent (honest a),Agent (honest a)))),pair(Agent (dishonest i),Nonce (absNA(pair(Agent (honest a),Agent (dishonest i))))))),SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))),pair(scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (honest a)))),pair(Agent (dishonest i),SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))))))),(SID sid)]);
fp_200: State (rs,[Agent (honest a),Step 1,SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),Agent (dishonest i),Agent (dishonest i),Nonce (ni),Nonce (absNA(pair(Agent (honest a),Agent (honest a)))),pair(Agent (dishonest i),pair(Nonce (absNA(pair(Agent (honest a),Agent (honest a)))),pair(Agent (dishonest i),Nonce (ni)))),SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))),pair(scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))),pair(Nonce (ni),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (honest a)))),pair(Agent (dishonest i),SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))))))),(SID sid)]);
fp_201: State (rs,[Agent (honest a),Step 1,SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),Agent (dishonest i),Agent (dishonest i),Nonce (absNB(pair(Agent (honest a),Agent (honest a)))),Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),Nonce (absNB(pair(Agent (honest a),Agent (honest a))))))),SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))),pair(scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (honest a)))),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))))))),(SID sid)]);
fp_202: State (rs,[Agent (honest a),Step 1,SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),Agent (dishonest i),Agent (dishonest i),Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),Nonce (absNB(pair(Agent (honest a),Agent (dishonest i))))))),SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))),pair(scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))))))),(SID sid)]);
fp_203: State (rs,[Agent (honest a),Step 1,SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),Agent (dishonest i),Agent (dishonest i),Nonce (absNA(pair(Agent (honest a),Agent (honest a)))),Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),Nonce (absNA(pair(Agent (honest a),Agent (honest a))))))),SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))),pair(scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (honest a)))),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))))))),(SID sid)]);
fp_204: State (rs,[Agent (honest a),Step 1,SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),Agent (dishonest i),Agent (dishonest i),Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),Nonce (absNA(pair(Agent (honest a),Agent (dishonest i))))))),SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))),pair(scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))))))),(SID sid)]);
fp_205: State (rs,[Agent (honest a),Step 1,SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),Agent (dishonest i),Agent (dishonest i),Nonce (ni),Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),Nonce (ni)))),SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))),pair(scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))),pair(Nonce (ni),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))))))),(SID sid)]);
fp_206: State (rs,[Agent (honest a),Step 1,SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),Agent (dishonest i),Agent (dishonest i),Nonce (absNB(pair(Agent (honest a),Agent (honest a)))),Nonce (ni),pair(Agent (dishonest i),pair(Nonce (ni),pair(Agent (dishonest i),Nonce (absNB(pair(Agent (honest a),Agent (honest a))))))),SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))),pair(scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (honest a)))),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (ni),pair(Agent (dishonest i),SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))))))),(SID sid)]);
fp_207: State (rs,[Agent (honest a),Step 1,SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),Agent (dishonest i),Agent (dishonest i),Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),Nonce (ni),pair(Agent (dishonest i),pair(Nonce (ni),pair(Agent (dishonest i),Nonce (absNB(pair(Agent (honest a),Agent (dishonest i))))))),SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))),pair(scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (ni),pair(Agent (dishonest i),SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))))))),(SID sid)]);
fp_208: State (rs,[Agent (honest a),Step 1,SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),Agent (dishonest i),Agent (dishonest i),Nonce (absNA(pair(Agent (honest a),Agent (honest a)))),Nonce (ni),pair(Agent (dishonest i),pair(Nonce (ni),pair(Agent (dishonest i),Nonce (absNA(pair(Agent (honest a),Agent (honest a))))))),SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))),pair(scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (honest a)))),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (ni),pair(Agent (dishonest i),SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))))))),(SID sid)]);
fp_209: State (rs,[Agent (honest a),Step 1,SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),Agent (dishonest i),Agent (dishonest i),Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),Nonce (ni),pair(Agent (dishonest i),pair(Nonce (ni),pair(Agent (dishonest i),Nonce (absNA(pair(Agent (honest a),Agent (dishonest i))))))),SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))),pair(scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (ni),pair(Agent (dishonest i),SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))))))),(SID sid)]);
fp_210: State (rs,[Agent (honest a),Step 1,SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),SymKey (sk(pair(Agent (honest a),Agent (honest a)))),Agent (dishonest i),Agent (honest a),Nonce (absNB(pair(Agent (honest a),Agent (honest a)))),Nonce (absNB(pair(Agent (honest a),Agent (honest a)))),pair(Agent (honest a),pair(Nonce (absNB(pair(Agent (honest a),Agent (honest a)))),pair(Agent (dishonest i),Nonce (absNB(pair(Agent (honest a),Agent (honest a))))))),SymKey (absKAB(pair(Agent (dishonest i),Agent (honest a)))),pair(scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (honest a)))),Agent (honest a)))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (honest a)))),pair(Agent (dishonest i),SymKey (absKAB(pair(Agent (dishonest i),Agent (honest a)))))))),(SID sid)]);
fp_211: State (rs,[Agent (honest a),Step 1,SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),SymKey (sk(pair(Agent (honest a),Agent (honest a)))),Agent (dishonest i),Agent (honest a),Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),Nonce (absNB(pair(Agent (honest a),Agent (honest a)))),pair(Agent (honest a),pair(Nonce (absNB(pair(Agent (honest a),Agent (honest a)))),pair(Agent (dishonest i),Nonce (absNB(pair(Agent (honest a),Agent (dishonest i))))))),SymKey (absKAB(pair(Agent (dishonest i),Agent (honest a)))),pair(scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),Agent (honest a)))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (honest a)))),pair(Agent (dishonest i),SymKey (absKAB(pair(Agent (dishonest i),Agent (honest a)))))))),(SID sid)]);
fp_212: State (rs,[Agent (honest a),Step 1,SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),SymKey (sk(pair(Agent (honest a),Agent (honest a)))),Agent (dishonest i),Agent (honest a),Nonce (absNA(pair(Agent (honest a),Agent (honest a)))),Nonce (absNB(pair(Agent (honest a),Agent (honest a)))),pair(Agent (honest a),pair(Nonce (absNB(pair(Agent (honest a),Agent (honest a)))),pair(Agent (dishonest i),Nonce (absNA(pair(Agent (honest a),Agent (honest a))))))),SymKey (absKAB(pair(Agent (dishonest i),Agent (honest a)))),pair(scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (honest a)))),Agent (honest a)))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (honest a)))),pair(Agent (dishonest i),SymKey (absKAB(pair(Agent (dishonest i),Agent (honest a)))))))),(SID sid)]);
fp_213: State (rs,[Agent (honest a),Step 1,SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),SymKey (sk(pair(Agent (honest a),Agent (honest a)))),Agent (dishonest i),Agent (honest a),Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),Nonce (absNB(pair(Agent (honest a),Agent (honest a)))),pair(Agent (honest a),pair(Nonce (absNB(pair(Agent (honest a),Agent (honest a)))),pair(Agent (dishonest i),Nonce (absNA(pair(Agent (honest a),Agent (dishonest i))))))),SymKey (absKAB(pair(Agent (dishonest i),Agent (honest a)))),pair(scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),Agent (honest a)))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (honest a)))),pair(Agent (dishonest i),SymKey (absKAB(pair(Agent (dishonest i),Agent (honest a)))))))),(SID sid)]);
fp_214: State (rs,[Agent (honest a),Step 1,SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),SymKey (sk(pair(Agent (honest a),Agent (honest a)))),Agent (dishonest i),Agent (honest a),Nonce (ni),Nonce (absNB(pair(Agent (honest a),Agent (honest a)))),pair(Agent (honest a),pair(Nonce (absNB(pair(Agent (honest a),Agent (honest a)))),pair(Agent (dishonest i),Nonce (ni)))),SymKey (absKAB(pair(Agent (dishonest i),Agent (honest a)))),pair(scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (ni),Agent (honest a)))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (honest a)))),pair(Agent (dishonest i),SymKey (absKAB(pair(Agent (dishonest i),Agent (honest a)))))))),(SID sid)]);
fp_215: State (rs,[Agent (honest a),Step 1,SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),SymKey (sk(pair(Agent (honest a),Agent (honest a)))),Agent (dishonest i),Agent (honest a),Nonce (absNB(pair(Agent (honest a),Agent (honest a)))),Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (honest a),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),Nonce (absNB(pair(Agent (honest a),Agent (honest a))))))),SymKey (absKAB(pair(Agent (dishonest i),Agent (honest a)))),pair(scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (honest a)))),Agent (honest a)))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),SymKey (absKAB(pair(Agent (dishonest i),Agent (honest a)))))))),(SID sid)]);
fp_216: State (rs,[Agent (honest a),Step 1,SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),SymKey (sk(pair(Agent (honest a),Agent (honest a)))),Agent (dishonest i),Agent (honest a),Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (honest a),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),Nonce (absNB(pair(Agent (honest a),Agent (dishonest i))))))),SymKey (absKAB(pair(Agent (dishonest i),Agent (honest a)))),pair(scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),Agent (honest a)))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),SymKey (absKAB(pair(Agent (dishonest i),Agent (honest a)))))))),(SID sid)]);
fp_217: State (rs,[Agent (honest a),Step 1,SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),SymKey (sk(pair(Agent (honest a),Agent (honest a)))),Agent (dishonest i),Agent (honest a),Nonce (absNA(pair(Agent (honest a),Agent (honest a)))),Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (honest a),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),Nonce (absNA(pair(Agent (honest a),Agent (honest a))))))),SymKey (absKAB(pair(Agent (dishonest i),Agent (honest a)))),pair(scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (honest a)))),Agent (honest a)))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),SymKey (absKAB(pair(Agent (dishonest i),Agent (honest a)))))))),(SID sid)]);
fp_218: State (rs,[Agent (honest a),Step 1,SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),SymKey (sk(pair(Agent (honest a),Agent (honest a)))),Agent (dishonest i),Agent (honest a),Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (honest a),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),Nonce (absNA(pair(Agent (honest a),Agent (dishonest i))))))),SymKey (absKAB(pair(Agent (dishonest i),Agent (honest a)))),pair(scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),Agent (honest a)))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),SymKey (absKAB(pair(Agent (dishonest i),Agent (honest a)))))))),(SID sid)]);
fp_219: State (rs,[Agent (honest a),Step 1,SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),SymKey (sk(pair(Agent (honest a),Agent (honest a)))),Agent (dishonest i),Agent (honest a),Nonce (ni),Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (honest a),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),Nonce (ni)))),SymKey (absKAB(pair(Agent (dishonest i),Agent (honest a)))),pair(scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (ni),Agent (honest a)))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),SymKey (absKAB(pair(Agent (dishonest i),Agent (honest a)))))))),(SID sid)]);
fp_220: State (rs,[Agent (honest a),Step 1,SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),SymKey (sk(pair(Agent (honest a),Agent (honest a)))),Agent (dishonest i),Agent (honest a),Nonce (absNB(pair(Agent (honest a),Agent (honest a)))),Nonce (absNA(pair(Agent (honest a),Agent (honest a)))),pair(Agent (honest a),pair(Nonce (absNA(pair(Agent (honest a),Agent (honest a)))),pair(Agent (dishonest i),Nonce (absNB(pair(Agent (honest a),Agent (honest a))))))),SymKey (absKAB(pair(Agent (dishonest i),Agent (honest a)))),pair(scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (honest a)))),Agent (honest a)))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (honest a)))),pair(Agent (dishonest i),SymKey (absKAB(pair(Agent (dishonest i),Agent (honest a)))))))),(SID sid)]);
fp_221: State (rs,[Agent (honest a),Step 1,SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),SymKey (sk(pair(Agent (honest a),Agent (honest a)))),Agent (dishonest i),Agent (honest a),Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),Nonce (absNA(pair(Agent (honest a),Agent (honest a)))),pair(Agent (honest a),pair(Nonce (absNA(pair(Agent (honest a),Agent (honest a)))),pair(Agent (dishonest i),Nonce (absNB(pair(Agent (honest a),Agent (dishonest i))))))),SymKey (absKAB(pair(Agent (dishonest i),Agent (honest a)))),pair(scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),Agent (honest a)))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (honest a)))),pair(Agent (dishonest i),SymKey (absKAB(pair(Agent (dishonest i),Agent (honest a)))))))),(SID sid)]);
fp_222: State (rs,[Agent (honest a),Step 1,SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),SymKey (sk(pair(Agent (honest a),Agent (honest a)))),Agent (dishonest i),Agent (honest a),Nonce (absNA(pair(Agent (honest a),Agent (honest a)))),Nonce (absNA(pair(Agent (honest a),Agent (honest a)))),pair(Agent (honest a),pair(Nonce (absNA(pair(Agent (honest a),Agent (honest a)))),pair(Agent (dishonest i),Nonce (absNA(pair(Agent (honest a),Agent (honest a))))))),SymKey (absKAB(pair(Agent (dishonest i),Agent (honest a)))),pair(scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (honest a)))),Agent (honest a)))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (honest a)))),pair(Agent (dishonest i),SymKey (absKAB(pair(Agent (dishonest i),Agent (honest a)))))))),(SID sid)]);
fp_223: State (rs,[Agent (honest a),Step 1,SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),SymKey (sk(pair(Agent (honest a),Agent (honest a)))),Agent (dishonest i),Agent (honest a),Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),Nonce (absNA(pair(Agent (honest a),Agent (honest a)))),pair(Agent (honest a),pair(Nonce (absNA(pair(Agent (honest a),Agent (honest a)))),pair(Agent (dishonest i),Nonce (absNA(pair(Agent (honest a),Agent (dishonest i))))))),SymKey (absKAB(pair(Agent (dishonest i),Agent (honest a)))),pair(scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),Agent (honest a)))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (honest a)))),pair(Agent (dishonest i),SymKey (absKAB(pair(Agent (dishonest i),Agent (honest a)))))))),(SID sid)]);
fp_224: State (rs,[Agent (honest a),Step 1,SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),SymKey (sk(pair(Agent (honest a),Agent (honest a)))),Agent (dishonest i),Agent (honest a),Nonce (ni),Nonce (absNA(pair(Agent (honest a),Agent (honest a)))),pair(Agent (honest a),pair(Nonce (absNA(pair(Agent (honest a),Agent (honest a)))),pair(Agent (dishonest i),Nonce (ni)))),SymKey (absKAB(pair(Agent (dishonest i),Agent (honest a)))),pair(scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (ni),Agent (honest a)))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (honest a)))),pair(Agent (dishonest i),SymKey (absKAB(pair(Agent (dishonest i),Agent (honest a)))))))),(SID sid)]);
fp_225: State (rs,[Agent (honest a),Step 1,SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),SymKey (sk(pair(Agent (honest a),Agent (honest a)))),Agent (dishonest i),Agent (honest a),Nonce (absNB(pair(Agent (honest a),Agent (honest a)))),Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (honest a),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),Nonce (absNB(pair(Agent (honest a),Agent (honest a))))))),SymKey (absKAB(pair(Agent (dishonest i),Agent (honest a)))),pair(scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (honest a)))),Agent (honest a)))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),SymKey (absKAB(pair(Agent (dishonest i),Agent (honest a)))))))),(SID sid)]);
fp_226: State (rs,[Agent (honest a),Step 1,SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),SymKey (sk(pair(Agent (honest a),Agent (honest a)))),Agent (dishonest i),Agent (honest a),Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (honest a),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),Nonce (absNB(pair(Agent (honest a),Agent (dishonest i))))))),SymKey (absKAB(pair(Agent (dishonest i),Agent (honest a)))),pair(scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),Agent (honest a)))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),SymKey (absKAB(pair(Agent (dishonest i),Agent (honest a)))))))),(SID sid)]);
fp_227: State (rs,[Agent (honest a),Step 1,SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),SymKey (sk(pair(Agent (honest a),Agent (honest a)))),Agent (dishonest i),Agent (honest a),Nonce (absNA(pair(Agent (honest a),Agent (honest a)))),Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (honest a),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),Nonce (absNA(pair(Agent (honest a),Agent (honest a))))))),SymKey (absKAB(pair(Agent (dishonest i),Agent (honest a)))),pair(scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (honest a)))),Agent (honest a)))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),SymKey (absKAB(pair(Agent (dishonest i),Agent (honest a)))))))),(SID sid)]);
fp_228: State (rs,[Agent (honest a),Step 1,SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),SymKey (sk(pair(Agent (honest a),Agent (honest a)))),Agent (dishonest i),Agent (honest a),Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (honest a),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),Nonce (absNA(pair(Agent (honest a),Agent (dishonest i))))))),SymKey (absKAB(pair(Agent (dishonest i),Agent (honest a)))),pair(scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),Agent (honest a)))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),SymKey (absKAB(pair(Agent (dishonest i),Agent (honest a)))))))),(SID sid)]);
fp_229: State (rs,[Agent (honest a),Step 1,SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),SymKey (sk(pair(Agent (honest a),Agent (honest a)))),Agent (dishonest i),Agent (honest a),Nonce (ni),Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (honest a),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),Nonce (ni)))),SymKey (absKAB(pair(Agent (dishonest i),Agent (honest a)))),pair(scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (ni),Agent (honest a)))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),SymKey (absKAB(pair(Agent (dishonest i),Agent (honest a)))))))),(SID sid)]);
fp_230: State (rs,[Agent (honest a),Step 1,SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),SymKey (sk(pair(Agent (honest a),Agent (honest a)))),Agent (dishonest i),Agent (honest a),Nonce (absNB(pair(Agent (honest a),Agent (honest a)))),Nonce (ni),pair(Agent (honest a),pair(Nonce (ni),pair(Agent (dishonest i),Nonce (absNB(pair(Agent (honest a),Agent (honest a))))))),SymKey (absKAB(pair(Agent (dishonest i),Agent (honest a)))),pair(scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (honest a)))),Agent (honest a)))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (ni),pair(Agent (dishonest i),SymKey (absKAB(pair(Agent (dishonest i),Agent (honest a)))))))),(SID sid)]);
fp_231: State (rs,[Agent (honest a),Step 1,SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),SymKey (sk(pair(Agent (honest a),Agent (honest a)))),Agent (dishonest i),Agent (honest a),Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),Nonce (ni),pair(Agent (honest a),pair(Nonce (ni),pair(Agent (dishonest i),Nonce (absNB(pair(Agent (honest a),Agent (dishonest i))))))),SymKey (absKAB(pair(Agent (dishonest i),Agent (honest a)))),pair(scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),Agent (honest a)))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (ni),pair(Agent (dishonest i),SymKey (absKAB(pair(Agent (dishonest i),Agent (honest a)))))))),(SID sid)]);
fp_232: State (rs,[Agent (honest a),Step 1,SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),SymKey (sk(pair(Agent (honest a),Agent (honest a)))),Agent (dishonest i),Agent (honest a),Nonce (absNA(pair(Agent (honest a),Agent (honest a)))),Nonce (ni),pair(Agent (honest a),pair(Nonce (ni),pair(Agent (dishonest i),Nonce (absNA(pair(Agent (honest a),Agent (honest a))))))),SymKey (absKAB(pair(Agent (dishonest i),Agent (honest a)))),pair(scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (honest a)))),Agent (honest a)))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (ni),pair(Agent (dishonest i),SymKey (absKAB(pair(Agent (dishonest i),Agent (honest a)))))))),(SID sid)]);
fp_233: State (rs,[Agent (honest a),Step 1,SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),SymKey (sk(pair(Agent (honest a),Agent (honest a)))),Agent (dishonest i),Agent (honest a),Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),Nonce (ni),pair(Agent (honest a),pair(Nonce (ni),pair(Agent (dishonest i),Nonce (absNA(pair(Agent (honest a),Agent (dishonest i))))))),SymKey (absKAB(pair(Agent (dishonest i),Agent (honest a)))),pair(scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),Agent (honest a)))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (ni),pair(Agent (dishonest i),SymKey (absKAB(pair(Agent (dishonest i),Agent (honest a)))))))),(SID sid)]);
fp_234: State (rs,[Agent (honest a),Step 1,SymKey (sk(pair(Agent (honest a),Agent (honest a)))),SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),Agent (honest a),Agent (dishonest i),Nonce (absNB(pair(Agent (honest a),Agent (honest a)))),Nonce (absNB(pair(Agent (honest a),Agent (honest a)))),pair(Agent (dishonest i),pair(Nonce (absNB(pair(Agent (honest a),Agent (honest a)))),pair(Agent (honest a),Nonce (absNB(pair(Agent (honest a),Agent (honest a))))))),SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))),pair(scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (honest a)))),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (honest a)))),pair(Agent (honest a),SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))))))),(SID sid)]);
fp_235: State (rs,[Agent (honest a),Step 1,SymKey (sk(pair(Agent (honest a),Agent (honest a)))),SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),Agent (honest a),Agent (dishonest i),Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),Nonce (absNB(pair(Agent (honest a),Agent (honest a)))),pair(Agent (dishonest i),pair(Nonce (absNB(pair(Agent (honest a),Agent (honest a)))),pair(Agent (honest a),Nonce (absNB(pair(Agent (honest a),Agent (dishonest i))))))),SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))),pair(scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (honest a)))),pair(Agent (honest a),SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))))))),(SID sid)]);
fp_236: State (rs,[Agent (honest a),Step 1,SymKey (sk(pair(Agent (honest a),Agent (honest a)))),SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),Agent (honest a),Agent (dishonest i),Nonce (absNA(pair(Agent (honest a),Agent (honest a)))),Nonce (absNB(pair(Agent (honest a),Agent (honest a)))),pair(Agent (dishonest i),pair(Nonce (absNB(pair(Agent (honest a),Agent (honest a)))),pair(Agent (honest a),Nonce (absNA(pair(Agent (honest a),Agent (honest a))))))),SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))),pair(scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (honest a)))),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (honest a)))),pair(Agent (honest a),SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))))))),(SID sid)]);
fp_237: State (rs,[Agent (honest a),Step 1,SymKey (sk(pair(Agent (honest a),Agent (honest a)))),SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),Agent (honest a),Agent (dishonest i),Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),Nonce (absNB(pair(Agent (honest a),Agent (honest a)))),pair(Agent (dishonest i),pair(Nonce (absNB(pair(Agent (honest a),Agent (honest a)))),pair(Agent (honest a),Nonce (absNA(pair(Agent (honest a),Agent (dishonest i))))))),SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))),pair(scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (honest a)))),pair(Agent (honest a),SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))))))),(SID sid)]);
fp_238: State (rs,[Agent (honest a),Step 1,SymKey (sk(pair(Agent (honest a),Agent (honest a)))),SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),Agent (honest a),Agent (dishonest i),Nonce (ni),Nonce (absNB(pair(Agent (honest a),Agent (honest a)))),pair(Agent (dishonest i),pair(Nonce (absNB(pair(Agent (honest a),Agent (honest a)))),pair(Agent (honest a),Nonce (ni)))),SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))),pair(scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (ni),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (honest a)))),pair(Agent (honest a),SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))))))),(SID sid)]);
fp_239: State (rs,[Agent (honest a),Step 1,SymKey (sk(pair(Agent (honest a),Agent (honest a)))),SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),Agent (honest a),Agent (dishonest i),Nonce (absNB(pair(Agent (honest a),Agent (honest a)))),Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (honest a),Nonce (absNB(pair(Agent (honest a),Agent (honest a))))))),SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))),pair(scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (honest a)))),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (honest a),SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))))))),(SID sid)]);
fp_240: State (rs,[Agent (honest a),Step 1,SymKey (sk(pair(Agent (honest a),Agent (honest a)))),SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),Agent (honest a),Agent (dishonest i),Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (honest a),Nonce (absNB(pair(Agent (honest a),Agent (dishonest i))))))),SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))),pair(scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (honest a),SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))))))),(SID sid)]);
fp_241: State (rs,[Agent (honest a),Step 1,SymKey (sk(pair(Agent (honest a),Agent (honest a)))),SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),Agent (honest a),Agent (dishonest i),Nonce (absNA(pair(Agent (honest a),Agent (honest a)))),Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (honest a),Nonce (absNA(pair(Agent (honest a),Agent (honest a))))))),SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))),pair(scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (honest a)))),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (honest a),SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))))))),(SID sid)]);
fp_242: State (rs,[Agent (honest a),Step 1,SymKey (sk(pair(Agent (honest a),Agent (honest a)))),SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),Agent (honest a),Agent (dishonest i),Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (honest a),Nonce (absNA(pair(Agent (honest a),Agent (dishonest i))))))),SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))),pair(scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (honest a),SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))))))),(SID sid)]);
fp_243: State (rs,[Agent (honest a),Step 1,SymKey (sk(pair(Agent (honest a),Agent (honest a)))),SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),Agent (honest a),Agent (dishonest i),Nonce (ni),Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (honest a),Nonce (ni)))),SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))),pair(scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (ni),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (honest a),SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))))))),(SID sid)]);
fp_244: State (rs,[Agent (honest a),Step 1,SymKey (sk(pair(Agent (honest a),Agent (honest a)))),SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),Agent (honest a),Agent (dishonest i),Nonce (absNB(pair(Agent (honest a),Agent (honest a)))),Nonce (absNA(pair(Agent (honest a),Agent (honest a)))),pair(Agent (dishonest i),pair(Nonce (absNA(pair(Agent (honest a),Agent (honest a)))),pair(Agent (honest a),Nonce (absNB(pair(Agent (honest a),Agent (honest a))))))),SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))),pair(scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (honest a)))),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (honest a)))),pair(Agent (honest a),SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))))))),(SID sid)]);
fp_245: State (rs,[Agent (honest a),Step 1,SymKey (sk(pair(Agent (honest a),Agent (honest a)))),SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),Agent (honest a),Agent (dishonest i),Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),Nonce (absNA(pair(Agent (honest a),Agent (honest a)))),pair(Agent (dishonest i),pair(Nonce (absNA(pair(Agent (honest a),Agent (honest a)))),pair(Agent (honest a),Nonce (absNB(pair(Agent (honest a),Agent (dishonest i))))))),SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))),pair(scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (honest a)))),pair(Agent (honest a),SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))))))),(SID sid)]);
fp_246: State (rs,[Agent (honest a),Step 1,SymKey (sk(pair(Agent (honest a),Agent (honest a)))),SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),Agent (honest a),Agent (dishonest i),Nonce (absNA(pair(Agent (honest a),Agent (honest a)))),Nonce (absNA(pair(Agent (honest a),Agent (honest a)))),pair(Agent (dishonest i),pair(Nonce (absNA(pair(Agent (honest a),Agent (honest a)))),pair(Agent (honest a),Nonce (absNA(pair(Agent (honest a),Agent (honest a))))))),SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))),pair(scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (honest a)))),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (honest a)))),pair(Agent (honest a),SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))))))),(SID sid)]);
fp_247: State (rs,[Agent (honest a),Step 1,SymKey (sk(pair(Agent (honest a),Agent (honest a)))),SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),Agent (honest a),Agent (dishonest i),Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),Nonce (absNA(pair(Agent (honest a),Agent (honest a)))),pair(Agent (dishonest i),pair(Nonce (absNA(pair(Agent (honest a),Agent (honest a)))),pair(Agent (honest a),Nonce (absNA(pair(Agent (honest a),Agent (dishonest i))))))),SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))),pair(scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (honest a)))),pair(Agent (honest a),SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))))))),(SID sid)]);
fp_248: State (rs,[Agent (honest a),Step 1,SymKey (sk(pair(Agent (honest a),Agent (honest a)))),SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),Agent (honest a),Agent (dishonest i),Nonce (ni),Nonce (absNA(pair(Agent (honest a),Agent (honest a)))),pair(Agent (dishonest i),pair(Nonce (absNA(pair(Agent (honest a),Agent (honest a)))),pair(Agent (honest a),Nonce (ni)))),SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))),pair(scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (ni),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (honest a)))),pair(Agent (honest a),SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))))))),(SID sid)]);
fp_249: State (rs,[Agent (honest a),Step 1,SymKey (sk(pair(Agent (honest a),Agent (honest a)))),SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),Agent (honest a),Agent (dishonest i),Nonce (absNB(pair(Agent (honest a),Agent (honest a)))),Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (honest a),Nonce (absNB(pair(Agent (honest a),Agent (honest a))))))),SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))),pair(scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (honest a)))),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (honest a),SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))))))),(SID sid)]);
fp_250: State (rs,[Agent (honest a),Step 1,SymKey (sk(pair(Agent (honest a),Agent (honest a)))),SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),Agent (honest a),Agent (dishonest i),Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (honest a),Nonce (absNB(pair(Agent (honest a),Agent (dishonest i))))))),SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))),pair(scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (honest a),SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))))))),(SID sid)]);
fp_251: State (rs,[Agent (honest a),Step 1,SymKey (sk(pair(Agent (honest a),Agent (honest a)))),SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),Agent (honest a),Agent (dishonest i),Nonce (absNA(pair(Agent (honest a),Agent (honest a)))),Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (honest a),Nonce (absNA(pair(Agent (honest a),Agent (honest a))))))),SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))),pair(scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (honest a)))),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (honest a),SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))))))),(SID sid)]);
fp_252: State (rs,[Agent (honest a),Step 1,SymKey (sk(pair(Agent (honest a),Agent (honest a)))),SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),Agent (honest a),Agent (dishonest i),Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (honest a),Nonce (absNA(pair(Agent (honest a),Agent (dishonest i))))))),SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))),pair(scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (honest a),SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))))))),(SID sid)]);
fp_253: State (rs,[Agent (honest a),Step 1,SymKey (sk(pair(Agent (honest a),Agent (honest a)))),SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),Agent (honest a),Agent (dishonest i),Nonce (ni),Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (honest a),Nonce (ni)))),SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))),pair(scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (ni),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (honest a),SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))))))),(SID sid)]);
fp_254: State (rs,[Agent (honest a),Step 1,SymKey (sk(pair(Agent (honest a),Agent (honest a)))),SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),Agent (honest a),Agent (dishonest i),Nonce (absNB(pair(Agent (honest a),Agent (honest a)))),Nonce (ni),pair(Agent (dishonest i),pair(Nonce (ni),pair(Agent (honest a),Nonce (absNB(pair(Agent (honest a),Agent (honest a))))))),SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))),pair(scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (honest a)))),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (ni),pair(Agent (honest a),SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))))))),(SID sid)]);
fp_255: State (rs,[Agent (honest a),Step 1,SymKey (sk(pair(Agent (honest a),Agent (honest a)))),SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),Agent (honest a),Agent (dishonest i),Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),Nonce (ni),pair(Agent (dishonest i),pair(Nonce (ni),pair(Agent (honest a),Nonce (absNB(pair(Agent (honest a),Agent (dishonest i))))))),SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))),pair(scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (ni),pair(Agent (honest a),SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))))))),(SID sid)]);
fp_256: State (rs,[Agent (honest a),Step 1,SymKey (sk(pair(Agent (honest a),Agent (honest a)))),SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),Agent (honest a),Agent (dishonest i),Nonce (absNA(pair(Agent (honest a),Agent (honest a)))),Nonce (ni),pair(Agent (dishonest i),pair(Nonce (ni),pair(Agent (honest a),Nonce (absNA(pair(Agent (honest a),Agent (honest a))))))),SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))),pair(scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (honest a)))),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (ni),pair(Agent (honest a),SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))))))),(SID sid)]);
fp_257: State (rs,[Agent (honest a),Step 1,SymKey (sk(pair(Agent (honest a),Agent (honest a)))),SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),Agent (honest a),Agent (dishonest i),Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),Nonce (ni),pair(Agent (dishonest i),pair(Nonce (ni),pair(Agent (honest a),Nonce (absNA(pair(Agent (honest a),Agent (dishonest i))))))),SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))),pair(scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (ni),pair(Agent (honest a),SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))))))),(SID sid)]);
fp_258: State (rs,[Agent (honest a),Step 1,SymKey (sk(pair(Agent (honest a),Agent (honest a)))),SymKey (sk(pair(Agent (honest a),Agent (honest a)))),Agent (honest a),Agent (honest a),Nonce (absNB(pair(Agent (honest a),Agent (honest a)))),Nonce (absNB(pair(Agent (honest a),Agent (honest a)))),pair(Agent (honest a),pair(Nonce (absNB(pair(Agent (honest a),Agent (honest a)))),pair(Agent (honest a),Nonce (absNB(pair(Agent (honest a),Agent (honest a))))))),SymKey (absKAB(pair(Agent (honest a),Agent (honest a)))),pair(scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (honest a)))),Agent (honest a)))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (honest a)))),pair(Agent (honest a),SymKey (absKAB(pair(Agent (honest a),Agent (honest a)))))))),(SID sid)]);
fp_259: State (rs,[Agent (honest a),Step 1,SymKey (sk(pair(Agent (honest a),Agent (honest a)))),SymKey (sk(pair(Agent (honest a),Agent (honest a)))),Agent (honest a),Agent (honest a),Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),Nonce (absNB(pair(Agent (honest a),Agent (honest a)))),pair(Agent (honest a),pair(Nonce (absNB(pair(Agent (honest a),Agent (honest a)))),pair(Agent (honest a),Nonce (absNB(pair(Agent (honest a),Agent (dishonest i))))))),SymKey (absKAB(pair(Agent (honest a),Agent (honest a)))),pair(scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),Agent (honest a)))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (honest a)))),pair(Agent (honest a),SymKey (absKAB(pair(Agent (honest a),Agent (honest a)))))))),(SID sid)]);
fp_260: State (rs,[Agent (honest a),Step 1,SymKey (sk(pair(Agent (honest a),Agent (honest a)))),SymKey (sk(pair(Agent (honest a),Agent (honest a)))),Agent (honest a),Agent (honest a),Nonce (absNA(pair(Agent (honest a),Agent (honest a)))),Nonce (absNB(pair(Agent (honest a),Agent (honest a)))),pair(Agent (honest a),pair(Nonce (absNB(pair(Agent (honest a),Agent (honest a)))),pair(Agent (honest a),Nonce (absNA(pair(Agent (honest a),Agent (honest a))))))),SymKey (absKAB(pair(Agent (honest a),Agent (honest a)))),pair(scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (honest a)))),Agent (honest a)))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (honest a)))),pair(Agent (honest a),SymKey (absKAB(pair(Agent (honest a),Agent (honest a)))))))),(SID sid)]);
fp_261: State (rs,[Agent (honest a),Step 1,SymKey (sk(pair(Agent (honest a),Agent (honest a)))),SymKey (sk(pair(Agent (honest a),Agent (honest a)))),Agent (honest a),Agent (honest a),Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),Nonce (absNB(pair(Agent (honest a),Agent (honest a)))),pair(Agent (honest a),pair(Nonce (absNB(pair(Agent (honest a),Agent (honest a)))),pair(Agent (honest a),Nonce (absNA(pair(Agent (honest a),Agent (dishonest i))))))),SymKey (absKAB(pair(Agent (honest a),Agent (honest a)))),pair(scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),Agent (honest a)))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (honest a)))),pair(Agent (honest a),SymKey (absKAB(pair(Agent (honest a),Agent (honest a)))))))),(SID sid)]);
fp_262: State (rs,[Agent (honest a),Step 1,SymKey (sk(pair(Agent (honest a),Agent (honest a)))),SymKey (sk(pair(Agent (honest a),Agent (honest a)))),Agent (honest a),Agent (honest a),Nonce (ni),Nonce (absNB(pair(Agent (honest a),Agent (honest a)))),pair(Agent (honest a),pair(Nonce (absNB(pair(Agent (honest a),Agent (honest a)))),pair(Agent (honest a),Nonce (ni)))),SymKey (absKAB(pair(Agent (honest a),Agent (honest a)))),pair(scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (ni),Agent (honest a)))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (honest a)))),pair(Agent (honest a),SymKey (absKAB(pair(Agent (honest a),Agent (honest a)))))))),(SID sid)]);
fp_263: State (rs,[Agent (honest a),Step 1,SymKey (sk(pair(Agent (honest a),Agent (honest a)))),SymKey (sk(pair(Agent (honest a),Agent (honest a)))),Agent (honest a),Agent (honest a),Nonce (absNB(pair(Agent (honest a),Agent (honest a)))),Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (honest a),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (honest a),Nonce (absNB(pair(Agent (honest a),Agent (honest a))))))),SymKey (absKAB(pair(Agent (honest a),Agent (honest a)))),pair(scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (honest a)))),Agent (honest a)))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (honest a),SymKey (absKAB(pair(Agent (honest a),Agent (honest a)))))))),(SID sid)]);
fp_264: State (rs,[Agent (honest a),Step 1,SymKey (sk(pair(Agent (honest a),Agent (honest a)))),SymKey (sk(pair(Agent (honest a),Agent (honest a)))),Agent (honest a),Agent (honest a),Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (honest a),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (honest a),Nonce (absNB(pair(Agent (honest a),Agent (dishonest i))))))),SymKey (absKAB(pair(Agent (honest a),Agent (honest a)))),pair(scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),Agent (honest a)))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (honest a),SymKey (absKAB(pair(Agent (honest a),Agent (honest a)))))))),(SID sid)]);
fp_265: State (rs,[Agent (honest a),Step 1,SymKey (sk(pair(Agent (honest a),Agent (honest a)))),SymKey (sk(pair(Agent (honest a),Agent (honest a)))),Agent (honest a),Agent (honest a),Nonce (absNA(pair(Agent (honest a),Agent (honest a)))),Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (honest a),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (honest a),Nonce (absNA(pair(Agent (honest a),Agent (honest a))))))),SymKey (absKAB(pair(Agent (honest a),Agent (honest a)))),pair(scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (honest a)))),Agent (honest a)))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (honest a),SymKey (absKAB(pair(Agent (honest a),Agent (honest a)))))))),(SID sid)]);
fp_266: State (rs,[Agent (honest a),Step 1,SymKey (sk(pair(Agent (honest a),Agent (honest a)))),SymKey (sk(pair(Agent (honest a),Agent (honest a)))),Agent (honest a),Agent (honest a),Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (honest a),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (honest a),Nonce (absNA(pair(Agent (honest a),Agent (dishonest i))))))),SymKey (absKAB(pair(Agent (honest a),Agent (honest a)))),pair(scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),Agent (honest a)))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (honest a),SymKey (absKAB(pair(Agent (honest a),Agent (honest a)))))))),(SID sid)]);
fp_267: State (rs,[Agent (honest a),Step 1,SymKey (sk(pair(Agent (honest a),Agent (honest a)))),SymKey (sk(pair(Agent (honest a),Agent (honest a)))),Agent (honest a),Agent (honest a),Nonce (ni),Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (honest a),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (honest a),Nonce (ni)))),SymKey (absKAB(pair(Agent (honest a),Agent (honest a)))),pair(scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (ni),Agent (honest a)))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (honest a),SymKey (absKAB(pair(Agent (honest a),Agent (honest a)))))))),(SID sid)]);
fp_268: State (rs,[Agent (honest a),Step 1,SymKey (sk(pair(Agent (honest a),Agent (honest a)))),SymKey (sk(pair(Agent (honest a),Agent (honest a)))),Agent (honest a),Agent (honest a),Nonce (absNB(pair(Agent (honest a),Agent (honest a)))),Nonce (absNA(pair(Agent (honest a),Agent (honest a)))),pair(Agent (honest a),pair(Nonce (absNA(pair(Agent (honest a),Agent (honest a)))),pair(Agent (honest a),Nonce (absNB(pair(Agent (honest a),Agent (honest a))))))),SymKey (absKAB(pair(Agent (honest a),Agent (honest a)))),pair(scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (honest a)))),Agent (honest a)))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (honest a)))),pair(Agent (honest a),SymKey (absKAB(pair(Agent (honest a),Agent (honest a)))))))),(SID sid)]);
fp_269: State (rs,[Agent (honest a),Step 1,SymKey (sk(pair(Agent (honest a),Agent (honest a)))),SymKey (sk(pair(Agent (honest a),Agent (honest a)))),Agent (honest a),Agent (honest a),Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),Nonce (absNA(pair(Agent (honest a),Agent (honest a)))),pair(Agent (honest a),pair(Nonce (absNA(pair(Agent (honest a),Agent (honest a)))),pair(Agent (honest a),Nonce (absNB(pair(Agent (honest a),Agent (dishonest i))))))),SymKey (absKAB(pair(Agent (honest a),Agent (honest a)))),pair(scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),Agent (honest a)))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (honest a)))),pair(Agent (honest a),SymKey (absKAB(pair(Agent (honest a),Agent (honest a)))))))),(SID sid)]);
fp_270: State (rs,[Agent (honest a),Step 1,SymKey (sk(pair(Agent (honest a),Agent (honest a)))),SymKey (sk(pair(Agent (honest a),Agent (honest a)))),Agent (honest a),Agent (honest a),Nonce (absNA(pair(Agent (honest a),Agent (honest a)))),Nonce (absNA(pair(Agent (honest a),Agent (honest a)))),pair(Agent (honest a),pair(Nonce (absNA(pair(Agent (honest a),Agent (honest a)))),pair(Agent (honest a),Nonce (absNA(pair(Agent (honest a),Agent (honest a))))))),SymKey (absKAB(pair(Agent (honest a),Agent (honest a)))),pair(scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (honest a)))),Agent (honest a)))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (honest a)))),pair(Agent (honest a),SymKey (absKAB(pair(Agent (honest a),Agent (honest a)))))))),(SID sid)]);
fp_271: State (rs,[Agent (honest a),Step 1,SymKey (sk(pair(Agent (honest a),Agent (honest a)))),SymKey (sk(pair(Agent (honest a),Agent (honest a)))),Agent (honest a),Agent (honest a),Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),Nonce (absNA(pair(Agent (honest a),Agent (honest a)))),pair(Agent (honest a),pair(Nonce (absNA(pair(Agent (honest a),Agent (honest a)))),pair(Agent (honest a),Nonce (absNA(pair(Agent (honest a),Agent (dishonest i))))))),SymKey (absKAB(pair(Agent (honest a),Agent (honest a)))),pair(scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),Agent (honest a)))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (honest a)))),pair(Agent (honest a),SymKey (absKAB(pair(Agent (honest a),Agent (honest a)))))))),(SID sid)]);
fp_272: State (rs,[Agent (honest a),Step 1,SymKey (sk(pair(Agent (honest a),Agent (honest a)))),SymKey (sk(pair(Agent (honest a),Agent (honest a)))),Agent (honest a),Agent (honest a),Nonce (ni),Nonce (absNA(pair(Agent (honest a),Agent (honest a)))),pair(Agent (honest a),pair(Nonce (absNA(pair(Agent (honest a),Agent (honest a)))),pair(Agent (honest a),Nonce (ni)))),SymKey (absKAB(pair(Agent (honest a),Agent (honest a)))),pair(scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (ni),Agent (honest a)))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (honest a)))),pair(Agent (honest a),SymKey (absKAB(pair(Agent (honest a),Agent (honest a)))))))),(SID sid)]);
fp_273: State (rs,[Agent (honest a),Step 1,SymKey (sk(pair(Agent (honest a),Agent (honest a)))),SymKey (sk(pair(Agent (honest a),Agent (honest a)))),Agent (honest a),Agent (honest a),Nonce (absNB(pair(Agent (honest a),Agent (honest a)))),Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (honest a),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (honest a),Nonce (absNB(pair(Agent (honest a),Agent (honest a))))))),SymKey (absKAB(pair(Agent (honest a),Agent (honest a)))),pair(scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (honest a)))),Agent (honest a)))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (honest a),SymKey (absKAB(pair(Agent (honest a),Agent (honest a)))))))),(SID sid)]);
fp_274: State (rs,[Agent (honest a),Step 1,SymKey (sk(pair(Agent (honest a),Agent (honest a)))),SymKey (sk(pair(Agent (honest a),Agent (honest a)))),Agent (honest a),Agent (honest a),Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (honest a),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (honest a),Nonce (absNB(pair(Agent (honest a),Agent (dishonest i))))))),SymKey (absKAB(pair(Agent (honest a),Agent (honest a)))),pair(scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),Agent (honest a)))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (honest a),SymKey (absKAB(pair(Agent (honest a),Agent (honest a)))))))),(SID sid)]);
fp_275: State (rs,[Agent (honest a),Step 1,SymKey (sk(pair(Agent (honest a),Agent (honest a)))),SymKey (sk(pair(Agent (honest a),Agent (honest a)))),Agent (honest a),Agent (honest a),Nonce (absNA(pair(Agent (honest a),Agent (honest a)))),Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (honest a),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (honest a),Nonce (absNA(pair(Agent (honest a),Agent (honest a))))))),SymKey (absKAB(pair(Agent (honest a),Agent (honest a)))),pair(scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (honest a)))),Agent (honest a)))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (honest a),SymKey (absKAB(pair(Agent (honest a),Agent (honest a)))))))),(SID sid)]);
fp_276: State (rs,[Agent (honest a),Step 1,SymKey (sk(pair(Agent (honest a),Agent (honest a)))),SymKey (sk(pair(Agent (honest a),Agent (honest a)))),Agent (honest a),Agent (honest a),Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (honest a),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (honest a),Nonce (absNA(pair(Agent (honest a),Agent (dishonest i))))))),SymKey (absKAB(pair(Agent (honest a),Agent (honest a)))),pair(scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),Agent (honest a)))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (honest a),SymKey (absKAB(pair(Agent (honest a),Agent (honest a)))))))),(SID sid)]);
fp_277: State (rs,[Agent (honest a),Step 1,SymKey (sk(pair(Agent (honest a),Agent (honest a)))),SymKey (sk(pair(Agent (honest a),Agent (honest a)))),Agent (honest a),Agent (honest a),Nonce (ni),Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (honest a),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (honest a),Nonce (ni)))),SymKey (absKAB(pair(Agent (honest a),Agent (honest a)))),pair(scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (ni),Agent (honest a)))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (honest a),SymKey (absKAB(pair(Agent (honest a),Agent (honest a)))))))),(SID sid)]);
fp_278: State (rs,[Agent (honest a),Step 1,SymKey (sk(pair(Agent (honest a),Agent (honest a)))),SymKey (sk(pair(Agent (honest a),Agent (honest a)))),Agent (honest a),Agent (honest a),Nonce (absNB(pair(Agent (honest a),Agent (honest a)))),Nonce (ni),pair(Agent (honest a),pair(Nonce (ni),pair(Agent (honest a),Nonce (absNB(pair(Agent (honest a),Agent (honest a))))))),SymKey (absKAB(pair(Agent (honest a),Agent (honest a)))),pair(scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (honest a)))),Agent (honest a)))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (ni),pair(Agent (honest a),SymKey (absKAB(pair(Agent (honest a),Agent (honest a)))))))),(SID sid)]);
fp_279: State (rs,[Agent (honest a),Step 1,SymKey (sk(pair(Agent (honest a),Agent (honest a)))),SymKey (sk(pair(Agent (honest a),Agent (honest a)))),Agent (honest a),Agent (honest a),Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),Nonce (ni),pair(Agent (honest a),pair(Nonce (ni),pair(Agent (honest a),Nonce (absNB(pair(Agent (honest a),Agent (dishonest i))))))),SymKey (absKAB(pair(Agent (honest a),Agent (honest a)))),pair(scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),Agent (honest a)))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (ni),pair(Agent (honest a),SymKey (absKAB(pair(Agent (honest a),Agent (honest a)))))))),(SID sid)]);
fp_280: State (rs,[Agent (honest a),Step 1,SymKey (sk(pair(Agent (honest a),Agent (honest a)))),SymKey (sk(pair(Agent (honest a),Agent (honest a)))),Agent (honest a),Agent (honest a),Nonce (absNA(pair(Agent (honest a),Agent (honest a)))),Nonce (ni),pair(Agent (honest a),pair(Nonce (ni),pair(Agent (honest a),Nonce (absNA(pair(Agent (honest a),Agent (honest a))))))),SymKey (absKAB(pair(Agent (honest a),Agent (honest a)))),pair(scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (honest a)))),Agent (honest a)))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (ni),pair(Agent (honest a),SymKey (absKAB(pair(Agent (honest a),Agent (honest a)))))))),(SID sid)]);
fp_281: State (rs,[Agent (honest a),Step 1,SymKey (sk(pair(Agent (honest a),Agent (honest a)))),SymKey (sk(pair(Agent (honest a),Agent (honest a)))),Agent (honest a),Agent (honest a),Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),Nonce (ni),pair(Agent (honest a),pair(Nonce (ni),pair(Agent (honest a),Nonce (absNA(pair(Agent (honest a),Agent (dishonest i))))))),SymKey (absKAB(pair(Agent (honest a),Agent (honest a)))),pair(scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),Agent (honest a)))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (ni),pair(Agent (honest a),SymKey (absKAB(pair(Agent (honest a),Agent (honest a)))))))),(SID sid)]);
fp_282: iknows(scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),Agent (honest a)))));
fp_283: iknows(scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (honest a)))),Agent (honest a)))));
fp_284: iknows(scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),Agent (honest a)))));
fp_285: iknows(scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (honest a)))),Agent (honest a)))));
fp_286: iknows(scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (honest a),SymKey (absKAB(pair(Agent (honest a),Agent (honest a))))))));
fp_287: iknows(scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (honest a)))),pair(Agent (honest a),SymKey (absKAB(pair(Agent (honest a),Agent (honest a))))))));
fp_288: iknows(scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (honest a),SymKey (absKAB(pair(Agent (honest a),Agent (honest a))))))));
fp_289: iknows(scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (honest a)))),pair(Agent (honest a),SymKey (absKAB(pair(Agent (honest a),Agent (honest a))))))));
fp_290: iknows(scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),Agent (dishonest i)))));
fp_291: iknows(scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (honest a)))),Agent (dishonest i)))));
fp_292: iknows(scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),Agent (dishonest i)))));
fp_293: iknows(scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (honest a)))),Agent (dishonest i)))));
fp_294: iknows(scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (honest a),SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i))))))));
fp_295: iknows(scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (honest a)))),pair(Agent (honest a),SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i))))))));
fp_296: iknows(scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (honest a),SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i))))))));
fp_297: iknows(scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (honest a)))),pair(Agent (honest a),SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i))))))));
fp_298: iknows(scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),Agent (honest a)))));
fp_299: iknows(scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (honest a)))),Agent (honest a)))));
fp_300: iknows(scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),Agent (honest a)))));
fp_301: iknows(scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (honest a)))),Agent (honest a)))));
fp_302: iknows(scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),SymKey (absKAB(pair(Agent (dishonest i),Agent (honest a))))))));
fp_303: iknows(scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (honest a)))),pair(Agent (dishonest i),SymKey (absKAB(pair(Agent (dishonest i),Agent (honest a))))))));
fp_304: iknows(scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),SymKey (absKAB(pair(Agent (dishonest i),Agent (honest a))))))));
fp_305: iknows(scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (honest a)))),pair(Agent (dishonest i),SymKey (absKAB(pair(Agent (dishonest i),Agent (honest a))))))));
fp_306: iknows(scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),Agent (dishonest i)))));
fp_307: iknows(scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (honest a)))),Agent (dishonest i)))));
fp_308: iknows(scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),Agent (dishonest i)))));
fp_309: iknows(scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (honest a)))),Agent (dishonest i)))));
fp_310: iknows(scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i))))))));
fp_311: iknows(scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (honest a)))),pair(Agent (dishonest i),SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i))))))));
fp_312: iknows(scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i))))))));
fp_313: iknows(scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (honest a)))),pair(Agent (dishonest i),SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i))))))));
fp_314: iknows(SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))));
fp_315: iknows(SymKey (absKAB(pair(Agent (dishonest i),Agent (honest a)))));
fp_316: iknows(SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))));
fp_317: iknows(pair(scrypt(SymKey (absKAB(pair(Agent (honest a),Agent (honest a)))),Nonce (ni)),Nonce (absNB2(pair(Agent (honest a),Agent (honest a))))));
fp_318: iknows(pair(Agent (dishonest i),pair(scrypt(SymKey (absKAB(pair(Agent (honest a),Agent (honest a)))),Nonce (ni)),Nonce (absNB2(pair(Agent (honest a),Agent (honest a)))))));
fp_319: iknows(pair(scrypt(SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))),Nonce (ni)),Nonce (absNB2(pair(Agent (honest a),Agent (dishonest i))))));
fp_320: iknows(pair(Agent (dishonest i),pair(scrypt(SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))),Nonce (ni)),Nonce (absNB2(pair(Agent (honest a),Agent (dishonest i)))))));
fp_321: iknows(pair(scrypt(SymKey (absKAB(pair(Agent (honest a),Agent (honest a)))),Nonce (absNA(pair(Agent (honest a),Agent (dishonest i))))),Nonce (absNB2(pair(Agent (honest a),Agent (honest a))))));
fp_322: iknows(pair(Agent (dishonest i),pair(scrypt(SymKey (absKAB(pair(Agent (honest a),Agent (honest a)))),Nonce (absNA(pair(Agent (honest a),Agent (dishonest i))))),Nonce (absNB2(pair(Agent (honest a),Agent (honest a)))))));
fp_323: iknows(pair(scrypt(SymKey (absKAB(pair(Agent (honest a),Agent (honest a)))),Nonce (absNA(pair(Agent (honest a),Agent (honest a))))),Nonce (absNB2(pair(Agent (honest a),Agent (honest a))))));
fp_324: iknows(pair(Agent (dishonest i),pair(scrypt(SymKey (absKAB(pair(Agent (honest a),Agent (honest a)))),Nonce (absNA(pair(Agent (honest a),Agent (honest a))))),Nonce (absNB2(pair(Agent (honest a),Agent (honest a)))))));
fp_325: iknows(pair(scrypt(SymKey (absKAB(pair(Agent (honest a),Agent (honest a)))),Nonce (absNB(pair(Agent (honest a),Agent (dishonest i))))),Nonce (absNB2(pair(Agent (honest a),Agent (honest a))))));
fp_326: iknows(pair(Agent (dishonest i),pair(scrypt(SymKey (absKAB(pair(Agent (honest a),Agent (honest a)))),Nonce (absNB(pair(Agent (honest a),Agent (dishonest i))))),Nonce (absNB2(pair(Agent (honest a),Agent (honest a)))))));
fp_327: iknows(pair(scrypt(SymKey (absKAB(pair(Agent (honest a),Agent (honest a)))),Nonce (absNB(pair(Agent (honest a),Agent (honest a))))),Nonce (absNB2(pair(Agent (honest a),Agent (honest a))))));
fp_328: iknows(pair(Agent (dishonest i),pair(scrypt(SymKey (absKAB(pair(Agent (honest a),Agent (honest a)))),Nonce (absNB(pair(Agent (honest a),Agent (honest a))))),Nonce (absNB2(pair(Agent (honest a),Agent (honest a)))))));
fp_329: iknows(pair(scrypt(SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))),Nonce (absNA(pair(Agent (honest a),Agent (dishonest i))))),Nonce (absNB2(pair(Agent (honest a),Agent (dishonest i))))));
fp_330: iknows(pair(Agent (dishonest i),pair(scrypt(SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))),Nonce (absNA(pair(Agent (honest a),Agent (dishonest i))))),Nonce (absNB2(pair(Agent (honest a),Agent (dishonest i)))))));
fp_331: iknows(pair(scrypt(SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))),Nonce (absNA(pair(Agent (honest a),Agent (honest a))))),Nonce (absNB2(pair(Agent (honest a),Agent (dishonest i))))));
fp_332: iknows(pair(Agent (dishonest i),pair(scrypt(SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))),Nonce (absNA(pair(Agent (honest a),Agent (honest a))))),Nonce (absNB2(pair(Agent (honest a),Agent (dishonest i)))))));
fp_333: iknows(pair(scrypt(SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))),Nonce (absNB(pair(Agent (honest a),Agent (dishonest i))))),Nonce (absNB2(pair(Agent (honest a),Agent (dishonest i))))));
fp_334: iknows(pair(Agent (dishonest i),pair(scrypt(SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))),Nonce (absNB(pair(Agent (honest a),Agent (dishonest i))))),Nonce (absNB2(pair(Agent (honest a),Agent (dishonest i)))))));
fp_335: iknows(pair(scrypt(SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))),Nonce (absNB(pair(Agent (honest a),Agent (honest a))))),Nonce (absNB2(pair(Agent (honest a),Agent (dishonest i))))));
fp_336: iknows(pair(Agent (dishonest i),pair(scrypt(SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))),Nonce (absNB(pair(Agent (honest a),Agent (honest a))))),Nonce (absNB2(pair(Agent (honest a),Agent (dishonest i)))))));
fp_337: iknows(pair(scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (ni),Agent (honest a)))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (ni),pair(Agent (honest a),SymKey (absKAB(pair(Agent (honest a),Agent (honest a)))))))));
fp_338: iknows(pair(scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),Agent (honest a)))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (ni),pair(Agent (honest a),SymKey (absKAB(pair(Agent (honest a),Agent (honest a)))))))));
fp_339: iknows(pair(scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (honest a)))),Agent (honest a)))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (ni),pair(Agent (honest a),SymKey (absKAB(pair(Agent (honest a),Agent (honest a)))))))));
fp_340: iknows(pair(scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),Agent (honest a)))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (ni),pair(Agent (honest a),SymKey (absKAB(pair(Agent (honest a),Agent (honest a)))))))));
fp_341: iknows(pair(scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (honest a)))),Agent (honest a)))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (ni),pair(Agent (honest a),SymKey (absKAB(pair(Agent (honest a),Agent (honest a)))))))));
fp_342: iknows(pair(scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (ni),Agent (honest a)))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (honest a),SymKey (absKAB(pair(Agent (honest a),Agent (honest a)))))))));
fp_343: iknows(pair(scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),Agent (honest a)))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (honest a),SymKey (absKAB(pair(Agent (honest a),Agent (honest a)))))))));
fp_344: iknows(pair(scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (honest a)))),Agent (honest a)))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (honest a),SymKey (absKAB(pair(Agent (honest a),Agent (honest a)))))))));
fp_345: iknows(pair(scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),Agent (honest a)))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (honest a),SymKey (absKAB(pair(Agent (honest a),Agent (honest a)))))))));
fp_346: iknows(pair(scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (honest a)))),Agent (honest a)))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (honest a),SymKey (absKAB(pair(Agent (honest a),Agent (honest a)))))))));
fp_347: iknows(pair(scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (ni),Agent (honest a)))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (honest a)))),pair(Agent (honest a),SymKey (absKAB(pair(Agent (honest a),Agent (honest a)))))))));
fp_348: iknows(pair(scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),Agent (honest a)))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (honest a)))),pair(Agent (honest a),SymKey (absKAB(pair(Agent (honest a),Agent (honest a)))))))));
fp_349: iknows(pair(scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (honest a)))),Agent (honest a)))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (honest a)))),pair(Agent (honest a),SymKey (absKAB(pair(Agent (honest a),Agent (honest a)))))))));
fp_350: iknows(pair(scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),Agent (honest a)))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (honest a)))),pair(Agent (honest a),SymKey (absKAB(pair(Agent (honest a),Agent (honest a)))))))));
fp_351: iknows(pair(scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (honest a)))),Agent (honest a)))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (honest a)))),pair(Agent (honest a),SymKey (absKAB(pair(Agent (honest a),Agent (honest a)))))))));
fp_352: iknows(pair(scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (ni),Agent (honest a)))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (honest a),SymKey (absKAB(pair(Agent (honest a),Agent (honest a)))))))));
fp_353: iknows(pair(scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),Agent (honest a)))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (honest a),SymKey (absKAB(pair(Agent (honest a),Agent (honest a)))))))));
fp_354: iknows(pair(scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (honest a)))),Agent (honest a)))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (honest a),SymKey (absKAB(pair(Agent (honest a),Agent (honest a)))))))));
fp_355: iknows(pair(scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),Agent (honest a)))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (honest a),SymKey (absKAB(pair(Agent (honest a),Agent (honest a)))))))));
fp_356: iknows(pair(scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (honest a)))),Agent (honest a)))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (honest a),SymKey (absKAB(pair(Agent (honest a),Agent (honest a)))))))));
fp_357: iknows(pair(scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (ni),Agent (honest a)))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (honest a)))),pair(Agent (honest a),SymKey (absKAB(pair(Agent (honest a),Agent (honest a)))))))));
fp_358: iknows(pair(scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),Agent (honest a)))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (honest a)))),pair(Agent (honest a),SymKey (absKAB(pair(Agent (honest a),Agent (honest a)))))))));
fp_359: iknows(pair(scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (honest a)))),Agent (honest a)))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (honest a)))),pair(Agent (honest a),SymKey (absKAB(pair(Agent (honest a),Agent (honest a)))))))));
fp_360: iknows(pair(scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),Agent (honest a)))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (honest a)))),pair(Agent (honest a),SymKey (absKAB(pair(Agent (honest a),Agent (honest a)))))))));
fp_361: iknows(pair(scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (honest a)))),Agent (honest a)))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (honest a)))),pair(Agent (honest a),SymKey (absKAB(pair(Agent (honest a),Agent (honest a)))))))));
fp_362: iknows(pair(scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (ni),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (ni),pair(Agent (honest a),SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))))))));
fp_363: iknows(pair(scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (ni),pair(Agent (honest a),SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))))))));
fp_364: iknows(pair(scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (honest a)))),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (ni),pair(Agent (honest a),SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))))))));
fp_365: iknows(pair(scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (ni),pair(Agent (honest a),SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))))))));
fp_366: iknows(pair(scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (honest a)))),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (ni),pair(Agent (honest a),SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))))))));
fp_367: iknows(pair(scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (ni),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (honest a),SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))))))));
fp_368: iknows(pair(scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (honest a),SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))))))));
fp_369: iknows(pair(scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (honest a)))),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (honest a),SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))))))));
fp_370: iknows(pair(scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (honest a),SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))))))));
fp_371: iknows(pair(scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (honest a)))),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (honest a),SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))))))));
fp_372: iknows(pair(scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (ni),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (honest a)))),pair(Agent (honest a),SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))))))));
fp_373: iknows(pair(scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (honest a)))),pair(Agent (honest a),SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))))))));
fp_374: iknows(pair(scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (honest a)))),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (honest a)))),pair(Agent (honest a),SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))))))));
fp_375: iknows(pair(scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (honest a)))),pair(Agent (honest a),SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))))))));
fp_376: iknows(pair(scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (honest a)))),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (honest a)))),pair(Agent (honest a),SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))))))));
fp_377: iknows(pair(scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (ni),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (honest a),SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))))))));
fp_378: iknows(pair(scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (honest a),SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))))))));
fp_379: iknows(pair(scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (honest a)))),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (honest a),SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))))))));
fp_380: iknows(pair(scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (honest a),SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))))))));
fp_381: iknows(pair(scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (honest a)))),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (honest a),SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))))))));
fp_382: iknows(pair(scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (ni),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (honest a)))),pair(Agent (honest a),SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))))))));
fp_383: iknows(pair(scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (honest a)))),pair(Agent (honest a),SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))))))));
fp_384: iknows(pair(scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (honest a)))),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (honest a)))),pair(Agent (honest a),SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))))))));
fp_385: iknows(pair(scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (honest a)))),pair(Agent (honest a),SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))))))));
fp_386: iknows(pair(scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (honest a)))),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (honest a)))),pair(Agent (honest a),SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))))))));
fp_387: iknows(pair(scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (ni),Agent (honest a)))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (ni),pair(Agent (dishonest i),SymKey (absKAB(pair(Agent (dishonest i),Agent (honest a)))))))));
fp_388: iknows(pair(scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),Agent (honest a)))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (ni),pair(Agent (dishonest i),SymKey (absKAB(pair(Agent (dishonest i),Agent (honest a)))))))));
fp_389: iknows(pair(scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (honest a)))),Agent (honest a)))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (ni),pair(Agent (dishonest i),SymKey (absKAB(pair(Agent (dishonest i),Agent (honest a)))))))));
fp_390: iknows(pair(scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),Agent (honest a)))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (ni),pair(Agent (dishonest i),SymKey (absKAB(pair(Agent (dishonest i),Agent (honest a)))))))));
fp_391: iknows(pair(scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (honest a)))),Agent (honest a)))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (ni),pair(Agent (dishonest i),SymKey (absKAB(pair(Agent (dishonest i),Agent (honest a)))))))));
fp_392: iknows(pair(scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (ni),Agent (honest a)))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),SymKey (absKAB(pair(Agent (dishonest i),Agent (honest a)))))))));
fp_393: iknows(pair(scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),Agent (honest a)))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),SymKey (absKAB(pair(Agent (dishonest i),Agent (honest a)))))))));
fp_394: iknows(pair(scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (honest a)))),Agent (honest a)))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),SymKey (absKAB(pair(Agent (dishonest i),Agent (honest a)))))))));
fp_395: iknows(pair(scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),Agent (honest a)))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),SymKey (absKAB(pair(Agent (dishonest i),Agent (honest a)))))))));
fp_396: iknows(pair(scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (honest a)))),Agent (honest a)))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),SymKey (absKAB(pair(Agent (dishonest i),Agent (honest a)))))))));
fp_397: iknows(pair(scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (ni),Agent (honest a)))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (honest a)))),pair(Agent (dishonest i),SymKey (absKAB(pair(Agent (dishonest i),Agent (honest a)))))))));
fp_398: iknows(pair(scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),Agent (honest a)))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (honest a)))),pair(Agent (dishonest i),SymKey (absKAB(pair(Agent (dishonest i),Agent (honest a)))))))));
fp_399: iknows(pair(scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (honest a)))),Agent (honest a)))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (honest a)))),pair(Agent (dishonest i),SymKey (absKAB(pair(Agent (dishonest i),Agent (honest a)))))))));
fp_400: iknows(pair(scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),Agent (honest a)))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (honest a)))),pair(Agent (dishonest i),SymKey (absKAB(pair(Agent (dishonest i),Agent (honest a)))))))));
fp_401: iknows(pair(scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (honest a)))),Agent (honest a)))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (honest a)))),pair(Agent (dishonest i),SymKey (absKAB(pair(Agent (dishonest i),Agent (honest a)))))))));
fp_402: iknows(pair(scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (ni),Agent (honest a)))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),SymKey (absKAB(pair(Agent (dishonest i),Agent (honest a)))))))));
fp_403: iknows(pair(scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),Agent (honest a)))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),SymKey (absKAB(pair(Agent (dishonest i),Agent (honest a)))))))));
fp_404: iknows(pair(scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (honest a)))),Agent (honest a)))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),SymKey (absKAB(pair(Agent (dishonest i),Agent (honest a)))))))));
fp_405: iknows(pair(scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),Agent (honest a)))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),SymKey (absKAB(pair(Agent (dishonest i),Agent (honest a)))))))));
fp_406: iknows(pair(scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (honest a)))),Agent (honest a)))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),SymKey (absKAB(pair(Agent (dishonest i),Agent (honest a)))))))));
fp_407: iknows(pair(scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (ni),Agent (honest a)))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (honest a)))),pair(Agent (dishonest i),SymKey (absKAB(pair(Agent (dishonest i),Agent (honest a)))))))));
fp_408: iknows(pair(scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),Agent (honest a)))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (honest a)))),pair(Agent (dishonest i),SymKey (absKAB(pair(Agent (dishonest i),Agent (honest a)))))))));
fp_409: iknows(pair(scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (honest a)))),Agent (honest a)))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (honest a)))),pair(Agent (dishonest i),SymKey (absKAB(pair(Agent (dishonest i),Agent (honest a)))))))));
fp_410: iknows(pair(scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),Agent (honest a)))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (honest a)))),pair(Agent (dishonest i),SymKey (absKAB(pair(Agent (dishonest i),Agent (honest a)))))))));
fp_411: iknows(pair(scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (honest a)))),Agent (honest a)))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (honest a)))),pair(Agent (dishonest i),SymKey (absKAB(pair(Agent (dishonest i),Agent (honest a)))))))));
fp_412: iknows(pair(scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))),pair(Nonce (ni),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (ni),pair(Agent (dishonest i),SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))))))));
fp_413: iknows(pair(scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (ni),pair(Agent (dishonest i),SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))))))));
fp_414: iknows(pair(scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (honest a)))),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (ni),pair(Agent (dishonest i),SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))))))));
fp_415: iknows(pair(scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (ni),pair(Agent (dishonest i),SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))))))));
fp_416: iknows(pair(scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (honest a)))),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (ni),pair(Agent (dishonest i),SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))))))));
fp_417: iknows(pair(scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))),pair(Nonce (ni),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))))))));
fp_418: iknows(pair(scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))))))));
fp_419: iknows(pair(scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (honest a)))),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))))))));
fp_420: iknows(pair(scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))))))));
fp_421: iknows(pair(scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (honest a)))),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))))))));
fp_422: iknows(pair(scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))),pair(Nonce (ni),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (honest a)))),pair(Agent (dishonest i),SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))))))));
fp_423: iknows(pair(scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (honest a)))),pair(Agent (dishonest i),SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))))))));
fp_424: iknows(pair(scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (honest a)))),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (honest a)))),pair(Agent (dishonest i),SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))))))));
fp_425: iknows(pair(scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (honest a)))),pair(Agent (dishonest i),SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))))))));
fp_426: iknows(pair(scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (honest a)))),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (honest a)))),pair(Agent (dishonest i),SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))))))));
fp_427: iknows(pair(scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))),pair(Nonce (ni),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))))))));
fp_428: iknows(pair(scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))))))));
fp_429: iknows(pair(scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (honest a)))),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))))))));
fp_430: iknows(pair(scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))))))));
fp_431: iknows(pair(scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (honest a)))),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))))))));
fp_432: iknows(pair(scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))),pair(Nonce (ni),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (honest a)))),pair(Agent (dishonest i),SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))))))));
fp_433: iknows(pair(scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (honest a)))),pair(Agent (dishonest i),SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))))))));
fp_434: iknows(pair(scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (honest a)))),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (honest a)))),pair(Agent (dishonest i),SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))))))));
fp_435: iknows(pair(scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (honest a)))),pair(Agent (dishonest i),SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))))))));
fp_436: iknows(pair(scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (honest a)))),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (honest a)))),pair(Agent (dishonest i),SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))))))));
fp_437: iknows(pair(Agent (honest a),Nonce (absNB(pair(Agent (honest a),Agent (honest a))))));
fp_438: iknows(pair(Nonce (ni),pair(Agent (honest a),Nonce (absNB(pair(Agent (honest a),Agent (honest a)))))));
fp_439: iknows(pair(Agent (honest a),pair(Nonce (ni),pair(Agent (honest a),Nonce (absNB(pair(Agent (honest a),Agent (honest a))))))));
fp_440: iknows(pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (honest a),Nonce (absNB(pair(Agent (honest a),Agent (honest a)))))));
fp_441: iknows(pair(Agent (honest a),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (honest a),Nonce (absNB(pair(Agent (honest a),Agent (honest a))))))));
fp_442: iknows(pair(Nonce (absNA(pair(Agent (honest a),Agent (honest a)))),pair(Agent (honest a),Nonce (absNB(pair(Agent (honest a),Agent (honest a)))))));
fp_443: iknows(pair(Agent (honest a),pair(Nonce (absNA(pair(Agent (honest a),Agent (honest a)))),pair(Agent (honest a),Nonce (absNB(pair(Agent (honest a),Agent (honest a))))))));
fp_444: iknows(pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (honest a),Nonce (absNB(pair(Agent (honest a),Agent (honest a)))))));
fp_445: iknows(pair(Agent (honest a),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (honest a),Nonce (absNB(pair(Agent (honest a),Agent (honest a))))))));
fp_446: iknows(pair(Nonce (absNB(pair(Agent (honest a),Agent (honest a)))),pair(Agent (honest a),Nonce (absNB(pair(Agent (honest a),Agent (honest a)))))));
fp_447: iknows(pair(Agent (honest a),pair(Nonce (absNB(pair(Agent (honest a),Agent (honest a)))),pair(Agent (honest a),Nonce (absNB(pair(Agent (honest a),Agent (honest a))))))));
fp_448: iknows(pair(Agent (honest a),Nonce (absNB(pair(Agent (honest a),Agent (dishonest i))))));
fp_449: iknows(pair(Nonce (ni),pair(Agent (honest a),Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))))));
fp_450: iknows(pair(Agent (dishonest i),pair(Nonce (ni),pair(Agent (honest a),Nonce (absNB(pair(Agent (honest a),Agent (dishonest i))))))));
fp_451: iknows(pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (honest a),Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))))));
fp_452: iknows(pair(Agent (dishonest i),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (honest a),Nonce (absNB(pair(Agent (honest a),Agent (dishonest i))))))));
fp_453: iknows(pair(Nonce (absNA(pair(Agent (honest a),Agent (honest a)))),pair(Agent (honest a),Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))))));
fp_454: iknows(pair(Agent (dishonest i),pair(Nonce (absNA(pair(Agent (honest a),Agent (honest a)))),pair(Agent (honest a),Nonce (absNB(pair(Agent (honest a),Agent (dishonest i))))))));
fp_455: iknows(pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (honest a),Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))))));
fp_456: iknows(pair(Agent (dishonest i),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (honest a),Nonce (absNB(pair(Agent (honest a),Agent (dishonest i))))))));
fp_457: iknows(pair(Nonce (absNB(pair(Agent (honest a),Agent (honest a)))),pair(Agent (honest a),Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))))));
fp_458: iknows(pair(Agent (dishonest i),pair(Nonce (absNB(pair(Agent (honest a),Agent (honest a)))),pair(Agent (honest a),Nonce (absNB(pair(Agent (honest a),Agent (dishonest i))))))));
fp_459: iknows(pair(Agent (honest a),Nonce (absNA(pair(Agent (honest a),Agent (honest a))))));
fp_460: iknows(pair(Agent (honest a),Nonce (absNA(pair(Agent (honest a),Agent (dishonest i))))));
fp_461: iknows(pair(Nonce (ni),Agent (dishonest i)));
fp_462: iknows(pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))),pair(Nonce (ni),Agent (dishonest i))));
fp_463: iknows(pair(Agent (dishonest i),SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i))))));
fp_464: iknows(pair(Nonce (ni),pair(Agent (dishonest i),SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))))));
fp_465: iknows(pair(Nonce (ni),Agent (honest a)));
fp_466: iknows(pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (ni),Agent (honest a))));
fp_467: iknows(pair(Agent (honest a),SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i))))));
fp_468: iknows(pair(Nonce (ni),pair(Agent (honest a),SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))))));
fp_469: iknows(pair(Nonce (absNB(pair(Agent (honest a),Agent (honest a)))),pair(Agent (dishonest i),SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))))));
fp_470: iknows(pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))))));
fp_471: iknows(pair(Nonce (absNA(pair(Agent (honest a),Agent (honest a)))),pair(Agent (dishonest i),SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))))));
fp_472: iknows(pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))))));
fp_473: iknows(pair(Nonce (absNB(pair(Agent (honest a),Agent (honest a)))),Agent (dishonest i)));
fp_474: iknows(pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (honest a)))),Agent (dishonest i))));
fp_475: iknows(pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),Agent (dishonest i)));
fp_476: iknows(pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),Agent (dishonest i))));
fp_477: iknows(pair(Nonce (absNA(pair(Agent (honest a),Agent (honest a)))),Agent (dishonest i)));
fp_478: iknows(pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (honest a)))),Agent (dishonest i))));
fp_479: iknows(pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),Agent (dishonest i)));
fp_480: iknows(pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),Agent (dishonest i))));
fp_481: iknows(pair(Nonce (absNB(pair(Agent (honest a),Agent (honest a)))),Agent (honest a)));
fp_482: iknows(pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (honest a)))),Agent (honest a))));
fp_483: iknows(pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),Agent (honest a)));
fp_484: iknows(pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),Agent (honest a))));
fp_485: iknows(pair(Nonce (absNA(pair(Agent (honest a),Agent (honest a)))),Agent (honest a)));
fp_486: iknows(pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (honest a)))),Agent (honest a))));
fp_487: iknows(pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),Agent (honest a)));
fp_488: iknows(pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),Agent (honest a))));
fp_489: iknows(pair(Nonce (absNB(pair(Agent (honest a),Agent (honest a)))),pair(Agent (honest a),SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))))));
fp_490: iknows(pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (honest a),SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))))));
fp_491: iknows(pair(Nonce (absNA(pair(Agent (honest a),Agent (honest a)))),pair(Agent (honest a),SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))))));
fp_492: iknows(pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (honest a),SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))))));
fp_493: State (rB,[Agent (honest a),Step 2,SymKey (sk(pair(Agent (honest a),Agent (honest a)))),Agent (honest a),Agent (dishonest i),Nonce (absNB(pair(Agent (honest a),Agent (honest a)))),pair(Agent (dishonest i),Nonce (absNB(pair(Agent (honest a),Agent (honest a))))),Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),pair(Nonce (absNB(pair(Agent (honest a),Agent (honest a)))),pair(Agent (honest a),Nonce (absNB(pair(Agent (honest a),Agent (dishonest i))))))),Agent (dishonest i),SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),Agent (dishonest i)))),pair(scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),Agent (dishonest i)))),Agent (dishonest i)),Nonce (absNB2(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),pair(scrypt(SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))),Nonce (absNB(pair(Agent (honest a),Agent (honest a))))),Nonce (absNB2(pair(Agent (honest a),Agent (dishonest i)))))),(SID sid)]);
fp_494: State (rB,[Agent (honest a),Step 2,SymKey (sk(pair(Agent (honest a),Agent (honest a)))),Agent (honest a),Agent (dishonest i),Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),Nonce (absNB(pair(Agent (honest a),Agent (dishonest i))))),Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (honest a),Nonce (absNB(pair(Agent (honest a),Agent (dishonest i))))))),Agent (dishonest i),SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),Agent (dishonest i)))),pair(scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),Agent (dishonest i)))),Agent (dishonest i)),Nonce (absNB2(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),pair(scrypt(SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))),Nonce (absNB(pair(Agent (honest a),Agent (dishonest i))))),Nonce (absNB2(pair(Agent (honest a),Agent (dishonest i)))))),(SID sid)]);
fp_495: State (rB,[Agent (honest a),Step 2,SymKey (sk(pair(Agent (honest a),Agent (honest a)))),Agent (honest a),Agent (dishonest i),Nonce (absNA(pair(Agent (honest a),Agent (honest a)))),pair(Agent (dishonest i),Nonce (absNA(pair(Agent (honest a),Agent (honest a))))),Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),pair(Nonce (absNA(pair(Agent (honest a),Agent (honest a)))),pair(Agent (honest a),Nonce (absNB(pair(Agent (honest a),Agent (dishonest i))))))),Agent (dishonest i),SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),Agent (dishonest i)))),pair(scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),Agent (dishonest i)))),Agent (dishonest i)),Nonce (absNB2(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),pair(scrypt(SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))),Nonce (absNA(pair(Agent (honest a),Agent (honest a))))),Nonce (absNB2(pair(Agent (honest a),Agent (dishonest i)))))),(SID sid)]);
fp_496: State (rB,[Agent (honest a),Step 2,SymKey (sk(pair(Agent (honest a),Agent (honest a)))),Agent (honest a),Agent (dishonest i),Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),Nonce (absNA(pair(Agent (honest a),Agent (dishonest i))))),Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (honest a),Nonce (absNB(pair(Agent (honest a),Agent (dishonest i))))))),Agent (dishonest i),SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),Agent (dishonest i)))),pair(scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),Agent (dishonest i)))),Agent (dishonest i)),Nonce (absNB2(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),pair(scrypt(SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))),Nonce (absNA(pair(Agent (honest a),Agent (dishonest i))))),Nonce (absNB2(pair(Agent (honest a),Agent (dishonest i)))))),(SID sid)]);
fp_497: State (rB,[Agent (honest a),Step 2,SymKey (sk(pair(Agent (honest a),Agent (honest a)))),Agent (honest a),Agent (honest a),Nonce (absNB(pair(Agent (honest a),Agent (honest a)))),pair(Agent (honest a),Nonce (absNB(pair(Agent (honest a),Agent (honest a))))),Nonce (absNB(pair(Agent (honest a),Agent (honest a)))),pair(Agent (honest a),pair(Nonce (absNB(pair(Agent (honest a),Agent (honest a)))),pair(Agent (honest a),Nonce (absNB(pair(Agent (honest a),Agent (honest a))))))),Agent (dishonest i),SymKey (absKAB(pair(Agent (honest a),Agent (honest a)))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (honest a)))),Agent (honest a)))),pair(scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (honest a)))),Agent (honest a)))),Agent (dishonest i)),Nonce (absNB2(pair(Agent (honest a),Agent (honest a)))),pair(Agent (dishonest i),pair(scrypt(SymKey (absKAB(pair(Agent (honest a),Agent (honest a)))),Nonce (absNB(pair(Agent (honest a),Agent (honest a))))),Nonce (absNB2(pair(Agent (honest a),Agent (honest a)))))),(SID sid)]);
fp_498: State (rB,[Agent (honest a),Step 2,SymKey (sk(pair(Agent (honest a),Agent (honest a)))),Agent (honest a),Agent (honest a),Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (honest a),Nonce (absNB(pair(Agent (honest a),Agent (dishonest i))))),Nonce (absNB(pair(Agent (honest a),Agent (honest a)))),pair(Agent (honest a),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (honest a),Nonce (absNB(pair(Agent (honest a),Agent (honest a))))))),Agent (dishonest i),SymKey (absKAB(pair(Agent (honest a),Agent (honest a)))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (honest a)))),Agent (honest a)))),pair(scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (honest a)))),Agent (honest a)))),Agent (dishonest i)),Nonce (absNB2(pair(Agent (honest a),Agent (honest a)))),pair(Agent (dishonest i),pair(scrypt(SymKey (absKAB(pair(Agent (honest a),Agent (honest a)))),Nonce (absNB(pair(Agent (honest a),Agent (dishonest i))))),Nonce (absNB2(pair(Agent (honest a),Agent (honest a)))))),(SID sid)]);
fp_499: State (rB,[Agent (honest a),Step 2,SymKey (sk(pair(Agent (honest a),Agent (honest a)))),Agent (honest a),Agent (honest a),Nonce (absNA(pair(Agent (honest a),Agent (honest a)))),pair(Agent (honest a),Nonce (absNA(pair(Agent (honest a),Agent (honest a))))),Nonce (absNB(pair(Agent (honest a),Agent (honest a)))),pair(Agent (honest a),pair(Nonce (absNA(pair(Agent (honest a),Agent (honest a)))),pair(Agent (honest a),Nonce (absNB(pair(Agent (honest a),Agent (honest a))))))),Agent (dishonest i),SymKey (absKAB(pair(Agent (honest a),Agent (honest a)))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (honest a)))),Agent (honest a)))),pair(scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (honest a)))),Agent (honest a)))),Agent (dishonest i)),Nonce (absNB2(pair(Agent (honest a),Agent (honest a)))),pair(Agent (dishonest i),pair(scrypt(SymKey (absKAB(pair(Agent (honest a),Agent (honest a)))),Nonce (absNA(pair(Agent (honest a),Agent (honest a))))),Nonce (absNB2(pair(Agent (honest a),Agent (honest a)))))),(SID sid)]);
fp_500: State (rB,[Agent (honest a),Step 2,SymKey (sk(pair(Agent (honest a),Agent (honest a)))),Agent (honest a),Agent (honest a),Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (honest a),Nonce (absNA(pair(Agent (honest a),Agent (dishonest i))))),Nonce (absNB(pair(Agent (honest a),Agent (honest a)))),pair(Agent (honest a),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (honest a),Nonce (absNB(pair(Agent (honest a),Agent (honest a))))))),Agent (dishonest i),SymKey (absKAB(pair(Agent (honest a),Agent (honest a)))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (honest a)))),Agent (honest a)))),pair(scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (honest a)))),Agent (honest a)))),Agent (dishonest i)),Nonce (absNB2(pair(Agent (honest a),Agent (honest a)))),pair(Agent (dishonest i),pair(scrypt(SymKey (absKAB(pair(Agent (honest a),Agent (honest a)))),Nonce (absNA(pair(Agent (honest a),Agent (dishonest i))))),Nonce (absNB2(pair(Agent (honest a),Agent (honest a)))))),(SID sid)]);
fp_501: State (rB,[Agent (honest a),Step 2,SymKey (sk(pair(Agent (honest a),Agent (honest a)))),Agent (honest a),Agent (dishonest i),Nonce (ni),pair(Agent (dishonest i),Nonce (ni)),Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),pair(Nonce (ni),pair(Agent (honest a),Nonce (absNB(pair(Agent (honest a),Agent (dishonest i))))))),Agent (dishonest i),SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),Agent (dishonest i)))),pair(scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),Agent (dishonest i)))),Agent (dishonest i)),Nonce (absNB2(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),pair(scrypt(SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))),Nonce (ni)),Nonce (absNB2(pair(Agent (honest a),Agent (dishonest i)))))),(SID sid)]);
fp_502: State (rB,[Agent (honest a),Step 2,SymKey (sk(pair(Agent (honest a),Agent (honest a)))),Agent (honest a),Agent (honest a),Nonce (ni),pair(Agent (honest a),Nonce (ni)),Nonce (absNB(pair(Agent (honest a),Agent (honest a)))),pair(Agent (honest a),pair(Nonce (ni),pair(Agent (honest a),Nonce (absNB(pair(Agent (honest a),Agent (honest a))))))),Agent (dishonest i),SymKey (absKAB(pair(Agent (honest a),Agent (honest a)))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (honest a)))),Agent (honest a)))),pair(scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (honest a)))),Agent (honest a)))),Agent (dishonest i)),Nonce (absNB2(pair(Agent (honest a),Agent (honest a)))),pair(Agent (dishonest i),pair(scrypt(SymKey (absKAB(pair(Agent (honest a),Agent (honest a)))),Nonce (ni)),Nonce (absNB2(pair(Agent (honest a),Agent (honest a)))))),(SID sid)]);
fp_503: request(Agent (honest a),Agent (honest a),Purpose (pAsKABB),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (honest a)))),Agent (dishonest i)),(SID sid));
fp_504: State (rA,[Agent (honest a),Step 2,SymKey (sk(pair(Agent (honest a),Agent (honest a)))),Agent (honest a),Agent (dishonest i),Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (honest a),Nonce (absNA(pair(Agent (honest a),Agent (dishonest i))))),Nonce (absNB(pair(Agent (honest a),Agent (honest a)))),scrypt(SymKey (absKAB(pair(Agent (dishonest i),Agent (honest a)))),Nonce (absNA(pair(Agent (honest a),Agent (dishonest i))))),SymKey (absKAB(pair(Agent (dishonest i),Agent (honest a)))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),SymKey (absKAB(pair(Agent (dishonest i),Agent (honest a))))))),pair(scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),SymKey (absKAB(pair(Agent (dishonest i),Agent (honest a))))))),pair(scrypt(SymKey (absKAB(pair(Agent (dishonest i),Agent (honest a)))),Nonce (absNA(pair(Agent (honest a),Agent (dishonest i))))),Nonce (absNB(pair(Agent (honest a),Agent (honest a)))))),scrypt(SymKey (absKAB(pair(Agent (dishonest i),Agent (honest a)))),Nonce (absNB(pair(Agent (honest a),Agent (honest a))))),(SID sid)]);
fp_505: State (rA,[Agent (honest a),Step 2,SymKey (sk(pair(Agent (honest a),Agent (honest a)))),Agent (honest a),Agent (dishonest i),Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (honest a),Nonce (absNA(pair(Agent (honest a),Agent (dishonest i))))),Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),scrypt(SymKey (absKAB(pair(Agent (dishonest i),Agent (honest a)))),Nonce (absNA(pair(Agent (honest a),Agent (dishonest i))))),SymKey (absKAB(pair(Agent (dishonest i),Agent (honest a)))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),SymKey (absKAB(pair(Agent (dishonest i),Agent (honest a))))))),pair(scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),SymKey (absKAB(pair(Agent (dishonest i),Agent (honest a))))))),pair(scrypt(SymKey (absKAB(pair(Agent (dishonest i),Agent (honest a)))),Nonce (absNA(pair(Agent (honest a),Agent (dishonest i))))),Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))))),scrypt(SymKey (absKAB(pair(Agent (dishonest i),Agent (honest a)))),Nonce (absNB(pair(Agent (honest a),Agent (dishonest i))))),(SID sid)]);
fp_506: State (rA,[Agent (honest a),Step 2,SymKey (sk(pair(Agent (honest a),Agent (honest a)))),Agent (honest a),Agent (dishonest i),Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (honest a),Nonce (absNA(pair(Agent (honest a),Agent (dishonest i))))),Nonce (absNA(pair(Agent (honest a),Agent (honest a)))),scrypt(SymKey (absKAB(pair(Agent (dishonest i),Agent (honest a)))),Nonce (absNA(pair(Agent (honest a),Agent (dishonest i))))),SymKey (absKAB(pair(Agent (dishonest i),Agent (honest a)))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),SymKey (absKAB(pair(Agent (dishonest i),Agent (honest a))))))),pair(scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),SymKey (absKAB(pair(Agent (dishonest i),Agent (honest a))))))),pair(scrypt(SymKey (absKAB(pair(Agent (dishonest i),Agent (honest a)))),Nonce (absNA(pair(Agent (honest a),Agent (dishonest i))))),Nonce (absNA(pair(Agent (honest a),Agent (honest a)))))),scrypt(SymKey (absKAB(pair(Agent (dishonest i),Agent (honest a)))),Nonce (absNA(pair(Agent (honest a),Agent (honest a))))),(SID sid)]);
fp_507: State (rA,[Agent (honest a),Step 2,SymKey (sk(pair(Agent (honest a),Agent (honest a)))),Agent (honest a),Agent (dishonest i),Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (honest a),Nonce (absNA(pair(Agent (honest a),Agent (dishonest i))))),Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),scrypt(SymKey (absKAB(pair(Agent (dishonest i),Agent (honest a)))),Nonce (absNA(pair(Agent (honest a),Agent (dishonest i))))),SymKey (absKAB(pair(Agent (dishonest i),Agent (honest a)))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),SymKey (absKAB(pair(Agent (dishonest i),Agent (honest a))))))),pair(scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),SymKey (absKAB(pair(Agent (dishonest i),Agent (honest a))))))),pair(scrypt(SymKey (absKAB(pair(Agent (dishonest i),Agent (honest a)))),Nonce (absNA(pair(Agent (honest a),Agent (dishonest i))))),Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))))),scrypt(SymKey (absKAB(pair(Agent (dishonest i),Agent (honest a)))),Nonce (absNA(pair(Agent (honest a),Agent (dishonest i))))),(SID sid)]);
fp_508: State (rA,[Agent (honest a),Step 2,SymKey (sk(pair(Agent (honest a),Agent (honest a)))),Agent (honest a),Agent (dishonest i),Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (honest a),Nonce (absNA(pair(Agent (honest a),Agent (dishonest i))))),Nonce (ni),scrypt(SymKey (absKAB(pair(Agent (dishonest i),Agent (honest a)))),Nonce (absNA(pair(Agent (honest a),Agent (dishonest i))))),SymKey (absKAB(pair(Agent (dishonest i),Agent (honest a)))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),SymKey (absKAB(pair(Agent (dishonest i),Agent (honest a))))))),pair(scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),SymKey (absKAB(pair(Agent (dishonest i),Agent (honest a))))))),pair(scrypt(SymKey (absKAB(pair(Agent (dishonest i),Agent (honest a)))),Nonce (absNA(pair(Agent (honest a),Agent (dishonest i))))),Nonce (ni))),scrypt(SymKey (absKAB(pair(Agent (dishonest i),Agent (honest a)))),Nonce (ni)),(SID sid)]);
fp_509: iknows(scrypt(SymKey (absKAB(pair(Agent (dishonest i),Agent (honest a)))),Nonce (ni)));
fp_510: iknows(scrypt(SymKey (absKAB(pair(Agent (dishonest i),Agent (honest a)))),Nonce (absNA(pair(Agent (honest a),Agent (dishonest i))))));
fp_511: iknows(scrypt(SymKey (absKAB(pair(Agent (dishonest i),Agent (honest a)))),Nonce (absNA(pair(Agent (honest a),Agent (honest a))))));
fp_512: iknows(scrypt(SymKey (absKAB(pair(Agent (dishonest i),Agent (honest a)))),Nonce (absNB(pair(Agent (honest a),Agent (dishonest i))))));
fp_513: iknows(scrypt(SymKey (absKAB(pair(Agent (dishonest i),Agent (honest a)))),Nonce (absNB(pair(Agent (honest a),Agent (honest a))))));
fp_514: iknows(Nonce (absNB2(pair(Agent (honest a),Agent (honest a)))));
fp_515: iknows(scrypt(SymKey (absKAB(pair(Agent (honest a),Agent (honest a)))),Nonce (ni)));
fp_516: iknows(Nonce (absNB2(pair(Agent (honest a),Agent (dishonest i)))));
fp_517: iknows(scrypt(SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))),Nonce (ni)));
fp_518: iknows(scrypt(SymKey (absKAB(pair(Agent (honest a),Agent (honest a)))),Nonce (absNA(pair(Agent (honest a),Agent (dishonest i))))));
fp_519: iknows(scrypt(SymKey (absKAB(pair(Agent (honest a),Agent (honest a)))),Nonce (absNA(pair(Agent (honest a),Agent (honest a))))));
fp_520: iknows(scrypt(SymKey (absKAB(pair(Agent (honest a),Agent (honest a)))),Nonce (absNB(pair(Agent (honest a),Agent (dishonest i))))));
fp_521: iknows(scrypt(SymKey (absKAB(pair(Agent (honest a),Agent (honest a)))),Nonce (absNB(pair(Agent (honest a),Agent (honest a))))));
fp_522: iknows(scrypt(SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))),Nonce (absNA(pair(Agent (honest a),Agent (dishonest i))))));
fp_523: iknows(scrypt(SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))),Nonce (absNA(pair(Agent (honest a),Agent (honest a))))));
fp_524: iknows(scrypt(SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))),Nonce (absNB(pair(Agent (honest a),Agent (dishonest i))))));
fp_525: iknows(scrypt(SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))),Nonce (absNB(pair(Agent (honest a),Agent (honest a))))));
fp_526: iknows(pair(scrypt(SymKey (absKAB(pair(Agent (honest a),Agent (honest a)))),Nonce (ni)),Nonce (absNB2(pair(Agent (honest a),Agent (honest a))))));
fp_527: iknows(pair(Agent (dishonest i),pair(scrypt(SymKey (absKAB(pair(Agent (honest a),Agent (honest a)))),Nonce (ni)),Nonce (absNB2(pair(Agent (honest a),Agent (honest a)))))));
fp_528: iknows(pair(scrypt(SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))),Nonce (ni)),Nonce (absNB2(pair(Agent (honest a),Agent (dishonest i))))));
fp_529: iknows(pair(Agent (dishonest i),pair(scrypt(SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))),Nonce (ni)),Nonce (absNB2(pair(Agent (honest a),Agent (dishonest i)))))));
fp_530: iknows(pair(scrypt(SymKey (absKAB(pair(Agent (honest a),Agent (honest a)))),Nonce (absNA(pair(Agent (honest a),Agent (dishonest i))))),Nonce (absNB2(pair(Agent (honest a),Agent (honest a))))));
fp_531: iknows(pair(Agent (dishonest i),pair(scrypt(SymKey (absKAB(pair(Agent (honest a),Agent (honest a)))),Nonce (absNA(pair(Agent (honest a),Agent (dishonest i))))),Nonce (absNB2(pair(Agent (honest a),Agent (honest a)))))));
fp_532: iknows(pair(scrypt(SymKey (absKAB(pair(Agent (honest a),Agent (honest a)))),Nonce (absNA(pair(Agent (honest a),Agent (honest a))))),Nonce (absNB2(pair(Agent (honest a),Agent (honest a))))));
fp_533: iknows(pair(Agent (dishonest i),pair(scrypt(SymKey (absKAB(pair(Agent (honest a),Agent (honest a)))),Nonce (absNA(pair(Agent (honest a),Agent (honest a))))),Nonce (absNB2(pair(Agent (honest a),Agent (honest a)))))));
fp_534: iknows(pair(scrypt(SymKey (absKAB(pair(Agent (honest a),Agent (honest a)))),Nonce (absNB(pair(Agent (honest a),Agent (dishonest i))))),Nonce (absNB2(pair(Agent (honest a),Agent (honest a))))));
fp_535: iknows(pair(Agent (dishonest i),pair(scrypt(SymKey (absKAB(pair(Agent (honest a),Agent (honest a)))),Nonce (absNB(pair(Agent (honest a),Agent (dishonest i))))),Nonce (absNB2(pair(Agent (honest a),Agent (honest a)))))));
fp_536: iknows(pair(scrypt(SymKey (absKAB(pair(Agent (honest a),Agent (honest a)))),Nonce (absNB(pair(Agent (honest a),Agent (honest a))))),Nonce (absNB2(pair(Agent (honest a),Agent (honest a))))));
fp_537: iknows(pair(Agent (dishonest i),pair(scrypt(SymKey (absKAB(pair(Agent (honest a),Agent (honest a)))),Nonce (absNB(pair(Agent (honest a),Agent (honest a))))),Nonce (absNB2(pair(Agent (honest a),Agent (honest a)))))));
fp_538: iknows(pair(scrypt(SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))),Nonce (absNA(pair(Agent (honest a),Agent (dishonest i))))),Nonce (absNB2(pair(Agent (honest a),Agent (dishonest i))))));
fp_539: iknows(pair(Agent (dishonest i),pair(scrypt(SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))),Nonce (absNA(pair(Agent (honest a),Agent (dishonest i))))),Nonce (absNB2(pair(Agent (honest a),Agent (dishonest i)))))));
fp_540: iknows(pair(scrypt(SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))),Nonce (absNA(pair(Agent (honest a),Agent (honest a))))),Nonce (absNB2(pair(Agent (honest a),Agent (dishonest i))))));
fp_541: iknows(pair(Agent (dishonest i),pair(scrypt(SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))),Nonce (absNA(pair(Agent (honest a),Agent (honest a))))),Nonce (absNB2(pair(Agent (honest a),Agent (dishonest i)))))));
fp_542: iknows(pair(scrypt(SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))),Nonce (absNB(pair(Agent (honest a),Agent (dishonest i))))),Nonce (absNB2(pair(Agent (honest a),Agent (dishonest i))))));
fp_543: iknows(pair(Agent (dishonest i),pair(scrypt(SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))),Nonce (absNB(pair(Agent (honest a),Agent (dishonest i))))),Nonce (absNB2(pair(Agent (honest a),Agent (dishonest i)))))));
fp_544: iknows(pair(scrypt(SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))),Nonce (absNB(pair(Agent (honest a),Agent (honest a))))),Nonce (absNB2(pair(Agent (honest a),Agent (dishonest i))))));
fp_545: iknows(pair(Agent (dishonest i),pair(scrypt(SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))),Nonce (absNB(pair(Agent (honest a),Agent (honest a))))),Nonce (absNB2(pair(Agent (honest a),Agent (dishonest i)))))));
fp_546: iknows(pair(scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (ni),Agent (honest a)))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (ni),pair(Agent (honest a),SymKey (absKAB(pair(Agent (honest a),Agent (honest a)))))))));
fp_547: iknows(pair(scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),Agent (honest a)))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (ni),pair(Agent (honest a),SymKey (absKAB(pair(Agent (honest a),Agent (honest a)))))))));
fp_548: iknows(pair(scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (honest a)))),Agent (honest a)))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (ni),pair(Agent (honest a),SymKey (absKAB(pair(Agent (honest a),Agent (honest a)))))))));
fp_549: iknows(pair(scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),Agent (honest a)))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (ni),pair(Agent (honest a),SymKey (absKAB(pair(Agent (honest a),Agent (honest a)))))))));
fp_550: iknows(pair(scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (honest a)))),Agent (honest a)))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (ni),pair(Agent (honest a),SymKey (absKAB(pair(Agent (honest a),Agent (honest a)))))))));
fp_551: iknows(pair(scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absNB2(pair(Agent (honest a),Agent (dishonest i)))),Agent (honest a)))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (ni),pair(Agent (honest a),SymKey (absKAB(pair(Agent (honest a),Agent (honest a)))))))));
fp_552: iknows(pair(scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absNB2(pair(Agent (honest a),Agent (honest a)))),Agent (honest a)))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (ni),pair(Agent (honest a),SymKey (absKAB(pair(Agent (honest a),Agent (honest a)))))))));
fp_553: iknows(pair(scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (ni),Agent (honest a)))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (honest a),SymKey (absKAB(pair(Agent (honest a),Agent (honest a)))))))));
fp_554: iknows(pair(scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),Agent (honest a)))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (honest a),SymKey (absKAB(pair(Agent (honest a),Agent (honest a)))))))));
fp_555: iknows(pair(scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (honest a)))),Agent (honest a)))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (honest a),SymKey (absKAB(pair(Agent (honest a),Agent (honest a)))))))));
fp_556: iknows(pair(scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),Agent (honest a)))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (honest a),SymKey (absKAB(pair(Agent (honest a),Agent (honest a)))))))));
fp_557: iknows(pair(scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (honest a)))),Agent (honest a)))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (honest a),SymKey (absKAB(pair(Agent (honest a),Agent (honest a)))))))));
fp_558: iknows(pair(scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absNB2(pair(Agent (honest a),Agent (dishonest i)))),Agent (honest a)))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (honest a),SymKey (absKAB(pair(Agent (honest a),Agent (honest a)))))))));
fp_559: iknows(pair(scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absNB2(pair(Agent (honest a),Agent (honest a)))),Agent (honest a)))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (honest a),SymKey (absKAB(pair(Agent (honest a),Agent (honest a)))))))));
fp_560: iknows(pair(scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (ni),Agent (honest a)))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (honest a)))),pair(Agent (honest a),SymKey (absKAB(pair(Agent (honest a),Agent (honest a)))))))));
fp_561: iknows(pair(scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),Agent (honest a)))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (honest a)))),pair(Agent (honest a),SymKey (absKAB(pair(Agent (honest a),Agent (honest a)))))))));
fp_562: iknows(pair(scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (honest a)))),Agent (honest a)))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (honest a)))),pair(Agent (honest a),SymKey (absKAB(pair(Agent (honest a),Agent (honest a)))))))));
fp_563: iknows(pair(scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),Agent (honest a)))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (honest a)))),pair(Agent (honest a),SymKey (absKAB(pair(Agent (honest a),Agent (honest a)))))))));
fp_564: iknows(pair(scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (honest a)))),Agent (honest a)))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (honest a)))),pair(Agent (honest a),SymKey (absKAB(pair(Agent (honest a),Agent (honest a)))))))));
fp_565: iknows(pair(scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absNB2(pair(Agent (honest a),Agent (dishonest i)))),Agent (honest a)))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (honest a)))),pair(Agent (honest a),SymKey (absKAB(pair(Agent (honest a),Agent (honest a)))))))));
fp_566: iknows(pair(scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absNB2(pair(Agent (honest a),Agent (honest a)))),Agent (honest a)))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (honest a)))),pair(Agent (honest a),SymKey (absKAB(pair(Agent (honest a),Agent (honest a)))))))));
fp_567: iknows(pair(scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (ni),Agent (honest a)))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (honest a),SymKey (absKAB(pair(Agent (honest a),Agent (honest a)))))))));
fp_568: iknows(pair(scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),Agent (honest a)))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (honest a),SymKey (absKAB(pair(Agent (honest a),Agent (honest a)))))))));
fp_569: iknows(pair(scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (honest a)))),Agent (honest a)))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (honest a),SymKey (absKAB(pair(Agent (honest a),Agent (honest a)))))))));
fp_570: iknows(pair(scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),Agent (honest a)))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (honest a),SymKey (absKAB(pair(Agent (honest a),Agent (honest a)))))))));
fp_571: iknows(pair(scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (honest a)))),Agent (honest a)))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (honest a),SymKey (absKAB(pair(Agent (honest a),Agent (honest a)))))))));
fp_572: iknows(pair(scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absNB2(pair(Agent (honest a),Agent (dishonest i)))),Agent (honest a)))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (honest a),SymKey (absKAB(pair(Agent (honest a),Agent (honest a)))))))));
fp_573: iknows(pair(scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absNB2(pair(Agent (honest a),Agent (honest a)))),Agent (honest a)))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (honest a),SymKey (absKAB(pair(Agent (honest a),Agent (honest a)))))))));
fp_574: iknows(pair(scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (ni),Agent (honest a)))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (honest a)))),pair(Agent (honest a),SymKey (absKAB(pair(Agent (honest a),Agent (honest a)))))))));
fp_575: iknows(pair(scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),Agent (honest a)))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (honest a)))),pair(Agent (honest a),SymKey (absKAB(pair(Agent (honest a),Agent (honest a)))))))));
fp_576: iknows(pair(scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (honest a)))),Agent (honest a)))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (honest a)))),pair(Agent (honest a),SymKey (absKAB(pair(Agent (honest a),Agent (honest a)))))))));
fp_577: iknows(pair(scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),Agent (honest a)))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (honest a)))),pair(Agent (honest a),SymKey (absKAB(pair(Agent (honest a),Agent (honest a)))))))));
fp_578: iknows(pair(scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (honest a)))),Agent (honest a)))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (honest a)))),pair(Agent (honest a),SymKey (absKAB(pair(Agent (honest a),Agent (honest a)))))))));
fp_579: iknows(pair(scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absNB2(pair(Agent (honest a),Agent (dishonest i)))),Agent (honest a)))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (honest a)))),pair(Agent (honest a),SymKey (absKAB(pair(Agent (honest a),Agent (honest a)))))))));
fp_580: iknows(pair(scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absNB2(pair(Agent (honest a),Agent (honest a)))),Agent (honest a)))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (honest a)))),pair(Agent (honest a),SymKey (absKAB(pair(Agent (honest a),Agent (honest a)))))))));
fp_581: iknows(pair(scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (ni),Agent (honest a)))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absNB2(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (honest a),SymKey (absKAB(pair(Agent (honest a),Agent (honest a)))))))));
fp_582: iknows(pair(scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),Agent (honest a)))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absNB2(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (honest a),SymKey (absKAB(pair(Agent (honest a),Agent (honest a)))))))));
fp_583: iknows(pair(scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (honest a)))),Agent (honest a)))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absNB2(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (honest a),SymKey (absKAB(pair(Agent (honest a),Agent (honest a)))))))));
fp_584: iknows(pair(scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),Agent (honest a)))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absNB2(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (honest a),SymKey (absKAB(pair(Agent (honest a),Agent (honest a)))))))));
fp_585: iknows(pair(scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (honest a)))),Agent (honest a)))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absNB2(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (honest a),SymKey (absKAB(pair(Agent (honest a),Agent (honest a)))))))));
fp_586: iknows(pair(scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absNB2(pair(Agent (honest a),Agent (dishonest i)))),Agent (honest a)))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absNB2(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (honest a),SymKey (absKAB(pair(Agent (honest a),Agent (honest a)))))))));
fp_587: iknows(pair(scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absNB2(pair(Agent (honest a),Agent (honest a)))),Agent (honest a)))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absNB2(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (honest a),SymKey (absKAB(pair(Agent (honest a),Agent (honest a)))))))));
fp_588: iknows(pair(scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (ni),Agent (honest a)))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absNB2(pair(Agent (honest a),Agent (honest a)))),pair(Agent (honest a),SymKey (absKAB(pair(Agent (honest a),Agent (honest a)))))))));
fp_589: iknows(pair(scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),Agent (honest a)))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absNB2(pair(Agent (honest a),Agent (honest a)))),pair(Agent (honest a),SymKey (absKAB(pair(Agent (honest a),Agent (honest a)))))))));
fp_590: iknows(pair(scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (honest a)))),Agent (honest a)))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absNB2(pair(Agent (honest a),Agent (honest a)))),pair(Agent (honest a),SymKey (absKAB(pair(Agent (honest a),Agent (honest a)))))))));
fp_591: iknows(pair(scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),Agent (honest a)))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absNB2(pair(Agent (honest a),Agent (honest a)))),pair(Agent (honest a),SymKey (absKAB(pair(Agent (honest a),Agent (honest a)))))))));
fp_592: iknows(pair(scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (honest a)))),Agent (honest a)))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absNB2(pair(Agent (honest a),Agent (honest a)))),pair(Agent (honest a),SymKey (absKAB(pair(Agent (honest a),Agent (honest a)))))))));
fp_593: iknows(pair(scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absNB2(pair(Agent (honest a),Agent (dishonest i)))),Agent (honest a)))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absNB2(pair(Agent (honest a),Agent (honest a)))),pair(Agent (honest a),SymKey (absKAB(pair(Agent (honest a),Agent (honest a)))))))));
fp_594: iknows(pair(scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absNB2(pair(Agent (honest a),Agent (honest a)))),Agent (honest a)))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absNB2(pair(Agent (honest a),Agent (honest a)))),pair(Agent (honest a),SymKey (absKAB(pair(Agent (honest a),Agent (honest a)))))))));
fp_595: iknows(pair(scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (ni),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (ni),pair(Agent (honest a),SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))))))));
fp_596: iknows(pair(scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (ni),pair(Agent (honest a),SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))))))));
fp_597: iknows(pair(scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (honest a)))),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (ni),pair(Agent (honest a),SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))))))));
fp_598: iknows(pair(scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (ni),pair(Agent (honest a),SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))))))));
fp_599: iknows(pair(scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (honest a)))),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (ni),pair(Agent (honest a),SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))))))));
fp_600: iknows(pair(scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (absNB2(pair(Agent (honest a),Agent (dishonest i)))),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (ni),pair(Agent (honest a),SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))))))));
fp_601: iknows(pair(scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (absNB2(pair(Agent (honest a),Agent (honest a)))),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (ni),pair(Agent (honest a),SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))))))));
fp_602: iknows(pair(scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (ni),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (honest a),SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))))))));
fp_603: iknows(pair(scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (honest a),SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))))))));
fp_604: iknows(pair(scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (honest a)))),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (honest a),SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))))))));
fp_605: iknows(pair(scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (honest a),SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))))))));
fp_606: iknows(pair(scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (honest a)))),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (honest a),SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))))))));
fp_607: iknows(pair(scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (absNB2(pair(Agent (honest a),Agent (dishonest i)))),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (honest a),SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))))))));
fp_608: iknows(pair(scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (absNB2(pair(Agent (honest a),Agent (honest a)))),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (honest a),SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))))))));
fp_609: iknows(pair(scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (ni),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (honest a)))),pair(Agent (honest a),SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))))))));
fp_610: iknows(pair(scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (honest a)))),pair(Agent (honest a),SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))))))));
fp_611: iknows(pair(scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (honest a)))),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (honest a)))),pair(Agent (honest a),SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))))))));
fp_612: iknows(pair(scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (honest a)))),pair(Agent (honest a),SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))))))));
fp_613: iknows(pair(scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (honest a)))),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (honest a)))),pair(Agent (honest a),SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))))))));
fp_614: iknows(pair(scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (absNB2(pair(Agent (honest a),Agent (dishonest i)))),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (honest a)))),pair(Agent (honest a),SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))))))));
fp_615: iknows(pair(scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (absNB2(pair(Agent (honest a),Agent (honest a)))),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (honest a)))),pair(Agent (honest a),SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))))))));
fp_616: iknows(pair(scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (ni),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (honest a),SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))))))));
fp_617: iknows(pair(scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (honest a),SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))))))));
fp_618: iknows(pair(scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (honest a)))),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (honest a),SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))))))));
fp_619: iknows(pair(scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (honest a),SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))))))));
fp_620: iknows(pair(scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (honest a)))),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (honest a),SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))))))));
fp_621: iknows(pair(scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (absNB2(pair(Agent (honest a),Agent (dishonest i)))),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (honest a),SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))))))));
fp_622: iknows(pair(scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (absNB2(pair(Agent (honest a),Agent (honest a)))),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (honest a),SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))))))));
fp_623: iknows(pair(scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (ni),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (honest a)))),pair(Agent (honest a),SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))))))));
fp_624: iknows(pair(scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (honest a)))),pair(Agent (honest a),SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))))))));
fp_625: iknows(pair(scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (honest a)))),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (honest a)))),pair(Agent (honest a),SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))))))));
fp_626: iknows(pair(scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (honest a)))),pair(Agent (honest a),SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))))))));
fp_627: iknows(pair(scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (honest a)))),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (honest a)))),pair(Agent (honest a),SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))))))));
fp_628: iknows(pair(scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (absNB2(pair(Agent (honest a),Agent (dishonest i)))),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (honest a)))),pair(Agent (honest a),SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))))))));
fp_629: iknows(pair(scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (absNB2(pair(Agent (honest a),Agent (honest a)))),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (honest a)))),pair(Agent (honest a),SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))))))));
fp_630: iknows(pair(scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (ni),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNB2(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (honest a),SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))))))));
fp_631: iknows(pair(scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNB2(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (honest a),SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))))))));
fp_632: iknows(pair(scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (honest a)))),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNB2(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (honest a),SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))))))));
fp_633: iknows(pair(scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNB2(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (honest a),SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))))))));
fp_634: iknows(pair(scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (honest a)))),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNB2(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (honest a),SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))))))));
fp_635: iknows(pair(scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (absNB2(pair(Agent (honest a),Agent (dishonest i)))),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNB2(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (honest a),SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))))))));
fp_636: iknows(pair(scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (absNB2(pair(Agent (honest a),Agent (honest a)))),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNB2(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (honest a),SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))))))));
fp_637: iknows(pair(scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (ni),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNB2(pair(Agent (honest a),Agent (honest a)))),pair(Agent (honest a),SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))))))));
fp_638: iknows(pair(scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNB2(pair(Agent (honest a),Agent (honest a)))),pair(Agent (honest a),SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))))))));
fp_639: iknows(pair(scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (honest a)))),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNB2(pair(Agent (honest a),Agent (honest a)))),pair(Agent (honest a),SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))))))));
fp_640: iknows(pair(scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNB2(pair(Agent (honest a),Agent (honest a)))),pair(Agent (honest a),SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))))))));
fp_641: iknows(pair(scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (honest a)))),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNB2(pair(Agent (honest a),Agent (honest a)))),pair(Agent (honest a),SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))))))));
fp_642: iknows(pair(scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (absNB2(pair(Agent (honest a),Agent (dishonest i)))),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNB2(pair(Agent (honest a),Agent (honest a)))),pair(Agent (honest a),SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))))))));
fp_643: iknows(pair(scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (absNB2(pair(Agent (honest a),Agent (honest a)))),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNB2(pair(Agent (honest a),Agent (honest a)))),pair(Agent (honest a),SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))))))));
fp_644: iknows(pair(scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (ni),Agent (honest a)))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (ni),pair(Agent (dishonest i),SymKey (absKAB(pair(Agent (dishonest i),Agent (honest a)))))))));
fp_645: iknows(pair(scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),Agent (honest a)))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (ni),pair(Agent (dishonest i),SymKey (absKAB(pair(Agent (dishonest i),Agent (honest a)))))))));
fp_646: iknows(pair(scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (honest a)))),Agent (honest a)))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (ni),pair(Agent (dishonest i),SymKey (absKAB(pair(Agent (dishonest i),Agent (honest a)))))))));
fp_647: iknows(pair(scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),Agent (honest a)))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (ni),pair(Agent (dishonest i),SymKey (absKAB(pair(Agent (dishonest i),Agent (honest a)))))))));
fp_648: iknows(pair(scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (honest a)))),Agent (honest a)))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (ni),pair(Agent (dishonest i),SymKey (absKAB(pair(Agent (dishonest i),Agent (honest a)))))))));
fp_649: iknows(pair(scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNB2(pair(Agent (honest a),Agent (dishonest i)))),Agent (honest a)))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (ni),pair(Agent (dishonest i),SymKey (absKAB(pair(Agent (dishonest i),Agent (honest a)))))))));
fp_650: iknows(pair(scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNB2(pair(Agent (honest a),Agent (honest a)))),Agent (honest a)))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (ni),pair(Agent (dishonest i),SymKey (absKAB(pair(Agent (dishonest i),Agent (honest a)))))))));
fp_651: iknows(pair(scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (ni),Agent (honest a)))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),SymKey (absKAB(pair(Agent (dishonest i),Agent (honest a)))))))));
fp_652: iknows(pair(scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),Agent (honest a)))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),SymKey (absKAB(pair(Agent (dishonest i),Agent (honest a)))))))));
fp_653: iknows(pair(scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (honest a)))),Agent (honest a)))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),SymKey (absKAB(pair(Agent (dishonest i),Agent (honest a)))))))));
fp_654: iknows(pair(scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),Agent (honest a)))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),SymKey (absKAB(pair(Agent (dishonest i),Agent (honest a)))))))));
fp_655: iknows(pair(scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (honest a)))),Agent (honest a)))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),SymKey (absKAB(pair(Agent (dishonest i),Agent (honest a)))))))));
fp_656: iknows(pair(scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNB2(pair(Agent (honest a),Agent (dishonest i)))),Agent (honest a)))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),SymKey (absKAB(pair(Agent (dishonest i),Agent (honest a)))))))));
fp_657: iknows(pair(scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNB2(pair(Agent (honest a),Agent (honest a)))),Agent (honest a)))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),SymKey (absKAB(pair(Agent (dishonest i),Agent (honest a)))))))));
fp_658: iknows(pair(scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (ni),Agent (honest a)))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (honest a)))),pair(Agent (dishonest i),SymKey (absKAB(pair(Agent (dishonest i),Agent (honest a)))))))));
fp_659: iknows(pair(scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),Agent (honest a)))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (honest a)))),pair(Agent (dishonest i),SymKey (absKAB(pair(Agent (dishonest i),Agent (honest a)))))))));
fp_660: iknows(pair(scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (honest a)))),Agent (honest a)))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (honest a)))),pair(Agent (dishonest i),SymKey (absKAB(pair(Agent (dishonest i),Agent (honest a)))))))));
fp_661: iknows(pair(scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),Agent (honest a)))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (honest a)))),pair(Agent (dishonest i),SymKey (absKAB(pair(Agent (dishonest i),Agent (honest a)))))))));
fp_662: iknows(pair(scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (honest a)))),Agent (honest a)))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (honest a)))),pair(Agent (dishonest i),SymKey (absKAB(pair(Agent (dishonest i),Agent (honest a)))))))));
fp_663: iknows(pair(scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNB2(pair(Agent (honest a),Agent (dishonest i)))),Agent (honest a)))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (honest a)))),pair(Agent (dishonest i),SymKey (absKAB(pair(Agent (dishonest i),Agent (honest a)))))))));
fp_664: iknows(pair(scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNB2(pair(Agent (honest a),Agent (honest a)))),Agent (honest a)))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (honest a)))),pair(Agent (dishonest i),SymKey (absKAB(pair(Agent (dishonest i),Agent (honest a)))))))));
fp_665: iknows(pair(scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (ni),Agent (honest a)))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),SymKey (absKAB(pair(Agent (dishonest i),Agent (honest a)))))))));
fp_666: iknows(pair(scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),Agent (honest a)))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),SymKey (absKAB(pair(Agent (dishonest i),Agent (honest a)))))))));
fp_667: iknows(pair(scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (honest a)))),Agent (honest a)))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),SymKey (absKAB(pair(Agent (dishonest i),Agent (honest a)))))))));
fp_668: iknows(pair(scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),Agent (honest a)))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),SymKey (absKAB(pair(Agent (dishonest i),Agent (honest a)))))))));
fp_669: iknows(pair(scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (honest a)))),Agent (honest a)))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),SymKey (absKAB(pair(Agent (dishonest i),Agent (honest a)))))))));
fp_670: iknows(pair(scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNB2(pair(Agent (honest a),Agent (dishonest i)))),Agent (honest a)))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),SymKey (absKAB(pair(Agent (dishonest i),Agent (honest a)))))))));
fp_671: iknows(pair(scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNB2(pair(Agent (honest a),Agent (honest a)))),Agent (honest a)))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),SymKey (absKAB(pair(Agent (dishonest i),Agent (honest a)))))))));
fp_672: iknows(pair(scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (ni),Agent (honest a)))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (honest a)))),pair(Agent (dishonest i),SymKey (absKAB(pair(Agent (dishonest i),Agent (honest a)))))))));
fp_673: iknows(pair(scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),Agent (honest a)))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (honest a)))),pair(Agent (dishonest i),SymKey (absKAB(pair(Agent (dishonest i),Agent (honest a)))))))));
fp_674: iknows(pair(scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (honest a)))),Agent (honest a)))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (honest a)))),pair(Agent (dishonest i),SymKey (absKAB(pair(Agent (dishonest i),Agent (honest a)))))))));
fp_675: iknows(pair(scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),Agent (honest a)))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (honest a)))),pair(Agent (dishonest i),SymKey (absKAB(pair(Agent (dishonest i),Agent (honest a)))))))));
fp_676: iknows(pair(scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (honest a)))),Agent (honest a)))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (honest a)))),pair(Agent (dishonest i),SymKey (absKAB(pair(Agent (dishonest i),Agent (honest a)))))))));
fp_677: iknows(pair(scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNB2(pair(Agent (honest a),Agent (dishonest i)))),Agent (honest a)))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (honest a)))),pair(Agent (dishonest i),SymKey (absKAB(pair(Agent (dishonest i),Agent (honest a)))))))));
fp_678: iknows(pair(scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNB2(pair(Agent (honest a),Agent (honest a)))),Agent (honest a)))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (honest a)))),pair(Agent (dishonest i),SymKey (absKAB(pair(Agent (dishonest i),Agent (honest a)))))))));
fp_679: iknows(pair(scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (ni),Agent (honest a)))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absNB2(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),SymKey (absKAB(pair(Agent (dishonest i),Agent (honest a)))))))));
fp_680: iknows(pair(scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),Agent (honest a)))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absNB2(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),SymKey (absKAB(pair(Agent (dishonest i),Agent (honest a)))))))));
fp_681: iknows(pair(scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (honest a)))),Agent (honest a)))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absNB2(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),SymKey (absKAB(pair(Agent (dishonest i),Agent (honest a)))))))));
fp_682: iknows(pair(scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),Agent (honest a)))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absNB2(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),SymKey (absKAB(pair(Agent (dishonest i),Agent (honest a)))))))));
fp_683: iknows(pair(scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (honest a)))),Agent (honest a)))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absNB2(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),SymKey (absKAB(pair(Agent (dishonest i),Agent (honest a)))))))));
fp_684: iknows(pair(scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNB2(pair(Agent (honest a),Agent (dishonest i)))),Agent (honest a)))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absNB2(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),SymKey (absKAB(pair(Agent (dishonest i),Agent (honest a)))))))));
fp_685: iknows(pair(scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNB2(pair(Agent (honest a),Agent (honest a)))),Agent (honest a)))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absNB2(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),SymKey (absKAB(pair(Agent (dishonest i),Agent (honest a)))))))));
fp_686: iknows(pair(scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (ni),Agent (honest a)))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absNB2(pair(Agent (honest a),Agent (honest a)))),pair(Agent (dishonest i),SymKey (absKAB(pair(Agent (dishonest i),Agent (honest a)))))))));
fp_687: iknows(pair(scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),Agent (honest a)))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absNB2(pair(Agent (honest a),Agent (honest a)))),pair(Agent (dishonest i),SymKey (absKAB(pair(Agent (dishonest i),Agent (honest a)))))))));
fp_688: iknows(pair(scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (honest a)))),Agent (honest a)))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absNB2(pair(Agent (honest a),Agent (honest a)))),pair(Agent (dishonest i),SymKey (absKAB(pair(Agent (dishonest i),Agent (honest a)))))))));
fp_689: iknows(pair(scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),Agent (honest a)))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absNB2(pair(Agent (honest a),Agent (honest a)))),pair(Agent (dishonest i),SymKey (absKAB(pair(Agent (dishonest i),Agent (honest a)))))))));
fp_690: iknows(pair(scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (honest a)))),Agent (honest a)))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absNB2(pair(Agent (honest a),Agent (honest a)))),pair(Agent (dishonest i),SymKey (absKAB(pair(Agent (dishonest i),Agent (honest a)))))))));
fp_691: iknows(pair(scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNB2(pair(Agent (honest a),Agent (dishonest i)))),Agent (honest a)))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absNB2(pair(Agent (honest a),Agent (honest a)))),pair(Agent (dishonest i),SymKey (absKAB(pair(Agent (dishonest i),Agent (honest a)))))))));
fp_692: iknows(pair(scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNB2(pair(Agent (honest a),Agent (honest a)))),Agent (honest a)))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absNB2(pair(Agent (honest a),Agent (honest a)))),pair(Agent (dishonest i),SymKey (absKAB(pair(Agent (dishonest i),Agent (honest a)))))))));
fp_693: iknows(pair(scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))),pair(Nonce (ni),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (ni),pair(Agent (dishonest i),SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))))))));
fp_694: iknows(pair(scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (ni),pair(Agent (dishonest i),SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))))))));
fp_695: iknows(pair(scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (honest a)))),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (ni),pair(Agent (dishonest i),SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))))))));
fp_696: iknows(pair(scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (ni),pair(Agent (dishonest i),SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))))))));
fp_697: iknows(pair(scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (honest a)))),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (ni),pair(Agent (dishonest i),SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))))))));
fp_698: iknows(pair(scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))),pair(Nonce (absNB2(pair(Agent (honest a),Agent (dishonest i)))),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (ni),pair(Agent (dishonest i),SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))))))));
fp_699: iknows(pair(scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))),pair(Nonce (absNB2(pair(Agent (honest a),Agent (honest a)))),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (ni),pair(Agent (dishonest i),SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))))))));
fp_700: iknows(pair(scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))),pair(Nonce (ni),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))))))));
fp_701: iknows(pair(scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))))))));
fp_702: iknows(pair(scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (honest a)))),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))))))));
fp_703: iknows(pair(scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))))))));
fp_704: iknows(pair(scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (honest a)))),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))))))));
fp_705: iknows(pair(scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))),pair(Nonce (absNB2(pair(Agent (honest a),Agent (dishonest i)))),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))))))));
fp_706: iknows(pair(scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))),pair(Nonce (absNB2(pair(Agent (honest a),Agent (honest a)))),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))))))));
fp_707: iknows(pair(scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))),pair(Nonce (ni),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (honest a)))),pair(Agent (dishonest i),SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))))))));
fp_708: iknows(pair(scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (honest a)))),pair(Agent (dishonest i),SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))))))));
fp_709: iknows(pair(scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (honest a)))),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (honest a)))),pair(Agent (dishonest i),SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))))))));
fp_710: iknows(pair(scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (honest a)))),pair(Agent (dishonest i),SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))))))));
fp_711: iknows(pair(scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (honest a)))),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (honest a)))),pair(Agent (dishonest i),SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))))))));
fp_712: iknows(pair(scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))),pair(Nonce (absNB2(pair(Agent (honest a),Agent (dishonest i)))),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (honest a)))),pair(Agent (dishonest i),SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))))))));
fp_713: iknows(pair(scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))),pair(Nonce (absNB2(pair(Agent (honest a),Agent (honest a)))),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (honest a)))),pair(Agent (dishonest i),SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))))))));
fp_714: iknows(pair(scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))),pair(Nonce (ni),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))))))));
fp_715: iknows(pair(scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))))))));
fp_716: iknows(pair(scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (honest a)))),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))))))));
fp_717: iknows(pair(scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))))))));
fp_718: iknows(pair(scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (honest a)))),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))))))));
fp_719: iknows(pair(scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))),pair(Nonce (absNB2(pair(Agent (honest a),Agent (dishonest i)))),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))))))));
fp_720: iknows(pair(scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))),pair(Nonce (absNB2(pair(Agent (honest a),Agent (honest a)))),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))))))));
fp_721: iknows(pair(scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))),pair(Nonce (ni),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (honest a)))),pair(Agent (dishonest i),SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))))))));
fp_722: iknows(pair(scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (honest a)))),pair(Agent (dishonest i),SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))))))));
fp_723: iknows(pair(scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (honest a)))),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (honest a)))),pair(Agent (dishonest i),SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))))))));
fp_724: iknows(pair(scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (honest a)))),pair(Agent (dishonest i),SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))))))));
fp_725: iknows(pair(scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (honest a)))),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (honest a)))),pair(Agent (dishonest i),SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))))))));
fp_726: iknows(pair(scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))),pair(Nonce (absNB2(pair(Agent (honest a),Agent (dishonest i)))),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (honest a)))),pair(Agent (dishonest i),SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))))))));
fp_727: iknows(pair(scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))),pair(Nonce (absNB2(pair(Agent (honest a),Agent (honest a)))),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (honest a)))),pair(Agent (dishonest i),SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))))))));
fp_728: iknows(pair(scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))),pair(Nonce (ni),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNB2(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))))))));
fp_729: iknows(pair(scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNB2(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))))))));
fp_730: iknows(pair(scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (honest a)))),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNB2(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))))))));
fp_731: iknows(pair(scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNB2(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))))))));
fp_732: iknows(pair(scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (honest a)))),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNB2(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))))))));
fp_733: iknows(pair(scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))),pair(Nonce (absNB2(pair(Agent (honest a),Agent (dishonest i)))),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNB2(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))))))));
fp_734: iknows(pair(scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))),pair(Nonce (absNB2(pair(Agent (honest a),Agent (honest a)))),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNB2(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))))))));
fp_735: iknows(pair(scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))),pair(Nonce (ni),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNB2(pair(Agent (honest a),Agent (honest a)))),pair(Agent (dishonest i),SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))))))));
fp_736: iknows(pair(scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNB2(pair(Agent (honest a),Agent (honest a)))),pair(Agent (dishonest i),SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))))))));
fp_737: iknows(pair(scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (honest a)))),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNB2(pair(Agent (honest a),Agent (honest a)))),pair(Agent (dishonest i),SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))))))));
fp_738: iknows(pair(scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNB2(pair(Agent (honest a),Agent (honest a)))),pair(Agent (dishonest i),SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))))))));
fp_739: iknows(pair(scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (honest a)))),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNB2(pair(Agent (honest a),Agent (honest a)))),pair(Agent (dishonest i),SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))))))));
fp_740: iknows(pair(scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))),pair(Nonce (absNB2(pair(Agent (honest a),Agent (dishonest i)))),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNB2(pair(Agent (honest a),Agent (honest a)))),pair(Agent (dishonest i),SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))))))));
fp_741: iknows(pair(scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))),pair(Nonce (absNB2(pair(Agent (honest a),Agent (honest a)))),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNB2(pair(Agent (honest a),Agent (honest a)))),pair(Agent (dishonest i),SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))))))));
fp_742: iknows(pair(Agent (honest a),Nonce (absNB(pair(Agent (honest a),Agent (honest a))))));
fp_743: iknows(pair(Nonce (ni),pair(Agent (honest a),Nonce (absNB(pair(Agent (honest a),Agent (honest a)))))));
fp_744: iknows(pair(Agent (honest a),pair(Nonce (ni),pair(Agent (honest a),Nonce (absNB(pair(Agent (honest a),Agent (honest a))))))));
fp_745: iknows(pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (honest a),Nonce (absNB(pair(Agent (honest a),Agent (honest a)))))));
fp_746: iknows(pair(Agent (honest a),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (honest a),Nonce (absNB(pair(Agent (honest a),Agent (honest a))))))));
fp_747: iknows(pair(Nonce (absNA(pair(Agent (honest a),Agent (honest a)))),pair(Agent (honest a),Nonce (absNB(pair(Agent (honest a),Agent (honest a)))))));
fp_748: iknows(pair(Agent (honest a),pair(Nonce (absNA(pair(Agent (honest a),Agent (honest a)))),pair(Agent (honest a),Nonce (absNB(pair(Agent (honest a),Agent (honest a))))))));
fp_749: iknows(pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (honest a),Nonce (absNB(pair(Agent (honest a),Agent (honest a)))))));
fp_750: iknows(pair(Agent (honest a),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (honest a),Nonce (absNB(pair(Agent (honest a),Agent (honest a))))))));
fp_751: iknows(pair(Nonce (absNB(pair(Agent (honest a),Agent (honest a)))),pair(Agent (honest a),Nonce (absNB(pair(Agent (honest a),Agent (honest a)))))));
fp_752: iknows(pair(Agent (honest a),pair(Nonce (absNB(pair(Agent (honest a),Agent (honest a)))),pair(Agent (honest a),Nonce (absNB(pair(Agent (honest a),Agent (honest a))))))));
fp_753: iknows(pair(Nonce (absNB2(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (honest a),Nonce (absNB(pair(Agent (honest a),Agent (honest a)))))));
fp_754: iknows(pair(Agent (honest a),pair(Nonce (absNB2(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (honest a),Nonce (absNB(pair(Agent (honest a),Agent (honest a))))))));
fp_755: iknows(pair(Nonce (absNB2(pair(Agent (honest a),Agent (honest a)))),pair(Agent (honest a),Nonce (absNB(pair(Agent (honest a),Agent (honest a)))))));
fp_756: iknows(pair(Agent (honest a),pair(Nonce (absNB2(pair(Agent (honest a),Agent (honest a)))),pair(Agent (honest a),Nonce (absNB(pair(Agent (honest a),Agent (honest a))))))));
fp_757: iknows(pair(Agent (honest a),Nonce (absNB(pair(Agent (honest a),Agent (dishonest i))))));
fp_758: iknows(pair(Nonce (ni),pair(Agent (honest a),Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))))));
fp_759: iknows(pair(Agent (dishonest i),pair(Nonce (ni),pair(Agent (honest a),Nonce (absNB(pair(Agent (honest a),Agent (dishonest i))))))));
fp_760: iknows(pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (honest a),Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))))));
fp_761: iknows(pair(Agent (dishonest i),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (honest a),Nonce (absNB(pair(Agent (honest a),Agent (dishonest i))))))));
fp_762: iknows(pair(Nonce (absNA(pair(Agent (honest a),Agent (honest a)))),pair(Agent (honest a),Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))))));
fp_763: iknows(pair(Agent (dishonest i),pair(Nonce (absNA(pair(Agent (honest a),Agent (honest a)))),pair(Agent (honest a),Nonce (absNB(pair(Agent (honest a),Agent (dishonest i))))))));
fp_764: iknows(pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (honest a),Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))))));
fp_765: iknows(pair(Agent (dishonest i),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (honest a),Nonce (absNB(pair(Agent (honest a),Agent (dishonest i))))))));
fp_766: iknows(pair(Nonce (absNB(pair(Agent (honest a),Agent (honest a)))),pair(Agent (honest a),Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))))));
fp_767: iknows(pair(Agent (dishonest i),pair(Nonce (absNB(pair(Agent (honest a),Agent (honest a)))),pair(Agent (honest a),Nonce (absNB(pair(Agent (honest a),Agent (dishonest i))))))));
fp_768: iknows(pair(Nonce (absNB2(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (honest a),Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))))));
fp_769: iknows(pair(Agent (dishonest i),pair(Nonce (absNB2(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (honest a),Nonce (absNB(pair(Agent (honest a),Agent (dishonest i))))))));
fp_770: iknows(pair(Nonce (absNB2(pair(Agent (honest a),Agent (honest a)))),pair(Agent (honest a),Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))))));
fp_771: iknows(pair(Agent (dishonest i),pair(Nonce (absNB2(pair(Agent (honest a),Agent (honest a)))),pair(Agent (honest a),Nonce (absNB(pair(Agent (honest a),Agent (dishonest i))))))));
fp_772: iknows(pair(Agent (honest a),Nonce (absNA(pair(Agent (honest a),Agent (honest a))))));
fp_773: iknows(pair(Agent (honest a),Nonce (absNA(pair(Agent (honest a),Agent (dishonest i))))));
fp_774: iknows(pair(Nonce (ni),Agent (dishonest i)));
fp_775: iknows(pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))),pair(Nonce (ni),Agent (dishonest i))));
fp_776: iknows(pair(Agent (dishonest i),SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i))))));
fp_777: iknows(pair(Nonce (ni),pair(Agent (dishonest i),SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))))));
fp_778: iknows(pair(Nonce (ni),Agent (honest a)));
fp_779: iknows(pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (ni),Agent (honest a))));
fp_780: iknows(pair(Agent (honest a),SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i))))));
fp_781: iknows(pair(Nonce (ni),pair(Agent (honest a),SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))))));
fp_782: iknows(pair(Nonce (absNB(pair(Agent (honest a),Agent (honest a)))),pair(Agent (dishonest i),SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))))));
fp_783: iknows(pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))))));
fp_784: iknows(pair(Nonce (absNA(pair(Agent (honest a),Agent (honest a)))),pair(Agent (dishonest i),SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))))));
fp_785: iknows(pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))))));
fp_786: iknows(pair(Nonce (absNB(pair(Agent (honest a),Agent (honest a)))),Agent (dishonest i)));
fp_787: iknows(pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (honest a)))),Agent (dishonest i))));
fp_788: iknows(pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),Agent (dishonest i)));
fp_789: iknows(pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),Agent (dishonest i))));
fp_790: iknows(pair(Nonce (absNA(pair(Agent (honest a),Agent (honest a)))),Agent (dishonest i)));
fp_791: iknows(pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (honest a)))),Agent (dishonest i))));
fp_792: iknows(pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),Agent (dishonest i)));
fp_793: iknows(pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),Agent (dishonest i))));
fp_794: iknows(pair(Nonce (absNB(pair(Agent (honest a),Agent (honest a)))),Agent (honest a)));
fp_795: iknows(pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (honest a)))),Agent (honest a))));
fp_796: iknows(pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),Agent (honest a)));
fp_797: iknows(pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),Agent (honest a))));
fp_798: iknows(pair(Nonce (absNA(pair(Agent (honest a),Agent (honest a)))),Agent (honest a)));
fp_799: iknows(pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (honest a)))),Agent (honest a))));
fp_800: iknows(pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),Agent (honest a)));
fp_801: iknows(pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),Agent (honest a))));
fp_802: iknows(pair(Nonce (absNB(pair(Agent (honest a),Agent (honest a)))),pair(Agent (honest a),SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))))));
fp_803: iknows(pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (honest a),SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))))));
fp_804: iknows(pair(Nonce (absNA(pair(Agent (honest a),Agent (honest a)))),pair(Agent (honest a),SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))))));
fp_805: iknows(pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (honest a),SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))))));
fp_806: State (rB,[Agent (honest a),Step 1,SymKey (sk(pair(Agent (honest a),Agent (honest a)))),Agent (honest a),Agent (dishonest i),Nonce (absNB2(pair(Agent (honest a),Agent (honest a)))),pair(Agent (dishonest i),Nonce (absNB2(pair(Agent (honest a),Agent (honest a))))),Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),pair(Nonce (absNB2(pair(Agent (honest a),Agent (honest a)))),pair(Agent (honest a),Nonce (absNB(pair(Agent (honest a),Agent (dishonest i))))))),(SID sid)]);
fp_807: State (rB,[Agent (honest a),Step 1,SymKey (sk(pair(Agent (honest a),Agent (honest a)))),Agent (honest a),Agent (dishonest i),Nonce (absNB2(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),Nonce (absNB2(pair(Agent (honest a),Agent (dishonest i))))),Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),pair(Nonce (absNB2(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (honest a),Nonce (absNB(pair(Agent (honest a),Agent (dishonest i))))))),(SID sid)]);
fp_808: State (rB,[Agent (honest a),Step 1,SymKey (sk(pair(Agent (honest a),Agent (honest a)))),Agent (honest a),Agent (honest a),Nonce (absNB2(pair(Agent (honest a),Agent (honest a)))),pair(Agent (honest a),Nonce (absNB2(pair(Agent (honest a),Agent (honest a))))),Nonce (absNB(pair(Agent (honest a),Agent (honest a)))),pair(Agent (honest a),pair(Nonce (absNB2(pair(Agent (honest a),Agent (honest a)))),pair(Agent (honest a),Nonce (absNB(pair(Agent (honest a),Agent (honest a))))))),(SID sid)]);
fp_809: State (rB,[Agent (honest a),Step 1,SymKey (sk(pair(Agent (honest a),Agent (honest a)))),Agent (honest a),Agent (honest a),Nonce (absNB2(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (honest a),Nonce (absNB2(pair(Agent (honest a),Agent (dishonest i))))),Nonce (absNB(pair(Agent (honest a),Agent (honest a)))),pair(Agent (honest a),pair(Nonce (absNB2(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (honest a),Nonce (absNB(pair(Agent (honest a),Agent (honest a))))))),(SID sid)]);
fp_810: State (rs,[Agent (honest a),Step 1,SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),Agent (dishonest i),Agent (dishonest i),Nonce (absNB2(pair(Agent (honest a),Agent (honest a)))),Nonce (absNB2(pair(Agent (honest a),Agent (honest a)))),pair(Agent (dishonest i),pair(Nonce (absNB2(pair(Agent (honest a),Agent (honest a)))),pair(Agent (dishonest i),Nonce (absNB2(pair(Agent (honest a),Agent (honest a))))))),SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))),pair(scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))),pair(Nonce (absNB2(pair(Agent (honest a),Agent (honest a)))),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNB2(pair(Agent (honest a),Agent (honest a)))),pair(Agent (dishonest i),SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))))))),(SID sid)]);
fp_811: State (rs,[Agent (honest a),Step 1,SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),Agent (dishonest i),Agent (dishonest i),Nonce (absNB2(pair(Agent (honest a),Agent (dishonest i)))),Nonce (absNB2(pair(Agent (honest a),Agent (honest a)))),pair(Agent (dishonest i),pair(Nonce (absNB2(pair(Agent (honest a),Agent (honest a)))),pair(Agent (dishonest i),Nonce (absNB2(pair(Agent (honest a),Agent (dishonest i))))))),SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))),pair(scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))),pair(Nonce (absNB2(pair(Agent (honest a),Agent (dishonest i)))),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNB2(pair(Agent (honest a),Agent (honest a)))),pair(Agent (dishonest i),SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))))))),(SID sid)]);
fp_812: State (rs,[Agent (honest a),Step 1,SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),Agent (dishonest i),Agent (dishonest i),Nonce (absNB(pair(Agent (honest a),Agent (honest a)))),Nonce (absNB2(pair(Agent (honest a),Agent (honest a)))),pair(Agent (dishonest i),pair(Nonce (absNB2(pair(Agent (honest a),Agent (honest a)))),pair(Agent (dishonest i),Nonce (absNB(pair(Agent (honest a),Agent (honest a))))))),SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))),pair(scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (honest a)))),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNB2(pair(Agent (honest a),Agent (honest a)))),pair(Agent (dishonest i),SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))))))),(SID sid)]);
fp_813: State (rs,[Agent (honest a),Step 1,SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),Agent (dishonest i),Agent (dishonest i),Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),Nonce (absNB2(pair(Agent (honest a),Agent (honest a)))),pair(Agent (dishonest i),pair(Nonce (absNB2(pair(Agent (honest a),Agent (honest a)))),pair(Agent (dishonest i),Nonce (absNB(pair(Agent (honest a),Agent (dishonest i))))))),SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))),pair(scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNB2(pair(Agent (honest a),Agent (honest a)))),pair(Agent (dishonest i),SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))))))),(SID sid)]);
fp_814: State (rs,[Agent (honest a),Step 1,SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),Agent (dishonest i),Agent (dishonest i),Nonce (absNA(pair(Agent (honest a),Agent (honest a)))),Nonce (absNB2(pair(Agent (honest a),Agent (honest a)))),pair(Agent (dishonest i),pair(Nonce (absNB2(pair(Agent (honest a),Agent (honest a)))),pair(Agent (dishonest i),Nonce (absNA(pair(Agent (honest a),Agent (honest a))))))),SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))),pair(scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (honest a)))),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNB2(pair(Agent (honest a),Agent (honest a)))),pair(Agent (dishonest i),SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))))))),(SID sid)]);
fp_815: State (rs,[Agent (honest a),Step 1,SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),Agent (dishonest i),Agent (dishonest i),Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),Nonce (absNB2(pair(Agent (honest a),Agent (honest a)))),pair(Agent (dishonest i),pair(Nonce (absNB2(pair(Agent (honest a),Agent (honest a)))),pair(Agent (dishonest i),Nonce (absNA(pair(Agent (honest a),Agent (dishonest i))))))),SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))),pair(scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNB2(pair(Agent (honest a),Agent (honest a)))),pair(Agent (dishonest i),SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))))))),(SID sid)]);
fp_816: State (rs,[Agent (honest a),Step 1,SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),Agent (dishonest i),Agent (dishonest i),Nonce (ni),Nonce (absNB2(pair(Agent (honest a),Agent (honest a)))),pair(Agent (dishonest i),pair(Nonce (absNB2(pair(Agent (honest a),Agent (honest a)))),pair(Agent (dishonest i),Nonce (ni)))),SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))),pair(scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))),pair(Nonce (ni),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNB2(pair(Agent (honest a),Agent (honest a)))),pair(Agent (dishonest i),SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))))))),(SID sid)]);
fp_817: State (rs,[Agent (honest a),Step 1,SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),Agent (dishonest i),Agent (dishonest i),Nonce (absNB2(pair(Agent (honest a),Agent (honest a)))),Nonce (absNB2(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),pair(Nonce (absNB2(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),Nonce (absNB2(pair(Agent (honest a),Agent (honest a))))))),SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))),pair(scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))),pair(Nonce (absNB2(pair(Agent (honest a),Agent (honest a)))),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNB2(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))))))),(SID sid)]);
fp_818: State (rs,[Agent (honest a),Step 1,SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),Agent (dishonest i),Agent (dishonest i),Nonce (absNB2(pair(Agent (honest a),Agent (dishonest i)))),Nonce (absNB2(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),pair(Nonce (absNB2(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),Nonce (absNB2(pair(Agent (honest a),Agent (dishonest i))))))),SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))),pair(scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))),pair(Nonce (absNB2(pair(Agent (honest a),Agent (dishonest i)))),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNB2(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))))))),(SID sid)]);
fp_819: State (rs,[Agent (honest a),Step 1,SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),Agent (dishonest i),Agent (dishonest i),Nonce (absNB(pair(Agent (honest a),Agent (honest a)))),Nonce (absNB2(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),pair(Nonce (absNB2(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),Nonce (absNB(pair(Agent (honest a),Agent (honest a))))))),SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))),pair(scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (honest a)))),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNB2(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))))))),(SID sid)]);
fp_820: State (rs,[Agent (honest a),Step 1,SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),Agent (dishonest i),Agent (dishonest i),Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),Nonce (absNB2(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),pair(Nonce (absNB2(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),Nonce (absNB(pair(Agent (honest a),Agent (dishonest i))))))),SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))),pair(scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNB2(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))))))),(SID sid)]);
fp_821: State (rs,[Agent (honest a),Step 1,SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),Agent (dishonest i),Agent (dishonest i),Nonce (absNA(pair(Agent (honest a),Agent (honest a)))),Nonce (absNB2(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),pair(Nonce (absNB2(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),Nonce (absNA(pair(Agent (honest a),Agent (honest a))))))),SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))),pair(scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (honest a)))),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNB2(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))))))),(SID sid)]);
fp_822: State (rs,[Agent (honest a),Step 1,SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),Agent (dishonest i),Agent (dishonest i),Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),Nonce (absNB2(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),pair(Nonce (absNB2(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),Nonce (absNA(pair(Agent (honest a),Agent (dishonest i))))))),SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))),pair(scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNB2(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))))))),(SID sid)]);
fp_823: State (rs,[Agent (honest a),Step 1,SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),Agent (dishonest i),Agent (dishonest i),Nonce (ni),Nonce (absNB2(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),pair(Nonce (absNB2(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),Nonce (ni)))),SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))),pair(scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))),pair(Nonce (ni),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNB2(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))))))),(SID sid)]);
fp_824: State (rs,[Agent (honest a),Step 1,SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),Agent (dishonest i),Agent (dishonest i),Nonce (absNB2(pair(Agent (honest a),Agent (honest a)))),Nonce (absNB(pair(Agent (honest a),Agent (honest a)))),pair(Agent (dishonest i),pair(Nonce (absNB(pair(Agent (honest a),Agent (honest a)))),pair(Agent (dishonest i),Nonce (absNB2(pair(Agent (honest a),Agent (honest a))))))),SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))),pair(scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))),pair(Nonce (absNB2(pair(Agent (honest a),Agent (honest a)))),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (honest a)))),pair(Agent (dishonest i),SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))))))),(SID sid)]);
fp_825: State (rs,[Agent (honest a),Step 1,SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),Agent (dishonest i),Agent (dishonest i),Nonce (absNB2(pair(Agent (honest a),Agent (dishonest i)))),Nonce (absNB(pair(Agent (honest a),Agent (honest a)))),pair(Agent (dishonest i),pair(Nonce (absNB(pair(Agent (honest a),Agent (honest a)))),pair(Agent (dishonest i),Nonce (absNB2(pair(Agent (honest a),Agent (dishonest i))))))),SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))),pair(scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))),pair(Nonce (absNB2(pair(Agent (honest a),Agent (dishonest i)))),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (honest a)))),pair(Agent (dishonest i),SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))))))),(SID sid)]);
fp_826: State (rs,[Agent (honest a),Step 1,SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),Agent (dishonest i),Agent (dishonest i),Nonce (absNB2(pair(Agent (honest a),Agent (honest a)))),Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),Nonce (absNB2(pair(Agent (honest a),Agent (honest a))))))),SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))),pair(scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))),pair(Nonce (absNB2(pair(Agent (honest a),Agent (honest a)))),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))))))),(SID sid)]);
fp_827: State (rs,[Agent (honest a),Step 1,SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),Agent (dishonest i),Agent (dishonest i),Nonce (absNB2(pair(Agent (honest a),Agent (dishonest i)))),Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),Nonce (absNB2(pair(Agent (honest a),Agent (dishonest i))))))),SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))),pair(scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))),pair(Nonce (absNB2(pair(Agent (honest a),Agent (dishonest i)))),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))))))),(SID sid)]);
fp_828: State (rs,[Agent (honest a),Step 1,SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),Agent (dishonest i),Agent (dishonest i),Nonce (absNB2(pair(Agent (honest a),Agent (honest a)))),Nonce (absNA(pair(Agent (honest a),Agent (honest a)))),pair(Agent (dishonest i),pair(Nonce (absNA(pair(Agent (honest a),Agent (honest a)))),pair(Agent (dishonest i),Nonce (absNB2(pair(Agent (honest a),Agent (honest a))))))),SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))),pair(scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))),pair(Nonce (absNB2(pair(Agent (honest a),Agent (honest a)))),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (honest a)))),pair(Agent (dishonest i),SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))))))),(SID sid)]);
fp_829: State (rs,[Agent (honest a),Step 1,SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),Agent (dishonest i),Agent (dishonest i),Nonce (absNB2(pair(Agent (honest a),Agent (dishonest i)))),Nonce (absNA(pair(Agent (honest a),Agent (honest a)))),pair(Agent (dishonest i),pair(Nonce (absNA(pair(Agent (honest a),Agent (honest a)))),pair(Agent (dishonest i),Nonce (absNB2(pair(Agent (honest a),Agent (dishonest i))))))),SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))),pair(scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))),pair(Nonce (absNB2(pair(Agent (honest a),Agent (dishonest i)))),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (honest a)))),pair(Agent (dishonest i),SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))))))),(SID sid)]);
fp_830: State (rs,[Agent (honest a),Step 1,SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),Agent (dishonest i),Agent (dishonest i),Nonce (absNB2(pair(Agent (honest a),Agent (honest a)))),Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),Nonce (absNB2(pair(Agent (honest a),Agent (honest a))))))),SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))),pair(scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))),pair(Nonce (absNB2(pair(Agent (honest a),Agent (honest a)))),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))))))),(SID sid)]);
fp_831: State (rs,[Agent (honest a),Step 1,SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),Agent (dishonest i),Agent (dishonest i),Nonce (absNB2(pair(Agent (honest a),Agent (dishonest i)))),Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),Nonce (absNB2(pair(Agent (honest a),Agent (dishonest i))))))),SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))),pair(scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))),pair(Nonce (absNB2(pair(Agent (honest a),Agent (dishonest i)))),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))))))),(SID sid)]);
fp_832: State (rs,[Agent (honest a),Step 1,SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),Agent (dishonest i),Agent (dishonest i),Nonce (absNB2(pair(Agent (honest a),Agent (honest a)))),Nonce (ni),pair(Agent (dishonest i),pair(Nonce (ni),pair(Agent (dishonest i),Nonce (absNB2(pair(Agent (honest a),Agent (honest a))))))),SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))),pair(scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))),pair(Nonce (absNB2(pair(Agent (honest a),Agent (honest a)))),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (ni),pair(Agent (dishonest i),SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))))))),(SID sid)]);
fp_833: State (rs,[Agent (honest a),Step 1,SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),Agent (dishonest i),Agent (dishonest i),Nonce (absNB2(pair(Agent (honest a),Agent (dishonest i)))),Nonce (ni),pair(Agent (dishonest i),pair(Nonce (ni),pair(Agent (dishonest i),Nonce (absNB2(pair(Agent (honest a),Agent (dishonest i))))))),SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))),pair(scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))),pair(Nonce (absNB2(pair(Agent (honest a),Agent (dishonest i)))),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (ni),pair(Agent (dishonest i),SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))))))),(SID sid)]);
fp_834: State (rs,[Agent (honest a),Step 1,SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),SymKey (sk(pair(Agent (honest a),Agent (honest a)))),Agent (dishonest i),Agent (honest a),Nonce (absNB2(pair(Agent (honest a),Agent (honest a)))),Nonce (absNB2(pair(Agent (honest a),Agent (honest a)))),pair(Agent (honest a),pair(Nonce (absNB2(pair(Agent (honest a),Agent (honest a)))),pair(Agent (dishonest i),Nonce (absNB2(pair(Agent (honest a),Agent (honest a))))))),SymKey (absKAB(pair(Agent (dishonest i),Agent (honest a)))),pair(scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNB2(pair(Agent (honest a),Agent (honest a)))),Agent (honest a)))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absNB2(pair(Agent (honest a),Agent (honest a)))),pair(Agent (dishonest i),SymKey (absKAB(pair(Agent (dishonest i),Agent (honest a)))))))),(SID sid)]);
fp_835: State (rs,[Agent (honest a),Step 1,SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),SymKey (sk(pair(Agent (honest a),Agent (honest a)))),Agent (dishonest i),Agent (honest a),Nonce (absNB2(pair(Agent (honest a),Agent (dishonest i)))),Nonce (absNB2(pair(Agent (honest a),Agent (honest a)))),pair(Agent (honest a),pair(Nonce (absNB2(pair(Agent (honest a),Agent (honest a)))),pair(Agent (dishonest i),Nonce (absNB2(pair(Agent (honest a),Agent (dishonest i))))))),SymKey (absKAB(pair(Agent (dishonest i),Agent (honest a)))),pair(scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNB2(pair(Agent (honest a),Agent (dishonest i)))),Agent (honest a)))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absNB2(pair(Agent (honest a),Agent (honest a)))),pair(Agent (dishonest i),SymKey (absKAB(pair(Agent (dishonest i),Agent (honest a)))))))),(SID sid)]);
fp_836: State (rs,[Agent (honest a),Step 1,SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),SymKey (sk(pair(Agent (honest a),Agent (honest a)))),Agent (dishonest i),Agent (honest a),Nonce (absNB(pair(Agent (honest a),Agent (honest a)))),Nonce (absNB2(pair(Agent (honest a),Agent (honest a)))),pair(Agent (honest a),pair(Nonce (absNB2(pair(Agent (honest a),Agent (honest a)))),pair(Agent (dishonest i),Nonce (absNB(pair(Agent (honest a),Agent (honest a))))))),SymKey (absKAB(pair(Agent (dishonest i),Agent (honest a)))),pair(scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (honest a)))),Agent (honest a)))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absNB2(pair(Agent (honest a),Agent (honest a)))),pair(Agent (dishonest i),SymKey (absKAB(pair(Agent (dishonest i),Agent (honest a)))))))),(SID sid)]);
fp_837: State (rs,[Agent (honest a),Step 1,SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),SymKey (sk(pair(Agent (honest a),Agent (honest a)))),Agent (dishonest i),Agent (honest a),Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),Nonce (absNB2(pair(Agent (honest a),Agent (honest a)))),pair(Agent (honest a),pair(Nonce (absNB2(pair(Agent (honest a),Agent (honest a)))),pair(Agent (dishonest i),Nonce (absNB(pair(Agent (honest a),Agent (dishonest i))))))),SymKey (absKAB(pair(Agent (dishonest i),Agent (honest a)))),pair(scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),Agent (honest a)))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absNB2(pair(Agent (honest a),Agent (honest a)))),pair(Agent (dishonest i),SymKey (absKAB(pair(Agent (dishonest i),Agent (honest a)))))))),(SID sid)]);
fp_838: State (rs,[Agent (honest a),Step 1,SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),SymKey (sk(pair(Agent (honest a),Agent (honest a)))),Agent (dishonest i),Agent (honest a),Nonce (absNA(pair(Agent (honest a),Agent (honest a)))),Nonce (absNB2(pair(Agent (honest a),Agent (honest a)))),pair(Agent (honest a),pair(Nonce (absNB2(pair(Agent (honest a),Agent (honest a)))),pair(Agent (dishonest i),Nonce (absNA(pair(Agent (honest a),Agent (honest a))))))),SymKey (absKAB(pair(Agent (dishonest i),Agent (honest a)))),pair(scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (honest a)))),Agent (honest a)))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absNB2(pair(Agent (honest a),Agent (honest a)))),pair(Agent (dishonest i),SymKey (absKAB(pair(Agent (dishonest i),Agent (honest a)))))))),(SID sid)]);
fp_839: State (rs,[Agent (honest a),Step 1,SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),SymKey (sk(pair(Agent (honest a),Agent (honest a)))),Agent (dishonest i),Agent (honest a),Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),Nonce (absNB2(pair(Agent (honest a),Agent (honest a)))),pair(Agent (honest a),pair(Nonce (absNB2(pair(Agent (honest a),Agent (honest a)))),pair(Agent (dishonest i),Nonce (absNA(pair(Agent (honest a),Agent (dishonest i))))))),SymKey (absKAB(pair(Agent (dishonest i),Agent (honest a)))),pair(scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),Agent (honest a)))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absNB2(pair(Agent (honest a),Agent (honest a)))),pair(Agent (dishonest i),SymKey (absKAB(pair(Agent (dishonest i),Agent (honest a)))))))),(SID sid)]);
fp_840: State (rs,[Agent (honest a),Step 1,SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),SymKey (sk(pair(Agent (honest a),Agent (honest a)))),Agent (dishonest i),Agent (honest a),Nonce (ni),Nonce (absNB2(pair(Agent (honest a),Agent (honest a)))),pair(Agent (honest a),pair(Nonce (absNB2(pair(Agent (honest a),Agent (honest a)))),pair(Agent (dishonest i),Nonce (ni)))),SymKey (absKAB(pair(Agent (dishonest i),Agent (honest a)))),pair(scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (ni),Agent (honest a)))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absNB2(pair(Agent (honest a),Agent (honest a)))),pair(Agent (dishonest i),SymKey (absKAB(pair(Agent (dishonest i),Agent (honest a)))))))),(SID sid)]);
fp_841: State (rs,[Agent (honest a),Step 1,SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),SymKey (sk(pair(Agent (honest a),Agent (honest a)))),Agent (dishonest i),Agent (honest a),Nonce (absNB2(pair(Agent (honest a),Agent (honest a)))),Nonce (absNB2(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (honest a),pair(Nonce (absNB2(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),Nonce (absNB2(pair(Agent (honest a),Agent (honest a))))))),SymKey (absKAB(pair(Agent (dishonest i),Agent (honest a)))),pair(scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNB2(pair(Agent (honest a),Agent (honest a)))),Agent (honest a)))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absNB2(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),SymKey (absKAB(pair(Agent (dishonest i),Agent (honest a)))))))),(SID sid)]);
fp_842: State (rs,[Agent (honest a),Step 1,SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),SymKey (sk(pair(Agent (honest a),Agent (honest a)))),Agent (dishonest i),Agent (honest a),Nonce (absNB2(pair(Agent (honest a),Agent (dishonest i)))),Nonce (absNB2(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (honest a),pair(Nonce (absNB2(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),Nonce (absNB2(pair(Agent (honest a),Agent (dishonest i))))))),SymKey (absKAB(pair(Agent (dishonest i),Agent (honest a)))),pair(scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNB2(pair(Agent (honest a),Agent (dishonest i)))),Agent (honest a)))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absNB2(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),SymKey (absKAB(pair(Agent (dishonest i),Agent (honest a)))))))),(SID sid)]);
fp_843: State (rs,[Agent (honest a),Step 1,SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),SymKey (sk(pair(Agent (honest a),Agent (honest a)))),Agent (dishonest i),Agent (honest a),Nonce (absNB(pair(Agent (honest a),Agent (honest a)))),Nonce (absNB2(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (honest a),pair(Nonce (absNB2(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),Nonce (absNB(pair(Agent (honest a),Agent (honest a))))))),SymKey (absKAB(pair(Agent (dishonest i),Agent (honest a)))),pair(scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (honest a)))),Agent (honest a)))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absNB2(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),SymKey (absKAB(pair(Agent (dishonest i),Agent (honest a)))))))),(SID sid)]);
fp_844: State (rs,[Agent (honest a),Step 1,SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),SymKey (sk(pair(Agent (honest a),Agent (honest a)))),Agent (dishonest i),Agent (honest a),Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),Nonce (absNB2(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (honest a),pair(Nonce (absNB2(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),Nonce (absNB(pair(Agent (honest a),Agent (dishonest i))))))),SymKey (absKAB(pair(Agent (dishonest i),Agent (honest a)))),pair(scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),Agent (honest a)))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absNB2(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),SymKey (absKAB(pair(Agent (dishonest i),Agent (honest a)))))))),(SID sid)]);
fp_845: State (rs,[Agent (honest a),Step 1,SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),SymKey (sk(pair(Agent (honest a),Agent (honest a)))),Agent (dishonest i),Agent (honest a),Nonce (absNA(pair(Agent (honest a),Agent (honest a)))),Nonce (absNB2(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (honest a),pair(Nonce (absNB2(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),Nonce (absNA(pair(Agent (honest a),Agent (honest a))))))),SymKey (absKAB(pair(Agent (dishonest i),Agent (honest a)))),pair(scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (honest a)))),Agent (honest a)))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absNB2(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),SymKey (absKAB(pair(Agent (dishonest i),Agent (honest a)))))))),(SID sid)]);
fp_846: State (rs,[Agent (honest a),Step 1,SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),SymKey (sk(pair(Agent (honest a),Agent (honest a)))),Agent (dishonest i),Agent (honest a),Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),Nonce (absNB2(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (honest a),pair(Nonce (absNB2(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),Nonce (absNA(pair(Agent (honest a),Agent (dishonest i))))))),SymKey (absKAB(pair(Agent (dishonest i),Agent (honest a)))),pair(scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),Agent (honest a)))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absNB2(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),SymKey (absKAB(pair(Agent (dishonest i),Agent (honest a)))))))),(SID sid)]);
fp_847: State (rs,[Agent (honest a),Step 1,SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),SymKey (sk(pair(Agent (honest a),Agent (honest a)))),Agent (dishonest i),Agent (honest a),Nonce (ni),Nonce (absNB2(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (honest a),pair(Nonce (absNB2(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),Nonce (ni)))),SymKey (absKAB(pair(Agent (dishonest i),Agent (honest a)))),pair(scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (ni),Agent (honest a)))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absNB2(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),SymKey (absKAB(pair(Agent (dishonest i),Agent (honest a)))))))),(SID sid)]);
fp_848: State (rs,[Agent (honest a),Step 1,SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),SymKey (sk(pair(Agent (honest a),Agent (honest a)))),Agent (dishonest i),Agent (honest a),Nonce (absNB2(pair(Agent (honest a),Agent (honest a)))),Nonce (absNB(pair(Agent (honest a),Agent (honest a)))),pair(Agent (honest a),pair(Nonce (absNB(pair(Agent (honest a),Agent (honest a)))),pair(Agent (dishonest i),Nonce (absNB2(pair(Agent (honest a),Agent (honest a))))))),SymKey (absKAB(pair(Agent (dishonest i),Agent (honest a)))),pair(scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNB2(pair(Agent (honest a),Agent (honest a)))),Agent (honest a)))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (honest a)))),pair(Agent (dishonest i),SymKey (absKAB(pair(Agent (dishonest i),Agent (honest a)))))))),(SID sid)]);
fp_849: State (rs,[Agent (honest a),Step 1,SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),SymKey (sk(pair(Agent (honest a),Agent (honest a)))),Agent (dishonest i),Agent (honest a),Nonce (absNB2(pair(Agent (honest a),Agent (dishonest i)))),Nonce (absNB(pair(Agent (honest a),Agent (honest a)))),pair(Agent (honest a),pair(Nonce (absNB(pair(Agent (honest a),Agent (honest a)))),pair(Agent (dishonest i),Nonce (absNB2(pair(Agent (honest a),Agent (dishonest i))))))),SymKey (absKAB(pair(Agent (dishonest i),Agent (honest a)))),pair(scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNB2(pair(Agent (honest a),Agent (dishonest i)))),Agent (honest a)))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (honest a)))),pair(Agent (dishonest i),SymKey (absKAB(pair(Agent (dishonest i),Agent (honest a)))))))),(SID sid)]);
fp_850: State (rs,[Agent (honest a),Step 1,SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),SymKey (sk(pair(Agent (honest a),Agent (honest a)))),Agent (dishonest i),Agent (honest a),Nonce (absNB2(pair(Agent (honest a),Agent (honest a)))),Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (honest a),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),Nonce (absNB2(pair(Agent (honest a),Agent (honest a))))))),SymKey (absKAB(pair(Agent (dishonest i),Agent (honest a)))),pair(scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNB2(pair(Agent (honest a),Agent (honest a)))),Agent (honest a)))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),SymKey (absKAB(pair(Agent (dishonest i),Agent (honest a)))))))),(SID sid)]);
fp_851: State (rs,[Agent (honest a),Step 1,SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),SymKey (sk(pair(Agent (honest a),Agent (honest a)))),Agent (dishonest i),Agent (honest a),Nonce (absNB2(pair(Agent (honest a),Agent (dishonest i)))),Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (honest a),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),Nonce (absNB2(pair(Agent (honest a),Agent (dishonest i))))))),SymKey (absKAB(pair(Agent (dishonest i),Agent (honest a)))),pair(scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNB2(pair(Agent (honest a),Agent (dishonest i)))),Agent (honest a)))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),SymKey (absKAB(pair(Agent (dishonest i),Agent (honest a)))))))),(SID sid)]);
fp_852: State (rs,[Agent (honest a),Step 1,SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),SymKey (sk(pair(Agent (honest a),Agent (honest a)))),Agent (dishonest i),Agent (honest a),Nonce (absNB2(pair(Agent (honest a),Agent (honest a)))),Nonce (absNA(pair(Agent (honest a),Agent (honest a)))),pair(Agent (honest a),pair(Nonce (absNA(pair(Agent (honest a),Agent (honest a)))),pair(Agent (dishonest i),Nonce (absNB2(pair(Agent (honest a),Agent (honest a))))))),SymKey (absKAB(pair(Agent (dishonest i),Agent (honest a)))),pair(scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNB2(pair(Agent (honest a),Agent (honest a)))),Agent (honest a)))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (honest a)))),pair(Agent (dishonest i),SymKey (absKAB(pair(Agent (dishonest i),Agent (honest a)))))))),(SID sid)]);
fp_853: State (rs,[Agent (honest a),Step 1,SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),SymKey (sk(pair(Agent (honest a),Agent (honest a)))),Agent (dishonest i),Agent (honest a),Nonce (absNB2(pair(Agent (honest a),Agent (dishonest i)))),Nonce (absNA(pair(Agent (honest a),Agent (honest a)))),pair(Agent (honest a),pair(Nonce (absNA(pair(Agent (honest a),Agent (honest a)))),pair(Agent (dishonest i),Nonce (absNB2(pair(Agent (honest a),Agent (dishonest i))))))),SymKey (absKAB(pair(Agent (dishonest i),Agent (honest a)))),pair(scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNB2(pair(Agent (honest a),Agent (dishonest i)))),Agent (honest a)))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (honest a)))),pair(Agent (dishonest i),SymKey (absKAB(pair(Agent (dishonest i),Agent (honest a)))))))),(SID sid)]);
fp_854: State (rs,[Agent (honest a),Step 1,SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),SymKey (sk(pair(Agent (honest a),Agent (honest a)))),Agent (dishonest i),Agent (honest a),Nonce (absNB2(pair(Agent (honest a),Agent (honest a)))),Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (honest a),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),Nonce (absNB2(pair(Agent (honest a),Agent (honest a))))))),SymKey (absKAB(pair(Agent (dishonest i),Agent (honest a)))),pair(scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNB2(pair(Agent (honest a),Agent (honest a)))),Agent (honest a)))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),SymKey (absKAB(pair(Agent (dishonest i),Agent (honest a)))))))),(SID sid)]);
fp_855: State (rs,[Agent (honest a),Step 1,SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),SymKey (sk(pair(Agent (honest a),Agent (honest a)))),Agent (dishonest i),Agent (honest a),Nonce (absNB2(pair(Agent (honest a),Agent (dishonest i)))),Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (honest a),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),Nonce (absNB2(pair(Agent (honest a),Agent (dishonest i))))))),SymKey (absKAB(pair(Agent (dishonest i),Agent (honest a)))),pair(scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNB2(pair(Agent (honest a),Agent (dishonest i)))),Agent (honest a)))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),SymKey (absKAB(pair(Agent (dishonest i),Agent (honest a)))))))),(SID sid)]);
fp_856: State (rs,[Agent (honest a),Step 1,SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),SymKey (sk(pair(Agent (honest a),Agent (honest a)))),Agent (dishonest i),Agent (honest a),Nonce (absNB2(pair(Agent (honest a),Agent (honest a)))),Nonce (ni),pair(Agent (honest a),pair(Nonce (ni),pair(Agent (dishonest i),Nonce (absNB2(pair(Agent (honest a),Agent (honest a))))))),SymKey (absKAB(pair(Agent (dishonest i),Agent (honest a)))),pair(scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNB2(pair(Agent (honest a),Agent (honest a)))),Agent (honest a)))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (ni),pair(Agent (dishonest i),SymKey (absKAB(pair(Agent (dishonest i),Agent (honest a)))))))),(SID sid)]);
fp_857: State (rs,[Agent (honest a),Step 1,SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),SymKey (sk(pair(Agent (honest a),Agent (honest a)))),Agent (dishonest i),Agent (honest a),Nonce (absNB2(pair(Agent (honest a),Agent (dishonest i)))),Nonce (ni),pair(Agent (honest a),pair(Nonce (ni),pair(Agent (dishonest i),Nonce (absNB2(pair(Agent (honest a),Agent (dishonest i))))))),SymKey (absKAB(pair(Agent (dishonest i),Agent (honest a)))),pair(scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNB2(pair(Agent (honest a),Agent (dishonest i)))),Agent (honest a)))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (ni),pair(Agent (dishonest i),SymKey (absKAB(pair(Agent (dishonest i),Agent (honest a)))))))),(SID sid)]);
fp_858: State (rs,[Agent (honest a),Step 1,SymKey (sk(pair(Agent (honest a),Agent (honest a)))),SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),Agent (honest a),Agent (dishonest i),Nonce (absNB2(pair(Agent (honest a),Agent (honest a)))),Nonce (absNB2(pair(Agent (honest a),Agent (honest a)))),pair(Agent (dishonest i),pair(Nonce (absNB2(pair(Agent (honest a),Agent (honest a)))),pair(Agent (honest a),Nonce (absNB2(pair(Agent (honest a),Agent (honest a))))))),SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))),pair(scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (absNB2(pair(Agent (honest a),Agent (honest a)))),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNB2(pair(Agent (honest a),Agent (honest a)))),pair(Agent (honest a),SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))))))),(SID sid)]);
fp_859: State (rs,[Agent (honest a),Step 1,SymKey (sk(pair(Agent (honest a),Agent (honest a)))),SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),Agent (honest a),Agent (dishonest i),Nonce (absNB2(pair(Agent (honest a),Agent (dishonest i)))),Nonce (absNB2(pair(Agent (honest a),Agent (honest a)))),pair(Agent (dishonest i),pair(Nonce (absNB2(pair(Agent (honest a),Agent (honest a)))),pair(Agent (honest a),Nonce (absNB2(pair(Agent (honest a),Agent (dishonest i))))))),SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))),pair(scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (absNB2(pair(Agent (honest a),Agent (dishonest i)))),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNB2(pair(Agent (honest a),Agent (honest a)))),pair(Agent (honest a),SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))))))),(SID sid)]);
fp_860: State (rs,[Agent (honest a),Step 1,SymKey (sk(pair(Agent (honest a),Agent (honest a)))),SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),Agent (honest a),Agent (dishonest i),Nonce (absNB(pair(Agent (honest a),Agent (honest a)))),Nonce (absNB2(pair(Agent (honest a),Agent (honest a)))),pair(Agent (dishonest i),pair(Nonce (absNB2(pair(Agent (honest a),Agent (honest a)))),pair(Agent (honest a),Nonce (absNB(pair(Agent (honest a),Agent (honest a))))))),SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))),pair(scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (honest a)))),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNB2(pair(Agent (honest a),Agent (honest a)))),pair(Agent (honest a),SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))))))),(SID sid)]);
fp_861: State (rs,[Agent (honest a),Step 1,SymKey (sk(pair(Agent (honest a),Agent (honest a)))),SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),Agent (honest a),Agent (dishonest i),Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),Nonce (absNB2(pair(Agent (honest a),Agent (honest a)))),pair(Agent (dishonest i),pair(Nonce (absNB2(pair(Agent (honest a),Agent (honest a)))),pair(Agent (honest a),Nonce (absNB(pair(Agent (honest a),Agent (dishonest i))))))),SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))),pair(scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNB2(pair(Agent (honest a),Agent (honest a)))),pair(Agent (honest a),SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))))))),(SID sid)]);
fp_862: State (rs,[Agent (honest a),Step 1,SymKey (sk(pair(Agent (honest a),Agent (honest a)))),SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),Agent (honest a),Agent (dishonest i),Nonce (absNA(pair(Agent (honest a),Agent (honest a)))),Nonce (absNB2(pair(Agent (honest a),Agent (honest a)))),pair(Agent (dishonest i),pair(Nonce (absNB2(pair(Agent (honest a),Agent (honest a)))),pair(Agent (honest a),Nonce (absNA(pair(Agent (honest a),Agent (honest a))))))),SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))),pair(scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (honest a)))),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNB2(pair(Agent (honest a),Agent (honest a)))),pair(Agent (honest a),SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))))))),(SID sid)]);
fp_863: State (rs,[Agent (honest a),Step 1,SymKey (sk(pair(Agent (honest a),Agent (honest a)))),SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),Agent (honest a),Agent (dishonest i),Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),Nonce (absNB2(pair(Agent (honest a),Agent (honest a)))),pair(Agent (dishonest i),pair(Nonce (absNB2(pair(Agent (honest a),Agent (honest a)))),pair(Agent (honest a),Nonce (absNA(pair(Agent (honest a),Agent (dishonest i))))))),SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))),pair(scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNB2(pair(Agent (honest a),Agent (honest a)))),pair(Agent (honest a),SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))))))),(SID sid)]);
fp_864: State (rs,[Agent (honest a),Step 1,SymKey (sk(pair(Agent (honest a),Agent (honest a)))),SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),Agent (honest a),Agent (dishonest i),Nonce (ni),Nonce (absNB2(pair(Agent (honest a),Agent (honest a)))),pair(Agent (dishonest i),pair(Nonce (absNB2(pair(Agent (honest a),Agent (honest a)))),pair(Agent (honest a),Nonce (ni)))),SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))),pair(scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (ni),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNB2(pair(Agent (honest a),Agent (honest a)))),pair(Agent (honest a),SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))))))),(SID sid)]);
fp_865: State (rs,[Agent (honest a),Step 1,SymKey (sk(pair(Agent (honest a),Agent (honest a)))),SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),Agent (honest a),Agent (dishonest i),Nonce (absNB2(pair(Agent (honest a),Agent (honest a)))),Nonce (absNB2(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),pair(Nonce (absNB2(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (honest a),Nonce (absNB2(pair(Agent (honest a),Agent (honest a))))))),SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))),pair(scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (absNB2(pair(Agent (honest a),Agent (honest a)))),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNB2(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (honest a),SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))))))),(SID sid)]);
fp_866: State (rs,[Agent (honest a),Step 1,SymKey (sk(pair(Agent (honest a),Agent (honest a)))),SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),Agent (honest a),Agent (dishonest i),Nonce (absNB2(pair(Agent (honest a),Agent (dishonest i)))),Nonce (absNB2(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),pair(Nonce (absNB2(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (honest a),Nonce (absNB2(pair(Agent (honest a),Agent (dishonest i))))))),SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))),pair(scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (absNB2(pair(Agent (honest a),Agent (dishonest i)))),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNB2(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (honest a),SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))))))),(SID sid)]);
fp_867: State (rs,[Agent (honest a),Step 1,SymKey (sk(pair(Agent (honest a),Agent (honest a)))),SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),Agent (honest a),Agent (dishonest i),Nonce (absNB(pair(Agent (honest a),Agent (honest a)))),Nonce (absNB2(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),pair(Nonce (absNB2(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (honest a),Nonce (absNB(pair(Agent (honest a),Agent (honest a))))))),SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))),pair(scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (honest a)))),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNB2(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (honest a),SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))))))),(SID sid)]);
fp_868: State (rs,[Agent (honest a),Step 1,SymKey (sk(pair(Agent (honest a),Agent (honest a)))),SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),Agent (honest a),Agent (dishonest i),Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),Nonce (absNB2(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),pair(Nonce (absNB2(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (honest a),Nonce (absNB(pair(Agent (honest a),Agent (dishonest i))))))),SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))),pair(scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNB2(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (honest a),SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))))))),(SID sid)]);
fp_869: State (rs,[Agent (honest a),Step 1,SymKey (sk(pair(Agent (honest a),Agent (honest a)))),SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),Agent (honest a),Agent (dishonest i),Nonce (absNA(pair(Agent (honest a),Agent (honest a)))),Nonce (absNB2(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),pair(Nonce (absNB2(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (honest a),Nonce (absNA(pair(Agent (honest a),Agent (honest a))))))),SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))),pair(scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (honest a)))),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNB2(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (honest a),SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))))))),(SID sid)]);
fp_870: State (rs,[Agent (honest a),Step 1,SymKey (sk(pair(Agent (honest a),Agent (honest a)))),SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),Agent (honest a),Agent (dishonest i),Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),Nonce (absNB2(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),pair(Nonce (absNB2(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (honest a),Nonce (absNA(pair(Agent (honest a),Agent (dishonest i))))))),SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))),pair(scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNB2(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (honest a),SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))))))),(SID sid)]);
fp_871: State (rs,[Agent (honest a),Step 1,SymKey (sk(pair(Agent (honest a),Agent (honest a)))),SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),Agent (honest a),Agent (dishonest i),Nonce (ni),Nonce (absNB2(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),pair(Nonce (absNB2(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (honest a),Nonce (ni)))),SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))),pair(scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (ni),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNB2(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (honest a),SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))))))),(SID sid)]);
fp_872: State (rs,[Agent (honest a),Step 1,SymKey (sk(pair(Agent (honest a),Agent (honest a)))),SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),Agent (honest a),Agent (dishonest i),Nonce (absNB2(pair(Agent (honest a),Agent (honest a)))),Nonce (absNB(pair(Agent (honest a),Agent (honest a)))),pair(Agent (dishonest i),pair(Nonce (absNB(pair(Agent (honest a),Agent (honest a)))),pair(Agent (honest a),Nonce (absNB2(pair(Agent (honest a),Agent (honest a))))))),SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))),pair(scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (absNB2(pair(Agent (honest a),Agent (honest a)))),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (honest a)))),pair(Agent (honest a),SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))))))),(SID sid)]);
fp_873: State (rs,[Agent (honest a),Step 1,SymKey (sk(pair(Agent (honest a),Agent (honest a)))),SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),Agent (honest a),Agent (dishonest i),Nonce (absNB2(pair(Agent (honest a),Agent (dishonest i)))),Nonce (absNB(pair(Agent (honest a),Agent (honest a)))),pair(Agent (dishonest i),pair(Nonce (absNB(pair(Agent (honest a),Agent (honest a)))),pair(Agent (honest a),Nonce (absNB2(pair(Agent (honest a),Agent (dishonest i))))))),SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))),pair(scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (absNB2(pair(Agent (honest a),Agent (dishonest i)))),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (honest a)))),pair(Agent (honest a),SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))))))),(SID sid)]);
fp_874: State (rs,[Agent (honest a),Step 1,SymKey (sk(pair(Agent (honest a),Agent (honest a)))),SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),Agent (honest a),Agent (dishonest i),Nonce (absNB2(pair(Agent (honest a),Agent (honest a)))),Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (honest a),Nonce (absNB2(pair(Agent (honest a),Agent (honest a))))))),SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))),pair(scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (absNB2(pair(Agent (honest a),Agent (honest a)))),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (honest a),SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))))))),(SID sid)]);
fp_875: State (rs,[Agent (honest a),Step 1,SymKey (sk(pair(Agent (honest a),Agent (honest a)))),SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),Agent (honest a),Agent (dishonest i),Nonce (absNB2(pair(Agent (honest a),Agent (dishonest i)))),Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (honest a),Nonce (absNB2(pair(Agent (honest a),Agent (dishonest i))))))),SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))),pair(scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (absNB2(pair(Agent (honest a),Agent (dishonest i)))),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (honest a),SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))))))),(SID sid)]);
fp_876: State (rs,[Agent (honest a),Step 1,SymKey (sk(pair(Agent (honest a),Agent (honest a)))),SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),Agent (honest a),Agent (dishonest i),Nonce (absNB2(pair(Agent (honest a),Agent (honest a)))),Nonce (absNA(pair(Agent (honest a),Agent (honest a)))),pair(Agent (dishonest i),pair(Nonce (absNA(pair(Agent (honest a),Agent (honest a)))),pair(Agent (honest a),Nonce (absNB2(pair(Agent (honest a),Agent (honest a))))))),SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))),pair(scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (absNB2(pair(Agent (honest a),Agent (honest a)))),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (honest a)))),pair(Agent (honest a),SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))))))),(SID sid)]);
fp_877: State (rs,[Agent (honest a),Step 1,SymKey (sk(pair(Agent (honest a),Agent (honest a)))),SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),Agent (honest a),Agent (dishonest i),Nonce (absNB2(pair(Agent (honest a),Agent (dishonest i)))),Nonce (absNA(pair(Agent (honest a),Agent (honest a)))),pair(Agent (dishonest i),pair(Nonce (absNA(pair(Agent (honest a),Agent (honest a)))),pair(Agent (honest a),Nonce (absNB2(pair(Agent (honest a),Agent (dishonest i))))))),SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))),pair(scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (absNB2(pair(Agent (honest a),Agent (dishonest i)))),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (honest a)))),pair(Agent (honest a),SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))))))),(SID sid)]);
fp_878: State (rs,[Agent (honest a),Step 1,SymKey (sk(pair(Agent (honest a),Agent (honest a)))),SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),Agent (honest a),Agent (dishonest i),Nonce (absNB2(pair(Agent (honest a),Agent (honest a)))),Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (honest a),Nonce (absNB2(pair(Agent (honest a),Agent (honest a))))))),SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))),pair(scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (absNB2(pair(Agent (honest a),Agent (honest a)))),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (honest a),SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))))))),(SID sid)]);
fp_879: State (rs,[Agent (honest a),Step 1,SymKey (sk(pair(Agent (honest a),Agent (honest a)))),SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),Agent (honest a),Agent (dishonest i),Nonce (absNB2(pair(Agent (honest a),Agent (dishonest i)))),Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (honest a),Nonce (absNB2(pair(Agent (honest a),Agent (dishonest i))))))),SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))),pair(scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (absNB2(pair(Agent (honest a),Agent (dishonest i)))),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (honest a),SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))))))),(SID sid)]);
fp_880: State (rs,[Agent (honest a),Step 1,SymKey (sk(pair(Agent (honest a),Agent (honest a)))),SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),Agent (honest a),Agent (dishonest i),Nonce (absNB2(pair(Agent (honest a),Agent (honest a)))),Nonce (ni),pair(Agent (dishonest i),pair(Nonce (ni),pair(Agent (honest a),Nonce (absNB2(pair(Agent (honest a),Agent (honest a))))))),SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))),pair(scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (absNB2(pair(Agent (honest a),Agent (honest a)))),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (ni),pair(Agent (honest a),SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))))))),(SID sid)]);
fp_881: State (rs,[Agent (honest a),Step 1,SymKey (sk(pair(Agent (honest a),Agent (honest a)))),SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),Agent (honest a),Agent (dishonest i),Nonce (absNB2(pair(Agent (honest a),Agent (dishonest i)))),Nonce (ni),pair(Agent (dishonest i),pair(Nonce (ni),pair(Agent (honest a),Nonce (absNB2(pair(Agent (honest a),Agent (dishonest i))))))),SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))),pair(scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (absNB2(pair(Agent (honest a),Agent (dishonest i)))),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (ni),pair(Agent (honest a),SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))))))),(SID sid)]);
fp_882: State (rs,[Agent (honest a),Step 1,SymKey (sk(pair(Agent (honest a),Agent (honest a)))),SymKey (sk(pair(Agent (honest a),Agent (honest a)))),Agent (honest a),Agent (honest a),Nonce (absNB2(pair(Agent (honest a),Agent (honest a)))),Nonce (absNB2(pair(Agent (honest a),Agent (honest a)))),pair(Agent (honest a),pair(Nonce (absNB2(pair(Agent (honest a),Agent (honest a)))),pair(Agent (honest a),Nonce (absNB2(pair(Agent (honest a),Agent (honest a))))))),SymKey (absKAB(pair(Agent (honest a),Agent (honest a)))),pair(scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absNB2(pair(Agent (honest a),Agent (honest a)))),Agent (honest a)))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absNB2(pair(Agent (honest a),Agent (honest a)))),pair(Agent (honest a),SymKey (absKAB(pair(Agent (honest a),Agent (honest a)))))))),(SID sid)]);
fp_883: State (rs,[Agent (honest a),Step 1,SymKey (sk(pair(Agent (honest a),Agent (honest a)))),SymKey (sk(pair(Agent (honest a),Agent (honest a)))),Agent (honest a),Agent (honest a),Nonce (absNB2(pair(Agent (honest a),Agent (dishonest i)))),Nonce (absNB2(pair(Agent (honest a),Agent (honest a)))),pair(Agent (honest a),pair(Nonce (absNB2(pair(Agent (honest a),Agent (honest a)))),pair(Agent (honest a),Nonce (absNB2(pair(Agent (honest a),Agent (dishonest i))))))),SymKey (absKAB(pair(Agent (honest a),Agent (honest a)))),pair(scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absNB2(pair(Agent (honest a),Agent (dishonest i)))),Agent (honest a)))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absNB2(pair(Agent (honest a),Agent (honest a)))),pair(Agent (honest a),SymKey (absKAB(pair(Agent (honest a),Agent (honest a)))))))),(SID sid)]);
fp_884: State (rs,[Agent (honest a),Step 1,SymKey (sk(pair(Agent (honest a),Agent (honest a)))),SymKey (sk(pair(Agent (honest a),Agent (honest a)))),Agent (honest a),Agent (honest a),Nonce (absNB(pair(Agent (honest a),Agent (honest a)))),Nonce (absNB2(pair(Agent (honest a),Agent (honest a)))),pair(Agent (honest a),pair(Nonce (absNB2(pair(Agent (honest a),Agent (honest a)))),pair(Agent (honest a),Nonce (absNB(pair(Agent (honest a),Agent (honest a))))))),SymKey (absKAB(pair(Agent (honest a),Agent (honest a)))),pair(scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (honest a)))),Agent (honest a)))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absNB2(pair(Agent (honest a),Agent (honest a)))),pair(Agent (honest a),SymKey (absKAB(pair(Agent (honest a),Agent (honest a)))))))),(SID sid)]);
fp_885: State (rs,[Agent (honest a),Step 1,SymKey (sk(pair(Agent (honest a),Agent (honest a)))),SymKey (sk(pair(Agent (honest a),Agent (honest a)))),Agent (honest a),Agent (honest a),Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),Nonce (absNB2(pair(Agent (honest a),Agent (honest a)))),pair(Agent (honest a),pair(Nonce (absNB2(pair(Agent (honest a),Agent (honest a)))),pair(Agent (honest a),Nonce (absNB(pair(Agent (honest a),Agent (dishonest i))))))),SymKey (absKAB(pair(Agent (honest a),Agent (honest a)))),pair(scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),Agent (honest a)))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absNB2(pair(Agent (honest a),Agent (honest a)))),pair(Agent (honest a),SymKey (absKAB(pair(Agent (honest a),Agent (honest a)))))))),(SID sid)]);
fp_886: State (rs,[Agent (honest a),Step 1,SymKey (sk(pair(Agent (honest a),Agent (honest a)))),SymKey (sk(pair(Agent (honest a),Agent (honest a)))),Agent (honest a),Agent (honest a),Nonce (absNA(pair(Agent (honest a),Agent (honest a)))),Nonce (absNB2(pair(Agent (honest a),Agent (honest a)))),pair(Agent (honest a),pair(Nonce (absNB2(pair(Agent (honest a),Agent (honest a)))),pair(Agent (honest a),Nonce (absNA(pair(Agent (honest a),Agent (honest a))))))),SymKey (absKAB(pair(Agent (honest a),Agent (honest a)))),pair(scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (honest a)))),Agent (honest a)))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absNB2(pair(Agent (honest a),Agent (honest a)))),pair(Agent (honest a),SymKey (absKAB(pair(Agent (honest a),Agent (honest a)))))))),(SID sid)]);
fp_887: State (rs,[Agent (honest a),Step 1,SymKey (sk(pair(Agent (honest a),Agent (honest a)))),SymKey (sk(pair(Agent (honest a),Agent (honest a)))),Agent (honest a),Agent (honest a),Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),Nonce (absNB2(pair(Agent (honest a),Agent (honest a)))),pair(Agent (honest a),pair(Nonce (absNB2(pair(Agent (honest a),Agent (honest a)))),pair(Agent (honest a),Nonce (absNA(pair(Agent (honest a),Agent (dishonest i))))))),SymKey (absKAB(pair(Agent (honest a),Agent (honest a)))),pair(scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),Agent (honest a)))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absNB2(pair(Agent (honest a),Agent (honest a)))),pair(Agent (honest a),SymKey (absKAB(pair(Agent (honest a),Agent (honest a)))))))),(SID sid)]);
fp_888: State (rs,[Agent (honest a),Step 1,SymKey (sk(pair(Agent (honest a),Agent (honest a)))),SymKey (sk(pair(Agent (honest a),Agent (honest a)))),Agent (honest a),Agent (honest a),Nonce (ni),Nonce (absNB2(pair(Agent (honest a),Agent (honest a)))),pair(Agent (honest a),pair(Nonce (absNB2(pair(Agent (honest a),Agent (honest a)))),pair(Agent (honest a),Nonce (ni)))),SymKey (absKAB(pair(Agent (honest a),Agent (honest a)))),pair(scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (ni),Agent (honest a)))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absNB2(pair(Agent (honest a),Agent (honest a)))),pair(Agent (honest a),SymKey (absKAB(pair(Agent (honest a),Agent (honest a)))))))),(SID sid)]);
fp_889: State (rs,[Agent (honest a),Step 1,SymKey (sk(pair(Agent (honest a),Agent (honest a)))),SymKey (sk(pair(Agent (honest a),Agent (honest a)))),Agent (honest a),Agent (honest a),Nonce (absNB2(pair(Agent (honest a),Agent (honest a)))),Nonce (absNB2(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (honest a),pair(Nonce (absNB2(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (honest a),Nonce (absNB2(pair(Agent (honest a),Agent (honest a))))))),SymKey (absKAB(pair(Agent (honest a),Agent (honest a)))),pair(scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absNB2(pair(Agent (honest a),Agent (honest a)))),Agent (honest a)))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absNB2(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (honest a),SymKey (absKAB(pair(Agent (honest a),Agent (honest a)))))))),(SID sid)]);
fp_890: State (rs,[Agent (honest a),Step 1,SymKey (sk(pair(Agent (honest a),Agent (honest a)))),SymKey (sk(pair(Agent (honest a),Agent (honest a)))),Agent (honest a),Agent (honest a),Nonce (absNB2(pair(Agent (honest a),Agent (dishonest i)))),Nonce (absNB2(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (honest a),pair(Nonce (absNB2(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (honest a),Nonce (absNB2(pair(Agent (honest a),Agent (dishonest i))))))),SymKey (absKAB(pair(Agent (honest a),Agent (honest a)))),pair(scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absNB2(pair(Agent (honest a),Agent (dishonest i)))),Agent (honest a)))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absNB2(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (honest a),SymKey (absKAB(pair(Agent (honest a),Agent (honest a)))))))),(SID sid)]);
fp_891: State (rs,[Agent (honest a),Step 1,SymKey (sk(pair(Agent (honest a),Agent (honest a)))),SymKey (sk(pair(Agent (honest a),Agent (honest a)))),Agent (honest a),Agent (honest a),Nonce (absNB(pair(Agent (honest a),Agent (honest a)))),Nonce (absNB2(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (honest a),pair(Nonce (absNB2(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (honest a),Nonce (absNB(pair(Agent (honest a),Agent (honest a))))))),SymKey (absKAB(pair(Agent (honest a),Agent (honest a)))),pair(scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (honest a)))),Agent (honest a)))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absNB2(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (honest a),SymKey (absKAB(pair(Agent (honest a),Agent (honest a)))))))),(SID sid)]);
fp_892: State (rs,[Agent (honest a),Step 1,SymKey (sk(pair(Agent (honest a),Agent (honest a)))),SymKey (sk(pair(Agent (honest a),Agent (honest a)))),Agent (honest a),Agent (honest a),Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),Nonce (absNB2(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (honest a),pair(Nonce (absNB2(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (honest a),Nonce (absNB(pair(Agent (honest a),Agent (dishonest i))))))),SymKey (absKAB(pair(Agent (honest a),Agent (honest a)))),pair(scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),Agent (honest a)))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absNB2(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (honest a),SymKey (absKAB(pair(Agent (honest a),Agent (honest a)))))))),(SID sid)]);
fp_893: State (rs,[Agent (honest a),Step 1,SymKey (sk(pair(Agent (honest a),Agent (honest a)))),SymKey (sk(pair(Agent (honest a),Agent (honest a)))),Agent (honest a),Agent (honest a),Nonce (absNA(pair(Agent (honest a),Agent (honest a)))),Nonce (absNB2(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (honest a),pair(Nonce (absNB2(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (honest a),Nonce (absNA(pair(Agent (honest a),Agent (honest a))))))),SymKey (absKAB(pair(Agent (honest a),Agent (honest a)))),pair(scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (honest a)))),Agent (honest a)))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absNB2(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (honest a),SymKey (absKAB(pair(Agent (honest a),Agent (honest a)))))))),(SID sid)]);
fp_894: State (rs,[Agent (honest a),Step 1,SymKey (sk(pair(Agent (honest a),Agent (honest a)))),SymKey (sk(pair(Agent (honest a),Agent (honest a)))),Agent (honest a),Agent (honest a),Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),Nonce (absNB2(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (honest a),pair(Nonce (absNB2(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (honest a),Nonce (absNA(pair(Agent (honest a),Agent (dishonest i))))))),SymKey (absKAB(pair(Agent (honest a),Agent (honest a)))),pair(scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),Agent (honest a)))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absNB2(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (honest a),SymKey (absKAB(pair(Agent (honest a),Agent (honest a)))))))),(SID sid)]);
fp_895: State (rs,[Agent (honest a),Step 1,SymKey (sk(pair(Agent (honest a),Agent (honest a)))),SymKey (sk(pair(Agent (honest a),Agent (honest a)))),Agent (honest a),Agent (honest a),Nonce (ni),Nonce (absNB2(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (honest a),pair(Nonce (absNB2(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (honest a),Nonce (ni)))),SymKey (absKAB(pair(Agent (honest a),Agent (honest a)))),pair(scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (ni),Agent (honest a)))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absNB2(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (honest a),SymKey (absKAB(pair(Agent (honest a),Agent (honest a)))))))),(SID sid)]);
fp_896: State (rs,[Agent (honest a),Step 1,SymKey (sk(pair(Agent (honest a),Agent (honest a)))),SymKey (sk(pair(Agent (honest a),Agent (honest a)))),Agent (honest a),Agent (honest a),Nonce (absNB2(pair(Agent (honest a),Agent (honest a)))),Nonce (absNB(pair(Agent (honest a),Agent (honest a)))),pair(Agent (honest a),pair(Nonce (absNB(pair(Agent (honest a),Agent (honest a)))),pair(Agent (honest a),Nonce (absNB2(pair(Agent (honest a),Agent (honest a))))))),SymKey (absKAB(pair(Agent (honest a),Agent (honest a)))),pair(scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absNB2(pair(Agent (honest a),Agent (honest a)))),Agent (honest a)))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (honest a)))),pair(Agent (honest a),SymKey (absKAB(pair(Agent (honest a),Agent (honest a)))))))),(SID sid)]);
fp_897: State (rs,[Agent (honest a),Step 1,SymKey (sk(pair(Agent (honest a),Agent (honest a)))),SymKey (sk(pair(Agent (honest a),Agent (honest a)))),Agent (honest a),Agent (honest a),Nonce (absNB2(pair(Agent (honest a),Agent (dishonest i)))),Nonce (absNB(pair(Agent (honest a),Agent (honest a)))),pair(Agent (honest a),pair(Nonce (absNB(pair(Agent (honest a),Agent (honest a)))),pair(Agent (honest a),Nonce (absNB2(pair(Agent (honest a),Agent (dishonest i))))))),SymKey (absKAB(pair(Agent (honest a),Agent (honest a)))),pair(scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absNB2(pair(Agent (honest a),Agent (dishonest i)))),Agent (honest a)))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (honest a)))),pair(Agent (honest a),SymKey (absKAB(pair(Agent (honest a),Agent (honest a)))))))),(SID sid)]);
fp_898: State (rs,[Agent (honest a),Step 1,SymKey (sk(pair(Agent (honest a),Agent (honest a)))),SymKey (sk(pair(Agent (honest a),Agent (honest a)))),Agent (honest a),Agent (honest a),Nonce (absNB2(pair(Agent (honest a),Agent (honest a)))),Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (honest a),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (honest a),Nonce (absNB2(pair(Agent (honest a),Agent (honest a))))))),SymKey (absKAB(pair(Agent (honest a),Agent (honest a)))),pair(scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absNB2(pair(Agent (honest a),Agent (honest a)))),Agent (honest a)))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (honest a),SymKey (absKAB(pair(Agent (honest a),Agent (honest a)))))))),(SID sid)]);
fp_899: State (rs,[Agent (honest a),Step 1,SymKey (sk(pair(Agent (honest a),Agent (honest a)))),SymKey (sk(pair(Agent (honest a),Agent (honest a)))),Agent (honest a),Agent (honest a),Nonce (absNB2(pair(Agent (honest a),Agent (dishonest i)))),Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (honest a),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (honest a),Nonce (absNB2(pair(Agent (honest a),Agent (dishonest i))))))),SymKey (absKAB(pair(Agent (honest a),Agent (honest a)))),pair(scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absNB2(pair(Agent (honest a),Agent (dishonest i)))),Agent (honest a)))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (honest a),SymKey (absKAB(pair(Agent (honest a),Agent (honest a)))))))),(SID sid)]);
fp_900: State (rs,[Agent (honest a),Step 1,SymKey (sk(pair(Agent (honest a),Agent (honest a)))),SymKey (sk(pair(Agent (honest a),Agent (honest a)))),Agent (honest a),Agent (honest a),Nonce (absNB2(pair(Agent (honest a),Agent (honest a)))),Nonce (absNA(pair(Agent (honest a),Agent (honest a)))),pair(Agent (honest a),pair(Nonce (absNA(pair(Agent (honest a),Agent (honest a)))),pair(Agent (honest a),Nonce (absNB2(pair(Agent (honest a),Agent (honest a))))))),SymKey (absKAB(pair(Agent (honest a),Agent (honest a)))),pair(scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absNB2(pair(Agent (honest a),Agent (honest a)))),Agent (honest a)))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (honest a)))),pair(Agent (honest a),SymKey (absKAB(pair(Agent (honest a),Agent (honest a)))))))),(SID sid)]);
fp_901: State (rs,[Agent (honest a),Step 1,SymKey (sk(pair(Agent (honest a),Agent (honest a)))),SymKey (sk(pair(Agent (honest a),Agent (honest a)))),Agent (honest a),Agent (honest a),Nonce (absNB2(pair(Agent (honest a),Agent (dishonest i)))),Nonce (absNA(pair(Agent (honest a),Agent (honest a)))),pair(Agent (honest a),pair(Nonce (absNA(pair(Agent (honest a),Agent (honest a)))),pair(Agent (honest a),Nonce (absNB2(pair(Agent (honest a),Agent (dishonest i))))))),SymKey (absKAB(pair(Agent (honest a),Agent (honest a)))),pair(scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absNB2(pair(Agent (honest a),Agent (dishonest i)))),Agent (honest a)))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (honest a)))),pair(Agent (honest a),SymKey (absKAB(pair(Agent (honest a),Agent (honest a)))))))),(SID sid)]);
fp_902: State (rs,[Agent (honest a),Step 1,SymKey (sk(pair(Agent (honest a),Agent (honest a)))),SymKey (sk(pair(Agent (honest a),Agent (honest a)))),Agent (honest a),Agent (honest a),Nonce (absNB2(pair(Agent (honest a),Agent (honest a)))),Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (honest a),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (honest a),Nonce (absNB2(pair(Agent (honest a),Agent (honest a))))))),SymKey (absKAB(pair(Agent (honest a),Agent (honest a)))),pair(scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absNB2(pair(Agent (honest a),Agent (honest a)))),Agent (honest a)))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (honest a),SymKey (absKAB(pair(Agent (honest a),Agent (honest a)))))))),(SID sid)]);
fp_903: State (rs,[Agent (honest a),Step 1,SymKey (sk(pair(Agent (honest a),Agent (honest a)))),SymKey (sk(pair(Agent (honest a),Agent (honest a)))),Agent (honest a),Agent (honest a),Nonce (absNB2(pair(Agent (honest a),Agent (dishonest i)))),Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (honest a),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (honest a),Nonce (absNB2(pair(Agent (honest a),Agent (dishonest i))))))),SymKey (absKAB(pair(Agent (honest a),Agent (honest a)))),pair(scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absNB2(pair(Agent (honest a),Agent (dishonest i)))),Agent (honest a)))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (honest a),SymKey (absKAB(pair(Agent (honest a),Agent (honest a)))))))),(SID sid)]);
fp_904: State (rs,[Agent (honest a),Step 1,SymKey (sk(pair(Agent (honest a),Agent (honest a)))),SymKey (sk(pair(Agent (honest a),Agent (honest a)))),Agent (honest a),Agent (honest a),Nonce (absNB2(pair(Agent (honest a),Agent (honest a)))),Nonce (ni),pair(Agent (honest a),pair(Nonce (ni),pair(Agent (honest a),Nonce (absNB2(pair(Agent (honest a),Agent (honest a))))))),SymKey (absKAB(pair(Agent (honest a),Agent (honest a)))),pair(scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absNB2(pair(Agent (honest a),Agent (honest a)))),Agent (honest a)))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (ni),pair(Agent (honest a),SymKey (absKAB(pair(Agent (honest a),Agent (honest a)))))))),(SID sid)]);
fp_905: State (rs,[Agent (honest a),Step 1,SymKey (sk(pair(Agent (honest a),Agent (honest a)))),SymKey (sk(pair(Agent (honest a),Agent (honest a)))),Agent (honest a),Agent (honest a),Nonce (absNB2(pair(Agent (honest a),Agent (dishonest i)))),Nonce (ni),pair(Agent (honest a),pair(Nonce (ni),pair(Agent (honest a),Nonce (absNB2(pair(Agent (honest a),Agent (dishonest i))))))),SymKey (absKAB(pair(Agent (honest a),Agent (honest a)))),pair(scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absNB2(pair(Agent (honest a),Agent (dishonest i)))),Agent (honest a)))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (ni),pair(Agent (honest a),SymKey (absKAB(pair(Agent (honest a),Agent (honest a)))))))),(SID sid)]);
fp_906: State (rA,[Agent (honest a),Step 2,SymKey (sk(pair(Agent (honest a),Agent (honest a)))),Agent (honest a),Agent (dishonest i),Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (honest a),Nonce (absNA(pair(Agent (honest a),Agent (dishonest i))))),Nonce (absNB2(pair(Agent (honest a),Agent (honest a)))),scrypt(SymKey (absKAB(pair(Agent (dishonest i),Agent (honest a)))),Nonce (absNA(pair(Agent (honest a),Agent (dishonest i))))),SymKey (absKAB(pair(Agent (dishonest i),Agent (honest a)))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),SymKey (absKAB(pair(Agent (dishonest i),Agent (honest a))))))),pair(scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),SymKey (absKAB(pair(Agent (dishonest i),Agent (honest a))))))),pair(scrypt(SymKey (absKAB(pair(Agent (dishonest i),Agent (honest a)))),Nonce (absNA(pair(Agent (honest a),Agent (dishonest i))))),Nonce (absNB2(pair(Agent (honest a),Agent (honest a)))))),scrypt(SymKey (absKAB(pair(Agent (dishonest i),Agent (honest a)))),Nonce (absNB2(pair(Agent (honest a),Agent (honest a))))),(SID sid)]);
fp_907: State (rA,[Agent (honest a),Step 2,SymKey (sk(pair(Agent (honest a),Agent (honest a)))),Agent (honest a),Agent (dishonest i),Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (honest a),Nonce (absNA(pair(Agent (honest a),Agent (dishonest i))))),Nonce (absNB2(pair(Agent (honest a),Agent (dishonest i)))),scrypt(SymKey (absKAB(pair(Agent (dishonest i),Agent (honest a)))),Nonce (absNA(pair(Agent (honest a),Agent (dishonest i))))),SymKey (absKAB(pair(Agent (dishonest i),Agent (honest a)))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),SymKey (absKAB(pair(Agent (dishonest i),Agent (honest a))))))),pair(scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),SymKey (absKAB(pair(Agent (dishonest i),Agent (honest a))))))),pair(scrypt(SymKey (absKAB(pair(Agent (dishonest i),Agent (honest a)))),Nonce (absNA(pair(Agent (honest a),Agent (dishonest i))))),Nonce (absNB2(pair(Agent (honest a),Agent (dishonest i)))))),scrypt(SymKey (absKAB(pair(Agent (dishonest i),Agent (honest a)))),Nonce (absNB2(pair(Agent (honest a),Agent (dishonest i))))),(SID sid)]);
fp_908: request(Agent (honest a),Agent (honest a),Purpose (pAsKABB),pair(SymKey (absKAB(pair(Agent (honest a),Agent (honest a)))),Agent (honest a)),(SID sid));
fp_909: State (rA,[Agent (honest a),Step 2,SymKey (sk(pair(Agent (honest a),Agent (honest a)))),Agent (honest a),Agent (honest a),Nonce (absNA(pair(Agent (honest a),Agent (honest a)))),pair(Agent (honest a),Nonce (absNA(pair(Agent (honest a),Agent (honest a))))),Nonce (absNB2(pair(Agent (honest a),Agent (honest a)))),scrypt(SymKey (absKAB(pair(Agent (honest a),Agent (honest a)))),Nonce (absNA(pair(Agent (honest a),Agent (honest a))))),SymKey (absKAB(pair(Agent (honest a),Agent (honest a)))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (honest a)))),pair(Agent (honest a),SymKey (absKAB(pair(Agent (honest a),Agent (honest a))))))),pair(scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (honest a)))),pair(Agent (honest a),SymKey (absKAB(pair(Agent (honest a),Agent (honest a))))))),pair(scrypt(SymKey (absKAB(pair(Agent (honest a),Agent (honest a)))),Nonce (absNA(pair(Agent (honest a),Agent (honest a))))),Nonce (absNB2(pair(Agent (honest a),Agent (honest a)))))),scrypt(SymKey (absKAB(pair(Agent (honest a),Agent (honest a)))),Nonce (absNB2(pair(Agent (honest a),Agent (honest a))))),(SID sid)]);
fp_910: State (rA,[Agent (honest a),Step 2,SymKey (sk(pair(Agent (honest a),Agent (honest a)))),Agent (honest a),Agent (honest a),Nonce (absNA(pair(Agent (honest a),Agent (honest a)))),pair(Agent (honest a),Nonce (absNA(pair(Agent (honest a),Agent (honest a))))),Nonce (absNB2(pair(Agent (honest a),Agent (dishonest i)))),scrypt(SymKey (absKAB(pair(Agent (honest a),Agent (honest a)))),Nonce (absNA(pair(Agent (honest a),Agent (honest a))))),SymKey (absKAB(pair(Agent (honest a),Agent (honest a)))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (honest a)))),pair(Agent (honest a),SymKey (absKAB(pair(Agent (honest a),Agent (honest a))))))),pair(scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (honest a)))),pair(Agent (honest a),SymKey (absKAB(pair(Agent (honest a),Agent (honest a))))))),pair(scrypt(SymKey (absKAB(pair(Agent (honest a),Agent (honest a)))),Nonce (absNA(pair(Agent (honest a),Agent (honest a))))),Nonce (absNB2(pair(Agent (honest a),Agent (dishonest i)))))),scrypt(SymKey (absKAB(pair(Agent (honest a),Agent (honest a)))),Nonce (absNB2(pair(Agent (honest a),Agent (dishonest i))))),(SID sid)]);
fp_911: State (rA,[Agent (honest a),Step 2,SymKey (sk(pair(Agent (honest a),Agent (honest a)))),Agent (honest a),Agent (honest a),Nonce (absNA(pair(Agent (honest a),Agent (honest a)))),pair(Agent (honest a),Nonce (absNA(pair(Agent (honest a),Agent (honest a))))),Nonce (absNB(pair(Agent (honest a),Agent (honest a)))),scrypt(SymKey (absKAB(pair(Agent (honest a),Agent (honest a)))),Nonce (absNA(pair(Agent (honest a),Agent (honest a))))),SymKey (absKAB(pair(Agent (honest a),Agent (honest a)))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (honest a)))),pair(Agent (honest a),SymKey (absKAB(pair(Agent (honest a),Agent (honest a))))))),pair(scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (honest a)))),pair(Agent (honest a),SymKey (absKAB(pair(Agent (honest a),Agent (honest a))))))),pair(scrypt(SymKey (absKAB(pair(Agent (honest a),Agent (honest a)))),Nonce (absNA(pair(Agent (honest a),Agent (honest a))))),Nonce (absNB(pair(Agent (honest a),Agent (honest a)))))),scrypt(SymKey (absKAB(pair(Agent (honest a),Agent (honest a)))),Nonce (absNB(pair(Agent (honest a),Agent (honest a))))),(SID sid)]);
fp_912: State (rA,[Agent (honest a),Step 2,SymKey (sk(pair(Agent (honest a),Agent (honest a)))),Agent (honest a),Agent (honest a),Nonce (absNA(pair(Agent (honest a),Agent (honest a)))),pair(Agent (honest a),Nonce (absNA(pair(Agent (honest a),Agent (honest a))))),Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),scrypt(SymKey (absKAB(pair(Agent (honest a),Agent (honest a)))),Nonce (absNA(pair(Agent (honest a),Agent (honest a))))),SymKey (absKAB(pair(Agent (honest a),Agent (honest a)))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (honest a)))),pair(Agent (honest a),SymKey (absKAB(pair(Agent (honest a),Agent (honest a))))))),pair(scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (honest a)))),pair(Agent (honest a),SymKey (absKAB(pair(Agent (honest a),Agent (honest a))))))),pair(scrypt(SymKey (absKAB(pair(Agent (honest a),Agent (honest a)))),Nonce (absNA(pair(Agent (honest a),Agent (honest a))))),Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))))),scrypt(SymKey (absKAB(pair(Agent (honest a),Agent (honest a)))),Nonce (absNB(pair(Agent (honest a),Agent (dishonest i))))),(SID sid)]);
fp_913: State (rA,[Agent (honest a),Step 2,SymKey (sk(pair(Agent (honest a),Agent (honest a)))),Agent (honest a),Agent (honest a),Nonce (absNA(pair(Agent (honest a),Agent (honest a)))),pair(Agent (honest a),Nonce (absNA(pair(Agent (honest a),Agent (honest a))))),Nonce (absNA(pair(Agent (honest a),Agent (honest a)))),scrypt(SymKey (absKAB(pair(Agent (honest a),Agent (honest a)))),Nonce (absNA(pair(Agent (honest a),Agent (honest a))))),SymKey (absKAB(pair(Agent (honest a),Agent (honest a)))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (honest a)))),pair(Agent (honest a),SymKey (absKAB(pair(Agent (honest a),Agent (honest a))))))),pair(scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (honest a)))),pair(Agent (honest a),SymKey (absKAB(pair(Agent (honest a),Agent (honest a))))))),pair(scrypt(SymKey (absKAB(pair(Agent (honest a),Agent (honest a)))),Nonce (absNA(pair(Agent (honest a),Agent (honest a))))),Nonce (absNA(pair(Agent (honest a),Agent (honest a)))))),scrypt(SymKey (absKAB(pair(Agent (honest a),Agent (honest a)))),Nonce (absNA(pair(Agent (honest a),Agent (honest a))))),(SID sid)]);
fp_914: State (rA,[Agent (honest a),Step 2,SymKey (sk(pair(Agent (honest a),Agent (honest a)))),Agent (honest a),Agent (honest a),Nonce (absNA(pair(Agent (honest a),Agent (honest a)))),pair(Agent (honest a),Nonce (absNA(pair(Agent (honest a),Agent (honest a))))),Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),scrypt(SymKey (absKAB(pair(Agent (honest a),Agent (honest a)))),Nonce (absNA(pair(Agent (honest a),Agent (honest a))))),SymKey (absKAB(pair(Agent (honest a),Agent (honest a)))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (honest a)))),pair(Agent (honest a),SymKey (absKAB(pair(Agent (honest a),Agent (honest a))))))),pair(scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (honest a)))),pair(Agent (honest a),SymKey (absKAB(pair(Agent (honest a),Agent (honest a))))))),pair(scrypt(SymKey (absKAB(pair(Agent (honest a),Agent (honest a)))),Nonce (absNA(pair(Agent (honest a),Agent (honest a))))),Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))))),scrypt(SymKey (absKAB(pair(Agent (honest a),Agent (honest a)))),Nonce (absNA(pair(Agent (honest a),Agent (dishonest i))))),(SID sid)]);
fp_915: State (rA,[Agent (honest a),Step 2,SymKey (sk(pair(Agent (honest a),Agent (honest a)))),Agent (honest a),Agent (honest a),Nonce (absNA(pair(Agent (honest a),Agent (honest a)))),pair(Agent (honest a),Nonce (absNA(pair(Agent (honest a),Agent (honest a))))),Nonce (ni),scrypt(SymKey (absKAB(pair(Agent (honest a),Agent (honest a)))),Nonce (absNA(pair(Agent (honest a),Agent (honest a))))),SymKey (absKAB(pair(Agent (honest a),Agent (honest a)))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (honest a)))),pair(Agent (honest a),SymKey (absKAB(pair(Agent (honest a),Agent (honest a))))))),pair(scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (honest a)))),pair(Agent (honest a),SymKey (absKAB(pair(Agent (honest a),Agent (honest a))))))),pair(scrypt(SymKey (absKAB(pair(Agent (honest a),Agent (honest a)))),Nonce (absNA(pair(Agent (honest a),Agent (honest a))))),Nonce (ni))),scrypt(SymKey (absKAB(pair(Agent (honest a),Agent (honest a)))),Nonce (ni)),(SID sid)]);
fp_916: request(Agent (honest a),Agent (honest a),Purpose (pBsKABA),pair(SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))),Agent (dishonest i)),(SID sid));
fp_917: State (rB,[Agent (honest a),Step 3,SymKey (sk(pair(Agent (honest a),Agent (honest a)))),Agent (honest a),Agent (dishonest i),Nonce (absNB(pair(Agent (honest a),Agent (honest a)))),pair(Agent (dishonest i),Nonce (absNB(pair(Agent (honest a),Agent (honest a))))),Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),pair(Nonce (absNB(pair(Agent (honest a),Agent (honest a)))),pair(Agent (honest a),Nonce (absNB(pair(Agent (honest a),Agent (dishonest i))))))),Agent (dishonest i),SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),Agent (dishonest i)))),pair(scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),Agent (dishonest i)))),Agent (dishonest i)),Nonce (absNB2(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),pair(scrypt(SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))),Nonce (absNB(pair(Agent (honest a),Agent (honest a))))),Nonce (absNB2(pair(Agent (honest a),Agent (dishonest i)))))),scrypt(SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))),Nonce (absNB(pair(Agent (honest a),Agent (honest a))))),scrypt(SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))),Nonce (absNB2(pair(Agent (honest a),Agent (dishonest i))))),(SID sid)]);
fp_918: State (rB,[Agent (honest a),Step 3,SymKey (sk(pair(Agent (honest a),Agent (honest a)))),Agent (honest a),Agent (dishonest i),Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),Nonce (absNB(pair(Agent (honest a),Agent (dishonest i))))),Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (honest a),Nonce (absNB(pair(Agent (honest a),Agent (dishonest i))))))),Agent (dishonest i),SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),Agent (dishonest i)))),pair(scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),Agent (dishonest i)))),Agent (dishonest i)),Nonce (absNB2(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),pair(scrypt(SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))),Nonce (absNB(pair(Agent (honest a),Agent (dishonest i))))),Nonce (absNB2(pair(Agent (honest a),Agent (dishonest i)))))),scrypt(SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))),Nonce (absNB(pair(Agent (honest a),Agent (dishonest i))))),scrypt(SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))),Nonce (absNB2(pair(Agent (honest a),Agent (dishonest i))))),(SID sid)]);
fp_919: State (rB,[Agent (honest a),Step 3,SymKey (sk(pair(Agent (honest a),Agent (honest a)))),Agent (honest a),Agent (dishonest i),Nonce (absNA(pair(Agent (honest a),Agent (honest a)))),pair(Agent (dishonest i),Nonce (absNA(pair(Agent (honest a),Agent (honest a))))),Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),pair(Nonce (absNA(pair(Agent (honest a),Agent (honest a)))),pair(Agent (honest a),Nonce (absNB(pair(Agent (honest a),Agent (dishonest i))))))),Agent (dishonest i),SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),Agent (dishonest i)))),pair(scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),Agent (dishonest i)))),Agent (dishonest i)),Nonce (absNB2(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),pair(scrypt(SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))),Nonce (absNA(pair(Agent (honest a),Agent (honest a))))),Nonce (absNB2(pair(Agent (honest a),Agent (dishonest i)))))),scrypt(SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))),Nonce (absNA(pair(Agent (honest a),Agent (honest a))))),scrypt(SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))),Nonce (absNB2(pair(Agent (honest a),Agent (dishonest i))))),(SID sid)]);
fp_920: State (rB,[Agent (honest a),Step 3,SymKey (sk(pair(Agent (honest a),Agent (honest a)))),Agent (honest a),Agent (dishonest i),Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),Nonce (absNA(pair(Agent (honest a),Agent (dishonest i))))),Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (honest a),Nonce (absNB(pair(Agent (honest a),Agent (dishonest i))))))),Agent (dishonest i),SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),Agent (dishonest i)))),pair(scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),Agent (dishonest i)))),Agent (dishonest i)),Nonce (absNB2(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),pair(scrypt(SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))),Nonce (absNA(pair(Agent (honest a),Agent (dishonest i))))),Nonce (absNB2(pair(Agent (honest a),Agent (dishonest i)))))),scrypt(SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))),Nonce (absNA(pair(Agent (honest a),Agent (dishonest i))))),scrypt(SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))),Nonce (absNB2(pair(Agent (honest a),Agent (dishonest i))))),(SID sid)]);
fp_921: State (rB,[Agent (honest a),Step 3,SymKey (sk(pair(Agent (honest a),Agent (honest a)))),Agent (honest a),Agent (dishonest i),Nonce (ni),pair(Agent (dishonest i),Nonce (ni)),Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),pair(Nonce (ni),pair(Agent (honest a),Nonce (absNB(pair(Agent (honest a),Agent (dishonest i))))))),Agent (dishonest i),SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),Agent (dishonest i)))),pair(scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),Agent (dishonest i)))),Agent (dishonest i)),Nonce (absNB2(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),pair(scrypt(SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))),Nonce (ni)),Nonce (absNB2(pair(Agent (honest a),Agent (dishonest i)))))),scrypt(SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))),Nonce (ni)),scrypt(SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))),Nonce (absNB2(pair(Agent (honest a),Agent (dishonest i))))),(SID sid)]);
fp_922: iknows(scrypt(SymKey (absKAB(pair(Agent (honest a),Agent (honest a)))),Nonce (absNB2(pair(Agent (honest a),Agent (dishonest i))))));
fp_923: iknows(scrypt(SymKey (absKAB(pair(Agent (honest a),Agent (honest a)))),Nonce (absNB2(pair(Agent (honest a),Agent (honest a))))));
fp_924: iknows(scrypt(SymKey (absKAB(pair(Agent (dishonest i),Agent (honest a)))),Nonce (absNB2(pair(Agent (honest a),Agent (dishonest i))))));
fp_925: iknows(scrypt(SymKey (absKAB(pair(Agent (dishonest i),Agent (honest a)))),Nonce (absNB2(pair(Agent (honest a),Agent (honest a))))));
fp_926: iknows(scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absNB2(pair(Agent (honest a),Agent (dishonest i)))),Agent (honest a)))));
fp_927: iknows(scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absNB2(pair(Agent (honest a),Agent (honest a)))),Agent (honest a)))));
fp_928: iknows(scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absNB2(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (honest a),SymKey (absKAB(pair(Agent (honest a),Agent (honest a))))))));
fp_929: iknows(scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absNB2(pair(Agent (honest a),Agent (honest a)))),pair(Agent (honest a),SymKey (absKAB(pair(Agent (honest a),Agent (honest a))))))));
fp_930: iknows(scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (absNB2(pair(Agent (honest a),Agent (dishonest i)))),Agent (dishonest i)))));
fp_931: iknows(scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (absNB2(pair(Agent (honest a),Agent (honest a)))),Agent (dishonest i)))));
fp_932: iknows(scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNB2(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (honest a),SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i))))))));
fp_933: iknows(scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNB2(pair(Agent (honest a),Agent (honest a)))),pair(Agent (honest a),SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i))))))));
fp_934: iknows(scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNB2(pair(Agent (honest a),Agent (dishonest i)))),Agent (honest a)))));
fp_935: iknows(scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNB2(pair(Agent (honest a),Agent (honest a)))),Agent (honest a)))));
fp_936: iknows(scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absNB2(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),SymKey (absKAB(pair(Agent (dishonest i),Agent (honest a))))))));
fp_937: iknows(scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absNB2(pair(Agent (honest a),Agent (honest a)))),pair(Agent (dishonest i),SymKey (absKAB(pair(Agent (dishonest i),Agent (honest a))))))));
fp_938: iknows(scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))),pair(Nonce (absNB2(pair(Agent (honest a),Agent (dishonest i)))),Agent (dishonest i)))));
fp_939: iknows(scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))),pair(Nonce (absNB2(pair(Agent (honest a),Agent (honest a)))),Agent (dishonest i)))));
fp_940: iknows(scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNB2(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i))))))));
fp_941: iknows(scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNB2(pair(Agent (honest a),Agent (honest a)))),pair(Agent (dishonest i),SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i))))))));
fp_942: iknows(pair(scrypt(SymKey (absKAB(pair(Agent (honest a),Agent (honest a)))),Nonce (ni)),Nonce (absNB2(pair(Agent (honest a),Agent (honest a))))));
fp_943: iknows(pair(Agent (dishonest i),pair(scrypt(SymKey (absKAB(pair(Agent (honest a),Agent (honest a)))),Nonce (ni)),Nonce (absNB2(pair(Agent (honest a),Agent (honest a)))))));
fp_944: iknows(pair(scrypt(SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))),Nonce (ni)),Nonce (absNB2(pair(Agent (honest a),Agent (dishonest i))))));
fp_945: iknows(pair(Agent (dishonest i),pair(scrypt(SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))),Nonce (ni)),Nonce (absNB2(pair(Agent (honest a),Agent (dishonest i)))))));
fp_946: iknows(pair(scrypt(SymKey (absKAB(pair(Agent (honest a),Agent (honest a)))),Nonce (absNA(pair(Agent (honest a),Agent (dishonest i))))),Nonce (absNB2(pair(Agent (honest a),Agent (honest a))))));
fp_947: iknows(pair(Agent (dishonest i),pair(scrypt(SymKey (absKAB(pair(Agent (honest a),Agent (honest a)))),Nonce (absNA(pair(Agent (honest a),Agent (dishonest i))))),Nonce (absNB2(pair(Agent (honest a),Agent (honest a)))))));
fp_948: iknows(pair(scrypt(SymKey (absKAB(pair(Agent (honest a),Agent (honest a)))),Nonce (absNA(pair(Agent (honest a),Agent (honest a))))),Nonce (absNB2(pair(Agent (honest a),Agent (honest a))))));
fp_949: iknows(pair(Agent (dishonest i),pair(scrypt(SymKey (absKAB(pair(Agent (honest a),Agent (honest a)))),Nonce (absNA(pair(Agent (honest a),Agent (honest a))))),Nonce (absNB2(pair(Agent (honest a),Agent (honest a)))))));
fp_950: iknows(pair(scrypt(SymKey (absKAB(pair(Agent (honest a),Agent (honest a)))),Nonce (absNB(pair(Agent (honest a),Agent (dishonest i))))),Nonce (absNB2(pair(Agent (honest a),Agent (honest a))))));
fp_951: iknows(pair(Agent (dishonest i),pair(scrypt(SymKey (absKAB(pair(Agent (honest a),Agent (honest a)))),Nonce (absNB(pair(Agent (honest a),Agent (dishonest i))))),Nonce (absNB2(pair(Agent (honest a),Agent (honest a)))))));
fp_952: iknows(pair(scrypt(SymKey (absKAB(pair(Agent (honest a),Agent (honest a)))),Nonce (absNB(pair(Agent (honest a),Agent (honest a))))),Nonce (absNB2(pair(Agent (honest a),Agent (honest a))))));
fp_953: iknows(pair(Agent (dishonest i),pair(scrypt(SymKey (absKAB(pair(Agent (honest a),Agent (honest a)))),Nonce (absNB(pair(Agent (honest a),Agent (honest a))))),Nonce (absNB2(pair(Agent (honest a),Agent (honest a)))))));
fp_954: iknows(pair(scrypt(SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))),Nonce (absNA(pair(Agent (honest a),Agent (dishonest i))))),Nonce (absNB2(pair(Agent (honest a),Agent (dishonest i))))));
fp_955: iknows(pair(Agent (dishonest i),pair(scrypt(SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))),Nonce (absNA(pair(Agent (honest a),Agent (dishonest i))))),Nonce (absNB2(pair(Agent (honest a),Agent (dishonest i)))))));
fp_956: iknows(pair(scrypt(SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))),Nonce (absNA(pair(Agent (honest a),Agent (honest a))))),Nonce (absNB2(pair(Agent (honest a),Agent (dishonest i))))));
fp_957: iknows(pair(Agent (dishonest i),pair(scrypt(SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))),Nonce (absNA(pair(Agent (honest a),Agent (honest a))))),Nonce (absNB2(pair(Agent (honest a),Agent (dishonest i)))))));
fp_958: iknows(pair(scrypt(SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))),Nonce (absNB(pair(Agent (honest a),Agent (dishonest i))))),Nonce (absNB2(pair(Agent (honest a),Agent (dishonest i))))));
fp_959: iknows(pair(Agent (dishonest i),pair(scrypt(SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))),Nonce (absNB(pair(Agent (honest a),Agent (dishonest i))))),Nonce (absNB2(pair(Agent (honest a),Agent (dishonest i)))))));
fp_960: iknows(pair(scrypt(SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))),Nonce (absNB(pair(Agent (honest a),Agent (honest a))))),Nonce (absNB2(pair(Agent (honest a),Agent (dishonest i))))));
fp_961: iknows(pair(Agent (dishonest i),pair(scrypt(SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))),Nonce (absNB(pair(Agent (honest a),Agent (honest a))))),Nonce (absNB2(pair(Agent (honest a),Agent (dishonest i)))))));
fp_962: iknows(pair(scrypt(SymKey (absKAB(pair(Agent (honest a),Agent (honest a)))),Nonce (absNB2(pair(Agent (honest a),Agent (dishonest i))))),Nonce (absNB2(pair(Agent (honest a),Agent (honest a))))));
fp_963: iknows(pair(Agent (dishonest i),pair(scrypt(SymKey (absKAB(pair(Agent (honest a),Agent (honest a)))),Nonce (absNB2(pair(Agent (honest a),Agent (dishonest i))))),Nonce (absNB2(pair(Agent (honest a),Agent (honest a)))))));
fp_964: iknows(pair(scrypt(SymKey (absKAB(pair(Agent (honest a),Agent (honest a)))),Nonce (absNB2(pair(Agent (honest a),Agent (honest a))))),Nonce (absNB2(pair(Agent (honest a),Agent (honest a))))));
fp_965: iknows(pair(Agent (dishonest i),pair(scrypt(SymKey (absKAB(pair(Agent (honest a),Agent (honest a)))),Nonce (absNB2(pair(Agent (honest a),Agent (honest a))))),Nonce (absNB2(pair(Agent (honest a),Agent (honest a)))))));
fp_966: iknows(pair(scrypt(SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))),Nonce (absNB2(pair(Agent (honest a),Agent (dishonest i))))),Nonce (absNB2(pair(Agent (honest a),Agent (dishonest i))))));
fp_967: iknows(pair(Agent (dishonest i),pair(scrypt(SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))),Nonce (absNB2(pair(Agent (honest a),Agent (dishonest i))))),Nonce (absNB2(pair(Agent (honest a),Agent (dishonest i)))))));
fp_968: iknows(pair(scrypt(SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))),Nonce (absNB2(pair(Agent (honest a),Agent (honest a))))),Nonce (absNB2(pair(Agent (honest a),Agent (dishonest i))))));
fp_969: iknows(pair(Agent (dishonest i),pair(scrypt(SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))),Nonce (absNB2(pair(Agent (honest a),Agent (honest a))))),Nonce (absNB2(pair(Agent (honest a),Agent (dishonest i)))))));
fp_970: iknows(pair(scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (ni),Agent (honest a)))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (ni),pair(Agent (honest a),SymKey (absKAB(pair(Agent (honest a),Agent (honest a)))))))));
fp_971: iknows(pair(scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),Agent (honest a)))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (ni),pair(Agent (honest a),SymKey (absKAB(pair(Agent (honest a),Agent (honest a)))))))));
fp_972: iknows(pair(scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (honest a)))),Agent (honest a)))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (ni),pair(Agent (honest a),SymKey (absKAB(pair(Agent (honest a),Agent (honest a)))))))));
fp_973: iknows(pair(scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),Agent (honest a)))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (ni),pair(Agent (honest a),SymKey (absKAB(pair(Agent (honest a),Agent (honest a)))))))));
fp_974: iknows(pair(scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (honest a)))),Agent (honest a)))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (ni),pair(Agent (honest a),SymKey (absKAB(pair(Agent (honest a),Agent (honest a)))))))));
fp_975: iknows(pair(scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absNB2(pair(Agent (honest a),Agent (dishonest i)))),Agent (honest a)))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (ni),pair(Agent (honest a),SymKey (absKAB(pair(Agent (honest a),Agent (honest a)))))))));
fp_976: iknows(pair(scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absNB2(pair(Agent (honest a),Agent (honest a)))),Agent (honest a)))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (ni),pair(Agent (honest a),SymKey (absKAB(pair(Agent (honest a),Agent (honest a)))))))));
fp_977: iknows(pair(scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (ni),Agent (honest a)))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (honest a),SymKey (absKAB(pair(Agent (honest a),Agent (honest a)))))))));
fp_978: iknows(pair(scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),Agent (honest a)))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (honest a),SymKey (absKAB(pair(Agent (honest a),Agent (honest a)))))))));
fp_979: iknows(pair(scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (honest a)))),Agent (honest a)))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (honest a),SymKey (absKAB(pair(Agent (honest a),Agent (honest a)))))))));
fp_980: iknows(pair(scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),Agent (honest a)))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (honest a),SymKey (absKAB(pair(Agent (honest a),Agent (honest a)))))))));
fp_981: iknows(pair(scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (honest a)))),Agent (honest a)))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (honest a),SymKey (absKAB(pair(Agent (honest a),Agent (honest a)))))))));
fp_982: iknows(pair(scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absNB2(pair(Agent (honest a),Agent (dishonest i)))),Agent (honest a)))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (honest a),SymKey (absKAB(pair(Agent (honest a),Agent (honest a)))))))));
fp_983: iknows(pair(scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absNB2(pair(Agent (honest a),Agent (honest a)))),Agent (honest a)))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (honest a),SymKey (absKAB(pair(Agent (honest a),Agent (honest a)))))))));
fp_984: iknows(pair(scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (ni),Agent (honest a)))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (honest a)))),pair(Agent (honest a),SymKey (absKAB(pair(Agent (honest a),Agent (honest a)))))))));
fp_985: iknows(pair(scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),Agent (honest a)))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (honest a)))),pair(Agent (honest a),SymKey (absKAB(pair(Agent (honest a),Agent (honest a)))))))));
fp_986: iknows(pair(scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (honest a)))),Agent (honest a)))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (honest a)))),pair(Agent (honest a),SymKey (absKAB(pair(Agent (honest a),Agent (honest a)))))))));
fp_987: iknows(pair(scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),Agent (honest a)))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (honest a)))),pair(Agent (honest a),SymKey (absKAB(pair(Agent (honest a),Agent (honest a)))))))));
fp_988: iknows(pair(scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (honest a)))),Agent (honest a)))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (honest a)))),pair(Agent (honest a),SymKey (absKAB(pair(Agent (honest a),Agent (honest a)))))))));
fp_989: iknows(pair(scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absNB2(pair(Agent (honest a),Agent (dishonest i)))),Agent (honest a)))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (honest a)))),pair(Agent (honest a),SymKey (absKAB(pair(Agent (honest a),Agent (honest a)))))))));
fp_990: iknows(pair(scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absNB2(pair(Agent (honest a),Agent (honest a)))),Agent (honest a)))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (honest a)))),pair(Agent (honest a),SymKey (absKAB(pair(Agent (honest a),Agent (honest a)))))))));
fp_991: iknows(pair(scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (ni),Agent (honest a)))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (honest a),SymKey (absKAB(pair(Agent (honest a),Agent (honest a)))))))));
fp_992: iknows(pair(scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),Agent (honest a)))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (honest a),SymKey (absKAB(pair(Agent (honest a),Agent (honest a)))))))));
fp_993: iknows(pair(scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (honest a)))),Agent (honest a)))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (honest a),SymKey (absKAB(pair(Agent (honest a),Agent (honest a)))))))));
fp_994: iknows(pair(scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),Agent (honest a)))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (honest a),SymKey (absKAB(pair(Agent (honest a),Agent (honest a)))))))));
fp_995: iknows(pair(scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (honest a)))),Agent (honest a)))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (honest a),SymKey (absKAB(pair(Agent (honest a),Agent (honest a)))))))));
fp_996: iknows(pair(scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absNB2(pair(Agent (honest a),Agent (dishonest i)))),Agent (honest a)))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (honest a),SymKey (absKAB(pair(Agent (honest a),Agent (honest a)))))))));
fp_997: iknows(pair(scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absNB2(pair(Agent (honest a),Agent (honest a)))),Agent (honest a)))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (honest a),SymKey (absKAB(pair(Agent (honest a),Agent (honest a)))))))));
fp_998: iknows(pair(scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (ni),Agent (honest a)))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (honest a)))),pair(Agent (honest a),SymKey (absKAB(pair(Agent (honest a),Agent (honest a)))))))));
fp_999: iknows(pair(scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),Agent (honest a)))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (honest a)))),pair(Agent (honest a),SymKey (absKAB(pair(Agent (honest a),Agent (honest a)))))))));
fp_1000: iknows(pair(scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (honest a)))),Agent (honest a)))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (honest a)))),pair(Agent (honest a),SymKey (absKAB(pair(Agent (honest a),Agent (honest a)))))))));
fp_1001: iknows(pair(scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),Agent (honest a)))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (honest a)))),pair(Agent (honest a),SymKey (absKAB(pair(Agent (honest a),Agent (honest a)))))))));
fp_1002: iknows(pair(scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (honest a)))),Agent (honest a)))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (honest a)))),pair(Agent (honest a),SymKey (absKAB(pair(Agent (honest a),Agent (honest a)))))))));
fp_1003: iknows(pair(scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absNB2(pair(Agent (honest a),Agent (dishonest i)))),Agent (honest a)))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (honest a)))),pair(Agent (honest a),SymKey (absKAB(pair(Agent (honest a),Agent (honest a)))))))));
fp_1004: iknows(pair(scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absNB2(pair(Agent (honest a),Agent (honest a)))),Agent (honest a)))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (honest a)))),pair(Agent (honest a),SymKey (absKAB(pair(Agent (honest a),Agent (honest a)))))))));
fp_1005: iknows(pair(scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (ni),Agent (honest a)))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absNB2(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (honest a),SymKey (absKAB(pair(Agent (honest a),Agent (honest a)))))))));
fp_1006: iknows(pair(scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),Agent (honest a)))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absNB2(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (honest a),SymKey (absKAB(pair(Agent (honest a),Agent (honest a)))))))));
fp_1007: iknows(pair(scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (honest a)))),Agent (honest a)))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absNB2(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (honest a),SymKey (absKAB(pair(Agent (honest a),Agent (honest a)))))))));
fp_1008: iknows(pair(scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),Agent (honest a)))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absNB2(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (honest a),SymKey (absKAB(pair(Agent (honest a),Agent (honest a)))))))));
fp_1009: iknows(pair(scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (honest a)))),Agent (honest a)))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absNB2(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (honest a),SymKey (absKAB(pair(Agent (honest a),Agent (honest a)))))))));
fp_1010: iknows(pair(scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absNB2(pair(Agent (honest a),Agent (dishonest i)))),Agent (honest a)))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absNB2(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (honest a),SymKey (absKAB(pair(Agent (honest a),Agent (honest a)))))))));
fp_1011: iknows(pair(scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absNB2(pair(Agent (honest a),Agent (honest a)))),Agent (honest a)))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absNB2(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (honest a),SymKey (absKAB(pair(Agent (honest a),Agent (honest a)))))))));
fp_1012: iknows(pair(scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (ni),Agent (honest a)))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absNB2(pair(Agent (honest a),Agent (honest a)))),pair(Agent (honest a),SymKey (absKAB(pair(Agent (honest a),Agent (honest a)))))))));
fp_1013: iknows(pair(scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),Agent (honest a)))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absNB2(pair(Agent (honest a),Agent (honest a)))),pair(Agent (honest a),SymKey (absKAB(pair(Agent (honest a),Agent (honest a)))))))));
fp_1014: iknows(pair(scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (honest a)))),Agent (honest a)))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absNB2(pair(Agent (honest a),Agent (honest a)))),pair(Agent (honest a),SymKey (absKAB(pair(Agent (honest a),Agent (honest a)))))))));
fp_1015: iknows(pair(scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),Agent (honest a)))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absNB2(pair(Agent (honest a),Agent (honest a)))),pair(Agent (honest a),SymKey (absKAB(pair(Agent (honest a),Agent (honest a)))))))));
fp_1016: iknows(pair(scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (honest a)))),Agent (honest a)))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absNB2(pair(Agent (honest a),Agent (honest a)))),pair(Agent (honest a),SymKey (absKAB(pair(Agent (honest a),Agent (honest a)))))))));
fp_1017: iknows(pair(scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absNB2(pair(Agent (honest a),Agent (dishonest i)))),Agent (honest a)))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absNB2(pair(Agent (honest a),Agent (honest a)))),pair(Agent (honest a),SymKey (absKAB(pair(Agent (honest a),Agent (honest a)))))))));
fp_1018: iknows(pair(scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absNB2(pair(Agent (honest a),Agent (honest a)))),Agent (honest a)))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absNB2(pair(Agent (honest a),Agent (honest a)))),pair(Agent (honest a),SymKey (absKAB(pair(Agent (honest a),Agent (honest a)))))))));
fp_1019: iknows(pair(scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (ni),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (ni),pair(Agent (honest a),SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))))))));
fp_1020: iknows(pair(scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (ni),pair(Agent (honest a),SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))))))));
fp_1021: iknows(pair(scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (honest a)))),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (ni),pair(Agent (honest a),SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))))))));
fp_1022: iknows(pair(scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (ni),pair(Agent (honest a),SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))))))));
fp_1023: iknows(pair(scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (honest a)))),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (ni),pair(Agent (honest a),SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))))))));
fp_1024: iknows(pair(scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (absNB2(pair(Agent (honest a),Agent (dishonest i)))),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (ni),pair(Agent (honest a),SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))))))));
fp_1025: iknows(pair(scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (absNB2(pair(Agent (honest a),Agent (honest a)))),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (ni),pair(Agent (honest a),SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))))))));
fp_1026: iknows(pair(scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (ni),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (honest a),SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))))))));
fp_1027: iknows(pair(scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (honest a),SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))))))));
fp_1028: iknows(pair(scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (honest a)))),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (honest a),SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))))))));
fp_1029: iknows(pair(scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (honest a),SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))))))));
fp_1030: iknows(pair(scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (honest a)))),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (honest a),SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))))))));
fp_1031: iknows(pair(scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (absNB2(pair(Agent (honest a),Agent (dishonest i)))),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (honest a),SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))))))));
fp_1032: iknows(pair(scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (absNB2(pair(Agent (honest a),Agent (honest a)))),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (honest a),SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))))))));
fp_1033: iknows(pair(scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (ni),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (honest a)))),pair(Agent (honest a),SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))))))));
fp_1034: iknows(pair(scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (honest a)))),pair(Agent (honest a),SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))))))));
fp_1035: iknows(pair(scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (honest a)))),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (honest a)))),pair(Agent (honest a),SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))))))));
fp_1036: iknows(pair(scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (honest a)))),pair(Agent (honest a),SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))))))));
fp_1037: iknows(pair(scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (honest a)))),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (honest a)))),pair(Agent (honest a),SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))))))));
fp_1038: iknows(pair(scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (absNB2(pair(Agent (honest a),Agent (dishonest i)))),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (honest a)))),pair(Agent (honest a),SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))))))));
fp_1039: iknows(pair(scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (absNB2(pair(Agent (honest a),Agent (honest a)))),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (honest a)))),pair(Agent (honest a),SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))))))));
fp_1040: iknows(pair(scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (ni),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (honest a),SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))))))));
fp_1041: iknows(pair(scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (honest a),SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))))))));
fp_1042: iknows(pair(scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (honest a)))),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (honest a),SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))))))));
fp_1043: iknows(pair(scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (honest a),SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))))))));
fp_1044: iknows(pair(scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (honest a)))),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (honest a),SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))))))));
fp_1045: iknows(pair(scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (absNB2(pair(Agent (honest a),Agent (dishonest i)))),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (honest a),SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))))))));
fp_1046: iknows(pair(scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (absNB2(pair(Agent (honest a),Agent (honest a)))),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (honest a),SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))))))));
fp_1047: iknows(pair(scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (ni),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (honest a)))),pair(Agent (honest a),SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))))))));
fp_1048: iknows(pair(scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (honest a)))),pair(Agent (honest a),SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))))))));
fp_1049: iknows(pair(scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (honest a)))),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (honest a)))),pair(Agent (honest a),SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))))))));
fp_1050: iknows(pair(scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (honest a)))),pair(Agent (honest a),SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))))))));
fp_1051: iknows(pair(scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (honest a)))),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (honest a)))),pair(Agent (honest a),SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))))))));
fp_1052: iknows(pair(scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (absNB2(pair(Agent (honest a),Agent (dishonest i)))),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (honest a)))),pair(Agent (honest a),SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))))))));
fp_1053: iknows(pair(scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (absNB2(pair(Agent (honest a),Agent (honest a)))),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (honest a)))),pair(Agent (honest a),SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))))))));
fp_1054: iknows(pair(scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (ni),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNB2(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (honest a),SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))))))));
fp_1055: iknows(pair(scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNB2(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (honest a),SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))))))));
fp_1056: iknows(pair(scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (honest a)))),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNB2(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (honest a),SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))))))));
fp_1057: iknows(pair(scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNB2(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (honest a),SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))))))));
fp_1058: iknows(pair(scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (honest a)))),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNB2(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (honest a),SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))))))));
fp_1059: iknows(pair(scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (absNB2(pair(Agent (honest a),Agent (dishonest i)))),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNB2(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (honest a),SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))))))));
fp_1060: iknows(pair(scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (absNB2(pair(Agent (honest a),Agent (honest a)))),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNB2(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (honest a),SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))))))));
fp_1061: iknows(pair(scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (ni),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNB2(pair(Agent (honest a),Agent (honest a)))),pair(Agent (honest a),SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))))))));
fp_1062: iknows(pair(scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNB2(pair(Agent (honest a),Agent (honest a)))),pair(Agent (honest a),SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))))))));
fp_1063: iknows(pair(scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (honest a)))),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNB2(pair(Agent (honest a),Agent (honest a)))),pair(Agent (honest a),SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))))))));
fp_1064: iknows(pair(scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNB2(pair(Agent (honest a),Agent (honest a)))),pair(Agent (honest a),SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))))))));
fp_1065: iknows(pair(scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (honest a)))),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNB2(pair(Agent (honest a),Agent (honest a)))),pair(Agent (honest a),SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))))))));
fp_1066: iknows(pair(scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (absNB2(pair(Agent (honest a),Agent (dishonest i)))),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNB2(pair(Agent (honest a),Agent (honest a)))),pair(Agent (honest a),SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))))))));
fp_1067: iknows(pair(scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (absNB2(pair(Agent (honest a),Agent (honest a)))),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNB2(pair(Agent (honest a),Agent (honest a)))),pair(Agent (honest a),SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))))))));
fp_1068: iknows(pair(scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (ni),Agent (honest a)))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (ni),pair(Agent (dishonest i),SymKey (absKAB(pair(Agent (dishonest i),Agent (honest a)))))))));
fp_1069: iknows(pair(scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),Agent (honest a)))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (ni),pair(Agent (dishonest i),SymKey (absKAB(pair(Agent (dishonest i),Agent (honest a)))))))));
fp_1070: iknows(pair(scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (honest a)))),Agent (honest a)))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (ni),pair(Agent (dishonest i),SymKey (absKAB(pair(Agent (dishonest i),Agent (honest a)))))))));
fp_1071: iknows(pair(scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),Agent (honest a)))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (ni),pair(Agent (dishonest i),SymKey (absKAB(pair(Agent (dishonest i),Agent (honest a)))))))));
fp_1072: iknows(pair(scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (honest a)))),Agent (honest a)))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (ni),pair(Agent (dishonest i),SymKey (absKAB(pair(Agent (dishonest i),Agent (honest a)))))))));
fp_1073: iknows(pair(scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNB2(pair(Agent (honest a),Agent (dishonest i)))),Agent (honest a)))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (ni),pair(Agent (dishonest i),SymKey (absKAB(pair(Agent (dishonest i),Agent (honest a)))))))));
fp_1074: iknows(pair(scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNB2(pair(Agent (honest a),Agent (honest a)))),Agent (honest a)))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (ni),pair(Agent (dishonest i),SymKey (absKAB(pair(Agent (dishonest i),Agent (honest a)))))))));
fp_1075: iknows(pair(scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (ni),Agent (honest a)))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),SymKey (absKAB(pair(Agent (dishonest i),Agent (honest a)))))))));
fp_1076: iknows(pair(scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),Agent (honest a)))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),SymKey (absKAB(pair(Agent (dishonest i),Agent (honest a)))))))));
fp_1077: iknows(pair(scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (honest a)))),Agent (honest a)))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),SymKey (absKAB(pair(Agent (dishonest i),Agent (honest a)))))))));
fp_1078: iknows(pair(scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),Agent (honest a)))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),SymKey (absKAB(pair(Agent (dishonest i),Agent (honest a)))))))));
fp_1079: iknows(pair(scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (honest a)))),Agent (honest a)))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),SymKey (absKAB(pair(Agent (dishonest i),Agent (honest a)))))))));
fp_1080: iknows(pair(scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNB2(pair(Agent (honest a),Agent (dishonest i)))),Agent (honest a)))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),SymKey (absKAB(pair(Agent (dishonest i),Agent (honest a)))))))));
fp_1081: iknows(pair(scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNB2(pair(Agent (honest a),Agent (honest a)))),Agent (honest a)))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),SymKey (absKAB(pair(Agent (dishonest i),Agent (honest a)))))))));
fp_1082: iknows(pair(scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (ni),Agent (honest a)))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (honest a)))),pair(Agent (dishonest i),SymKey (absKAB(pair(Agent (dishonest i),Agent (honest a)))))))));
fp_1083: iknows(pair(scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),Agent (honest a)))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (honest a)))),pair(Agent (dishonest i),SymKey (absKAB(pair(Agent (dishonest i),Agent (honest a)))))))));
fp_1084: iknows(pair(scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (honest a)))),Agent (honest a)))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (honest a)))),pair(Agent (dishonest i),SymKey (absKAB(pair(Agent (dishonest i),Agent (honest a)))))))));
fp_1085: iknows(pair(scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),Agent (honest a)))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (honest a)))),pair(Agent (dishonest i),SymKey (absKAB(pair(Agent (dishonest i),Agent (honest a)))))))));
fp_1086: iknows(pair(scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (honest a)))),Agent (honest a)))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (honest a)))),pair(Agent (dishonest i),SymKey (absKAB(pair(Agent (dishonest i),Agent (honest a)))))))));
fp_1087: iknows(pair(scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNB2(pair(Agent (honest a),Agent (dishonest i)))),Agent (honest a)))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (honest a)))),pair(Agent (dishonest i),SymKey (absKAB(pair(Agent (dishonest i),Agent (honest a)))))))));
fp_1088: iknows(pair(scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNB2(pair(Agent (honest a),Agent (honest a)))),Agent (honest a)))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (honest a)))),pair(Agent (dishonest i),SymKey (absKAB(pair(Agent (dishonest i),Agent (honest a)))))))));
fp_1089: iknows(pair(scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (ni),Agent (honest a)))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),SymKey (absKAB(pair(Agent (dishonest i),Agent (honest a)))))))));
fp_1090: iknows(pair(scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),Agent (honest a)))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),SymKey (absKAB(pair(Agent (dishonest i),Agent (honest a)))))))));
fp_1091: iknows(pair(scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (honest a)))),Agent (honest a)))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),SymKey (absKAB(pair(Agent (dishonest i),Agent (honest a)))))))));
fp_1092: iknows(pair(scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),Agent (honest a)))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),SymKey (absKAB(pair(Agent (dishonest i),Agent (honest a)))))))));
fp_1093: iknows(pair(scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (honest a)))),Agent (honest a)))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),SymKey (absKAB(pair(Agent (dishonest i),Agent (honest a)))))))));
fp_1094: iknows(pair(scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNB2(pair(Agent (honest a),Agent (dishonest i)))),Agent (honest a)))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),SymKey (absKAB(pair(Agent (dishonest i),Agent (honest a)))))))));
fp_1095: iknows(pair(scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNB2(pair(Agent (honest a),Agent (honest a)))),Agent (honest a)))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),SymKey (absKAB(pair(Agent (dishonest i),Agent (honest a)))))))));
fp_1096: iknows(pair(scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (ni),Agent (honest a)))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (honest a)))),pair(Agent (dishonest i),SymKey (absKAB(pair(Agent (dishonest i),Agent (honest a)))))))));
fp_1097: iknows(pair(scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),Agent (honest a)))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (honest a)))),pair(Agent (dishonest i),SymKey (absKAB(pair(Agent (dishonest i),Agent (honest a)))))))));
fp_1098: iknows(pair(scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (honest a)))),Agent (honest a)))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (honest a)))),pair(Agent (dishonest i),SymKey (absKAB(pair(Agent (dishonest i),Agent (honest a)))))))));
fp_1099: iknows(pair(scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),Agent (honest a)))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (honest a)))),pair(Agent (dishonest i),SymKey (absKAB(pair(Agent (dishonest i),Agent (honest a)))))))));
fp_1100: iknows(pair(scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (honest a)))),Agent (honest a)))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (honest a)))),pair(Agent (dishonest i),SymKey (absKAB(pair(Agent (dishonest i),Agent (honest a)))))))));
fp_1101: iknows(pair(scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNB2(pair(Agent (honest a),Agent (dishonest i)))),Agent (honest a)))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (honest a)))),pair(Agent (dishonest i),SymKey (absKAB(pair(Agent (dishonest i),Agent (honest a)))))))));
fp_1102: iknows(pair(scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNB2(pair(Agent (honest a),Agent (honest a)))),Agent (honest a)))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (honest a)))),pair(Agent (dishonest i),SymKey (absKAB(pair(Agent (dishonest i),Agent (honest a)))))))));
fp_1103: iknows(pair(scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (ni),Agent (honest a)))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absNB2(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),SymKey (absKAB(pair(Agent (dishonest i),Agent (honest a)))))))));
fp_1104: iknows(pair(scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),Agent (honest a)))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absNB2(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),SymKey (absKAB(pair(Agent (dishonest i),Agent (honest a)))))))));
fp_1105: iknows(pair(scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (honest a)))),Agent (honest a)))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absNB2(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),SymKey (absKAB(pair(Agent (dishonest i),Agent (honest a)))))))));
fp_1106: iknows(pair(scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),Agent (honest a)))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absNB2(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),SymKey (absKAB(pair(Agent (dishonest i),Agent (honest a)))))))));
fp_1107: iknows(pair(scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (honest a)))),Agent (honest a)))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absNB2(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),SymKey (absKAB(pair(Agent (dishonest i),Agent (honest a)))))))));
fp_1108: iknows(pair(scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNB2(pair(Agent (honest a),Agent (dishonest i)))),Agent (honest a)))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absNB2(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),SymKey (absKAB(pair(Agent (dishonest i),Agent (honest a)))))))));
fp_1109: iknows(pair(scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNB2(pair(Agent (honest a),Agent (honest a)))),Agent (honest a)))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absNB2(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),SymKey (absKAB(pair(Agent (dishonest i),Agent (honest a)))))))));
fp_1110: iknows(pair(scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (ni),Agent (honest a)))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absNB2(pair(Agent (honest a),Agent (honest a)))),pair(Agent (dishonest i),SymKey (absKAB(pair(Agent (dishonest i),Agent (honest a)))))))));
fp_1111: iknows(pair(scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),Agent (honest a)))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absNB2(pair(Agent (honest a),Agent (honest a)))),pair(Agent (dishonest i),SymKey (absKAB(pair(Agent (dishonest i),Agent (honest a)))))))));
fp_1112: iknows(pair(scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (honest a)))),Agent (honest a)))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absNB2(pair(Agent (honest a),Agent (honest a)))),pair(Agent (dishonest i),SymKey (absKAB(pair(Agent (dishonest i),Agent (honest a)))))))));
fp_1113: iknows(pair(scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),Agent (honest a)))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absNB2(pair(Agent (honest a),Agent (honest a)))),pair(Agent (dishonest i),SymKey (absKAB(pair(Agent (dishonest i),Agent (honest a)))))))));
fp_1114: iknows(pair(scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (honest a)))),Agent (honest a)))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absNB2(pair(Agent (honest a),Agent (honest a)))),pair(Agent (dishonest i),SymKey (absKAB(pair(Agent (dishonest i),Agent (honest a)))))))));
fp_1115: iknows(pair(scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNB2(pair(Agent (honest a),Agent (dishonest i)))),Agent (honest a)))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absNB2(pair(Agent (honest a),Agent (honest a)))),pair(Agent (dishonest i),SymKey (absKAB(pair(Agent (dishonest i),Agent (honest a)))))))));
fp_1116: iknows(pair(scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNB2(pair(Agent (honest a),Agent (honest a)))),Agent (honest a)))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absNB2(pair(Agent (honest a),Agent (honest a)))),pair(Agent (dishonest i),SymKey (absKAB(pair(Agent (dishonest i),Agent (honest a)))))))));
fp_1117: iknows(pair(scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))),pair(Nonce (ni),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (ni),pair(Agent (dishonest i),SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))))))));
fp_1118: iknows(pair(scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (ni),pair(Agent (dishonest i),SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))))))));
fp_1119: iknows(pair(scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (honest a)))),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (ni),pair(Agent (dishonest i),SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))))))));
fp_1120: iknows(pair(scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (ni),pair(Agent (dishonest i),SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))))))));
fp_1121: iknows(pair(scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (honest a)))),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (ni),pair(Agent (dishonest i),SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))))))));
fp_1122: iknows(pair(scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))),pair(Nonce (absNB2(pair(Agent (honest a),Agent (dishonest i)))),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (ni),pair(Agent (dishonest i),SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))))))));
fp_1123: iknows(pair(scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))),pair(Nonce (absNB2(pair(Agent (honest a),Agent (honest a)))),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (ni),pair(Agent (dishonest i),SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))))))));
fp_1124: iknows(pair(scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))),pair(Nonce (ni),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))))))));
fp_1125: iknows(pair(scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))))))));
fp_1126: iknows(pair(scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (honest a)))),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))))))));
fp_1127: iknows(pair(scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))))))));
fp_1128: iknows(pair(scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (honest a)))),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))))))));
fp_1129: iknows(pair(scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))),pair(Nonce (absNB2(pair(Agent (honest a),Agent (dishonest i)))),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))))))));
fp_1130: iknows(pair(scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))),pair(Nonce (absNB2(pair(Agent (honest a),Agent (honest a)))),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))))))));
fp_1131: iknows(pair(scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))),pair(Nonce (ni),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (honest a)))),pair(Agent (dishonest i),SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))))))));
fp_1132: iknows(pair(scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (honest a)))),pair(Agent (dishonest i),SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))))))));
fp_1133: iknows(pair(scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (honest a)))),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (honest a)))),pair(Agent (dishonest i),SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))))))));
fp_1134: iknows(pair(scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (honest a)))),pair(Agent (dishonest i),SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))))))));
fp_1135: iknows(pair(scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (honest a)))),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (honest a)))),pair(Agent (dishonest i),SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))))))));
fp_1136: iknows(pair(scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))),pair(Nonce (absNB2(pair(Agent (honest a),Agent (dishonest i)))),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (honest a)))),pair(Agent (dishonest i),SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))))))));
fp_1137: iknows(pair(scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))),pair(Nonce (absNB2(pair(Agent (honest a),Agent (honest a)))),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (honest a)))),pair(Agent (dishonest i),SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))))))));
fp_1138: iknows(pair(scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))),pair(Nonce (ni),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))))))));
fp_1139: iknows(pair(scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))))))));
fp_1140: iknows(pair(scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (honest a)))),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))))))));
fp_1141: iknows(pair(scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))))))));
fp_1142: iknows(pair(scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (honest a)))),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))))))));
fp_1143: iknows(pair(scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))),pair(Nonce (absNB2(pair(Agent (honest a),Agent (dishonest i)))),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))))))));
fp_1144: iknows(pair(scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))),pair(Nonce (absNB2(pair(Agent (honest a),Agent (honest a)))),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))))))));
fp_1145: iknows(pair(scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))),pair(Nonce (ni),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (honest a)))),pair(Agent (dishonest i),SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))))))));
fp_1146: iknows(pair(scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (honest a)))),pair(Agent (dishonest i),SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))))))));
fp_1147: iknows(pair(scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (honest a)))),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (honest a)))),pair(Agent (dishonest i),SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))))))));
fp_1148: iknows(pair(scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (honest a)))),pair(Agent (dishonest i),SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))))))));
fp_1149: iknows(pair(scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (honest a)))),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (honest a)))),pair(Agent (dishonest i),SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))))))));
fp_1150: iknows(pair(scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))),pair(Nonce (absNB2(pair(Agent (honest a),Agent (dishonest i)))),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (honest a)))),pair(Agent (dishonest i),SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))))))));
fp_1151: iknows(pair(scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))),pair(Nonce (absNB2(pair(Agent (honest a),Agent (honest a)))),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (honest a)))),pair(Agent (dishonest i),SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))))))));
fp_1152: iknows(pair(scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))),pair(Nonce (ni),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNB2(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))))))));
fp_1153: iknows(pair(scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNB2(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))))))));
fp_1154: iknows(pair(scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (honest a)))),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNB2(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))))))));
fp_1155: iknows(pair(scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNB2(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))))))));
fp_1156: iknows(pair(scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (honest a)))),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNB2(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))))))));
fp_1157: iknows(pair(scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))),pair(Nonce (absNB2(pair(Agent (honest a),Agent (dishonest i)))),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNB2(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))))))));
fp_1158: iknows(pair(scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))),pair(Nonce (absNB2(pair(Agent (honest a),Agent (honest a)))),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNB2(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))))))));
fp_1159: iknows(pair(scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))),pair(Nonce (ni),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNB2(pair(Agent (honest a),Agent (honest a)))),pair(Agent (dishonest i),SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))))))));
fp_1160: iknows(pair(scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNB2(pair(Agent (honest a),Agent (honest a)))),pair(Agent (dishonest i),SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))))))));
fp_1161: iknows(pair(scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (honest a)))),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNB2(pair(Agent (honest a),Agent (honest a)))),pair(Agent (dishonest i),SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))))))));
fp_1162: iknows(pair(scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNB2(pair(Agent (honest a),Agent (honest a)))),pair(Agent (dishonest i),SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))))))));
fp_1163: iknows(pair(scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (honest a)))),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNB2(pair(Agent (honest a),Agent (honest a)))),pair(Agent (dishonest i),SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))))))));
fp_1164: iknows(pair(scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))),pair(Nonce (absNB2(pair(Agent (honest a),Agent (dishonest i)))),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNB2(pair(Agent (honest a),Agent (honest a)))),pair(Agent (dishonest i),SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))))))));
fp_1165: iknows(pair(scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))),pair(Nonce (absNB2(pair(Agent (honest a),Agent (honest a)))),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNB2(pair(Agent (honest a),Agent (honest a)))),pair(Agent (dishonest i),SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))))))));
fp_1166: iknows(pair(Agent (honest a),Nonce (absNB(pair(Agent (honest a),Agent (honest a))))));
fp_1167: iknows(pair(Nonce (ni),pair(Agent (honest a),Nonce (absNB(pair(Agent (honest a),Agent (honest a)))))));
fp_1168: iknows(pair(Agent (honest a),pair(Nonce (ni),pair(Agent (honest a),Nonce (absNB(pair(Agent (honest a),Agent (honest a))))))));
fp_1169: iknows(pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (honest a),Nonce (absNB(pair(Agent (honest a),Agent (honest a)))))));
fp_1170: iknows(pair(Agent (honest a),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (honest a),Nonce (absNB(pair(Agent (honest a),Agent (honest a))))))));
fp_1171: iknows(pair(Nonce (absNA(pair(Agent (honest a),Agent (honest a)))),pair(Agent (honest a),Nonce (absNB(pair(Agent (honest a),Agent (honest a)))))));
fp_1172: iknows(pair(Agent (honest a),pair(Nonce (absNA(pair(Agent (honest a),Agent (honest a)))),pair(Agent (honest a),Nonce (absNB(pair(Agent (honest a),Agent (honest a))))))));
fp_1173: iknows(pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (honest a),Nonce (absNB(pair(Agent (honest a),Agent (honest a)))))));
fp_1174: iknows(pair(Agent (honest a),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (honest a),Nonce (absNB(pair(Agent (honest a),Agent (honest a))))))));
fp_1175: iknows(pair(Nonce (absNB(pair(Agent (honest a),Agent (honest a)))),pair(Agent (honest a),Nonce (absNB(pair(Agent (honest a),Agent (honest a)))))));
fp_1176: iknows(pair(Agent (honest a),pair(Nonce (absNB(pair(Agent (honest a),Agent (honest a)))),pair(Agent (honest a),Nonce (absNB(pair(Agent (honest a),Agent (honest a))))))));
fp_1177: iknows(pair(Nonce (absNB2(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (honest a),Nonce (absNB(pair(Agent (honest a),Agent (honest a)))))));
fp_1178: iknows(pair(Agent (honest a),pair(Nonce (absNB2(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (honest a),Nonce (absNB(pair(Agent (honest a),Agent (honest a))))))));
fp_1179: iknows(pair(Nonce (absNB2(pair(Agent (honest a),Agent (honest a)))),pair(Agent (honest a),Nonce (absNB(pair(Agent (honest a),Agent (honest a)))))));
fp_1180: iknows(pair(Agent (honest a),pair(Nonce (absNB2(pair(Agent (honest a),Agent (honest a)))),pair(Agent (honest a),Nonce (absNB(pair(Agent (honest a),Agent (honest a))))))));
fp_1181: iknows(pair(Agent (honest a),Nonce (absNB(pair(Agent (honest a),Agent (dishonest i))))));
fp_1182: iknows(pair(Nonce (ni),pair(Agent (honest a),Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))))));
fp_1183: iknows(pair(Agent (dishonest i),pair(Nonce (ni),pair(Agent (honest a),Nonce (absNB(pair(Agent (honest a),Agent (dishonest i))))))));
fp_1184: iknows(pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (honest a),Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))))));
fp_1185: iknows(pair(Agent (dishonest i),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (honest a),Nonce (absNB(pair(Agent (honest a),Agent (dishonest i))))))));
fp_1186: iknows(pair(Nonce (absNA(pair(Agent (honest a),Agent (honest a)))),pair(Agent (honest a),Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))))));
fp_1187: iknows(pair(Agent (dishonest i),pair(Nonce (absNA(pair(Agent (honest a),Agent (honest a)))),pair(Agent (honest a),Nonce (absNB(pair(Agent (honest a),Agent (dishonest i))))))));
fp_1188: iknows(pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (honest a),Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))))));
fp_1189: iknows(pair(Agent (dishonest i),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (honest a),Nonce (absNB(pair(Agent (honest a),Agent (dishonest i))))))));
fp_1190: iknows(pair(Nonce (absNB(pair(Agent (honest a),Agent (honest a)))),pair(Agent (honest a),Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))))));
fp_1191: iknows(pair(Agent (dishonest i),pair(Nonce (absNB(pair(Agent (honest a),Agent (honest a)))),pair(Agent (honest a),Nonce (absNB(pair(Agent (honest a),Agent (dishonest i))))))));
fp_1192: iknows(pair(Nonce (absNB2(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (honest a),Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))))));
fp_1193: iknows(pair(Agent (dishonest i),pair(Nonce (absNB2(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (honest a),Nonce (absNB(pair(Agent (honest a),Agent (dishonest i))))))));
fp_1194: iknows(pair(Nonce (absNB2(pair(Agent (honest a),Agent (honest a)))),pair(Agent (honest a),Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))))));
fp_1195: iknows(pair(Agent (dishonest i),pair(Nonce (absNB2(pair(Agent (honest a),Agent (honest a)))),pair(Agent (honest a),Nonce (absNB(pair(Agent (honest a),Agent (dishonest i))))))));
fp_1196: iknows(pair(Agent (honest a),Nonce (absNA(pair(Agent (honest a),Agent (honest a))))));
fp_1197: iknows(pair(Agent (honest a),Nonce (absNA(pair(Agent (honest a),Agent (dishonest i))))));
fp_1198: iknows(pair(Nonce (ni),Agent (dishonest i)));
fp_1199: iknows(pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))),pair(Nonce (ni),Agent (dishonest i))));
fp_1200: iknows(pair(Agent (dishonest i),SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i))))));
fp_1201: iknows(pair(Nonce (ni),pair(Agent (dishonest i),SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))))));
fp_1202: iknows(pair(Nonce (ni),Agent (honest a)));
fp_1203: iknows(pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (ni),Agent (honest a))));
fp_1204: iknows(pair(Agent (honest a),SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i))))));
fp_1205: iknows(pair(Nonce (ni),pair(Agent (honest a),SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))))));
fp_1206: iknows(pair(Nonce (absNB(pair(Agent (honest a),Agent (honest a)))),pair(Agent (dishonest i),SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))))));
fp_1207: iknows(pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))))));
fp_1208: iknows(pair(Nonce (absNA(pair(Agent (honest a),Agent (honest a)))),pair(Agent (dishonest i),SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))))));
fp_1209: iknows(pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))))));
fp_1210: iknows(pair(Nonce (absNB(pair(Agent (honest a),Agent (honest a)))),Agent (dishonest i)));
fp_1211: iknows(pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (honest a)))),Agent (dishonest i))));
fp_1212: iknows(pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),Agent (dishonest i)));
fp_1213: iknows(pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),Agent (dishonest i))));
fp_1214: iknows(pair(Nonce (absNA(pair(Agent (honest a),Agent (honest a)))),Agent (dishonest i)));
fp_1215: iknows(pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (honest a)))),Agent (dishonest i))));
fp_1216: iknows(pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),Agent (dishonest i)));
fp_1217: iknows(pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),Agent (dishonest i))));
fp_1218: iknows(pair(Nonce (absNB(pair(Agent (honest a),Agent (honest a)))),Agent (honest a)));
fp_1219: iknows(pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (honest a)))),Agent (honest a))));
fp_1220: iknows(pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),Agent (honest a)));
fp_1221: iknows(pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),Agent (honest a))));
fp_1222: iknows(pair(Nonce (absNA(pair(Agent (honest a),Agent (honest a)))),Agent (honest a)));
fp_1223: iknows(pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (honest a)))),Agent (honest a))));
fp_1224: iknows(pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),Agent (honest a)));
fp_1225: iknows(pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),Agent (honest a))));
fp_1226: iknows(pair(Nonce (absNB(pair(Agent (honest a),Agent (honest a)))),pair(Agent (honest a),SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))))));
fp_1227: iknows(pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (honest a),SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))))));
fp_1228: iknows(pair(Nonce (absNA(pair(Agent (honest a),Agent (honest a)))),pair(Agent (honest a),SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))))));
fp_1229: iknows(pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (honest a),SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))))));
fp_1230: iknows(pair(Nonce (absNB2(pair(Agent (honest a),Agent (honest a)))),pair(Agent (dishonest i),SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))))));
fp_1231: iknows(pair(Nonce (absNB2(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))))));
fp_1232: iknows(pair(Nonce (absNB2(pair(Agent (honest a),Agent (honest a)))),Agent (dishonest i)));
fp_1233: iknows(pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))),pair(Nonce (absNB2(pair(Agent (honest a),Agent (honest a)))),Agent (dishonest i))));
fp_1234: iknows(pair(Nonce (absNB2(pair(Agent (honest a),Agent (dishonest i)))),Agent (dishonest i)));
fp_1235: iknows(pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))),pair(Nonce (absNB2(pair(Agent (honest a),Agent (dishonest i)))),Agent (dishonest i))));
fp_1236: iknows(pair(Nonce (absNB2(pair(Agent (honest a),Agent (honest a)))),Agent (honest a)));
fp_1237: iknows(pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNB2(pair(Agent (honest a),Agent (honest a)))),Agent (honest a))));
fp_1238: iknows(pair(Nonce (absNB2(pair(Agent (honest a),Agent (dishonest i)))),Agent (honest a)));
fp_1239: iknows(pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNB2(pair(Agent (honest a),Agent (dishonest i)))),Agent (honest a))));
fp_1240: iknows(pair(Nonce (absNB2(pair(Agent (honest a),Agent (honest a)))),pair(Agent (honest a),SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))))));
fp_1241: iknows(pair(Nonce (absNB2(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (honest a),SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))))));
fp_1242: State (rB,[Agent (honest a),Step 2,SymKey (sk(pair(Agent (honest a),Agent (honest a)))),Agent (honest a),Agent (dishonest i),Nonce (absNB2(pair(Agent (honest a),Agent (honest a)))),pair(Agent (dishonest i),Nonce (absNB2(pair(Agent (honest a),Agent (honest a))))),Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),pair(Nonce (absNB2(pair(Agent (honest a),Agent (honest a)))),pair(Agent (honest a),Nonce (absNB(pair(Agent (honest a),Agent (dishonest i))))))),Agent (dishonest i),SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),Agent (dishonest i)))),pair(scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),Agent (dishonest i)))),Agent (dishonest i)),Nonce (absNB2(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),pair(scrypt(SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))),Nonce (absNB2(pair(Agent (honest a),Agent (honest a))))),Nonce (absNB2(pair(Agent (honest a),Agent (dishonest i)))))),(SID sid)]);
fp_1243: State (rB,[Agent (honest a),Step 2,SymKey (sk(pair(Agent (honest a),Agent (honest a)))),Agent (honest a),Agent (dishonest i),Nonce (absNB2(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),Nonce (absNB2(pair(Agent (honest a),Agent (dishonest i))))),Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),pair(Nonce (absNB2(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (honest a),Nonce (absNB(pair(Agent (honest a),Agent (dishonest i))))))),Agent (dishonest i),SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),Agent (dishonest i)))),pair(scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),Agent (dishonest i)))),Agent (dishonest i)),Nonce (absNB2(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),pair(scrypt(SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))),Nonce (absNB2(pair(Agent (honest a),Agent (dishonest i))))),Nonce (absNB2(pair(Agent (honest a),Agent (dishonest i)))))),(SID sid)]);
fp_1244: State (rB,[Agent (honest a),Step 2,SymKey (sk(pair(Agent (honest a),Agent (honest a)))),Agent (honest a),Agent (honest a),Nonce (absNB2(pair(Agent (honest a),Agent (honest a)))),pair(Agent (honest a),Nonce (absNB2(pair(Agent (honest a),Agent (honest a))))),Nonce (absNB(pair(Agent (honest a),Agent (honest a)))),pair(Agent (honest a),pair(Nonce (absNB2(pair(Agent (honest a),Agent (honest a)))),pair(Agent (honest a),Nonce (absNB(pair(Agent (honest a),Agent (honest a))))))),Agent (dishonest i),SymKey (absKAB(pair(Agent (honest a),Agent (honest a)))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (honest a)))),Agent (honest a)))),pair(scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (honest a)))),Agent (honest a)))),Agent (dishonest i)),Nonce (absNB2(pair(Agent (honest a),Agent (honest a)))),pair(Agent (dishonest i),pair(scrypt(SymKey (absKAB(pair(Agent (honest a),Agent (honest a)))),Nonce (absNB2(pair(Agent (honest a),Agent (honest a))))),Nonce (absNB2(pair(Agent (honest a),Agent (honest a)))))),(SID sid)]);
fp_1245: State (rB,[Agent (honest a),Step 2,SymKey (sk(pair(Agent (honest a),Agent (honest a)))),Agent (honest a),Agent (honest a),Nonce (absNB2(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (honest a),Nonce (absNB2(pair(Agent (honest a),Agent (dishonest i))))),Nonce (absNB(pair(Agent (honest a),Agent (honest a)))),pair(Agent (honest a),pair(Nonce (absNB2(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (honest a),Nonce (absNB(pair(Agent (honest a),Agent (honest a))))))),Agent (dishonest i),SymKey (absKAB(pair(Agent (honest a),Agent (honest a)))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (honest a)))),Agent (honest a)))),pair(scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (honest a)))),Agent (honest a)))),Agent (dishonest i)),Nonce (absNB2(pair(Agent (honest a),Agent (honest a)))),pair(Agent (dishonest i),pair(scrypt(SymKey (absKAB(pair(Agent (honest a),Agent (honest a)))),Nonce (absNB2(pair(Agent (honest a),Agent (dishonest i))))),Nonce (absNB2(pair(Agent (honest a),Agent (honest a)))))),(SID sid)]);
fp_1246: request(Agent (honest a),Agent (honest a),Purpose (pBsKABA),pair(SymKey (absKAB(pair(Agent (honest a),Agent (honest a)))),Agent (honest a)),(SID sid));
fp_1247: State (rB,[Agent (honest a),Step 3,SymKey (sk(pair(Agent (honest a),Agent (honest a)))),Agent (honest a),Agent (honest a),Nonce (absNB(pair(Agent (honest a),Agent (honest a)))),pair(Agent (honest a),Nonce (absNB(pair(Agent (honest a),Agent (honest a))))),Nonce (absNB(pair(Agent (honest a),Agent (honest a)))),pair(Agent (honest a),pair(Nonce (absNB(pair(Agent (honest a),Agent (honest a)))),pair(Agent (honest a),Nonce (absNB(pair(Agent (honest a),Agent (honest a))))))),Agent (dishonest i),SymKey (absKAB(pair(Agent (honest a),Agent (honest a)))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (honest a)))),Agent (honest a)))),pair(scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (honest a)))),Agent (honest a)))),Agent (dishonest i)),Nonce (absNB2(pair(Agent (honest a),Agent (honest a)))),pair(Agent (dishonest i),pair(scrypt(SymKey (absKAB(pair(Agent (honest a),Agent (honest a)))),Nonce (absNB(pair(Agent (honest a),Agent (honest a))))),Nonce (absNB2(pair(Agent (honest a),Agent (honest a)))))),scrypt(SymKey (absKAB(pair(Agent (honest a),Agent (honest a)))),Nonce (absNB(pair(Agent (honest a),Agent (honest a))))),scrypt(SymKey (absKAB(pair(Agent (honest a),Agent (honest a)))),Nonce (absNB2(pair(Agent (honest a),Agent (honest a))))),(SID sid)]);
fp_1248: State (rB,[Agent (honest a),Step 3,SymKey (sk(pair(Agent (honest a),Agent (honest a)))),Agent (honest a),Agent (honest a),Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (honest a),Nonce (absNB(pair(Agent (honest a),Agent (dishonest i))))),Nonce (absNB(pair(Agent (honest a),Agent (honest a)))),pair(Agent (honest a),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (honest a),Nonce (absNB(pair(Agent (honest a),Agent (honest a))))))),Agent (dishonest i),SymKey (absKAB(pair(Agent (honest a),Agent (honest a)))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (honest a)))),Agent (honest a)))),pair(scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (honest a)))),Agent (honest a)))),Agent (dishonest i)),Nonce (absNB2(pair(Agent (honest a),Agent (honest a)))),pair(Agent (dishonest i),pair(scrypt(SymKey (absKAB(pair(Agent (honest a),Agent (honest a)))),Nonce (absNB(pair(Agent (honest a),Agent (dishonest i))))),Nonce (absNB2(pair(Agent (honest a),Agent (honest a)))))),scrypt(SymKey (absKAB(pair(Agent (honest a),Agent (honest a)))),Nonce (absNB(pair(Agent (honest a),Agent (dishonest i))))),scrypt(SymKey (absKAB(pair(Agent (honest a),Agent (honest a)))),Nonce (absNB2(pair(Agent (honest a),Agent (honest a))))),(SID sid)]);
fp_1249: State (rB,[Agent (honest a),Step 3,SymKey (sk(pair(Agent (honest a),Agent (honest a)))),Agent (honest a),Agent (honest a),Nonce (absNA(pair(Agent (honest a),Agent (honest a)))),pair(Agent (honest a),Nonce (absNA(pair(Agent (honest a),Agent (honest a))))),Nonce (absNB(pair(Agent (honest a),Agent (honest a)))),pair(Agent (honest a),pair(Nonce (absNA(pair(Agent (honest a),Agent (honest a)))),pair(Agent (honest a),Nonce (absNB(pair(Agent (honest a),Agent (honest a))))))),Agent (dishonest i),SymKey (absKAB(pair(Agent (honest a),Agent (honest a)))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (honest a)))),Agent (honest a)))),pair(scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (honest a)))),Agent (honest a)))),Agent (dishonest i)),Nonce (absNB2(pair(Agent (honest a),Agent (honest a)))),pair(Agent (dishonest i),pair(scrypt(SymKey (absKAB(pair(Agent (honest a),Agent (honest a)))),Nonce (absNA(pair(Agent (honest a),Agent (honest a))))),Nonce (absNB2(pair(Agent (honest a),Agent (honest a)))))),scrypt(SymKey (absKAB(pair(Agent (honest a),Agent (honest a)))),Nonce (absNA(pair(Agent (honest a),Agent (honest a))))),scrypt(SymKey (absKAB(pair(Agent (honest a),Agent (honest a)))),Nonce (absNB2(pair(Agent (honest a),Agent (honest a))))),(SID sid)]);
fp_1250: State (rB,[Agent (honest a),Step 3,SymKey (sk(pair(Agent (honest a),Agent (honest a)))),Agent (honest a),Agent (honest a),Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (honest a),Nonce (absNA(pair(Agent (honest a),Agent (dishonest i))))),Nonce (absNB(pair(Agent (honest a),Agent (honest a)))),pair(Agent (honest a),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (honest a),Nonce (absNB(pair(Agent (honest a),Agent (honest a))))))),Agent (dishonest i),SymKey (absKAB(pair(Agent (honest a),Agent (honest a)))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (honest a)))),Agent (honest a)))),pair(scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (honest a)))),Agent (honest a)))),Agent (dishonest i)),Nonce (absNB2(pair(Agent (honest a),Agent (honest a)))),pair(Agent (dishonest i),pair(scrypt(SymKey (absKAB(pair(Agent (honest a),Agent (honest a)))),Nonce (absNA(pair(Agent (honest a),Agent (dishonest i))))),Nonce (absNB2(pair(Agent (honest a),Agent (honest a)))))),scrypt(SymKey (absKAB(pair(Agent (honest a),Agent (honest a)))),Nonce (absNA(pair(Agent (honest a),Agent (dishonest i))))),scrypt(SymKey (absKAB(pair(Agent (honest a),Agent (honest a)))),Nonce (absNB2(pair(Agent (honest a),Agent (honest a))))),(SID sid)]);
fp_1251: State (rB,[Agent (honest a),Step 3,SymKey (sk(pair(Agent (honest a),Agent (honest a)))),Agent (honest a),Agent (honest a),Nonce (ni),pair(Agent (honest a),Nonce (ni)),Nonce (absNB(pair(Agent (honest a),Agent (honest a)))),pair(Agent (honest a),pair(Nonce (ni),pair(Agent (honest a),Nonce (absNB(pair(Agent (honest a),Agent (honest a))))))),Agent (dishonest i),SymKey (absKAB(pair(Agent (honest a),Agent (honest a)))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (honest a)))),Agent (honest a)))),pair(scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (honest a)))),Agent (honest a)))),Agent (dishonest i)),Nonce (absNB2(pair(Agent (honest a),Agent (honest a)))),pair(Agent (dishonest i),pair(scrypt(SymKey (absKAB(pair(Agent (honest a),Agent (honest a)))),Nonce (ni)),Nonce (absNB2(pair(Agent (honest a),Agent (honest a)))))),scrypt(SymKey (absKAB(pair(Agent (honest a),Agent (honest a)))),Nonce (ni)),scrypt(SymKey (absKAB(pair(Agent (honest a),Agent (honest a)))),Nonce (absNB2(pair(Agent (honest a),Agent (honest a))))),(SID sid)]);
fp_1252: iknows(scrypt(SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))),Nonce (absNB2(pair(Agent (honest a),Agent (dishonest i))))));
fp_1253: iknows(scrypt(SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))),Nonce (absNB2(pair(Agent (honest a),Agent (honest a))))));
fp_1254: iknows(pair(scrypt(SymKey (absKAB(pair(Agent (honest a),Agent (honest a)))),Nonce (ni)),Nonce (absNB2(pair(Agent (honest a),Agent (honest a))))));
fp_1255: iknows(pair(Agent (dishonest i),pair(scrypt(SymKey (absKAB(pair(Agent (honest a),Agent (honest a)))),Nonce (ni)),Nonce (absNB2(pair(Agent (honest a),Agent (honest a)))))));
fp_1256: iknows(pair(scrypt(SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))),Nonce (ni)),Nonce (absNB2(pair(Agent (honest a),Agent (dishonest i))))));
fp_1257: iknows(pair(Agent (dishonest i),pair(scrypt(SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))),Nonce (ni)),Nonce (absNB2(pair(Agent (honest a),Agent (dishonest i)))))));
fp_1258: iknows(pair(scrypt(SymKey (absKAB(pair(Agent (honest a),Agent (honest a)))),Nonce (absNA(pair(Agent (honest a),Agent (dishonest i))))),Nonce (absNB2(pair(Agent (honest a),Agent (honest a))))));
fp_1259: iknows(pair(Agent (dishonest i),pair(scrypt(SymKey (absKAB(pair(Agent (honest a),Agent (honest a)))),Nonce (absNA(pair(Agent (honest a),Agent (dishonest i))))),Nonce (absNB2(pair(Agent (honest a),Agent (honest a)))))));
fp_1260: iknows(pair(scrypt(SymKey (absKAB(pair(Agent (honest a),Agent (honest a)))),Nonce (absNA(pair(Agent (honest a),Agent (honest a))))),Nonce (absNB2(pair(Agent (honest a),Agent (honest a))))));
fp_1261: iknows(pair(Agent (dishonest i),pair(scrypt(SymKey (absKAB(pair(Agent (honest a),Agent (honest a)))),Nonce (absNA(pair(Agent (honest a),Agent (honest a))))),Nonce (absNB2(pair(Agent (honest a),Agent (honest a)))))));
fp_1262: iknows(pair(scrypt(SymKey (absKAB(pair(Agent (honest a),Agent (honest a)))),Nonce (absNB(pair(Agent (honest a),Agent (dishonest i))))),Nonce (absNB2(pair(Agent (honest a),Agent (honest a))))));
fp_1263: iknows(pair(Agent (dishonest i),pair(scrypt(SymKey (absKAB(pair(Agent (honest a),Agent (honest a)))),Nonce (absNB(pair(Agent (honest a),Agent (dishonest i))))),Nonce (absNB2(pair(Agent (honest a),Agent (honest a)))))));
fp_1264: iknows(pair(scrypt(SymKey (absKAB(pair(Agent (honest a),Agent (honest a)))),Nonce (absNB(pair(Agent (honest a),Agent (honest a))))),Nonce (absNB2(pair(Agent (honest a),Agent (honest a))))));
fp_1265: iknows(pair(Agent (dishonest i),pair(scrypt(SymKey (absKAB(pair(Agent (honest a),Agent (honest a)))),Nonce (absNB(pair(Agent (honest a),Agent (honest a))))),Nonce (absNB2(pair(Agent (honest a),Agent (honest a)))))));
fp_1266: iknows(pair(scrypt(SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))),Nonce (absNA(pair(Agent (honest a),Agent (dishonest i))))),Nonce (absNB2(pair(Agent (honest a),Agent (dishonest i))))));
fp_1267: iknows(pair(Agent (dishonest i),pair(scrypt(SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))),Nonce (absNA(pair(Agent (honest a),Agent (dishonest i))))),Nonce (absNB2(pair(Agent (honest a),Agent (dishonest i)))))));
fp_1268: iknows(pair(scrypt(SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))),Nonce (absNA(pair(Agent (honest a),Agent (honest a))))),Nonce (absNB2(pair(Agent (honest a),Agent (dishonest i))))));
fp_1269: iknows(pair(Agent (dishonest i),pair(scrypt(SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))),Nonce (absNA(pair(Agent (honest a),Agent (honest a))))),Nonce (absNB2(pair(Agent (honest a),Agent (dishonest i)))))));
fp_1270: iknows(pair(scrypt(SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))),Nonce (absNB(pair(Agent (honest a),Agent (dishonest i))))),Nonce (absNB2(pair(Agent (honest a),Agent (dishonest i))))));
fp_1271: iknows(pair(Agent (dishonest i),pair(scrypt(SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))),Nonce (absNB(pair(Agent (honest a),Agent (dishonest i))))),Nonce (absNB2(pair(Agent (honest a),Agent (dishonest i)))))));
fp_1272: iknows(pair(scrypt(SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))),Nonce (absNB(pair(Agent (honest a),Agent (honest a))))),Nonce (absNB2(pair(Agent (honest a),Agent (dishonest i))))));
fp_1273: iknows(pair(Agent (dishonest i),pair(scrypt(SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))),Nonce (absNB(pair(Agent (honest a),Agent (honest a))))),Nonce (absNB2(pair(Agent (honest a),Agent (dishonest i)))))));
fp_1274: iknows(pair(scrypt(SymKey (absKAB(pair(Agent (honest a),Agent (honest a)))),Nonce (absNB2(pair(Agent (honest a),Agent (dishonest i))))),Nonce (absNB2(pair(Agent (honest a),Agent (honest a))))));
fp_1275: iknows(pair(Agent (dishonest i),pair(scrypt(SymKey (absKAB(pair(Agent (honest a),Agent (honest a)))),Nonce (absNB2(pair(Agent (honest a),Agent (dishonest i))))),Nonce (absNB2(pair(Agent (honest a),Agent (honest a)))))));
fp_1276: iknows(pair(scrypt(SymKey (absKAB(pair(Agent (honest a),Agent (honest a)))),Nonce (absNB2(pair(Agent (honest a),Agent (honest a))))),Nonce (absNB2(pair(Agent (honest a),Agent (honest a))))));
fp_1277: iknows(pair(Agent (dishonest i),pair(scrypt(SymKey (absKAB(pair(Agent (honest a),Agent (honest a)))),Nonce (absNB2(pair(Agent (honest a),Agent (honest a))))),Nonce (absNB2(pair(Agent (honest a),Agent (honest a)))))));
fp_1278: iknows(pair(scrypt(SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))),Nonce (absNB2(pair(Agent (honest a),Agent (dishonest i))))),Nonce (absNB2(pair(Agent (honest a),Agent (dishonest i))))));
fp_1279: iknows(pair(Agent (dishonest i),pair(scrypt(SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))),Nonce (absNB2(pair(Agent (honest a),Agent (dishonest i))))),Nonce (absNB2(pair(Agent (honest a),Agent (dishonest i)))))));
fp_1280: iknows(pair(scrypt(SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))),Nonce (absNB2(pair(Agent (honest a),Agent (honest a))))),Nonce (absNB2(pair(Agent (honest a),Agent (dishonest i))))));
fp_1281: iknows(pair(Agent (dishonest i),pair(scrypt(SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))),Nonce (absNB2(pair(Agent (honest a),Agent (honest a))))),Nonce (absNB2(pair(Agent (honest a),Agent (dishonest i)))))));
fp_1282: iknows(pair(scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (ni),Agent (honest a)))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (ni),pair(Agent (honest a),SymKey (absKAB(pair(Agent (honest a),Agent (honest a)))))))));
fp_1283: iknows(pair(scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),Agent (honest a)))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (ni),pair(Agent (honest a),SymKey (absKAB(pair(Agent (honest a),Agent (honest a)))))))));
fp_1284: iknows(pair(scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (honest a)))),Agent (honest a)))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (ni),pair(Agent (honest a),SymKey (absKAB(pair(Agent (honest a),Agent (honest a)))))))));
fp_1285: iknows(pair(scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),Agent (honest a)))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (ni),pair(Agent (honest a),SymKey (absKAB(pair(Agent (honest a),Agent (honest a)))))))));
fp_1286: iknows(pair(scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (honest a)))),Agent (honest a)))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (ni),pair(Agent (honest a),SymKey (absKAB(pair(Agent (honest a),Agent (honest a)))))))));
fp_1287: iknows(pair(scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absNB2(pair(Agent (honest a),Agent (dishonest i)))),Agent (honest a)))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (ni),pair(Agent (honest a),SymKey (absKAB(pair(Agent (honest a),Agent (honest a)))))))));
fp_1288: iknows(pair(scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absNB2(pair(Agent (honest a),Agent (honest a)))),Agent (honest a)))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (ni),pair(Agent (honest a),SymKey (absKAB(pair(Agent (honest a),Agent (honest a)))))))));
fp_1289: iknows(pair(scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (ni),Agent (honest a)))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (honest a),SymKey (absKAB(pair(Agent (honest a),Agent (honest a)))))))));
fp_1290: iknows(pair(scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),Agent (honest a)))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (honest a),SymKey (absKAB(pair(Agent (honest a),Agent (honest a)))))))));
fp_1291: iknows(pair(scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (honest a)))),Agent (honest a)))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (honest a),SymKey (absKAB(pair(Agent (honest a),Agent (honest a)))))))));
fp_1292: iknows(pair(scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),Agent (honest a)))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (honest a),SymKey (absKAB(pair(Agent (honest a),Agent (honest a)))))))));
fp_1293: iknows(pair(scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (honest a)))),Agent (honest a)))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (honest a),SymKey (absKAB(pair(Agent (honest a),Agent (honest a)))))))));
fp_1294: iknows(pair(scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absNB2(pair(Agent (honest a),Agent (dishonest i)))),Agent (honest a)))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (honest a),SymKey (absKAB(pair(Agent (honest a),Agent (honest a)))))))));
fp_1295: iknows(pair(scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absNB2(pair(Agent (honest a),Agent (honest a)))),Agent (honest a)))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (honest a),SymKey (absKAB(pair(Agent (honest a),Agent (honest a)))))))));
fp_1296: iknows(pair(scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (ni),Agent (honest a)))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (honest a)))),pair(Agent (honest a),SymKey (absKAB(pair(Agent (honest a),Agent (honest a)))))))));
fp_1297: iknows(pair(scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),Agent (honest a)))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (honest a)))),pair(Agent (honest a),SymKey (absKAB(pair(Agent (honest a),Agent (honest a)))))))));
fp_1298: iknows(pair(scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (honest a)))),Agent (honest a)))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (honest a)))),pair(Agent (honest a),SymKey (absKAB(pair(Agent (honest a),Agent (honest a)))))))));
fp_1299: iknows(pair(scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),Agent (honest a)))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (honest a)))),pair(Agent (honest a),SymKey (absKAB(pair(Agent (honest a),Agent (honest a)))))))));
fp_1300: iknows(pair(scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (honest a)))),Agent (honest a)))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (honest a)))),pair(Agent (honest a),SymKey (absKAB(pair(Agent (honest a),Agent (honest a)))))))));
fp_1301: iknows(pair(scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absNB2(pair(Agent (honest a),Agent (dishonest i)))),Agent (honest a)))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (honest a)))),pair(Agent (honest a),SymKey (absKAB(pair(Agent (honest a),Agent (honest a)))))))));
fp_1302: iknows(pair(scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absNB2(pair(Agent (honest a),Agent (honest a)))),Agent (honest a)))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (honest a)))),pair(Agent (honest a),SymKey (absKAB(pair(Agent (honest a),Agent (honest a)))))))));
fp_1303: iknows(pair(scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (ni),Agent (honest a)))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (honest a),SymKey (absKAB(pair(Agent (honest a),Agent (honest a)))))))));
fp_1304: iknows(pair(scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),Agent (honest a)))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (honest a),SymKey (absKAB(pair(Agent (honest a),Agent (honest a)))))))));
fp_1305: iknows(pair(scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (honest a)))),Agent (honest a)))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (honest a),SymKey (absKAB(pair(Agent (honest a),Agent (honest a)))))))));
fp_1306: iknows(pair(scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),Agent (honest a)))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (honest a),SymKey (absKAB(pair(Agent (honest a),Agent (honest a)))))))));
fp_1307: iknows(pair(scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (honest a)))),Agent (honest a)))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (honest a),SymKey (absKAB(pair(Agent (honest a),Agent (honest a)))))))));
fp_1308: iknows(pair(scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absNB2(pair(Agent (honest a),Agent (dishonest i)))),Agent (honest a)))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (honest a),SymKey (absKAB(pair(Agent (honest a),Agent (honest a)))))))));
fp_1309: iknows(pair(scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absNB2(pair(Agent (honest a),Agent (honest a)))),Agent (honest a)))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (honest a),SymKey (absKAB(pair(Agent (honest a),Agent (honest a)))))))));
fp_1310: iknows(pair(scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (ni),Agent (honest a)))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (honest a)))),pair(Agent (honest a),SymKey (absKAB(pair(Agent (honest a),Agent (honest a)))))))));
fp_1311: iknows(pair(scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),Agent (honest a)))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (honest a)))),pair(Agent (honest a),SymKey (absKAB(pair(Agent (honest a),Agent (honest a)))))))));
fp_1312: iknows(pair(scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (honest a)))),Agent (honest a)))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (honest a)))),pair(Agent (honest a),SymKey (absKAB(pair(Agent (honest a),Agent (honest a)))))))));
fp_1313: iknows(pair(scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),Agent (honest a)))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (honest a)))),pair(Agent (honest a),SymKey (absKAB(pair(Agent (honest a),Agent (honest a)))))))));
fp_1314: iknows(pair(scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (honest a)))),Agent (honest a)))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (honest a)))),pair(Agent (honest a),SymKey (absKAB(pair(Agent (honest a),Agent (honest a)))))))));
fp_1315: iknows(pair(scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absNB2(pair(Agent (honest a),Agent (dishonest i)))),Agent (honest a)))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (honest a)))),pair(Agent (honest a),SymKey (absKAB(pair(Agent (honest a),Agent (honest a)))))))));
fp_1316: iknows(pair(scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absNB2(pair(Agent (honest a),Agent (honest a)))),Agent (honest a)))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (honest a)))),pair(Agent (honest a),SymKey (absKAB(pair(Agent (honest a),Agent (honest a)))))))));
fp_1317: iknows(pair(scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (ni),Agent (honest a)))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absNB2(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (honest a),SymKey (absKAB(pair(Agent (honest a),Agent (honest a)))))))));
fp_1318: iknows(pair(scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),Agent (honest a)))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absNB2(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (honest a),SymKey (absKAB(pair(Agent (honest a),Agent (honest a)))))))));
fp_1319: iknows(pair(scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (honest a)))),Agent (honest a)))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absNB2(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (honest a),SymKey (absKAB(pair(Agent (honest a),Agent (honest a)))))))));
fp_1320: iknows(pair(scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),Agent (honest a)))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absNB2(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (honest a),SymKey (absKAB(pair(Agent (honest a),Agent (honest a)))))))));
fp_1321: iknows(pair(scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (honest a)))),Agent (honest a)))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absNB2(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (honest a),SymKey (absKAB(pair(Agent (honest a),Agent (honest a)))))))));
fp_1322: iknows(pair(scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absNB2(pair(Agent (honest a),Agent (dishonest i)))),Agent (honest a)))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absNB2(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (honest a),SymKey (absKAB(pair(Agent (honest a),Agent (honest a)))))))));
fp_1323: iknows(pair(scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absNB2(pair(Agent (honest a),Agent (honest a)))),Agent (honest a)))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absNB2(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (honest a),SymKey (absKAB(pair(Agent (honest a),Agent (honest a)))))))));
fp_1324: iknows(pair(scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (ni),Agent (honest a)))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absNB2(pair(Agent (honest a),Agent (honest a)))),pair(Agent (honest a),SymKey (absKAB(pair(Agent (honest a),Agent (honest a)))))))));
fp_1325: iknows(pair(scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),Agent (honest a)))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absNB2(pair(Agent (honest a),Agent (honest a)))),pair(Agent (honest a),SymKey (absKAB(pair(Agent (honest a),Agent (honest a)))))))));
fp_1326: iknows(pair(scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (honest a)))),Agent (honest a)))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absNB2(pair(Agent (honest a),Agent (honest a)))),pair(Agent (honest a),SymKey (absKAB(pair(Agent (honest a),Agent (honest a)))))))));
fp_1327: iknows(pair(scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),Agent (honest a)))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absNB2(pair(Agent (honest a),Agent (honest a)))),pair(Agent (honest a),SymKey (absKAB(pair(Agent (honest a),Agent (honest a)))))))));
fp_1328: iknows(pair(scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (honest a)))),Agent (honest a)))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absNB2(pair(Agent (honest a),Agent (honest a)))),pair(Agent (honest a),SymKey (absKAB(pair(Agent (honest a),Agent (honest a)))))))));
fp_1329: iknows(pair(scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absNB2(pair(Agent (honest a),Agent (dishonest i)))),Agent (honest a)))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absNB2(pair(Agent (honest a),Agent (honest a)))),pair(Agent (honest a),SymKey (absKAB(pair(Agent (honest a),Agent (honest a)))))))));
fp_1330: iknows(pair(scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absNB2(pair(Agent (honest a),Agent (honest a)))),Agent (honest a)))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absNB2(pair(Agent (honest a),Agent (honest a)))),pair(Agent (honest a),SymKey (absKAB(pair(Agent (honest a),Agent (honest a)))))))));
fp_1331: iknows(pair(scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (ni),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (ni),pair(Agent (honest a),SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))))))));
fp_1332: iknows(pair(scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (ni),pair(Agent (honest a),SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))))))));
fp_1333: iknows(pair(scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (honest a)))),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (ni),pair(Agent (honest a),SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))))))));
fp_1334: iknows(pair(scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (ni),pair(Agent (honest a),SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))))))));
fp_1335: iknows(pair(scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (honest a)))),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (ni),pair(Agent (honest a),SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))))))));
fp_1336: iknows(pair(scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (absNB2(pair(Agent (honest a),Agent (dishonest i)))),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (ni),pair(Agent (honest a),SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))))))));
fp_1337: iknows(pair(scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (absNB2(pair(Agent (honest a),Agent (honest a)))),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (ni),pair(Agent (honest a),SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))))))));
fp_1338: iknows(pair(scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (ni),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (honest a),SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))))))));
fp_1339: iknows(pair(scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (honest a),SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))))))));
fp_1340: iknows(pair(scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (honest a)))),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (honest a),SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))))))));
fp_1341: iknows(pair(scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (honest a),SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))))))));
fp_1342: iknows(pair(scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (honest a)))),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (honest a),SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))))))));
fp_1343: iknows(pair(scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (absNB2(pair(Agent (honest a),Agent (dishonest i)))),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (honest a),SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))))))));
fp_1344: iknows(pair(scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (absNB2(pair(Agent (honest a),Agent (honest a)))),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (honest a),SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))))))));
fp_1345: iknows(pair(scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (ni),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (honest a)))),pair(Agent (honest a),SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))))))));
fp_1346: iknows(pair(scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (honest a)))),pair(Agent (honest a),SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))))))));
fp_1347: iknows(pair(scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (honest a)))),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (honest a)))),pair(Agent (honest a),SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))))))));
fp_1348: iknows(pair(scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (honest a)))),pair(Agent (honest a),SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))))))));
fp_1349: iknows(pair(scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (honest a)))),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (honest a)))),pair(Agent (honest a),SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))))))));
fp_1350: iknows(pair(scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (absNB2(pair(Agent (honest a),Agent (dishonest i)))),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (honest a)))),pair(Agent (honest a),SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))))))));
fp_1351: iknows(pair(scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (absNB2(pair(Agent (honest a),Agent (honest a)))),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (honest a)))),pair(Agent (honest a),SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))))))));
fp_1352: iknows(pair(scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (ni),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (honest a),SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))))))));
fp_1353: iknows(pair(scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (honest a),SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))))))));
fp_1354: iknows(pair(scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (honest a)))),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (honest a),SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))))))));
fp_1355: iknows(pair(scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (honest a),SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))))))));
fp_1356: iknows(pair(scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (honest a)))),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (honest a),SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))))))));
fp_1357: iknows(pair(scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (absNB2(pair(Agent (honest a),Agent (dishonest i)))),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (honest a),SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))))))));
fp_1358: iknows(pair(scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (absNB2(pair(Agent (honest a),Agent (honest a)))),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (honest a),SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))))))));
fp_1359: iknows(pair(scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (ni),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (honest a)))),pair(Agent (honest a),SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))))))));
fp_1360: iknows(pair(scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (honest a)))),pair(Agent (honest a),SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))))))));
fp_1361: iknows(pair(scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (honest a)))),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (honest a)))),pair(Agent (honest a),SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))))))));
fp_1362: iknows(pair(scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (honest a)))),pair(Agent (honest a),SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))))))));
fp_1363: iknows(pair(scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (honest a)))),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (honest a)))),pair(Agent (honest a),SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))))))));
fp_1364: iknows(pair(scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (absNB2(pair(Agent (honest a),Agent (dishonest i)))),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (honest a)))),pair(Agent (honest a),SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))))))));
fp_1365: iknows(pair(scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (absNB2(pair(Agent (honest a),Agent (honest a)))),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (honest a)))),pair(Agent (honest a),SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))))))));
fp_1366: iknows(pair(scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (ni),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNB2(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (honest a),SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))))))));
fp_1367: iknows(pair(scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNB2(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (honest a),SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))))))));
fp_1368: iknows(pair(scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (honest a)))),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNB2(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (honest a),SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))))))));
fp_1369: iknows(pair(scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNB2(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (honest a),SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))))))));
fp_1370: iknows(pair(scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (honest a)))),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNB2(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (honest a),SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))))))));
fp_1371: iknows(pair(scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (absNB2(pair(Agent (honest a),Agent (dishonest i)))),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNB2(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (honest a),SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))))))));
fp_1372: iknows(pair(scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (absNB2(pair(Agent (honest a),Agent (honest a)))),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNB2(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (honest a),SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))))))));
fp_1373: iknows(pair(scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (ni),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNB2(pair(Agent (honest a),Agent (honest a)))),pair(Agent (honest a),SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))))))));
fp_1374: iknows(pair(scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNB2(pair(Agent (honest a),Agent (honest a)))),pair(Agent (honest a),SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))))))));
fp_1375: iknows(pair(scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (honest a)))),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNB2(pair(Agent (honest a),Agent (honest a)))),pair(Agent (honest a),SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))))))));
fp_1376: iknows(pair(scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNB2(pair(Agent (honest a),Agent (honest a)))),pair(Agent (honest a),SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))))))));
fp_1377: iknows(pair(scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (honest a)))),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNB2(pair(Agent (honest a),Agent (honest a)))),pair(Agent (honest a),SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))))))));
fp_1378: iknows(pair(scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (absNB2(pair(Agent (honest a),Agent (dishonest i)))),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNB2(pair(Agent (honest a),Agent (honest a)))),pair(Agent (honest a),SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))))))));
fp_1379: iknows(pair(scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (absNB2(pair(Agent (honest a),Agent (honest a)))),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNB2(pair(Agent (honest a),Agent (honest a)))),pair(Agent (honest a),SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))))))));
fp_1380: iknows(pair(scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (ni),Agent (honest a)))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (ni),pair(Agent (dishonest i),SymKey (absKAB(pair(Agent (dishonest i),Agent (honest a)))))))));
fp_1381: iknows(pair(scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),Agent (honest a)))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (ni),pair(Agent (dishonest i),SymKey (absKAB(pair(Agent (dishonest i),Agent (honest a)))))))));
fp_1382: iknows(pair(scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (honest a)))),Agent (honest a)))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (ni),pair(Agent (dishonest i),SymKey (absKAB(pair(Agent (dishonest i),Agent (honest a)))))))));
fp_1383: iknows(pair(scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),Agent (honest a)))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (ni),pair(Agent (dishonest i),SymKey (absKAB(pair(Agent (dishonest i),Agent (honest a)))))))));
fp_1384: iknows(pair(scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (honest a)))),Agent (honest a)))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (ni),pair(Agent (dishonest i),SymKey (absKAB(pair(Agent (dishonest i),Agent (honest a)))))))));
fp_1385: iknows(pair(scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNB2(pair(Agent (honest a),Agent (dishonest i)))),Agent (honest a)))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (ni),pair(Agent (dishonest i),SymKey (absKAB(pair(Agent (dishonest i),Agent (honest a)))))))));
fp_1386: iknows(pair(scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNB2(pair(Agent (honest a),Agent (honest a)))),Agent (honest a)))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (ni),pair(Agent (dishonest i),SymKey (absKAB(pair(Agent (dishonest i),Agent (honest a)))))))));
fp_1387: iknows(pair(scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (ni),Agent (honest a)))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),SymKey (absKAB(pair(Agent (dishonest i),Agent (honest a)))))))));
fp_1388: iknows(pair(scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),Agent (honest a)))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),SymKey (absKAB(pair(Agent (dishonest i),Agent (honest a)))))))));
fp_1389: iknows(pair(scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (honest a)))),Agent (honest a)))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),SymKey (absKAB(pair(Agent (dishonest i),Agent (honest a)))))))));
fp_1390: iknows(pair(scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),Agent (honest a)))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),SymKey (absKAB(pair(Agent (dishonest i),Agent (honest a)))))))));
fp_1391: iknows(pair(scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (honest a)))),Agent (honest a)))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),SymKey (absKAB(pair(Agent (dishonest i),Agent (honest a)))))))));
fp_1392: iknows(pair(scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNB2(pair(Agent (honest a),Agent (dishonest i)))),Agent (honest a)))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),SymKey (absKAB(pair(Agent (dishonest i),Agent (honest a)))))))));
fp_1393: iknows(pair(scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNB2(pair(Agent (honest a),Agent (honest a)))),Agent (honest a)))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),SymKey (absKAB(pair(Agent (dishonest i),Agent (honest a)))))))));
fp_1394: iknows(pair(scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (ni),Agent (honest a)))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (honest a)))),pair(Agent (dishonest i),SymKey (absKAB(pair(Agent (dishonest i),Agent (honest a)))))))));
fp_1395: iknows(pair(scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),Agent (honest a)))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (honest a)))),pair(Agent (dishonest i),SymKey (absKAB(pair(Agent (dishonest i),Agent (honest a)))))))));
fp_1396: iknows(pair(scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (honest a)))),Agent (honest a)))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (honest a)))),pair(Agent (dishonest i),SymKey (absKAB(pair(Agent (dishonest i),Agent (honest a)))))))));
fp_1397: iknows(pair(scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),Agent (honest a)))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (honest a)))),pair(Agent (dishonest i),SymKey (absKAB(pair(Agent (dishonest i),Agent (honest a)))))))));
fp_1398: iknows(pair(scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (honest a)))),Agent (honest a)))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (honest a)))),pair(Agent (dishonest i),SymKey (absKAB(pair(Agent (dishonest i),Agent (honest a)))))))));
fp_1399: iknows(pair(scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNB2(pair(Agent (honest a),Agent (dishonest i)))),Agent (honest a)))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (honest a)))),pair(Agent (dishonest i),SymKey (absKAB(pair(Agent (dishonest i),Agent (honest a)))))))));
fp_1400: iknows(pair(scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNB2(pair(Agent (honest a),Agent (honest a)))),Agent (honest a)))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (honest a)))),pair(Agent (dishonest i),SymKey (absKAB(pair(Agent (dishonest i),Agent (honest a)))))))));
fp_1401: iknows(pair(scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (ni),Agent (honest a)))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),SymKey (absKAB(pair(Agent (dishonest i),Agent (honest a)))))))));
fp_1402: iknows(pair(scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),Agent (honest a)))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),SymKey (absKAB(pair(Agent (dishonest i),Agent (honest a)))))))));
fp_1403: iknows(pair(scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (honest a)))),Agent (honest a)))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),SymKey (absKAB(pair(Agent (dishonest i),Agent (honest a)))))))));
fp_1404: iknows(pair(scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),Agent (honest a)))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),SymKey (absKAB(pair(Agent (dishonest i),Agent (honest a)))))))));
fp_1405: iknows(pair(scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (honest a)))),Agent (honest a)))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),SymKey (absKAB(pair(Agent (dishonest i),Agent (honest a)))))))));
fp_1406: iknows(pair(scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNB2(pair(Agent (honest a),Agent (dishonest i)))),Agent (honest a)))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),SymKey (absKAB(pair(Agent (dishonest i),Agent (honest a)))))))));
fp_1407: iknows(pair(scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNB2(pair(Agent (honest a),Agent (honest a)))),Agent (honest a)))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),SymKey (absKAB(pair(Agent (dishonest i),Agent (honest a)))))))));
fp_1408: iknows(pair(scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (ni),Agent (honest a)))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (honest a)))),pair(Agent (dishonest i),SymKey (absKAB(pair(Agent (dishonest i),Agent (honest a)))))))));
fp_1409: iknows(pair(scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),Agent (honest a)))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (honest a)))),pair(Agent (dishonest i),SymKey (absKAB(pair(Agent (dishonest i),Agent (honest a)))))))));
fp_1410: iknows(pair(scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (honest a)))),Agent (honest a)))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (honest a)))),pair(Agent (dishonest i),SymKey (absKAB(pair(Agent (dishonest i),Agent (honest a)))))))));
fp_1411: iknows(pair(scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),Agent (honest a)))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (honest a)))),pair(Agent (dishonest i),SymKey (absKAB(pair(Agent (dishonest i),Agent (honest a)))))))));
fp_1412: iknows(pair(scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (honest a)))),Agent (honest a)))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (honest a)))),pair(Agent (dishonest i),SymKey (absKAB(pair(Agent (dishonest i),Agent (honest a)))))))));
fp_1413: iknows(pair(scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNB2(pair(Agent (honest a),Agent (dishonest i)))),Agent (honest a)))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (honest a)))),pair(Agent (dishonest i),SymKey (absKAB(pair(Agent (dishonest i),Agent (honest a)))))))));
fp_1414: iknows(pair(scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNB2(pair(Agent (honest a),Agent (honest a)))),Agent (honest a)))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (honest a)))),pair(Agent (dishonest i),SymKey (absKAB(pair(Agent (dishonest i),Agent (honest a)))))))));
fp_1415: iknows(pair(scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (ni),Agent (honest a)))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absNB2(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),SymKey (absKAB(pair(Agent (dishonest i),Agent (honest a)))))))));
fp_1416: iknows(pair(scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),Agent (honest a)))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absNB2(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),SymKey (absKAB(pair(Agent (dishonest i),Agent (honest a)))))))));
fp_1417: iknows(pair(scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (honest a)))),Agent (honest a)))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absNB2(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),SymKey (absKAB(pair(Agent (dishonest i),Agent (honest a)))))))));
fp_1418: iknows(pair(scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),Agent (honest a)))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absNB2(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),SymKey (absKAB(pair(Agent (dishonest i),Agent (honest a)))))))));
fp_1419: iknows(pair(scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (honest a)))),Agent (honest a)))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absNB2(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),SymKey (absKAB(pair(Agent (dishonest i),Agent (honest a)))))))));
fp_1420: iknows(pair(scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNB2(pair(Agent (honest a),Agent (dishonest i)))),Agent (honest a)))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absNB2(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),SymKey (absKAB(pair(Agent (dishonest i),Agent (honest a)))))))));
fp_1421: iknows(pair(scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNB2(pair(Agent (honest a),Agent (honest a)))),Agent (honest a)))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absNB2(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),SymKey (absKAB(pair(Agent (dishonest i),Agent (honest a)))))))));
fp_1422: iknows(pair(scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (ni),Agent (honest a)))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absNB2(pair(Agent (honest a),Agent (honest a)))),pair(Agent (dishonest i),SymKey (absKAB(pair(Agent (dishonest i),Agent (honest a)))))))));
fp_1423: iknows(pair(scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),Agent (honest a)))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absNB2(pair(Agent (honest a),Agent (honest a)))),pair(Agent (dishonest i),SymKey (absKAB(pair(Agent (dishonest i),Agent (honest a)))))))));
fp_1424: iknows(pair(scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (honest a)))),Agent (honest a)))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absNB2(pair(Agent (honest a),Agent (honest a)))),pair(Agent (dishonest i),SymKey (absKAB(pair(Agent (dishonest i),Agent (honest a)))))))));
fp_1425: iknows(pair(scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),Agent (honest a)))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absNB2(pair(Agent (honest a),Agent (honest a)))),pair(Agent (dishonest i),SymKey (absKAB(pair(Agent (dishonest i),Agent (honest a)))))))));
fp_1426: iknows(pair(scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (honest a)))),Agent (honest a)))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absNB2(pair(Agent (honest a),Agent (honest a)))),pair(Agent (dishonest i),SymKey (absKAB(pair(Agent (dishonest i),Agent (honest a)))))))));
fp_1427: iknows(pair(scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNB2(pair(Agent (honest a),Agent (dishonest i)))),Agent (honest a)))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absNB2(pair(Agent (honest a),Agent (honest a)))),pair(Agent (dishonest i),SymKey (absKAB(pair(Agent (dishonest i),Agent (honest a)))))))));
fp_1428: iknows(pair(scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNB2(pair(Agent (honest a),Agent (honest a)))),Agent (honest a)))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absNB2(pair(Agent (honest a),Agent (honest a)))),pair(Agent (dishonest i),SymKey (absKAB(pair(Agent (dishonest i),Agent (honest a)))))))));
fp_1429: iknows(pair(scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))),pair(Nonce (ni),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (ni),pair(Agent (dishonest i),SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))))))));
fp_1430: iknows(pair(scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (ni),pair(Agent (dishonest i),SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))))))));
fp_1431: iknows(pair(scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (honest a)))),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (ni),pair(Agent (dishonest i),SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))))))));
fp_1432: iknows(pair(scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (ni),pair(Agent (dishonest i),SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))))))));
fp_1433: iknows(pair(scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (honest a)))),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (ni),pair(Agent (dishonest i),SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))))))));
fp_1434: iknows(pair(scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))),pair(Nonce (absNB2(pair(Agent (honest a),Agent (dishonest i)))),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (ni),pair(Agent (dishonest i),SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))))))));
fp_1435: iknows(pair(scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))),pair(Nonce (absNB2(pair(Agent (honest a),Agent (honest a)))),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (ni),pair(Agent (dishonest i),SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))))))));
fp_1436: iknows(pair(scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))),pair(Nonce (ni),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))))))));
fp_1437: iknows(pair(scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))))))));
fp_1438: iknows(pair(scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (honest a)))),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))))))));
fp_1439: iknows(pair(scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))))))));
fp_1440: iknows(pair(scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (honest a)))),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))))))));
fp_1441: iknows(pair(scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))),pair(Nonce (absNB2(pair(Agent (honest a),Agent (dishonest i)))),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))))))));
fp_1442: iknows(pair(scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))),pair(Nonce (absNB2(pair(Agent (honest a),Agent (honest a)))),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))))))));
fp_1443: iknows(pair(scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))),pair(Nonce (ni),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (honest a)))),pair(Agent (dishonest i),SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))))))));
fp_1444: iknows(pair(scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (honest a)))),pair(Agent (dishonest i),SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))))))));
fp_1445: iknows(pair(scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (honest a)))),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (honest a)))),pair(Agent (dishonest i),SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))))))));
fp_1446: iknows(pair(scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (honest a)))),pair(Agent (dishonest i),SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))))))));
fp_1447: iknows(pair(scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (honest a)))),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (honest a)))),pair(Agent (dishonest i),SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))))))));
fp_1448: iknows(pair(scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))),pair(Nonce (absNB2(pair(Agent (honest a),Agent (dishonest i)))),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (honest a)))),pair(Agent (dishonest i),SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))))))));
fp_1449: iknows(pair(scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))),pair(Nonce (absNB2(pair(Agent (honest a),Agent (honest a)))),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (honest a)))),pair(Agent (dishonest i),SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))))))));
fp_1450: iknows(pair(scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))),pair(Nonce (ni),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))))))));
fp_1451: iknows(pair(scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))))))));
fp_1452: iknows(pair(scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (honest a)))),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))))))));
fp_1453: iknows(pair(scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))))))));
fp_1454: iknows(pair(scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (honest a)))),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))))))));
fp_1455: iknows(pair(scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))),pair(Nonce (absNB2(pair(Agent (honest a),Agent (dishonest i)))),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))))))));
fp_1456: iknows(pair(scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))),pair(Nonce (absNB2(pair(Agent (honest a),Agent (honest a)))),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))))))));
fp_1457: iknows(pair(scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))),pair(Nonce (ni),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (honest a)))),pair(Agent (dishonest i),SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))))))));
fp_1458: iknows(pair(scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (honest a)))),pair(Agent (dishonest i),SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))))))));
fp_1459: iknows(pair(scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (honest a)))),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (honest a)))),pair(Agent (dishonest i),SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))))))));
fp_1460: iknows(pair(scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (honest a)))),pair(Agent (dishonest i),SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))))))));
fp_1461: iknows(pair(scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (honest a)))),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (honest a)))),pair(Agent (dishonest i),SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))))))));
fp_1462: iknows(pair(scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))),pair(Nonce (absNB2(pair(Agent (honest a),Agent (dishonest i)))),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (honest a)))),pair(Agent (dishonest i),SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))))))));
fp_1463: iknows(pair(scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))),pair(Nonce (absNB2(pair(Agent (honest a),Agent (honest a)))),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (honest a)))),pair(Agent (dishonest i),SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))))))));
fp_1464: iknows(pair(scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))),pair(Nonce (ni),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNB2(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))))))));
fp_1465: iknows(pair(scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNB2(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))))))));
fp_1466: iknows(pair(scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (honest a)))),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNB2(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))))))));
fp_1467: iknows(pair(scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNB2(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))))))));
fp_1468: iknows(pair(scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (honest a)))),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNB2(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))))))));
fp_1469: iknows(pair(scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))),pair(Nonce (absNB2(pair(Agent (honest a),Agent (dishonest i)))),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNB2(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))))))));
fp_1470: iknows(pair(scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))),pair(Nonce (absNB2(pair(Agent (honest a),Agent (honest a)))),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNB2(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))))))));
fp_1471: iknows(pair(scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))),pair(Nonce (ni),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNB2(pair(Agent (honest a),Agent (honest a)))),pair(Agent (dishonest i),SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))))))));
fp_1472: iknows(pair(scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNB2(pair(Agent (honest a),Agent (honest a)))),pair(Agent (dishonest i),SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))))))));
fp_1473: iknows(pair(scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (honest a)))),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNB2(pair(Agent (honest a),Agent (honest a)))),pair(Agent (dishonest i),SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))))))));
fp_1474: iknows(pair(scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNB2(pair(Agent (honest a),Agent (honest a)))),pair(Agent (dishonest i),SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))))))));
fp_1475: iknows(pair(scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (honest a)))),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNB2(pair(Agent (honest a),Agent (honest a)))),pair(Agent (dishonest i),SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))))))));
fp_1476: iknows(pair(scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))),pair(Nonce (absNB2(pair(Agent (honest a),Agent (dishonest i)))),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNB2(pair(Agent (honest a),Agent (honest a)))),pair(Agent (dishonest i),SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))))))));
fp_1477: iknows(pair(scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))),pair(Nonce (absNB2(pair(Agent (honest a),Agent (honest a)))),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNB2(pair(Agent (honest a),Agent (honest a)))),pair(Agent (dishonest i),SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))))))));
fp_1478: iknows(pair(Agent (honest a),Nonce (absNB(pair(Agent (honest a),Agent (honest a))))));
fp_1479: iknows(pair(Nonce (ni),pair(Agent (honest a),Nonce (absNB(pair(Agent (honest a),Agent (honest a)))))));
fp_1480: iknows(pair(Agent (honest a),pair(Nonce (ni),pair(Agent (honest a),Nonce (absNB(pair(Agent (honest a),Agent (honest a))))))));
fp_1481: iknows(pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (honest a),Nonce (absNB(pair(Agent (honest a),Agent (honest a)))))));
fp_1482: iknows(pair(Agent (honest a),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (honest a),Nonce (absNB(pair(Agent (honest a),Agent (honest a))))))));
fp_1483: iknows(pair(Nonce (absNA(pair(Agent (honest a),Agent (honest a)))),pair(Agent (honest a),Nonce (absNB(pair(Agent (honest a),Agent (honest a)))))));
fp_1484: iknows(pair(Agent (honest a),pair(Nonce (absNA(pair(Agent (honest a),Agent (honest a)))),pair(Agent (honest a),Nonce (absNB(pair(Agent (honest a),Agent (honest a))))))));
fp_1485: iknows(pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (honest a),Nonce (absNB(pair(Agent (honest a),Agent (honest a)))))));
fp_1486: iknows(pair(Agent (honest a),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (honest a),Nonce (absNB(pair(Agent (honest a),Agent (honest a))))))));
fp_1487: iknows(pair(Nonce (absNB(pair(Agent (honest a),Agent (honest a)))),pair(Agent (honest a),Nonce (absNB(pair(Agent (honest a),Agent (honest a)))))));
fp_1488: iknows(pair(Agent (honest a),pair(Nonce (absNB(pair(Agent (honest a),Agent (honest a)))),pair(Agent (honest a),Nonce (absNB(pair(Agent (honest a),Agent (honest a))))))));
fp_1489: iknows(pair(Nonce (absNB2(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (honest a),Nonce (absNB(pair(Agent (honest a),Agent (honest a)))))));
fp_1490: iknows(pair(Agent (honest a),pair(Nonce (absNB2(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (honest a),Nonce (absNB(pair(Agent (honest a),Agent (honest a))))))));
fp_1491: iknows(pair(Nonce (absNB2(pair(Agent (honest a),Agent (honest a)))),pair(Agent (honest a),Nonce (absNB(pair(Agent (honest a),Agent (honest a)))))));
fp_1492: iknows(pair(Agent (honest a),pair(Nonce (absNB2(pair(Agent (honest a),Agent (honest a)))),pair(Agent (honest a),Nonce (absNB(pair(Agent (honest a),Agent (honest a))))))));
fp_1493: iknows(pair(Agent (honest a),Nonce (absNB(pair(Agent (honest a),Agent (dishonest i))))));
fp_1494: iknows(pair(Nonce (ni),pair(Agent (honest a),Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))))));
fp_1495: iknows(pair(Agent (dishonest i),pair(Nonce (ni),pair(Agent (honest a),Nonce (absNB(pair(Agent (honest a),Agent (dishonest i))))))));
fp_1496: iknows(pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (honest a),Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))))));
fp_1497: iknows(pair(Agent (dishonest i),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (honest a),Nonce (absNB(pair(Agent (honest a),Agent (dishonest i))))))));
fp_1498: iknows(pair(Nonce (absNA(pair(Agent (honest a),Agent (honest a)))),pair(Agent (honest a),Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))))));
fp_1499: iknows(pair(Agent (dishonest i),pair(Nonce (absNA(pair(Agent (honest a),Agent (honest a)))),pair(Agent (honest a),Nonce (absNB(pair(Agent (honest a),Agent (dishonest i))))))));
fp_1500: iknows(pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (honest a),Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))))));
fp_1501: iknows(pair(Agent (dishonest i),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (honest a),Nonce (absNB(pair(Agent (honest a),Agent (dishonest i))))))));
fp_1502: iknows(pair(Nonce (absNB(pair(Agent (honest a),Agent (honest a)))),pair(Agent (honest a),Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))))));
fp_1503: iknows(pair(Agent (dishonest i),pair(Nonce (absNB(pair(Agent (honest a),Agent (honest a)))),pair(Agent (honest a),Nonce (absNB(pair(Agent (honest a),Agent (dishonest i))))))));
fp_1504: iknows(pair(Nonce (absNB2(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (honest a),Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))))));
fp_1505: iknows(pair(Agent (dishonest i),pair(Nonce (absNB2(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (honest a),Nonce (absNB(pair(Agent (honest a),Agent (dishonest i))))))));
fp_1506: iknows(pair(Nonce (absNB2(pair(Agent (honest a),Agent (honest a)))),pair(Agent (honest a),Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))))));
fp_1507: iknows(pair(Agent (dishonest i),pair(Nonce (absNB2(pair(Agent (honest a),Agent (honest a)))),pair(Agent (honest a),Nonce (absNB(pair(Agent (honest a),Agent (dishonest i))))))));
fp_1508: iknows(pair(Agent (honest a),Nonce (absNA(pair(Agent (honest a),Agent (honest a))))));
fp_1509: iknows(pair(Agent (honest a),Nonce (absNA(pair(Agent (honest a),Agent (dishonest i))))));
fp_1510: iknows(pair(Nonce (ni),Agent (dishonest i)));
fp_1511: iknows(pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))),pair(Nonce (ni),Agent (dishonest i))));
fp_1512: iknows(pair(Agent (dishonest i),SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i))))));
fp_1513: iknows(pair(Nonce (ni),pair(Agent (dishonest i),SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))))));
fp_1514: iknows(pair(Nonce (ni),Agent (honest a)));
fp_1515: iknows(pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (ni),Agent (honest a))));
fp_1516: iknows(pair(Agent (honest a),SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i))))));
fp_1517: iknows(pair(Nonce (ni),pair(Agent (honest a),SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))))));
fp_1518: iknows(pair(Nonce (absNB(pair(Agent (honest a),Agent (honest a)))),pair(Agent (dishonest i),SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))))));
fp_1519: iknows(pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))))));
fp_1520: iknows(pair(Nonce (absNA(pair(Agent (honest a),Agent (honest a)))),pair(Agent (dishonest i),SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))))));
fp_1521: iknows(pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))))));
fp_1522: iknows(pair(Nonce (absNB(pair(Agent (honest a),Agent (honest a)))),Agent (dishonest i)));
fp_1523: iknows(pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (honest a)))),Agent (dishonest i))));
fp_1524: iknows(pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),Agent (dishonest i)));
fp_1525: iknows(pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),Agent (dishonest i))));
fp_1526: iknows(pair(Nonce (absNA(pair(Agent (honest a),Agent (honest a)))),Agent (dishonest i)));
fp_1527: iknows(pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (honest a)))),Agent (dishonest i))));
fp_1528: iknows(pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),Agent (dishonest i)));
fp_1529: iknows(pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),Agent (dishonest i))));
fp_1530: iknows(pair(Nonce (absNB(pair(Agent (honest a),Agent (honest a)))),Agent (honest a)));
fp_1531: iknows(pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (honest a)))),Agent (honest a))));
fp_1532: iknows(pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),Agent (honest a)));
fp_1533: iknows(pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),Agent (honest a))));
fp_1534: iknows(pair(Nonce (absNA(pair(Agent (honest a),Agent (honest a)))),Agent (honest a)));
fp_1535: iknows(pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (honest a)))),Agent (honest a))));
fp_1536: iknows(pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),Agent (honest a)));
fp_1537: iknows(pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),Agent (honest a))));
fp_1538: iknows(pair(Nonce (absNB(pair(Agent (honest a),Agent (honest a)))),pair(Agent (honest a),SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))))));
fp_1539: iknows(pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (honest a),SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))))));
fp_1540: iknows(pair(Nonce (absNA(pair(Agent (honest a),Agent (honest a)))),pair(Agent (honest a),SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))))));
fp_1541: iknows(pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (honest a),SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))))));
fp_1542: iknows(pair(Nonce (absNB2(pair(Agent (honest a),Agent (honest a)))),pair(Agent (dishonest i),SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))))));
fp_1543: iknows(pair(Nonce (absNB2(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))))));
fp_1544: iknows(pair(Nonce (absNB2(pair(Agent (honest a),Agent (honest a)))),Agent (dishonest i)));
fp_1545: iknows(pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))),pair(Nonce (absNB2(pair(Agent (honest a),Agent (honest a)))),Agent (dishonest i))));
fp_1546: iknows(pair(Nonce (absNB2(pair(Agent (honest a),Agent (dishonest i)))),Agent (dishonest i)));
fp_1547: iknows(pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))),pair(Nonce (absNB2(pair(Agent (honest a),Agent (dishonest i)))),Agent (dishonest i))));
fp_1548: iknows(pair(Nonce (absNB2(pair(Agent (honest a),Agent (honest a)))),Agent (honest a)));
fp_1549: iknows(pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNB2(pair(Agent (honest a),Agent (honest a)))),Agent (honest a))));
fp_1550: iknows(pair(Nonce (absNB2(pair(Agent (honest a),Agent (dishonest i)))),Agent (honest a)));
fp_1551: iknows(pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNB2(pair(Agent (honest a),Agent (dishonest i)))),Agent (honest a))));
fp_1552: iknows(pair(Nonce (absNB2(pair(Agent (honest a),Agent (honest a)))),pair(Agent (honest a),SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))))));
fp_1553: iknows(pair(Nonce (absNB2(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (honest a),SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))))));
fp_1554: State (rB,[Agent (honest a),Step 3,SymKey (sk(pair(Agent (honest a),Agent (honest a)))),Agent (honest a),Agent (dishonest i),Nonce (absNB2(pair(Agent (honest a),Agent (honest a)))),pair(Agent (dishonest i),Nonce (absNB2(pair(Agent (honest a),Agent (honest a))))),Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),pair(Nonce (absNB2(pair(Agent (honest a),Agent (honest a)))),pair(Agent (honest a),Nonce (absNB(pair(Agent (honest a),Agent (dishonest i))))))),Agent (dishonest i),SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),Agent (dishonest i)))),pair(scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),Agent (dishonest i)))),Agent (dishonest i)),Nonce (absNB2(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),pair(scrypt(SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))),Nonce (absNB2(pair(Agent (honest a),Agent (honest a))))),Nonce (absNB2(pair(Agent (honest a),Agent (dishonest i)))))),scrypt(SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))),Nonce (absNB2(pair(Agent (honest a),Agent (honest a))))),scrypt(SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))),Nonce (absNB2(pair(Agent (honest a),Agent (dishonest i))))),(SID sid)]);
fp_1555: State (rB,[Agent (honest a),Step 3,SymKey (sk(pair(Agent (honest a),Agent (honest a)))),Agent (honest a),Agent (dishonest i),Nonce (absNB2(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),Nonce (absNB2(pair(Agent (honest a),Agent (dishonest i))))),Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),pair(Nonce (absNB2(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (honest a),Nonce (absNB(pair(Agent (honest a),Agent (dishonest i))))))),Agent (dishonest i),SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),Agent (dishonest i)))),pair(scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),Agent (dishonest i)))),Agent (dishonest i)),Nonce (absNB2(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),pair(scrypt(SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))),Nonce (absNB2(pair(Agent (honest a),Agent (dishonest i))))),Nonce (absNB2(pair(Agent (honest a),Agent (dishonest i)))))),scrypt(SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))),Nonce (absNB2(pair(Agent (honest a),Agent (dishonest i))))),scrypt(SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))),Nonce (absNB2(pair(Agent (honest a),Agent (dishonest i))))),(SID sid)]);
fp_1556: State (rB,[Agent (honest a),Step 3,SymKey (sk(pair(Agent (honest a),Agent (honest a)))),Agent (honest a),Agent (honest a),Nonce (absNB2(pair(Agent (honest a),Agent (honest a)))),pair(Agent (honest a),Nonce (absNB2(pair(Agent (honest a),Agent (honest a))))),Nonce (absNB(pair(Agent (honest a),Agent (honest a)))),pair(Agent (honest a),pair(Nonce (absNB2(pair(Agent (honest a),Agent (honest a)))),pair(Agent (honest a),Nonce (absNB(pair(Agent (honest a),Agent (honest a))))))),Agent (dishonest i),SymKey (absKAB(pair(Agent (honest a),Agent (honest a)))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (honest a)))),Agent (honest a)))),pair(scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (honest a)))),Agent (honest a)))),Agent (dishonest i)),Nonce (absNB2(pair(Agent (honest a),Agent (honest a)))),pair(Agent (dishonest i),pair(scrypt(SymKey (absKAB(pair(Agent (honest a),Agent (honest a)))),Nonce (absNB2(pair(Agent (honest a),Agent (honest a))))),Nonce (absNB2(pair(Agent (honest a),Agent (honest a)))))),scrypt(SymKey (absKAB(pair(Agent (honest a),Agent (honest a)))),Nonce (absNB2(pair(Agent (honest a),Agent (honest a))))),scrypt(SymKey (absKAB(pair(Agent (honest a),Agent (honest a)))),Nonce (absNB2(pair(Agent (honest a),Agent (honest a))))),(SID sid)]);
fp_1557: State (rB,[Agent (honest a),Step 3,SymKey (sk(pair(Agent (honest a),Agent (honest a)))),Agent (honest a),Agent (honest a),Nonce (absNB2(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (honest a),Nonce (absNB2(pair(Agent (honest a),Agent (dishonest i))))),Nonce (absNB(pair(Agent (honest a),Agent (honest a)))),pair(Agent (honest a),pair(Nonce (absNB2(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (honest a),Nonce (absNB(pair(Agent (honest a),Agent (honest a))))))),Agent (dishonest i),SymKey (absKAB(pair(Agent (honest a),Agent (honest a)))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (honest a)))),Agent (honest a)))),pair(scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (honest a)))),Agent (honest a)))),Agent (dishonest i)),Nonce (absNB2(pair(Agent (honest a),Agent (honest a)))),pair(Agent (dishonest i),pair(scrypt(SymKey (absKAB(pair(Agent (honest a),Agent (honest a)))),Nonce (absNB2(pair(Agent (honest a),Agent (dishonest i))))),Nonce (absNB2(pair(Agent (honest a),Agent (honest a)))))),scrypt(SymKey (absKAB(pair(Agent (honest a),Agent (honest a)))),Nonce (absNB2(pair(Agent (honest a),Agent (dishonest i))))),scrypt(SymKey (absKAB(pair(Agent (honest a),Agent (honest a)))),Nonce (absNB2(pair(Agent (honest a),Agent (honest a))))),(SID sid)]);
fp_1558: iknows(pair(scrypt(SymKey (absKAB(pair(Agent (honest a),Agent (honest a)))),Nonce (ni)),Nonce (absNB2(pair(Agent (honest a),Agent (honest a))))));
fp_1559: iknows(pair(Agent (dishonest i),pair(scrypt(SymKey (absKAB(pair(Agent (honest a),Agent (honest a)))),Nonce (ni)),Nonce (absNB2(pair(Agent (honest a),Agent (honest a)))))));
fp_1560: iknows(pair(scrypt(SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))),Nonce (ni)),Nonce (absNB2(pair(Agent (honest a),Agent (dishonest i))))));
fp_1561: iknows(pair(Agent (dishonest i),pair(scrypt(SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))),Nonce (ni)),Nonce (absNB2(pair(Agent (honest a),Agent (dishonest i)))))));
fp_1562: iknows(pair(scrypt(SymKey (absKAB(pair(Agent (honest a),Agent (honest a)))),Nonce (absNA(pair(Agent (honest a),Agent (dishonest i))))),Nonce (absNB2(pair(Agent (honest a),Agent (honest a))))));
fp_1563: iknows(pair(Agent (dishonest i),pair(scrypt(SymKey (absKAB(pair(Agent (honest a),Agent (honest a)))),Nonce (absNA(pair(Agent (honest a),Agent (dishonest i))))),Nonce (absNB2(pair(Agent (honest a),Agent (honest a)))))));
fp_1564: iknows(pair(scrypt(SymKey (absKAB(pair(Agent (honest a),Agent (honest a)))),Nonce (absNA(pair(Agent (honest a),Agent (honest a))))),Nonce (absNB2(pair(Agent (honest a),Agent (honest a))))));
fp_1565: iknows(pair(Agent (dishonest i),pair(scrypt(SymKey (absKAB(pair(Agent (honest a),Agent (honest a)))),Nonce (absNA(pair(Agent (honest a),Agent (honest a))))),Nonce (absNB2(pair(Agent (honest a),Agent (honest a)))))));
fp_1566: iknows(pair(scrypt(SymKey (absKAB(pair(Agent (honest a),Agent (honest a)))),Nonce (absNB(pair(Agent (honest a),Agent (dishonest i))))),Nonce (absNB2(pair(Agent (honest a),Agent (honest a))))));
fp_1567: iknows(pair(Agent (dishonest i),pair(scrypt(SymKey (absKAB(pair(Agent (honest a),Agent (honest a)))),Nonce (absNB(pair(Agent (honest a),Agent (dishonest i))))),Nonce (absNB2(pair(Agent (honest a),Agent (honest a)))))));
fp_1568: iknows(pair(scrypt(SymKey (absKAB(pair(Agent (honest a),Agent (honest a)))),Nonce (absNB(pair(Agent (honest a),Agent (honest a))))),Nonce (absNB2(pair(Agent (honest a),Agent (honest a))))));
fp_1569: iknows(pair(Agent (dishonest i),pair(scrypt(SymKey (absKAB(pair(Agent (honest a),Agent (honest a)))),Nonce (absNB(pair(Agent (honest a),Agent (honest a))))),Nonce (absNB2(pair(Agent (honest a),Agent (honest a)))))));
fp_1570: iknows(pair(scrypt(SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))),Nonce (absNA(pair(Agent (honest a),Agent (dishonest i))))),Nonce (absNB2(pair(Agent (honest a),Agent (dishonest i))))));
fp_1571: iknows(pair(Agent (dishonest i),pair(scrypt(SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))),Nonce (absNA(pair(Agent (honest a),Agent (dishonest i))))),Nonce (absNB2(pair(Agent (honest a),Agent (dishonest i)))))));
fp_1572: iknows(pair(scrypt(SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))),Nonce (absNA(pair(Agent (honest a),Agent (honest a))))),Nonce (absNB2(pair(Agent (honest a),Agent (dishonest i))))));
fp_1573: iknows(pair(Agent (dishonest i),pair(scrypt(SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))),Nonce (absNA(pair(Agent (honest a),Agent (honest a))))),Nonce (absNB2(pair(Agent (honest a),Agent (dishonest i)))))));
fp_1574: iknows(pair(scrypt(SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))),Nonce (absNB(pair(Agent (honest a),Agent (dishonest i))))),Nonce (absNB2(pair(Agent (honest a),Agent (dishonest i))))));
fp_1575: iknows(pair(Agent (dishonest i),pair(scrypt(SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))),Nonce (absNB(pair(Agent (honest a),Agent (dishonest i))))),Nonce (absNB2(pair(Agent (honest a),Agent (dishonest i)))))));
fp_1576: iknows(pair(scrypt(SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))),Nonce (absNB(pair(Agent (honest a),Agent (honest a))))),Nonce (absNB2(pair(Agent (honest a),Agent (dishonest i))))));
fp_1577: iknows(pair(Agent (dishonest i),pair(scrypt(SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))),Nonce (absNB(pair(Agent (honest a),Agent (honest a))))),Nonce (absNB2(pair(Agent (honest a),Agent (dishonest i)))))));
fp_1578: iknows(pair(scrypt(SymKey (absKAB(pair(Agent (honest a),Agent (honest a)))),Nonce (absNB2(pair(Agent (honest a),Agent (dishonest i))))),Nonce (absNB2(pair(Agent (honest a),Agent (honest a))))));
fp_1579: iknows(pair(Agent (dishonest i),pair(scrypt(SymKey (absKAB(pair(Agent (honest a),Agent (honest a)))),Nonce (absNB2(pair(Agent (honest a),Agent (dishonest i))))),Nonce (absNB2(pair(Agent (honest a),Agent (honest a)))))));
fp_1580: iknows(pair(scrypt(SymKey (absKAB(pair(Agent (honest a),Agent (honest a)))),Nonce (absNB2(pair(Agent (honest a),Agent (honest a))))),Nonce (absNB2(pair(Agent (honest a),Agent (honest a))))));
fp_1581: iknows(pair(Agent (dishonest i),pair(scrypt(SymKey (absKAB(pair(Agent (honest a),Agent (honest a)))),Nonce (absNB2(pair(Agent (honest a),Agent (honest a))))),Nonce (absNB2(pair(Agent (honest a),Agent (honest a)))))));
fp_1582: iknows(pair(scrypt(SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))),Nonce (absNB2(pair(Agent (honest a),Agent (dishonest i))))),Nonce (absNB2(pair(Agent (honest a),Agent (dishonest i))))));
fp_1583: iknows(pair(Agent (dishonest i),pair(scrypt(SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))),Nonce (absNB2(pair(Agent (honest a),Agent (dishonest i))))),Nonce (absNB2(pair(Agent (honest a),Agent (dishonest i)))))));
fp_1584: iknows(pair(scrypt(SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))),Nonce (absNB2(pair(Agent (honest a),Agent (honest a))))),Nonce (absNB2(pair(Agent (honest a),Agent (dishonest i))))));
fp_1585: iknows(pair(Agent (dishonest i),pair(scrypt(SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))),Nonce (absNB2(pair(Agent (honest a),Agent (honest a))))),Nonce (absNB2(pair(Agent (honest a),Agent (dishonest i)))))));
fp_1586: iknows(pair(scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (ni),Agent (honest a)))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (ni),pair(Agent (honest a),SymKey (absKAB(pair(Agent (honest a),Agent (honest a)))))))));
fp_1587: iknows(pair(scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),Agent (honest a)))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (ni),pair(Agent (honest a),SymKey (absKAB(pair(Agent (honest a),Agent (honest a)))))))));
fp_1588: iknows(pair(scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (honest a)))),Agent (honest a)))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (ni),pair(Agent (honest a),SymKey (absKAB(pair(Agent (honest a),Agent (honest a)))))))));
fp_1589: iknows(pair(scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),Agent (honest a)))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (ni),pair(Agent (honest a),SymKey (absKAB(pair(Agent (honest a),Agent (honest a)))))))));
fp_1590: iknows(pair(scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (honest a)))),Agent (honest a)))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (ni),pair(Agent (honest a),SymKey (absKAB(pair(Agent (honest a),Agent (honest a)))))))));
fp_1591: iknows(pair(scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absNB2(pair(Agent (honest a),Agent (dishonest i)))),Agent (honest a)))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (ni),pair(Agent (honest a),SymKey (absKAB(pair(Agent (honest a),Agent (honest a)))))))));
fp_1592: iknows(pair(scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absNB2(pair(Agent (honest a),Agent (honest a)))),Agent (honest a)))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (ni),pair(Agent (honest a),SymKey (absKAB(pair(Agent (honest a),Agent (honest a)))))))));
fp_1593: iknows(pair(scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (ni),Agent (honest a)))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (honest a),SymKey (absKAB(pair(Agent (honest a),Agent (honest a)))))))));
fp_1594: iknows(pair(scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),Agent (honest a)))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (honest a),SymKey (absKAB(pair(Agent (honest a),Agent (honest a)))))))));
fp_1595: iknows(pair(scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (honest a)))),Agent (honest a)))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (honest a),SymKey (absKAB(pair(Agent (honest a),Agent (honest a)))))))));
fp_1596: iknows(pair(scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),Agent (honest a)))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (honest a),SymKey (absKAB(pair(Agent (honest a),Agent (honest a)))))))));
fp_1597: iknows(pair(scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (honest a)))),Agent (honest a)))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (honest a),SymKey (absKAB(pair(Agent (honest a),Agent (honest a)))))))));
fp_1598: iknows(pair(scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absNB2(pair(Agent (honest a),Agent (dishonest i)))),Agent (honest a)))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (honest a),SymKey (absKAB(pair(Agent (honest a),Agent (honest a)))))))));
fp_1599: iknows(pair(scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absNB2(pair(Agent (honest a),Agent (honest a)))),Agent (honest a)))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (honest a),SymKey (absKAB(pair(Agent (honest a),Agent (honest a)))))))));
fp_1600: iknows(pair(scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (ni),Agent (honest a)))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (honest a)))),pair(Agent (honest a),SymKey (absKAB(pair(Agent (honest a),Agent (honest a)))))))));
fp_1601: iknows(pair(scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),Agent (honest a)))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (honest a)))),pair(Agent (honest a),SymKey (absKAB(pair(Agent (honest a),Agent (honest a)))))))));
fp_1602: iknows(pair(scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (honest a)))),Agent (honest a)))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (honest a)))),pair(Agent (honest a),SymKey (absKAB(pair(Agent (honest a),Agent (honest a)))))))));
fp_1603: iknows(pair(scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),Agent (honest a)))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (honest a)))),pair(Agent (honest a),SymKey (absKAB(pair(Agent (honest a),Agent (honest a)))))))));
fp_1604: iknows(pair(scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (honest a)))),Agent (honest a)))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (honest a)))),pair(Agent (honest a),SymKey (absKAB(pair(Agent (honest a),Agent (honest a)))))))));
fp_1605: iknows(pair(scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absNB2(pair(Agent (honest a),Agent (dishonest i)))),Agent (honest a)))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (honest a)))),pair(Agent (honest a),SymKey (absKAB(pair(Agent (honest a),Agent (honest a)))))))));
fp_1606: iknows(pair(scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absNB2(pair(Agent (honest a),Agent (honest a)))),Agent (honest a)))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (honest a)))),pair(Agent (honest a),SymKey (absKAB(pair(Agent (honest a),Agent (honest a)))))))));
fp_1607: iknows(pair(scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (ni),Agent (honest a)))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (honest a),SymKey (absKAB(pair(Agent (honest a),Agent (honest a)))))))));
fp_1608: iknows(pair(scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),Agent (honest a)))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (honest a),SymKey (absKAB(pair(Agent (honest a),Agent (honest a)))))))));
fp_1609: iknows(pair(scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (honest a)))),Agent (honest a)))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (honest a),SymKey (absKAB(pair(Agent (honest a),Agent (honest a)))))))));
fp_1610: iknows(pair(scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),Agent (honest a)))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (honest a),SymKey (absKAB(pair(Agent (honest a),Agent (honest a)))))))));
fp_1611: iknows(pair(scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (honest a)))),Agent (honest a)))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (honest a),SymKey (absKAB(pair(Agent (honest a),Agent (honest a)))))))));
fp_1612: iknows(pair(scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absNB2(pair(Agent (honest a),Agent (dishonest i)))),Agent (honest a)))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (honest a),SymKey (absKAB(pair(Agent (honest a),Agent (honest a)))))))));
fp_1613: iknows(pair(scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absNB2(pair(Agent (honest a),Agent (honest a)))),Agent (honest a)))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (honest a),SymKey (absKAB(pair(Agent (honest a),Agent (honest a)))))))));
fp_1614: iknows(pair(scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (ni),Agent (honest a)))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (honest a)))),pair(Agent (honest a),SymKey (absKAB(pair(Agent (honest a),Agent (honest a)))))))));
fp_1615: iknows(pair(scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),Agent (honest a)))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (honest a)))),pair(Agent (honest a),SymKey (absKAB(pair(Agent (honest a),Agent (honest a)))))))));
fp_1616: iknows(pair(scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (honest a)))),Agent (honest a)))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (honest a)))),pair(Agent (honest a),SymKey (absKAB(pair(Agent (honest a),Agent (honest a)))))))));
fp_1617: iknows(pair(scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),Agent (honest a)))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (honest a)))),pair(Agent (honest a),SymKey (absKAB(pair(Agent (honest a),Agent (honest a)))))))));
fp_1618: iknows(pair(scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (honest a)))),Agent (honest a)))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (honest a)))),pair(Agent (honest a),SymKey (absKAB(pair(Agent (honest a),Agent (honest a)))))))));
fp_1619: iknows(pair(scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absNB2(pair(Agent (honest a),Agent (dishonest i)))),Agent (honest a)))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (honest a)))),pair(Agent (honest a),SymKey (absKAB(pair(Agent (honest a),Agent (honest a)))))))));
fp_1620: iknows(pair(scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absNB2(pair(Agent (honest a),Agent (honest a)))),Agent (honest a)))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (honest a)))),pair(Agent (honest a),SymKey (absKAB(pair(Agent (honest a),Agent (honest a)))))))));
fp_1621: iknows(pair(scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (ni),Agent (honest a)))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absNB2(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (honest a),SymKey (absKAB(pair(Agent (honest a),Agent (honest a)))))))));
fp_1622: iknows(pair(scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),Agent (honest a)))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absNB2(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (honest a),SymKey (absKAB(pair(Agent (honest a),Agent (honest a)))))))));
fp_1623: iknows(pair(scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (honest a)))),Agent (honest a)))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absNB2(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (honest a),SymKey (absKAB(pair(Agent (honest a),Agent (honest a)))))))));
fp_1624: iknows(pair(scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),Agent (honest a)))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absNB2(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (honest a),SymKey (absKAB(pair(Agent (honest a),Agent (honest a)))))))));
fp_1625: iknows(pair(scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (honest a)))),Agent (honest a)))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absNB2(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (honest a),SymKey (absKAB(pair(Agent (honest a),Agent (honest a)))))))));
fp_1626: iknows(pair(scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absNB2(pair(Agent (honest a),Agent (dishonest i)))),Agent (honest a)))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absNB2(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (honest a),SymKey (absKAB(pair(Agent (honest a),Agent (honest a)))))))));
fp_1627: iknows(pair(scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absNB2(pair(Agent (honest a),Agent (honest a)))),Agent (honest a)))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absNB2(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (honest a),SymKey (absKAB(pair(Agent (honest a),Agent (honest a)))))))));
fp_1628: iknows(pair(scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (ni),Agent (honest a)))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absNB2(pair(Agent (honest a),Agent (honest a)))),pair(Agent (honest a),SymKey (absKAB(pair(Agent (honest a),Agent (honest a)))))))));
fp_1629: iknows(pair(scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),Agent (honest a)))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absNB2(pair(Agent (honest a),Agent (honest a)))),pair(Agent (honest a),SymKey (absKAB(pair(Agent (honest a),Agent (honest a)))))))));
fp_1630: iknows(pair(scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (honest a)))),Agent (honest a)))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absNB2(pair(Agent (honest a),Agent (honest a)))),pair(Agent (honest a),SymKey (absKAB(pair(Agent (honest a),Agent (honest a)))))))));
fp_1631: iknows(pair(scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),Agent (honest a)))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absNB2(pair(Agent (honest a),Agent (honest a)))),pair(Agent (honest a),SymKey (absKAB(pair(Agent (honest a),Agent (honest a)))))))));
fp_1632: iknows(pair(scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (honest a)))),Agent (honest a)))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absNB2(pair(Agent (honest a),Agent (honest a)))),pair(Agent (honest a),SymKey (absKAB(pair(Agent (honest a),Agent (honest a)))))))));
fp_1633: iknows(pair(scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absNB2(pair(Agent (honest a),Agent (dishonest i)))),Agent (honest a)))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absNB2(pair(Agent (honest a),Agent (honest a)))),pair(Agent (honest a),SymKey (absKAB(pair(Agent (honest a),Agent (honest a)))))))));
fp_1634: iknows(pair(scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absNB2(pair(Agent (honest a),Agent (honest a)))),Agent (honest a)))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absNB2(pair(Agent (honest a),Agent (honest a)))),pair(Agent (honest a),SymKey (absKAB(pair(Agent (honest a),Agent (honest a)))))))));
fp_1635: iknows(pair(scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (ni),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (ni),pair(Agent (honest a),SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))))))));
fp_1636: iknows(pair(scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (ni),pair(Agent (honest a),SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))))))));
fp_1637: iknows(pair(scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (honest a)))),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (ni),pair(Agent (honest a),SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))))))));
fp_1638: iknows(pair(scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (ni),pair(Agent (honest a),SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))))))));
fp_1639: iknows(pair(scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (honest a)))),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (ni),pair(Agent (honest a),SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))))))));
fp_1640: iknows(pair(scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (absNB2(pair(Agent (honest a),Agent (dishonest i)))),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (ni),pair(Agent (honest a),SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))))))));
fp_1641: iknows(pair(scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (absNB2(pair(Agent (honest a),Agent (honest a)))),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (ni),pair(Agent (honest a),SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))))))));
fp_1642: iknows(pair(scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (ni),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (honest a),SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))))))));
fp_1643: iknows(pair(scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (honest a),SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))))))));
fp_1644: iknows(pair(scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (honest a)))),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (honest a),SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))))))));
fp_1645: iknows(pair(scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (honest a),SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))))))));
fp_1646: iknows(pair(scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (honest a)))),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (honest a),SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))))))));
fp_1647: iknows(pair(scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (absNB2(pair(Agent (honest a),Agent (dishonest i)))),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (honest a),SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))))))));
fp_1648: iknows(pair(scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (absNB2(pair(Agent (honest a),Agent (honest a)))),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (honest a),SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))))))));
fp_1649: iknows(pair(scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (ni),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (honest a)))),pair(Agent (honest a),SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))))))));
fp_1650: iknows(pair(scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (honest a)))),pair(Agent (honest a),SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))))))));
fp_1651: iknows(pair(scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (honest a)))),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (honest a)))),pair(Agent (honest a),SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))))))));
fp_1652: iknows(pair(scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (honest a)))),pair(Agent (honest a),SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))))))));
fp_1653: iknows(pair(scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (honest a)))),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (honest a)))),pair(Agent (honest a),SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))))))));
fp_1654: iknows(pair(scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (absNB2(pair(Agent (honest a),Agent (dishonest i)))),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (honest a)))),pair(Agent (honest a),SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))))))));
fp_1655: iknows(pair(scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (absNB2(pair(Agent (honest a),Agent (honest a)))),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (honest a)))),pair(Agent (honest a),SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))))))));
fp_1656: iknows(pair(scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (ni),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (honest a),SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))))))));
fp_1657: iknows(pair(scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (honest a),SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))))))));
fp_1658: iknows(pair(scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (honest a)))),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (honest a),SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))))))));
fp_1659: iknows(pair(scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (honest a),SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))))))));
fp_1660: iknows(pair(scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (honest a)))),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (honest a),SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))))))));
fp_1661: iknows(pair(scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (absNB2(pair(Agent (honest a),Agent (dishonest i)))),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (honest a),SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))))))));
fp_1662: iknows(pair(scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (absNB2(pair(Agent (honest a),Agent (honest a)))),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (honest a),SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))))))));
fp_1663: iknows(pair(scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (ni),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (honest a)))),pair(Agent (honest a),SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))))))));
fp_1664: iknows(pair(scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (honest a)))),pair(Agent (honest a),SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))))))));
fp_1665: iknows(pair(scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (honest a)))),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (honest a)))),pair(Agent (honest a),SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))))))));
fp_1666: iknows(pair(scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (honest a)))),pair(Agent (honest a),SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))))))));
fp_1667: iknows(pair(scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (honest a)))),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (honest a)))),pair(Agent (honest a),SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))))))));
fp_1668: iknows(pair(scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (absNB2(pair(Agent (honest a),Agent (dishonest i)))),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (honest a)))),pair(Agent (honest a),SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))))))));
fp_1669: iknows(pair(scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (absNB2(pair(Agent (honest a),Agent (honest a)))),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (honest a)))),pair(Agent (honest a),SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))))))));
fp_1670: iknows(pair(scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (ni),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNB2(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (honest a),SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))))))));
fp_1671: iknows(pair(scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNB2(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (honest a),SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))))))));
fp_1672: iknows(pair(scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (honest a)))),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNB2(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (honest a),SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))))))));
fp_1673: iknows(pair(scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNB2(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (honest a),SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))))))));
fp_1674: iknows(pair(scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (honest a)))),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNB2(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (honest a),SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))))))));
fp_1675: iknows(pair(scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (absNB2(pair(Agent (honest a),Agent (dishonest i)))),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNB2(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (honest a),SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))))))));
fp_1676: iknows(pair(scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (absNB2(pair(Agent (honest a),Agent (honest a)))),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNB2(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (honest a),SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))))))));
fp_1677: iknows(pair(scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (ni),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNB2(pair(Agent (honest a),Agent (honest a)))),pair(Agent (honest a),SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))))))));
fp_1678: iknows(pair(scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNB2(pair(Agent (honest a),Agent (honest a)))),pair(Agent (honest a),SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))))))));
fp_1679: iknows(pair(scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (honest a)))),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNB2(pair(Agent (honest a),Agent (honest a)))),pair(Agent (honest a),SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))))))));
fp_1680: iknows(pair(scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNB2(pair(Agent (honest a),Agent (honest a)))),pair(Agent (honest a),SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))))))));
fp_1681: iknows(pair(scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (honest a)))),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNB2(pair(Agent (honest a),Agent (honest a)))),pair(Agent (honest a),SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))))))));
fp_1682: iknows(pair(scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (absNB2(pair(Agent (honest a),Agent (dishonest i)))),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNB2(pair(Agent (honest a),Agent (honest a)))),pair(Agent (honest a),SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))))))));
fp_1683: iknows(pair(scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (absNB2(pair(Agent (honest a),Agent (honest a)))),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNB2(pair(Agent (honest a),Agent (honest a)))),pair(Agent (honest a),SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))))))));
fp_1684: iknows(pair(scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (ni),Agent (honest a)))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (ni),pair(Agent (dishonest i),SymKey (absKAB(pair(Agent (dishonest i),Agent (honest a)))))))));
fp_1685: iknows(pair(scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),Agent (honest a)))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (ni),pair(Agent (dishonest i),SymKey (absKAB(pair(Agent (dishonest i),Agent (honest a)))))))));
fp_1686: iknows(pair(scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (honest a)))),Agent (honest a)))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (ni),pair(Agent (dishonest i),SymKey (absKAB(pair(Agent (dishonest i),Agent (honest a)))))))));
fp_1687: iknows(pair(scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),Agent (honest a)))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (ni),pair(Agent (dishonest i),SymKey (absKAB(pair(Agent (dishonest i),Agent (honest a)))))))));
fp_1688: iknows(pair(scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (honest a)))),Agent (honest a)))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (ni),pair(Agent (dishonest i),SymKey (absKAB(pair(Agent (dishonest i),Agent (honest a)))))))));
fp_1689: iknows(pair(scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNB2(pair(Agent (honest a),Agent (dishonest i)))),Agent (honest a)))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (ni),pair(Agent (dishonest i),SymKey (absKAB(pair(Agent (dishonest i),Agent (honest a)))))))));
fp_1690: iknows(pair(scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNB2(pair(Agent (honest a),Agent (honest a)))),Agent (honest a)))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (ni),pair(Agent (dishonest i),SymKey (absKAB(pair(Agent (dishonest i),Agent (honest a)))))))));
fp_1691: iknows(pair(scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (ni),Agent (honest a)))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),SymKey (absKAB(pair(Agent (dishonest i),Agent (honest a)))))))));
fp_1692: iknows(pair(scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),Agent (honest a)))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),SymKey (absKAB(pair(Agent (dishonest i),Agent (honest a)))))))));
fp_1693: iknows(pair(scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (honest a)))),Agent (honest a)))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),SymKey (absKAB(pair(Agent (dishonest i),Agent (honest a)))))))));
fp_1694: iknows(pair(scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),Agent (honest a)))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),SymKey (absKAB(pair(Agent (dishonest i),Agent (honest a)))))))));
fp_1695: iknows(pair(scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (honest a)))),Agent (honest a)))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),SymKey (absKAB(pair(Agent (dishonest i),Agent (honest a)))))))));
fp_1696: iknows(pair(scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNB2(pair(Agent (honest a),Agent (dishonest i)))),Agent (honest a)))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),SymKey (absKAB(pair(Agent (dishonest i),Agent (honest a)))))))));
fp_1697: iknows(pair(scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNB2(pair(Agent (honest a),Agent (honest a)))),Agent (honest a)))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),SymKey (absKAB(pair(Agent (dishonest i),Agent (honest a)))))))));
fp_1698: iknows(pair(scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (ni),Agent (honest a)))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (honest a)))),pair(Agent (dishonest i),SymKey (absKAB(pair(Agent (dishonest i),Agent (honest a)))))))));
fp_1699: iknows(pair(scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),Agent (honest a)))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (honest a)))),pair(Agent (dishonest i),SymKey (absKAB(pair(Agent (dishonest i),Agent (honest a)))))))));
fp_1700: iknows(pair(scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (honest a)))),Agent (honest a)))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (honest a)))),pair(Agent (dishonest i),SymKey (absKAB(pair(Agent (dishonest i),Agent (honest a)))))))));
fp_1701: iknows(pair(scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),Agent (honest a)))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (honest a)))),pair(Agent (dishonest i),SymKey (absKAB(pair(Agent (dishonest i),Agent (honest a)))))))));
fp_1702: iknows(pair(scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (honest a)))),Agent (honest a)))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (honest a)))),pair(Agent (dishonest i),SymKey (absKAB(pair(Agent (dishonest i),Agent (honest a)))))))));
fp_1703: iknows(pair(scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNB2(pair(Agent (honest a),Agent (dishonest i)))),Agent (honest a)))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (honest a)))),pair(Agent (dishonest i),SymKey (absKAB(pair(Agent (dishonest i),Agent (honest a)))))))));
fp_1704: iknows(pair(scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNB2(pair(Agent (honest a),Agent (honest a)))),Agent (honest a)))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (honest a)))),pair(Agent (dishonest i),SymKey (absKAB(pair(Agent (dishonest i),Agent (honest a)))))))));
fp_1705: iknows(pair(scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (ni),Agent (honest a)))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),SymKey (absKAB(pair(Agent (dishonest i),Agent (honest a)))))))));
fp_1706: iknows(pair(scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),Agent (honest a)))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),SymKey (absKAB(pair(Agent (dishonest i),Agent (honest a)))))))));
fp_1707: iknows(pair(scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (honest a)))),Agent (honest a)))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),SymKey (absKAB(pair(Agent (dishonest i),Agent (honest a)))))))));
fp_1708: iknows(pair(scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),Agent (honest a)))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),SymKey (absKAB(pair(Agent (dishonest i),Agent (honest a)))))))));
fp_1709: iknows(pair(scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (honest a)))),Agent (honest a)))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),SymKey (absKAB(pair(Agent (dishonest i),Agent (honest a)))))))));
fp_1710: iknows(pair(scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNB2(pair(Agent (honest a),Agent (dishonest i)))),Agent (honest a)))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),SymKey (absKAB(pair(Agent (dishonest i),Agent (honest a)))))))));
fp_1711: iknows(pair(scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNB2(pair(Agent (honest a),Agent (honest a)))),Agent (honest a)))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),SymKey (absKAB(pair(Agent (dishonest i),Agent (honest a)))))))));
fp_1712: iknows(pair(scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (ni),Agent (honest a)))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (honest a)))),pair(Agent (dishonest i),SymKey (absKAB(pair(Agent (dishonest i),Agent (honest a)))))))));
fp_1713: iknows(pair(scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),Agent (honest a)))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (honest a)))),pair(Agent (dishonest i),SymKey (absKAB(pair(Agent (dishonest i),Agent (honest a)))))))));
fp_1714: iknows(pair(scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (honest a)))),Agent (honest a)))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (honest a)))),pair(Agent (dishonest i),SymKey (absKAB(pair(Agent (dishonest i),Agent (honest a)))))))));
fp_1715: iknows(pair(scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),Agent (honest a)))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (honest a)))),pair(Agent (dishonest i),SymKey (absKAB(pair(Agent (dishonest i),Agent (honest a)))))))));
fp_1716: iknows(pair(scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (honest a)))),Agent (honest a)))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (honest a)))),pair(Agent (dishonest i),SymKey (absKAB(pair(Agent (dishonest i),Agent (honest a)))))))));
fp_1717: iknows(pair(scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNB2(pair(Agent (honest a),Agent (dishonest i)))),Agent (honest a)))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (honest a)))),pair(Agent (dishonest i),SymKey (absKAB(pair(Agent (dishonest i),Agent (honest a)))))))));
fp_1718: iknows(pair(scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNB2(pair(Agent (honest a),Agent (honest a)))),Agent (honest a)))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (honest a)))),pair(Agent (dishonest i),SymKey (absKAB(pair(Agent (dishonest i),Agent (honest a)))))))));
fp_1719: iknows(pair(scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (ni),Agent (honest a)))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absNB2(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),SymKey (absKAB(pair(Agent (dishonest i),Agent (honest a)))))))));
fp_1720: iknows(pair(scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),Agent (honest a)))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absNB2(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),SymKey (absKAB(pair(Agent (dishonest i),Agent (honest a)))))))));
fp_1721: iknows(pair(scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (honest a)))),Agent (honest a)))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absNB2(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),SymKey (absKAB(pair(Agent (dishonest i),Agent (honest a)))))))));
fp_1722: iknows(pair(scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),Agent (honest a)))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absNB2(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),SymKey (absKAB(pair(Agent (dishonest i),Agent (honest a)))))))));
fp_1723: iknows(pair(scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (honest a)))),Agent (honest a)))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absNB2(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),SymKey (absKAB(pair(Agent (dishonest i),Agent (honest a)))))))));
fp_1724: iknows(pair(scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNB2(pair(Agent (honest a),Agent (dishonest i)))),Agent (honest a)))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absNB2(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),SymKey (absKAB(pair(Agent (dishonest i),Agent (honest a)))))))));
fp_1725: iknows(pair(scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNB2(pair(Agent (honest a),Agent (honest a)))),Agent (honest a)))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absNB2(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),SymKey (absKAB(pair(Agent (dishonest i),Agent (honest a)))))))));
fp_1726: iknows(pair(scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (ni),Agent (honest a)))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absNB2(pair(Agent (honest a),Agent (honest a)))),pair(Agent (dishonest i),SymKey (absKAB(pair(Agent (dishonest i),Agent (honest a)))))))));
fp_1727: iknows(pair(scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),Agent (honest a)))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absNB2(pair(Agent (honest a),Agent (honest a)))),pair(Agent (dishonest i),SymKey (absKAB(pair(Agent (dishonest i),Agent (honest a)))))))));
fp_1728: iknows(pair(scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (honest a)))),Agent (honest a)))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absNB2(pair(Agent (honest a),Agent (honest a)))),pair(Agent (dishonest i),SymKey (absKAB(pair(Agent (dishonest i),Agent (honest a)))))))));
fp_1729: iknows(pair(scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),Agent (honest a)))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absNB2(pair(Agent (honest a),Agent (honest a)))),pair(Agent (dishonest i),SymKey (absKAB(pair(Agent (dishonest i),Agent (honest a)))))))));
fp_1730: iknows(pair(scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (honest a)))),Agent (honest a)))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absNB2(pair(Agent (honest a),Agent (honest a)))),pair(Agent (dishonest i),SymKey (absKAB(pair(Agent (dishonest i),Agent (honest a)))))))));
fp_1731: iknows(pair(scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNB2(pair(Agent (honest a),Agent (dishonest i)))),Agent (honest a)))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absNB2(pair(Agent (honest a),Agent (honest a)))),pair(Agent (dishonest i),SymKey (absKAB(pair(Agent (dishonest i),Agent (honest a)))))))));
fp_1732: iknows(pair(scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNB2(pair(Agent (honest a),Agent (honest a)))),Agent (honest a)))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absNB2(pair(Agent (honest a),Agent (honest a)))),pair(Agent (dishonest i),SymKey (absKAB(pair(Agent (dishonest i),Agent (honest a)))))))));
fp_1733: iknows(pair(scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))),pair(Nonce (ni),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (ni),pair(Agent (dishonest i),SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))))))));
fp_1734: iknows(pair(scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (ni),pair(Agent (dishonest i),SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))))))));
fp_1735: iknows(pair(scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (honest a)))),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (ni),pair(Agent (dishonest i),SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))))))));
fp_1736: iknows(pair(scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (ni),pair(Agent (dishonest i),SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))))))));
fp_1737: iknows(pair(scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (honest a)))),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (ni),pair(Agent (dishonest i),SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))))))));
fp_1738: iknows(pair(scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))),pair(Nonce (absNB2(pair(Agent (honest a),Agent (dishonest i)))),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (ni),pair(Agent (dishonest i),SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))))))));
fp_1739: iknows(pair(scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))),pair(Nonce (absNB2(pair(Agent (honest a),Agent (honest a)))),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (ni),pair(Agent (dishonest i),SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))))))));
fp_1740: iknows(pair(scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))),pair(Nonce (ni),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))))))));
fp_1741: iknows(pair(scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))))))));
fp_1742: iknows(pair(scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (honest a)))),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))))))));
fp_1743: iknows(pair(scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))))))));
fp_1744: iknows(pair(scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (honest a)))),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))))))));
fp_1745: iknows(pair(scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))),pair(Nonce (absNB2(pair(Agent (honest a),Agent (dishonest i)))),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))))))));
fp_1746: iknows(pair(scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))),pair(Nonce (absNB2(pair(Agent (honest a),Agent (honest a)))),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))))))));
fp_1747: iknows(pair(scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))),pair(Nonce (ni),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (honest a)))),pair(Agent (dishonest i),SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))))))));
fp_1748: iknows(pair(scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (honest a)))),pair(Agent (dishonest i),SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))))))));
fp_1749: iknows(pair(scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (honest a)))),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (honest a)))),pair(Agent (dishonest i),SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))))))));
fp_1750: iknows(pair(scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (honest a)))),pair(Agent (dishonest i),SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))))))));
fp_1751: iknows(pair(scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (honest a)))),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (honest a)))),pair(Agent (dishonest i),SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))))))));
fp_1752: iknows(pair(scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))),pair(Nonce (absNB2(pair(Agent (honest a),Agent (dishonest i)))),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (honest a)))),pair(Agent (dishonest i),SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))))))));
fp_1753: iknows(pair(scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))),pair(Nonce (absNB2(pair(Agent (honest a),Agent (honest a)))),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (honest a)))),pair(Agent (dishonest i),SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))))))));
fp_1754: iknows(pair(scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))),pair(Nonce (ni),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))))))));
fp_1755: iknows(pair(scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))))))));
fp_1756: iknows(pair(scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (honest a)))),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))))))));
fp_1757: iknows(pair(scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))))))));
fp_1758: iknows(pair(scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (honest a)))),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))))))));
fp_1759: iknows(pair(scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))),pair(Nonce (absNB2(pair(Agent (honest a),Agent (dishonest i)))),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))))))));
fp_1760: iknows(pair(scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))),pair(Nonce (absNB2(pair(Agent (honest a),Agent (honest a)))),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))))))));
fp_1761: iknows(pair(scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))),pair(Nonce (ni),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (honest a)))),pair(Agent (dishonest i),SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))))))));
fp_1762: iknows(pair(scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (honest a)))),pair(Agent (dishonest i),SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))))))));
fp_1763: iknows(pair(scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (honest a)))),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (honest a)))),pair(Agent (dishonest i),SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))))))));
fp_1764: iknows(pair(scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (honest a)))),pair(Agent (dishonest i),SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))))))));
fp_1765: iknows(pair(scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (honest a)))),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (honest a)))),pair(Agent (dishonest i),SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))))))));
fp_1766: iknows(pair(scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))),pair(Nonce (absNB2(pair(Agent (honest a),Agent (dishonest i)))),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (honest a)))),pair(Agent (dishonest i),SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))))))));
fp_1767: iknows(pair(scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))),pair(Nonce (absNB2(pair(Agent (honest a),Agent (honest a)))),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (honest a)))),pair(Agent (dishonest i),SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))))))));
fp_1768: iknows(pair(scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))),pair(Nonce (ni),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNB2(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))))))));
fp_1769: iknows(pair(scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNB2(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))))))));
fp_1770: iknows(pair(scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (honest a)))),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNB2(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))))))));
fp_1771: iknows(pair(scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNB2(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))))))));
fp_1772: iknows(pair(scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (honest a)))),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNB2(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))))))));
fp_1773: iknows(pair(scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))),pair(Nonce (absNB2(pair(Agent (honest a),Agent (dishonest i)))),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNB2(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))))))));
fp_1774: iknows(pair(scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))),pair(Nonce (absNB2(pair(Agent (honest a),Agent (honest a)))),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNB2(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))))))));
fp_1775: iknows(pair(scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))),pair(Nonce (ni),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNB2(pair(Agent (honest a),Agent (honest a)))),pair(Agent (dishonest i),SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))))))));
fp_1776: iknows(pair(scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNB2(pair(Agent (honest a),Agent (honest a)))),pair(Agent (dishonest i),SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))))))));
fp_1777: iknows(pair(scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (honest a)))),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNB2(pair(Agent (honest a),Agent (honest a)))),pair(Agent (dishonest i),SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))))))));
fp_1778: iknows(pair(scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNB2(pair(Agent (honest a),Agent (honest a)))),pair(Agent (dishonest i),SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))))))));
fp_1779: iknows(pair(scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (honest a)))),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNB2(pair(Agent (honest a),Agent (honest a)))),pair(Agent (dishonest i),SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))))))));
fp_1780: iknows(pair(scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))),pair(Nonce (absNB2(pair(Agent (honest a),Agent (dishonest i)))),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNB2(pair(Agent (honest a),Agent (honest a)))),pair(Agent (dishonest i),SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))))))));
fp_1781: iknows(pair(scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))),pair(Nonce (absNB2(pair(Agent (honest a),Agent (honest a)))),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNB2(pair(Agent (honest a),Agent (honest a)))),pair(Agent (dishonest i),SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))))))));
fp_1782: iknows(pair(Agent (honest a),Nonce (absNB(pair(Agent (honest a),Agent (honest a))))));
fp_1783: iknows(pair(Nonce (ni),pair(Agent (honest a),Nonce (absNB(pair(Agent (honest a),Agent (honest a)))))));
fp_1784: iknows(pair(Agent (honest a),pair(Nonce (ni),pair(Agent (honest a),Nonce (absNB(pair(Agent (honest a),Agent (honest a))))))));
fp_1785: iknows(pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (honest a),Nonce (absNB(pair(Agent (honest a),Agent (honest a)))))));
fp_1786: iknows(pair(Agent (honest a),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (honest a),Nonce (absNB(pair(Agent (honest a),Agent (honest a))))))));
fp_1787: iknows(pair(Nonce (absNA(pair(Agent (honest a),Agent (honest a)))),pair(Agent (honest a),Nonce (absNB(pair(Agent (honest a),Agent (honest a)))))));
fp_1788: iknows(pair(Agent (honest a),pair(Nonce (absNA(pair(Agent (honest a),Agent (honest a)))),pair(Agent (honest a),Nonce (absNB(pair(Agent (honest a),Agent (honest a))))))));
fp_1789: iknows(pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (honest a),Nonce (absNB(pair(Agent (honest a),Agent (honest a)))))));
fp_1790: iknows(pair(Agent (honest a),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (honest a),Nonce (absNB(pair(Agent (honest a),Agent (honest a))))))));
fp_1791: iknows(pair(Nonce (absNB(pair(Agent (honest a),Agent (honest a)))),pair(Agent (honest a),Nonce (absNB(pair(Agent (honest a),Agent (honest a)))))));
fp_1792: iknows(pair(Agent (honest a),pair(Nonce (absNB(pair(Agent (honest a),Agent (honest a)))),pair(Agent (honest a),Nonce (absNB(pair(Agent (honest a),Agent (honest a))))))));
fp_1793: iknows(pair(Nonce (absNB2(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (honest a),Nonce (absNB(pair(Agent (honest a),Agent (honest a)))))));
fp_1794: iknows(pair(Agent (honest a),pair(Nonce (absNB2(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (honest a),Nonce (absNB(pair(Agent (honest a),Agent (honest a))))))));
fp_1795: iknows(pair(Nonce (absNB2(pair(Agent (honest a),Agent (honest a)))),pair(Agent (honest a),Nonce (absNB(pair(Agent (honest a),Agent (honest a)))))));
fp_1796: iknows(pair(Agent (honest a),pair(Nonce (absNB2(pair(Agent (honest a),Agent (honest a)))),pair(Agent (honest a),Nonce (absNB(pair(Agent (honest a),Agent (honest a))))))));
fp_1797: iknows(pair(Agent (honest a),Nonce (absNB(pair(Agent (honest a),Agent (dishonest i))))));
fp_1798: iknows(pair(Nonce (ni),pair(Agent (honest a),Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))))));
fp_1799: iknows(pair(Agent (dishonest i),pair(Nonce (ni),pair(Agent (honest a),Nonce (absNB(pair(Agent (honest a),Agent (dishonest i))))))));
fp_1800: iknows(pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (honest a),Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))))));
fp_1801: iknows(pair(Agent (dishonest i),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (honest a),Nonce (absNB(pair(Agent (honest a),Agent (dishonest i))))))));
fp_1802: iknows(pair(Nonce (absNA(pair(Agent (honest a),Agent (honest a)))),pair(Agent (honest a),Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))))));
fp_1803: iknows(pair(Agent (dishonest i),pair(Nonce (absNA(pair(Agent (honest a),Agent (honest a)))),pair(Agent (honest a),Nonce (absNB(pair(Agent (honest a),Agent (dishonest i))))))));
fp_1804: iknows(pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (honest a),Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))))));
fp_1805: iknows(pair(Agent (dishonest i),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (honest a),Nonce (absNB(pair(Agent (honest a),Agent (dishonest i))))))));
fp_1806: iknows(pair(Nonce (absNB(pair(Agent (honest a),Agent (honest a)))),pair(Agent (honest a),Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))))));
fp_1807: iknows(pair(Agent (dishonest i),pair(Nonce (absNB(pair(Agent (honest a),Agent (honest a)))),pair(Agent (honest a),Nonce (absNB(pair(Agent (honest a),Agent (dishonest i))))))));
fp_1808: iknows(pair(Nonce (absNB2(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (honest a),Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))))));
fp_1809: iknows(pair(Agent (dishonest i),pair(Nonce (absNB2(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (honest a),Nonce (absNB(pair(Agent (honest a),Agent (dishonest i))))))));
fp_1810: iknows(pair(Nonce (absNB2(pair(Agent (honest a),Agent (honest a)))),pair(Agent (honest a),Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))))));
fp_1811: iknows(pair(Agent (dishonest i),pair(Nonce (absNB2(pair(Agent (honest a),Agent (honest a)))),pair(Agent (honest a),Nonce (absNB(pair(Agent (honest a),Agent (dishonest i))))))));
fp_1812: iknows(pair(Agent (honest a),Nonce (absNA(pair(Agent (honest a),Agent (honest a))))));
fp_1813: iknows(pair(Agent (honest a),Nonce (absNA(pair(Agent (honest a),Agent (dishonest i))))));
fp_1814: iknows(pair(Nonce (ni),Agent (dishonest i)));
fp_1815: iknows(pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))),pair(Nonce (ni),Agent (dishonest i))));
fp_1816: iknows(pair(Agent (dishonest i),SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i))))));
fp_1817: iknows(pair(Nonce (ni),pair(Agent (dishonest i),SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))))));
fp_1818: iknows(pair(Nonce (ni),Agent (honest a)));
fp_1819: iknows(pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (ni),Agent (honest a))));
fp_1820: iknows(pair(Agent (honest a),SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i))))));
fp_1821: iknows(pair(Nonce (ni),pair(Agent (honest a),SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))))));
fp_1822: iknows(pair(Nonce (absNB(pair(Agent (honest a),Agent (honest a)))),pair(Agent (dishonest i),SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))))));
fp_1823: iknows(pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))))));
fp_1824: iknows(pair(Nonce (absNA(pair(Agent (honest a),Agent (honest a)))),pair(Agent (dishonest i),SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))))));
fp_1825: iknows(pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))))));
fp_1826: iknows(pair(Nonce (absNB(pair(Agent (honest a),Agent (honest a)))),Agent (dishonest i)));
fp_1827: iknows(pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (honest a)))),Agent (dishonest i))));
fp_1828: iknows(pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),Agent (dishonest i)));
fp_1829: iknows(pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),Agent (dishonest i))));
fp_1830: iknows(pair(Nonce (absNA(pair(Agent (honest a),Agent (honest a)))),Agent (dishonest i)));
fp_1831: iknows(pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (honest a)))),Agent (dishonest i))));
fp_1832: iknows(pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),Agent (dishonest i)));
fp_1833: iknows(pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),Agent (dishonest i))));
fp_1834: iknows(pair(Nonce (absNB(pair(Agent (honest a),Agent (honest a)))),Agent (honest a)));
fp_1835: iknows(pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (honest a)))),Agent (honest a))));
fp_1836: iknows(pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),Agent (honest a)));
fp_1837: iknows(pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),Agent (honest a))));
fp_1838: iknows(pair(Nonce (absNA(pair(Agent (honest a),Agent (honest a)))),Agent (honest a)));
fp_1839: iknows(pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (honest a)))),Agent (honest a))));
fp_1840: iknows(pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),Agent (honest a)));
fp_1841: iknows(pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),Agent (honest a))));
fp_1842: iknows(pair(Nonce (absNB(pair(Agent (honest a),Agent (honest a)))),pair(Agent (honest a),SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))))));
fp_1843: iknows(pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (honest a),SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))))));
fp_1844: iknows(pair(Nonce (absNA(pair(Agent (honest a),Agent (honest a)))),pair(Agent (honest a),SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))))));
fp_1845: iknows(pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (honest a),SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))))));
fp_1846: iknows(pair(Nonce (absNB2(pair(Agent (honest a),Agent (honest a)))),pair(Agent (dishonest i),SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))))));
fp_1847: iknows(pair(Nonce (absNB2(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))))));
fp_1848: iknows(pair(Nonce (absNB2(pair(Agent (honest a),Agent (honest a)))),Agent (dishonest i)));
fp_1849: iknows(pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))),pair(Nonce (absNB2(pair(Agent (honest a),Agent (honest a)))),Agent (dishonest i))));
fp_1850: iknows(pair(Nonce (absNB2(pair(Agent (honest a),Agent (dishonest i)))),Agent (dishonest i)));
fp_1851: iknows(pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))),pair(Nonce (absNB2(pair(Agent (honest a),Agent (dishonest i)))),Agent (dishonest i))));
fp_1852: iknows(pair(Nonce (absNB2(pair(Agent (honest a),Agent (honest a)))),Agent (honest a)));
fp_1853: iknows(pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNB2(pair(Agent (honest a),Agent (honest a)))),Agent (honest a))));
fp_1854: iknows(pair(Nonce (absNB2(pair(Agent (honest a),Agent (dishonest i)))),Agent (honest a)));
fp_1855: iknows(pair(SymKey (absKAB(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNB2(pair(Agent (honest a),Agent (dishonest i)))),Agent (honest a))));
fp_1856: iknows(pair(Nonce (absNB2(pair(Agent (honest a),Agent (honest a)))),pair(Agent (honest a),SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))))));
fp_1857: iknows(pair(Nonce (absNB2(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (honest a),SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))))));

section abstraction:
NA->Nonce (absNA(pair(A,B)));
NB->Nonce (absNB(pair(B,A)));
KAB->SymKey (absKAB(pair(B,A)));
NB2->Nonce (absNB2(pair(B,A)))

