Backend: Open-Source Fixedpoint Model-Checker version 2023
 
Protocol: OtwayRees
Types:
[(Purpose,["purposeKAB","purposeKAB"]),(Agent False False,["A","B","s"]),(Number,["NA","NB","M"]),(Format,["f1","f2"]),(SymmetricKey,["KAB"])]
section rules:
step rule_0:
iknows(crypt(K,M));
iknows(inv(K))

=>
iknows(M)

step rule_1:
iknows(crypt(inv(K),M));
iknows(K)

=>
iknows(M)

step rule_2:
iknows(scrypt(K,M));
iknows(K)

=>
iknows(M)

step rule_3:
iknows(pair(M1,M2))

=>
iknows(M1);
iknows(M2)

step rule_4:
secret(M,Agent (honest a));
iknows(M)

=>
attack(pair(secrecy,M))

step rule_5:
request(A,B,Purpose (purposeM),M,(SID sid))
 | B/=Agent (dishonest i);
M/=Nonce (absM(pair(B,A)))
=>
attack(pair(authentication,pair(A,pair(B,M))))

step rule_6:
request(A,B,Purpose (purposeNA),M,(SID sid))
 | B/=Agent (dishonest i);
M/=Nonce (absNA(pair(B,A)))
=>
attack(pair(authentication,pair(A,pair(B,M))))

step rule_7:
request(A,B,Purpose (purposeNB),M,(SID sid))
 | B/=Agent (dishonest i);
M/=Nonce (absNB(pair(B,A)))
=>
attack(pair(authentication,pair(A,pair(B,M))))

step rule_8:
request(A,B,Purpose (purposeKAB),M,(SID sid))
 | B/=Agent (dishonest i);
M/=SymKey (absKAB(pair(B,A)))
=>
attack(pair(authentication,pair(A,pair(B,M))))

step rule_9:
State (rA,[Agent (A),Step 0,SymKey (sk(pair(Agent (A),Agent (honest a)))),Agent (B),Format(f2),Format(f1),(SID sid)])

=>
State (rA,[Agent (A),Step 1,SymKey (sk(pair(Agent (A),Agent (honest a)))),Agent (B),Format(f2),Format(f1),Nonce (absM(pair(Agent (A),Agent (B)))),Nonce (absNA(pair(Agent (A),Agent (B)))),pair(Nonce (absM(pair(Agent (A),Agent (B)))),pair(Agent (A),pair(Agent (B),scrypt(SymKey (sk(pair(Agent (A),Agent (honest a)))),pair(Format(f1),pair(Nonce (absNA(pair(Agent (A),Agent (B)))),pair(Nonce (absM(pair(Agent (A),Agent (B)))),pair(Agent (A),Agent (B))))))))),(SID sid)]);
iknows(pair(Nonce (absM(pair(Agent (A),Agent (B)))),pair(Agent (A),pair(Agent (B),scrypt(SymKey (sk(pair(Agent (A),Agent (honest a)))),pair(Format(f1),pair(Nonce (absNA(pair(Agent (A),Agent (B)))),pair(Nonce (absM(pair(Agent (A),Agent (B)))),pair(Agent (A),Agent (B))))))))))

step rule_10:
State (rB,[Agent (B),Step 0,SymKey (sk(pair(Agent (B),Agent (honest a)))),Agent (A),Format(f2),Format(f1),(SID sid)]);
iknows(Nonce (M));
iknows(Agent (A));
iknows(Agent (B));
iknows(Agent (dishonest i))

=>
State (rB,[Agent (B),Step 1,SymKey (sk(pair(Agent (B),Agent (honest a)))),Agent (A),Format(f2),Format(f1),Nonce (M),Agent (dishonest i),pair(Nonce (M),pair(Agent (A),pair(Agent (B),Agent (dishonest i)))),Nonce (absNB(pair(Agent (B),Agent (A)))),pair(Nonce (M),pair(Agent (A),pair(Agent (B),pair(Agent (dishonest i),scrypt(SymKey (sk(pair(Agent (B),Agent (honest a)))),pair(Format(f1),pair(Nonce (absNB(pair(Agent (B),Agent (A)))),pair(Nonce (M),pair(Agent (A),Agent (B)))))))))),(SID sid)]);
iknows(pair(Nonce (M),pair(Agent (A),pair(Agent (B),pair(Agent (dishonest i),scrypt(SymKey (sk(pair(Agent (B),Agent (honest a)))),pair(Format(f1),pair(Nonce (absNB(pair(Agent (B),Agent (A)))),pair(Nonce (M),pair(Agent (A),Agent (B)))))))))))

step rule_11:
State (rs,[Agent (honest a),Step 0,SymKey (sk(pair(Agent (B),Agent (honest a)))),SymKey (sk(pair(Agent (A),Agent (honest a)))),Agent (B),Agent (A),Format(f2),Format(f1),(SID sid)]);
iknows(Nonce (M));
iknows(Agent (A));
iknows(Agent (B));
iknows(scrypt(SymKey (sk(pair(Agent (A),Agent (honest a)))),pair(Format(f1),pair(Nonce (NA),pair(Nonce (M),pair(Agent (A),Agent (B)))))));
iknows(scrypt(SymKey (sk(pair(Agent (B),Agent (honest a)))),pair(Format(f1),pair(Nonce (NB),pair(Nonce (M),pair(Agent (A),Agent (B)))))))

=>
witness(Agent (honest a),Agent (B),Purpose (pBsKAB),SymKey (absKAB(pair(Agent (B),Agent (A)))));
witness(Agent (honest a),Agent (A),Purpose (pAsKAB),SymKey (absKAB(pair(Agent (B),Agent (A)))));
secrets(SymKey (absKAB(pair(Agent (B),Agent (A)))),secrecyset(pair(Agent (honest a),pair((SID sid),Purpose (pKAB)))));
contains(secrecyset(pair(Agent (honest a),pair((SID sid),Purpose (pKAB)))),Agent (A));
contains(secrecyset(pair(Agent (honest a),pair((SID sid),Purpose (pKAB)))),Agent (B));
contains(secrecyset(pair(Agent (honest a),pair((SID sid),Purpose (pKAB)))),Agent (honest a));
State (rs,[Agent (honest a),Step 1,SymKey (sk(pair(Agent (B),Agent (honest a)))),SymKey (sk(pair(Agent (A),Agent (honest a)))),Agent (B),Agent (A),Format(f2),Format(f1),Nonce (M),Nonce (NB),scrypt(SymKey (sk(pair(Agent (B),Agent (honest a)))),pair(Format(f1),pair(Nonce (NB),pair(Nonce (M),pair(Agent (A),Agent (B)))))),Nonce (NA),scrypt(SymKey (sk(pair(Agent (A),Agent (honest a)))),pair(Format(f1),pair(Nonce (NA),pair(Nonce (M),pair(Agent (A),Agent (B)))))),pair(Nonce (M),pair(Agent (A),pair(Agent (B),pair(scrypt(SymKey (sk(pair(Agent (A),Agent (honest a)))),pair(Format(f1),pair(Nonce (NA),pair(Nonce (M),pair(Agent (A),Agent (B)))))),scrypt(SymKey (sk(pair(Agent (B),Agent (honest a)))),pair(Format(f1),pair(Nonce (NB),pair(Nonce (M),pair(Agent (A),Agent (B)))))))))),SymKey (absKAB(pair(Agent (B),Agent (A)))),pair(Nonce (M),pair(scrypt(SymKey (sk(pair(Agent (A),Agent (honest a)))),pair(Format(f2),pair(Nonce (NA),SymKey (absKAB(pair(Agent (B),Agent (A))))))),scrypt(SymKey (sk(pair(Agent (B),Agent (honest a)))),pair(Format(f2),pair(Nonce (NB),SymKey (absKAB(pair(Agent (B),Agent (A))))))))),(SID sid)]);
iknows(pair(Nonce (M),pair(scrypt(SymKey (sk(pair(Agent (A),Agent (honest a)))),pair(Format(f2),pair(Nonce (NA),SymKey (absKAB(pair(Agent (B),Agent (A))))))),scrypt(SymKey (sk(pair(Agent (B),Agent (honest a)))),pair(Format(f2),pair(Nonce (NB),SymKey (absKAB(pair(Agent (B),Agent (A))))))))))

step rule_12:
State (rs,[Agent (honest a),Step 0,SymKey (sk(pair(Agent (B),Agent (honest a)))),SymKey (sk(pair(Agent (A),Agent (honest a)))),Agent (B),Agent (A),Format(f2),Format(f1),(SID sid)]);
iknows(Nonce (M));
iknows(Agent (A));
iknows(Agent (B));
iknows(scrypt(SymKey (sk(pair(Agent (A),Agent (honest a)))),pair(Format(f1),pair(Nonce (NA),pair(Nonce (M),pair(Agent (A),Agent (B)))))));
iknows(SymKey (sk(pair(Agent (B),Agent (honest a)))));
iknows(Format(f1));
iknows(Nonce (NB))

=>
witness(Agent (honest a),Agent (B),Purpose (pBsKAB),SymKey (absKAB(pair(Agent (B),Agent (A)))));
witness(Agent (honest a),Agent (A),Purpose (pAsKAB),SymKey (absKAB(pair(Agent (B),Agent (A)))));
secrets(SymKey (absKAB(pair(Agent (B),Agent (A)))),secrecyset(pair(Agent (honest a),pair((SID sid),Purpose (pKAB)))));
contains(secrecyset(pair(Agent (honest a),pair((SID sid),Purpose (pKAB)))),Agent (A));
contains(secrecyset(pair(Agent (honest a),pair((SID sid),Purpose (pKAB)))),Agent (B));
contains(secrecyset(pair(Agent (honest a),pair((SID sid),Purpose (pKAB)))),Agent (honest a));
State (rs,[Agent (honest a),Step 1,SymKey (sk(pair(Agent (B),Agent (honest a)))),SymKey (sk(pair(Agent (A),Agent (honest a)))),Agent (B),Agent (A),Format(f2),Format(f1),Nonce (M),Nonce (NB),scrypt(SymKey (sk(pair(Agent (B),Agent (honest a)))),pair(Format(f1),pair(Nonce (NB),pair(Nonce (M),pair(Agent (A),Agent (B)))))),Nonce (NA),scrypt(SymKey (sk(pair(Agent (A),Agent (honest a)))),pair(Format(f1),pair(Nonce (NA),pair(Nonce (M),pair(Agent (A),Agent (B)))))),pair(Nonce (M),pair(Agent (A),pair(Agent (B),pair(scrypt(SymKey (sk(pair(Agent (A),Agent (honest a)))),pair(Format(f1),pair(Nonce (NA),pair(Nonce (M),pair(Agent (A),Agent (B)))))),scrypt(SymKey (sk(pair(Agent (B),Agent (honest a)))),pair(Format(f1),pair(Nonce (NB),pair(Nonce (M),pair(Agent (A),Agent (B)))))))))),SymKey (absKAB(pair(Agent (B),Agent (A)))),pair(Nonce (M),pair(scrypt(SymKey (sk(pair(Agent (A),Agent (honest a)))),pair(Format(f2),pair(Nonce (NA),SymKey (absKAB(pair(Agent (B),Agent (A))))))),scrypt(SymKey (sk(pair(Agent (B),Agent (honest a)))),pair(Format(f2),pair(Nonce (NB),SymKey (absKAB(pair(Agent (B),Agent (A))))))))),(SID sid)]);
iknows(pair(Nonce (M),pair(scrypt(SymKey (sk(pair(Agent (A),Agent (honest a)))),pair(Format(f2),pair(Nonce (NA),SymKey (absKAB(pair(Agent (B),Agent (A))))))),scrypt(SymKey (sk(pair(Agent (B),Agent (honest a)))),pair(Format(f2),pair(Nonce (NB),SymKey (absKAB(pair(Agent (B),Agent (A))))))))))

step rule_13:
State (rs,[Agent (honest a),Step 0,SymKey (sk(pair(Agent (B),Agent (honest a)))),SymKey (sk(pair(Agent (A),Agent (honest a)))),Agent (B),Agent (A),Format(f2),Format(f1),(SID sid)]);
iknows(Nonce (M));
iknows(Agent (A));
iknows(Agent (B));
iknows(SymKey (sk(pair(Agent (A),Agent (honest a)))));
iknows(Format(f1));
iknows(Nonce (NA));
iknows(scrypt(SymKey (sk(pair(Agent (B),Agent (honest a)))),pair(Format(f1),pair(Nonce (NB),pair(Nonce (M),pair(Agent (A),Agent (B)))))))

=>
witness(Agent (honest a),Agent (B),Purpose (pBsKAB),SymKey (absKAB(pair(Agent (B),Agent (A)))));
witness(Agent (honest a),Agent (A),Purpose (pAsKAB),SymKey (absKAB(pair(Agent (B),Agent (A)))));
secrets(SymKey (absKAB(pair(Agent (B),Agent (A)))),secrecyset(pair(Agent (honest a),pair((SID sid),Purpose (pKAB)))));
contains(secrecyset(pair(Agent (honest a),pair((SID sid),Purpose (pKAB)))),Agent (A));
contains(secrecyset(pair(Agent (honest a),pair((SID sid),Purpose (pKAB)))),Agent (B));
contains(secrecyset(pair(Agent (honest a),pair((SID sid),Purpose (pKAB)))),Agent (honest a));
State (rs,[Agent (honest a),Step 1,SymKey (sk(pair(Agent (B),Agent (honest a)))),SymKey (sk(pair(Agent (A),Agent (honest a)))),Agent (B),Agent (A),Format(f2),Format(f1),Nonce (M),Nonce (NB),scrypt(SymKey (sk(pair(Agent (B),Agent (honest a)))),pair(Format(f1),pair(Nonce (NB),pair(Nonce (M),pair(Agent (A),Agent (B)))))),Nonce (NA),scrypt(SymKey (sk(pair(Agent (A),Agent (honest a)))),pair(Format(f1),pair(Nonce (NA),pair(Nonce (M),pair(Agent (A),Agent (B)))))),pair(Nonce (M),pair(Agent (A),pair(Agent (B),pair(scrypt(SymKey (sk(pair(Agent (A),Agent (honest a)))),pair(Format(f1),pair(Nonce (NA),pair(Nonce (M),pair(Agent (A),Agent (B)))))),scrypt(SymKey (sk(pair(Agent (B),Agent (honest a)))),pair(Format(f1),pair(Nonce (NB),pair(Nonce (M),pair(Agent (A),Agent (B)))))))))),SymKey (absKAB(pair(Agent (B),Agent (A)))),pair(Nonce (M),pair(scrypt(SymKey (sk(pair(Agent (A),Agent (honest a)))),pair(Format(f2),pair(Nonce (NA),SymKey (absKAB(pair(Agent (B),Agent (A))))))),scrypt(SymKey (sk(pair(Agent (B),Agent (honest a)))),pair(Format(f2),pair(Nonce (NB),SymKey (absKAB(pair(Agent (B),Agent (A))))))))),(SID sid)]);
iknows(pair(Nonce (M),pair(scrypt(SymKey (sk(pair(Agent (A),Agent (honest a)))),pair(Format(f2),pair(Nonce (NA),SymKey (absKAB(pair(Agent (B),Agent (A))))))),scrypt(SymKey (sk(pair(Agent (B),Agent (honest a)))),pair(Format(f2),pair(Nonce (NB),SymKey (absKAB(pair(Agent (B),Agent (A))))))))))

step rule_14:
State (rs,[Agent (honest a),Step 0,SymKey (sk(pair(Agent (B),Agent (honest a)))),SymKey (sk(pair(Agent (A),Agent (honest a)))),Agent (B),Agent (A),Format(f2),Format(f1),(SID sid)]);
iknows(Nonce (M));
iknows(Agent (A));
iknows(Agent (B));
iknows(SymKey (sk(pair(Agent (A),Agent (honest a)))));
iknows(Format(f1));
iknows(Nonce (NA));
iknows(SymKey (sk(pair(Agent (B),Agent (honest a)))));
iknows(Nonce (NB))

=>
witness(Agent (honest a),Agent (B),Purpose (pBsKAB),SymKey (absKAB(pair(Agent (B),Agent (A)))));
witness(Agent (honest a),Agent (A),Purpose (pAsKAB),SymKey (absKAB(pair(Agent (B),Agent (A)))));
secrets(SymKey (absKAB(pair(Agent (B),Agent (A)))),secrecyset(pair(Agent (honest a),pair((SID sid),Purpose (pKAB)))));
contains(secrecyset(pair(Agent (honest a),pair((SID sid),Purpose (pKAB)))),Agent (A));
contains(secrecyset(pair(Agent (honest a),pair((SID sid),Purpose (pKAB)))),Agent (B));
contains(secrecyset(pair(Agent (honest a),pair((SID sid),Purpose (pKAB)))),Agent (honest a));
State (rs,[Agent (honest a),Step 1,SymKey (sk(pair(Agent (B),Agent (honest a)))),SymKey (sk(pair(Agent (A),Agent (honest a)))),Agent (B),Agent (A),Format(f2),Format(f1),Nonce (M),Nonce (NB),scrypt(SymKey (sk(pair(Agent (B),Agent (honest a)))),pair(Format(f1),pair(Nonce (NB),pair(Nonce (M),pair(Agent (A),Agent (B)))))),Nonce (NA),scrypt(SymKey (sk(pair(Agent (A),Agent (honest a)))),pair(Format(f1),pair(Nonce (NA),pair(Nonce (M),pair(Agent (A),Agent (B)))))),pair(Nonce (M),pair(Agent (A),pair(Agent (B),pair(scrypt(SymKey (sk(pair(Agent (A),Agent (honest a)))),pair(Format(f1),pair(Nonce (NA),pair(Nonce (M),pair(Agent (A),Agent (B)))))),scrypt(SymKey (sk(pair(Agent (B),Agent (honest a)))),pair(Format(f1),pair(Nonce (NB),pair(Nonce (M),pair(Agent (A),Agent (B)))))))))),SymKey (absKAB(pair(Agent (B),Agent (A)))),pair(Nonce (M),pair(scrypt(SymKey (sk(pair(Agent (A),Agent (honest a)))),pair(Format(f2),pair(Nonce (NA),SymKey (absKAB(pair(Agent (B),Agent (A))))))),scrypt(SymKey (sk(pair(Agent (B),Agent (honest a)))),pair(Format(f2),pair(Nonce (NB),SymKey (absKAB(pair(Agent (B),Agent (A))))))))),(SID sid)]);
iknows(pair(Nonce (M),pair(scrypt(SymKey (sk(pair(Agent (A),Agent (honest a)))),pair(Format(f2),pair(Nonce (NA),SymKey (absKAB(pair(Agent (B),Agent (A))))))),scrypt(SymKey (sk(pair(Agent (B),Agent (honest a)))),pair(Format(f2),pair(Nonce (NB),SymKey (absKAB(pair(Agent (B),Agent (A))))))))))

step rule_15:
State (rB,[Agent (B),Step 1,SymKey (sk(pair(Agent (B),Agent (honest a)))),Agent (A),Format(f2),Format(f1),Nonce (M),Agent (dishonest i),pair(Nonce (M),pair(Agent (A),pair(Agent (B),Agent (dishonest i)))),Nonce (NB),pair(Nonce (M),pair(Agent (A),pair(Agent (B),pair(Agent (dishonest i),scrypt(SymKey (sk(pair(Agent (B),Agent (honest a)))),pair(Format(f1),pair(Nonce (NB),pair(Nonce (M),pair(Agent (A),Agent (B)))))))))),(SID sid)]);
iknows(Nonce (M));
iknows(Agent (dishonest i));
iknows(scrypt(SymKey (sk(pair(Agent (B),Agent (honest a)))),pair(Format(f2),pair(Nonce (NB),SymKey (KAB)))))

=>
request(Agent (B),Agent (honest a),Purpose (pBsKAB),SymKey (KAB),(SID sid));
secrets(SymKey (KAB),secrecyset(pair(Agent (B),pair((SID sid),Purpose (pKAB)))));
contains(secrecyset(pair(Agent (B),pair((SID sid),Purpose (pKAB)))),Agent (A));
contains(secrecyset(pair(Agent (B),pair((SID sid),Purpose (pKAB)))),Agent (B));
contains(secrecyset(pair(Agent (B),pair((SID sid),Purpose (pKAB)))),Agent (honest a));
State (rB,[Agent (B),Step 2,SymKey (sk(pair(Agent (B),Agent (honest a)))),Agent (A),Format(f2),Format(f1),Nonce (M),Agent (dishonest i),pair(Nonce (M),pair(Agent (A),pair(Agent (B),Agent (dishonest i)))),Nonce (NB),pair(Nonce (M),pair(Agent (A),pair(Agent (B),pair(Agent (dishonest i),scrypt(SymKey (sk(pair(Agent (B),Agent (honest a)))),pair(Format(f1),pair(Nonce (NB),pair(Nonce (M),pair(Agent (A),Agent (B)))))))))),scrypt(SymKey (sk(pair(Agent (B),Agent (honest a)))),pair(Format(f1),pair(Nonce (NB),pair(Nonce (M),pair(Agent (A),Agent (B)))))),SymKey (KAB),scrypt(SymKey (sk(pair(Agent (B),Agent (honest a)))),pair(Format(f2),pair(Nonce (NB),SymKey (KAB)))),Agent (dishonest i),pair(Nonce (M),pair(Agent (dishonest i),scrypt(SymKey (sk(pair(Agent (B),Agent (honest a)))),pair(Format(f2),pair(Nonce (NB),SymKey (KAB)))))),pair(Nonce (M),Agent (dishonest i)),(SID sid)]);
iknows(pair(Nonce (M),Agent (dishonest i)))

step rule_16:
State (rB,[Agent (B),Step 1,SymKey (sk(pair(Agent (B),Agent (honest a)))),Agent (A),Format(f2),Format(f1),Nonce (M),Agent (dishonest i),pair(Nonce (M),pair(Agent (A),pair(Agent (B),Agent (dishonest i)))),Nonce (NB),pair(Nonce (M),pair(Agent (A),pair(Agent (B),pair(Agent (dishonest i),scrypt(SymKey (sk(pair(Agent (B),Agent (honest a)))),pair(Format(f1),pair(Nonce (NB),pair(Nonce (M),pair(Agent (A),Agent (B)))))))))),(SID sid)]);
iknows(Nonce (M));
iknows(Agent (dishonest i));
iknows(SymKey (sk(pair(Agent (B),Agent (honest a)))));
iknows(Format(f2));
iknows(Nonce (NB));
iknows(SymKey (KAB))

=>
request(Agent (B),Agent (honest a),Purpose (pBsKAB),SymKey (KAB),(SID sid));
secrets(SymKey (KAB),secrecyset(pair(Agent (B),pair((SID sid),Purpose (pKAB)))));
contains(secrecyset(pair(Agent (B),pair((SID sid),Purpose (pKAB)))),Agent (A));
contains(secrecyset(pair(Agent (B),pair((SID sid),Purpose (pKAB)))),Agent (B));
contains(secrecyset(pair(Agent (B),pair((SID sid),Purpose (pKAB)))),Agent (honest a));
State (rB,[Agent (B),Step 2,SymKey (sk(pair(Agent (B),Agent (honest a)))),Agent (A),Format(f2),Format(f1),Nonce (M),Agent (dishonest i),pair(Nonce (M),pair(Agent (A),pair(Agent (B),Agent (dishonest i)))),Nonce (NB),pair(Nonce (M),pair(Agent (A),pair(Agent (B),pair(Agent (dishonest i),scrypt(SymKey (sk(pair(Agent (B),Agent (honest a)))),pair(Format(f1),pair(Nonce (NB),pair(Nonce (M),pair(Agent (A),Agent (B)))))))))),scrypt(SymKey (sk(pair(Agent (B),Agent (honest a)))),pair(Format(f1),pair(Nonce (NB),pair(Nonce (M),pair(Agent (A),Agent (B)))))),SymKey (KAB),scrypt(SymKey (sk(pair(Agent (B),Agent (honest a)))),pair(Format(f2),pair(Nonce (NB),SymKey (KAB)))),Agent (dishonest i),pair(Nonce (M),pair(Agent (dishonest i),scrypt(SymKey (sk(pair(Agent (B),Agent (honest a)))),pair(Format(f2),pair(Nonce (NB),SymKey (KAB)))))),pair(Nonce (M),Agent (dishonest i)),(SID sid)]);
iknows(pair(Nonce (M),Agent (dishonest i)))

step rule_17:
State (rA,[Agent (A),Step 1,SymKey (sk(pair(Agent (A),Agent (honest a)))),Agent (B),Format(f2),Format(f1),Nonce (M),Nonce (NA),pair(Nonce (M),pair(Agent (A),pair(Agent (B),scrypt(SymKey (sk(pair(Agent (A),Agent (honest a)))),pair(Format(f1),pair(Nonce (NA),pair(Nonce (M),pair(Agent (A),Agent (B))))))))),(SID sid)]);
iknows(Nonce (M));
iknows(scrypt(SymKey (sk(pair(Agent (A),Agent (honest a)))),pair(Format(f2),pair(Nonce (NA),SymKey (KAB)))))

=>
request(Agent (A),Agent (honest a),Purpose (pAsKAB),SymKey (KAB),(SID sid));
secrets(SymKey (KAB),secrecyset(pair(Agent (A),pair((SID sid),Purpose (pKAB)))));
contains(secrecyset(pair(Agent (A),pair((SID sid),Purpose (pKAB)))),Agent (A));
contains(secrecyset(pair(Agent (A),pair((SID sid),Purpose (pKAB)))),Agent (B));
contains(secrecyset(pair(Agent (A),pair((SID sid),Purpose (pKAB)))),Agent (honest a));
State (rA,[Agent (A),Step 2,SymKey (sk(pair(Agent (A),Agent (honest a)))),Agent (B),Format(f2),Format(f1),Nonce (M),Nonce (NA),pair(Nonce (M),pair(Agent (A),pair(Agent (B),scrypt(SymKey (sk(pair(Agent (A),Agent (honest a)))),pair(Format(f1),pair(Nonce (NA),pair(Nonce (M),pair(Agent (A),Agent (B))))))))),scrypt(SymKey (sk(pair(Agent (A),Agent (honest a)))),pair(Format(f1),pair(Nonce (NA),pair(Nonce (M),pair(Agent (A),Agent (B)))))),SymKey (KAB),scrypt(SymKey (sk(pair(Agent (A),Agent (honest a)))),pair(Format(f2),pair(Nonce (NA),SymKey (KAB)))),pair(Nonce (M),scrypt(SymKey (sk(pair(Agent (A),Agent (honest a)))),pair(Format(f2),pair(Nonce (NA),SymKey (KAB))))),(SID sid)])

step rule_18:
State (rA,[Agent (A),Step 1,SymKey (sk(pair(Agent (A),Agent (honest a)))),Agent (B),Format(f2),Format(f1),Nonce (M),Nonce (NA),pair(Nonce (M),pair(Agent (A),pair(Agent (B),scrypt(SymKey (sk(pair(Agent (A),Agent (honest a)))),pair(Format(f1),pair(Nonce (NA),pair(Nonce (M),pair(Agent (A),Agent (B))))))))),(SID sid)]);
iknows(Nonce (M));
iknows(SymKey (sk(pair(Agent (A),Agent (honest a)))));
iknows(Format(f2));
iknows(Nonce (NA));
iknows(SymKey (KAB))

=>
request(Agent (A),Agent (honest a),Purpose (pAsKAB),SymKey (KAB),(SID sid));
secrets(SymKey (KAB),secrecyset(pair(Agent (A),pair((SID sid),Purpose (pKAB)))));
contains(secrecyset(pair(Agent (A),pair((SID sid),Purpose (pKAB)))),Agent (A));
contains(secrecyset(pair(Agent (A),pair((SID sid),Purpose (pKAB)))),Agent (B));
contains(secrecyset(pair(Agent (A),pair((SID sid),Purpose (pKAB)))),Agent (honest a));
State (rA,[Agent (A),Step 2,SymKey (sk(pair(Agent (A),Agent (honest a)))),Agent (B),Format(f2),Format(f1),Nonce (M),Nonce (NA),pair(Nonce (M),pair(Agent (A),pair(Agent (B),scrypt(SymKey (sk(pair(Agent (A),Agent (honest a)))),pair(Format(f1),pair(Nonce (NA),pair(Nonce (M),pair(Agent (A),Agent (B))))))))),scrypt(SymKey (sk(pair(Agent (A),Agent (honest a)))),pair(Format(f1),pair(Nonce (NA),pair(Nonce (M),pair(Agent (A),Agent (B)))))),SymKey (KAB),scrypt(SymKey (sk(pair(Agent (A),Agent (honest a)))),pair(Format(f2),pair(Nonce (NA),SymKey (KAB)))),pair(Nonce (M),scrypt(SymKey (sk(pair(Agent (A),Agent (honest a)))),pair(Format(f2),pair(Nonce (NA),SymKey (KAB))))),(SID sid)])


section initial state:
init_0: iknows(Nonce (ni));
init_1: iknows(Agent (dishonest i));
init_2: State (rA,[Agent (honest a),Step 0,SymKey (sk(pair(Agent (honest a),Agent (honest a)))),Agent (dishonest i),Format(f2),Format(f1),(SID sid)]);
init_3: State (rA,[Agent (honest a),Step 0,SymKey (sk(pair(Agent (honest a),Agent (honest a)))),Agent (honest a),Format(f2),Format(f1),(SID sid)]);
init_4: iknows(Step 0);
init_5: iknows(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))));
init_6: iknows(Format(f2));
init_7: iknows(Format(f1));
init_8: iknows((SID sid));
init_9: iknows(Agent (honest a));
init_10: State (rB,[Agent (honest a),Step 0,SymKey (sk(pair(Agent (honest a),Agent (honest a)))),Agent (dishonest i),Format(f2),Format(f1),(SID sid)]);
init_11: State (rB,[Agent (honest a),Step 0,SymKey (sk(pair(Agent (honest a),Agent (honest a)))),Agent (honest a),Format(f2),Format(f1),(SID sid)]);
init_12: State (rs,[Agent (honest a),Step 0,SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),Agent (dishonest i),Agent (dishonest i),Format(f2),Format(f1),(SID sid)]);
init_13: State (rs,[Agent (honest a),Step 0,SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),SymKey (sk(pair(Agent (honest a),Agent (honest a)))),Agent (dishonest i),Agent (honest a),Format(f2),Format(f1),(SID sid)]);
init_14: State (rs,[Agent (honest a),Step 0,SymKey (sk(pair(Agent (honest a),Agent (honest a)))),SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),Agent (honest a),Agent (dishonest i),Format(f2),Format(f1),(SID sid)]);
init_15: State (rs,[Agent (honest a),Step 0,SymKey (sk(pair(Agent (honest a),Agent (honest a)))),SymKey (sk(pair(Agent (honest a),Agent (honest a)))),Agent (honest a),Agent (honest a),Format(f2),Format(f1),(SID sid)]);

section fixedpoint:
fp_0: iknows(pair(scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Format(f2),pair(Nonce (ni),SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i))))))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Format(f2),pair(Nonce (ni),SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))))))));
fp_1: iknows(pair(Nonce (ni),pair(scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Format(f2),pair(Nonce (ni),SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i))))))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Format(f2),pair(Nonce (ni),SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i))))))))));
fp_2: iknows(pair(Agent (dishonest i),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Format(f1),pair(Nonce (absNB(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (ni),pair(Agent (honest a),Agent (honest a))))))));
fp_3: iknows(pair(Agent (honest a),pair(Agent (dishonest i),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Format(f1),pair(Nonce (absNB(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (ni),pair(Agent (honest a),Agent (honest a)))))))));
fp_4: iknows(pair(Agent (honest a),pair(Agent (honest a),pair(Agent (dishonest i),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Format(f1),pair(Nonce (absNB(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (ni),pair(Agent (honest a),Agent (honest a))))))))));
fp_5: iknows(pair(Nonce (ni),pair(Agent (honest a),pair(Agent (honest a),pair(Agent (dishonest i),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Format(f1),pair(Nonce (absNB(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (ni),pair(Agent (honest a),Agent (honest a)))))))))));
fp_6: iknows(pair(Agent (dishonest i),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Format(f1),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (ni),pair(Agent (dishonest i),Agent (honest a))))))));
fp_7: iknows(pair(Agent (honest a),pair(Agent (dishonest i),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Format(f1),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (ni),pair(Agent (dishonest i),Agent (honest a)))))))));
fp_8: iknows(pair(Agent (dishonest i),pair(Agent (honest a),pair(Agent (dishonest i),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Format(f1),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (ni),pair(Agent (dishonest i),Agent (honest a))))))))));
fp_9: iknows(pair(Nonce (ni),pair(Agent (dishonest i),pair(Agent (honest a),pair(Agent (dishonest i),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Format(f1),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (ni),pair(Agent (dishonest i),Agent (honest a)))))))))));
fp_10: iknows(pair(Agent (honest a),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Format(f1),pair(Nonce (absNA(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absM(pair(Agent (honest a),Agent (honest a)))),pair(Agent (honest a),Agent (honest a))))))));
fp_11: iknows(pair(Agent (honest a),pair(Agent (honest a),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Format(f1),pair(Nonce (absNA(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absM(pair(Agent (honest a),Agent (honest a)))),pair(Agent (honest a),Agent (honest a)))))))));
fp_12: iknows(pair(Nonce (absM(pair(Agent (honest a),Agent (honest a)))),pair(Agent (honest a),pair(Agent (honest a),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Format(f1),pair(Nonce (absNA(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absM(pair(Agent (honest a),Agent (honest a)))),pair(Agent (honest a),Agent (honest a))))))))));
fp_13: iknows(pair(Agent (dishonest i),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Format(f1),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (absM(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (honest a),Agent (dishonest i))))))));
fp_14: iknows(pair(Agent (honest a),pair(Agent (dishonest i),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Format(f1),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (absM(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (honest a),Agent (dishonest i)))))))));
fp_15: iknows(pair(Nonce (absM(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (honest a),pair(Agent (dishonest i),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Format(f1),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (absM(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (honest a),Agent (dishonest i))))))))));
fp_16: State (rA,[Agent (honest a),Step 1,SymKey (sk(pair(Agent (honest a),Agent (honest a)))),Agent (dishonest i),Format(f2),Format(f1),Nonce (absM(pair(Agent (honest a),Agent (dishonest i)))),Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (absM(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (honest a),pair(Agent (dishonest i),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Format(f1),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (absM(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (honest a),Agent (dishonest i))))))))),(SID sid)]);
fp_17: State (rA,[Agent (honest a),Step 1,SymKey (sk(pair(Agent (honest a),Agent (honest a)))),Agent (honest a),Format(f2),Format(f1),Nonce (absM(pair(Agent (honest a),Agent (honest a)))),Nonce (absNA(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absM(pair(Agent (honest a),Agent (honest a)))),pair(Agent (honest a),pair(Agent (honest a),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Format(f1),pair(Nonce (absNA(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absM(pair(Agent (honest a),Agent (honest a)))),pair(Agent (honest a),Agent (honest a))))))))),(SID sid)]);
fp_18: State (rB,[Agent (honest a),Step 1,SymKey (sk(pair(Agent (honest a),Agent (honest a)))),Agent (dishonest i),Format(f2),Format(f1),Nonce (ni),Agent (dishonest i),pair(Nonce (ni),pair(Agent (dishonest i),pair(Agent (honest a),Agent (dishonest i)))),Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (ni),pair(Agent (dishonest i),pair(Agent (honest a),pair(Agent (dishonest i),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Format(f1),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (ni),pair(Agent (dishonest i),Agent (honest a)))))))))),(SID sid)]);
fp_19: State (rB,[Agent (honest a),Step 1,SymKey (sk(pair(Agent (honest a),Agent (honest a)))),Agent (honest a),Format(f2),Format(f1),Nonce (ni),Agent (dishonest i),pair(Nonce (ni),pair(Agent (honest a),pair(Agent (honest a),Agent (dishonest i)))),Nonce (absNB(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (ni),pair(Agent (honest a),pair(Agent (honest a),pair(Agent (dishonest i),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Format(f1),pair(Nonce (absNB(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (ni),pair(Agent (honest a),Agent (honest a)))))))))),(SID sid)]);
fp_20: witness(Agent (honest a),Agent (dishonest i),Purpose (pBsKAB),SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))));
fp_21: witness(Agent (honest a),Agent (dishonest i),Purpose (pAsKAB),SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))));
fp_22: secrets(SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))),secrecyset(pair(Agent (honest a),pair((SID sid),Purpose (pKAB)))));
fp_23: contains(secrecyset(pair(Agent (honest a),pair((SID sid),Purpose (pKAB)))),Agent (dishonest i));
fp_24: contains(secrecyset(pair(Agent (honest a),pair((SID sid),Purpose (pKAB)))),Agent (honest a));
fp_25: State (rs,[Agent (honest a),Step 1,SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),Agent (dishonest i),Agent (dishonest i),Format(f2),Format(f1),Nonce (ni),Nonce (ni),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Format(f1),pair(Nonce (ni),pair(Nonce (ni),pair(Agent (dishonest i),Agent (dishonest i)))))),Nonce (ni),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Format(f1),pair(Nonce (ni),pair(Nonce (ni),pair(Agent (dishonest i),Agent (dishonest i)))))),pair(Nonce (ni),pair(Agent (dishonest i),pair(Agent (dishonest i),pair(scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Format(f1),pair(Nonce (ni),pair(Nonce (ni),pair(Agent (dishonest i),Agent (dishonest i)))))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Format(f1),pair(Nonce (ni),pair(Nonce (ni),pair(Agent (dishonest i),Agent (dishonest i)))))))))),SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))),pair(Nonce (ni),pair(scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Format(f2),pair(Nonce (ni),SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i))))))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Format(f2),pair(Nonce (ni),SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i))))))))),(SID sid)]);
fp_26: iknows(scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Format(f2),pair(Nonce (ni),SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i))))))));
fp_27: iknows(scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Format(f1),pair(Nonce (absNB(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (ni),pair(Agent (honest a),Agent (honest a)))))));
fp_28: iknows(scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Format(f1),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (ni),pair(Agent (dishonest i),Agent (honest a)))))));
fp_29: iknows(scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Format(f1),pair(Nonce (absNA(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absM(pair(Agent (honest a),Agent (honest a)))),pair(Agent (honest a),Agent (honest a)))))));
fp_30: iknows(Nonce (absM(pair(Agent (honest a),Agent (honest a)))));
fp_31: iknows(scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Format(f1),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (absM(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (honest a),Agent (dishonest i)))))));
fp_32: iknows(Nonce (absM(pair(Agent (honest a),Agent (dishonest i)))));
fp_33: iknows(pair(scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Format(f2),pair(Nonce (ni),SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i))))))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Format(f2),pair(Nonce (ni),SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))))))));
fp_34: iknows(pair(Nonce (ni),pair(scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Format(f2),pair(Nonce (ni),SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i))))))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Format(f2),pair(Nonce (ni),SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i))))))))));
fp_35: iknows(pair(scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Format(f2),pair(Nonce (ni),SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i))))))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Format(f2),pair(Nonce (absM(pair(Agent (honest a),Agent (dishonest i)))),SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))))))));
fp_36: iknows(pair(Nonce (ni),pair(scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Format(f2),pair(Nonce (ni),SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i))))))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Format(f2),pair(Nonce (absM(pair(Agent (honest a),Agent (dishonest i)))),SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i))))))))));
fp_37: iknows(pair(scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Format(f2),pair(Nonce (ni),SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i))))))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Format(f2),pair(Nonce (absM(pair(Agent (honest a),Agent (honest a)))),SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))))))));
fp_38: iknows(pair(Nonce (ni),pair(scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Format(f2),pair(Nonce (ni),SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i))))))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Format(f2),pair(Nonce (absM(pair(Agent (honest a),Agent (honest a)))),SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i))))))))));
fp_39: iknows(pair(scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Format(f2),pair(Nonce (absM(pair(Agent (honest a),Agent (dishonest i)))),SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i))))))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Format(f2),pair(Nonce (ni),SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))))))));
fp_40: iknows(pair(Nonce (ni),pair(scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Format(f2),pair(Nonce (absM(pair(Agent (honest a),Agent (dishonest i)))),SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i))))))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Format(f2),pair(Nonce (ni),SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i))))))))));
fp_41: iknows(pair(scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Format(f2),pair(Nonce (absM(pair(Agent (honest a),Agent (dishonest i)))),SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i))))))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Format(f2),pair(Nonce (absM(pair(Agent (honest a),Agent (dishonest i)))),SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))))))));
fp_42: iknows(pair(Nonce (ni),pair(scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Format(f2),pair(Nonce (absM(pair(Agent (honest a),Agent (dishonest i)))),SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i))))))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Format(f2),pair(Nonce (absM(pair(Agent (honest a),Agent (dishonest i)))),SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i))))))))));
fp_43: iknows(pair(scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Format(f2),pair(Nonce (absM(pair(Agent (honest a),Agent (dishonest i)))),SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i))))))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Format(f2),pair(Nonce (absM(pair(Agent (honest a),Agent (honest a)))),SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))))))));
fp_44: iknows(pair(Nonce (ni),pair(scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Format(f2),pair(Nonce (absM(pair(Agent (honest a),Agent (dishonest i)))),SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i))))))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Format(f2),pair(Nonce (absM(pair(Agent (honest a),Agent (honest a)))),SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i))))))))));
fp_45: iknows(pair(scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Format(f2),pair(Nonce (absM(pair(Agent (honest a),Agent (honest a)))),SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i))))))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Format(f2),pair(Nonce (ni),SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))))))));
fp_46: iknows(pair(Nonce (ni),pair(scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Format(f2),pair(Nonce (absM(pair(Agent (honest a),Agent (honest a)))),SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i))))))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Format(f2),pair(Nonce (ni),SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i))))))))));
fp_47: iknows(pair(scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Format(f2),pair(Nonce (absM(pair(Agent (honest a),Agent (honest a)))),SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i))))))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Format(f2),pair(Nonce (absM(pair(Agent (honest a),Agent (dishonest i)))),SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))))))));
fp_48: iknows(pair(Nonce (ni),pair(scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Format(f2),pair(Nonce (absM(pair(Agent (honest a),Agent (honest a)))),SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i))))))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Format(f2),pair(Nonce (absM(pair(Agent (honest a),Agent (dishonest i)))),SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i))))))))));
fp_49: iknows(pair(scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Format(f2),pair(Nonce (absM(pair(Agent (honest a),Agent (honest a)))),SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i))))))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Format(f2),pair(Nonce (absM(pair(Agent (honest a),Agent (honest a)))),SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))))))));
fp_50: iknows(pair(Nonce (ni),pair(scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Format(f2),pair(Nonce (absM(pair(Agent (honest a),Agent (honest a)))),SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i))))))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Format(f2),pair(Nonce (absM(pair(Agent (honest a),Agent (honest a)))),SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i))))))))));
fp_51: iknows(pair(Nonce (absM(pair(Agent (honest a),Agent (dishonest i)))),pair(scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Format(f2),pair(Nonce (ni),SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i))))))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Format(f2),pair(Nonce (ni),SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i))))))))));
fp_52: iknows(pair(Nonce (absM(pair(Agent (honest a),Agent (dishonest i)))),pair(scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Format(f2),pair(Nonce (ni),SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i))))))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Format(f2),pair(Nonce (absM(pair(Agent (honest a),Agent (dishonest i)))),SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i))))))))));
fp_53: iknows(pair(Nonce (absM(pair(Agent (honest a),Agent (dishonest i)))),pair(scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Format(f2),pair(Nonce (ni),SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i))))))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Format(f2),pair(Nonce (absM(pair(Agent (honest a),Agent (honest a)))),SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i))))))))));
fp_54: iknows(pair(Nonce (absM(pair(Agent (honest a),Agent (dishonest i)))),pair(scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Format(f2),pair(Nonce (absM(pair(Agent (honest a),Agent (dishonest i)))),SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i))))))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Format(f2),pair(Nonce (ni),SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i))))))))));
fp_55: iknows(pair(Nonce (absM(pair(Agent (honest a),Agent (dishonest i)))),pair(scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Format(f2),pair(Nonce (absM(pair(Agent (honest a),Agent (dishonest i)))),SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i))))))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Format(f2),pair(Nonce (absM(pair(Agent (honest a),Agent (dishonest i)))),SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i))))))))));
fp_56: iknows(pair(Nonce (absM(pair(Agent (honest a),Agent (dishonest i)))),pair(scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Format(f2),pair(Nonce (absM(pair(Agent (honest a),Agent (dishonest i)))),SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i))))))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Format(f2),pair(Nonce (absM(pair(Agent (honest a),Agent (honest a)))),SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i))))))))));
fp_57: iknows(pair(Nonce (absM(pair(Agent (honest a),Agent (dishonest i)))),pair(scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Format(f2),pair(Nonce (absM(pair(Agent (honest a),Agent (honest a)))),SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i))))))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Format(f2),pair(Nonce (ni),SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i))))))))));
fp_58: iknows(pair(Nonce (absM(pair(Agent (honest a),Agent (dishonest i)))),pair(scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Format(f2),pair(Nonce (absM(pair(Agent (honest a),Agent (honest a)))),SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i))))))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Format(f2),pair(Nonce (absM(pair(Agent (honest a),Agent (dishonest i)))),SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i))))))))));
fp_59: iknows(pair(Nonce (absM(pair(Agent (honest a),Agent (dishonest i)))),pair(scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Format(f2),pair(Nonce (absM(pair(Agent (honest a),Agent (honest a)))),SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i))))))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Format(f2),pair(Nonce (absM(pair(Agent (honest a),Agent (honest a)))),SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i))))))))));
fp_60: iknows(pair(Nonce (absM(pair(Agent (honest a),Agent (honest a)))),pair(scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Format(f2),pair(Nonce (ni),SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i))))))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Format(f2),pair(Nonce (ni),SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i))))))))));
fp_61: iknows(pair(Nonce (absM(pair(Agent (honest a),Agent (honest a)))),pair(scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Format(f2),pair(Nonce (ni),SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i))))))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Format(f2),pair(Nonce (absM(pair(Agent (honest a),Agent (dishonest i)))),SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i))))))))));
fp_62: iknows(pair(Nonce (absM(pair(Agent (honest a),Agent (honest a)))),pair(scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Format(f2),pair(Nonce (ni),SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i))))))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Format(f2),pair(Nonce (absM(pair(Agent (honest a),Agent (honest a)))),SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i))))))))));
fp_63: iknows(pair(Nonce (absM(pair(Agent (honest a),Agent (honest a)))),pair(scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Format(f2),pair(Nonce (absM(pair(Agent (honest a),Agent (dishonest i)))),SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i))))))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Format(f2),pair(Nonce (ni),SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i))))))))));
fp_64: iknows(pair(Nonce (absM(pair(Agent (honest a),Agent (honest a)))),pair(scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Format(f2),pair(Nonce (absM(pair(Agent (honest a),Agent (dishonest i)))),SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i))))))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Format(f2),pair(Nonce (absM(pair(Agent (honest a),Agent (dishonest i)))),SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i))))))))));
fp_65: iknows(pair(Nonce (absM(pair(Agent (honest a),Agent (honest a)))),pair(scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Format(f2),pair(Nonce (absM(pair(Agent (honest a),Agent (dishonest i)))),SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i))))))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Format(f2),pair(Nonce (absM(pair(Agent (honest a),Agent (honest a)))),SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i))))))))));
fp_66: iknows(pair(Nonce (absM(pair(Agent (honest a),Agent (honest a)))),pair(scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Format(f2),pair(Nonce (absM(pair(Agent (honest a),Agent (honest a)))),SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i))))))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Format(f2),pair(Nonce (ni),SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i))))))))));
fp_67: iknows(pair(Nonce (absM(pair(Agent (honest a),Agent (honest a)))),pair(scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Format(f2),pair(Nonce (absM(pair(Agent (honest a),Agent (honest a)))),SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i))))))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Format(f2),pair(Nonce (absM(pair(Agent (honest a),Agent (dishonest i)))),SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i))))))))));
fp_68: iknows(pair(Nonce (absM(pair(Agent (honest a),Agent (honest a)))),pair(scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Format(f2),pair(Nonce (absM(pair(Agent (honest a),Agent (honest a)))),SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i))))))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Format(f2),pair(Nonce (absM(pair(Agent (honest a),Agent (honest a)))),SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i))))))))));
fp_69: iknows(pair(scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Format(f2),pair(Nonce (ni),SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i))))))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Format(f2),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))))))));
fp_70: iknows(pair(Nonce (ni),pair(scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Format(f2),pair(Nonce (ni),SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i))))))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Format(f2),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i))))))))));
fp_71: iknows(pair(scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Format(f2),pair(Nonce (absM(pair(Agent (honest a),Agent (dishonest i)))),SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i))))))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Format(f2),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))))))));
fp_72: iknows(pair(Nonce (ni),pair(scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Format(f2),pair(Nonce (absM(pair(Agent (honest a),Agent (dishonest i)))),SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i))))))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Format(f2),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i))))))))));
fp_73: iknows(pair(scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Format(f2),pair(Nonce (absM(pair(Agent (honest a),Agent (honest a)))),SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i))))))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Format(f2),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))))))));
fp_74: iknows(pair(Nonce (ni),pair(scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Format(f2),pair(Nonce (absM(pair(Agent (honest a),Agent (honest a)))),SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i))))))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Format(f2),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i))))))))));
fp_75: iknows(pair(scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Format(f2),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),SymKey (absKAB(pair(Agent (dishonest i),Agent (honest a))))))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Format(f2),pair(Nonce (ni),SymKey (absKAB(pair(Agent (dishonest i),Agent (honest a)))))))));
fp_76: iknows(pair(Nonce (absM(pair(Agent (honest a),Agent (dishonest i)))),pair(scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Format(f2),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),SymKey (absKAB(pair(Agent (dishonest i),Agent (honest a))))))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Format(f2),pair(Nonce (ni),SymKey (absKAB(pair(Agent (dishonest i),Agent (honest a))))))))));
fp_77: iknows(pair(scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Format(f2),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),SymKey (absKAB(pair(Agent (dishonest i),Agent (honest a))))))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Format(f2),pair(Nonce (absM(pair(Agent (honest a),Agent (dishonest i)))),SymKey (absKAB(pair(Agent (dishonest i),Agent (honest a)))))))));
fp_78: iknows(pair(Nonce (absM(pair(Agent (honest a),Agent (dishonest i)))),pair(scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Format(f2),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),SymKey (absKAB(pair(Agent (dishonest i),Agent (honest a))))))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Format(f2),pair(Nonce (absM(pair(Agent (honest a),Agent (dishonest i)))),SymKey (absKAB(pair(Agent (dishonest i),Agent (honest a))))))))));
fp_79: iknows(pair(scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Format(f2),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),SymKey (absKAB(pair(Agent (dishonest i),Agent (honest a))))))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Format(f2),pair(Nonce (absM(pair(Agent (honest a),Agent (honest a)))),SymKey (absKAB(pair(Agent (dishonest i),Agent (honest a)))))))));
fp_80: iknows(pair(Nonce (absM(pair(Agent (honest a),Agent (dishonest i)))),pair(scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Format(f2),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),SymKey (absKAB(pair(Agent (dishonest i),Agent (honest a))))))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Format(f2),pair(Nonce (absM(pair(Agent (honest a),Agent (honest a)))),SymKey (absKAB(pair(Agent (dishonest i),Agent (honest a))))))))));
fp_81: iknows(pair(scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Format(f2),pair(Nonce (absNB(pair(Agent (honest a),Agent (honest a)))),SymKey (absKAB(pair(Agent (honest a),Agent (honest a))))))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Format(f2),pair(Nonce (absNB(pair(Agent (honest a),Agent (honest a)))),SymKey (absKAB(pair(Agent (honest a),Agent (honest a)))))))));
fp_82: iknows(pair(Nonce (ni),pair(scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Format(f2),pair(Nonce (absNB(pair(Agent (honest a),Agent (honest a)))),SymKey (absKAB(pair(Agent (honest a),Agent (honest a))))))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Format(f2),pair(Nonce (absNB(pair(Agent (honest a),Agent (honest a)))),SymKey (absKAB(pair(Agent (honest a),Agent (honest a))))))))));
fp_83: iknows(pair(scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Format(f2),pair(Nonce (absNA(pair(Agent (honest a),Agent (honest a)))),SymKey (absKAB(pair(Agent (honest a),Agent (honest a))))))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Format(f2),pair(Nonce (absNA(pair(Agent (honest a),Agent (honest a)))),SymKey (absKAB(pair(Agent (honest a),Agent (honest a)))))))));
fp_84: iknows(pair(Nonce (absM(pair(Agent (honest a),Agent (honest a)))),pair(scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Format(f2),pair(Nonce (absNA(pair(Agent (honest a),Agent (honest a)))),SymKey (absKAB(pair(Agent (honest a),Agent (honest a))))))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Format(f2),pair(Nonce (absNA(pair(Agent (honest a),Agent (honest a)))),SymKey (absKAB(pair(Agent (honest a),Agent (honest a))))))))));
fp_85: iknows(pair(Agent (dishonest i),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Format(f1),pair(Nonce (absNB(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (ni),pair(Agent (honest a),Agent (honest a))))))));
fp_86: iknows(pair(Agent (honest a),pair(Agent (dishonest i),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Format(f1),pair(Nonce (absNB(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (ni),pair(Agent (honest a),Agent (honest a)))))))));
fp_87: iknows(pair(Agent (honest a),pair(Agent (honest a),pair(Agent (dishonest i),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Format(f1),pair(Nonce (absNB(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (ni),pair(Agent (honest a),Agent (honest a))))))))));
fp_88: iknows(pair(Nonce (ni),pair(Agent (honest a),pair(Agent (honest a),pair(Agent (dishonest i),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Format(f1),pair(Nonce (absNB(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (ni),pair(Agent (honest a),Agent (honest a)))))))))));
fp_89: iknows(pair(Agent (dishonest i),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Format(f1),pair(Nonce (absNB(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absM(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (honest a),Agent (honest a))))))));
fp_90: iknows(pair(Agent (honest a),pair(Agent (dishonest i),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Format(f1),pair(Nonce (absNB(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absM(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (honest a),Agent (honest a)))))))));
fp_91: iknows(pair(Agent (honest a),pair(Agent (honest a),pair(Agent (dishonest i),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Format(f1),pair(Nonce (absNB(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absM(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (honest a),Agent (honest a))))))))));
fp_92: iknows(pair(Nonce (absM(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (honest a),pair(Agent (honest a),pair(Agent (dishonest i),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Format(f1),pair(Nonce (absNB(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absM(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (honest a),Agent (honest a)))))))))));
fp_93: iknows(pair(Agent (dishonest i),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Format(f1),pair(Nonce (absNB(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absM(pair(Agent (honest a),Agent (honest a)))),pair(Agent (honest a),Agent (honest a))))))));
fp_94: iknows(pair(Agent (honest a),pair(Agent (dishonest i),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Format(f1),pair(Nonce (absNB(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absM(pair(Agent (honest a),Agent (honest a)))),pair(Agent (honest a),Agent (honest a)))))))));
fp_95: iknows(pair(Agent (honest a),pair(Agent (honest a),pair(Agent (dishonest i),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Format(f1),pair(Nonce (absNB(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absM(pair(Agent (honest a),Agent (honest a)))),pair(Agent (honest a),Agent (honest a))))))))));
fp_96: iknows(pair(Nonce (absM(pair(Agent (honest a),Agent (honest a)))),pair(Agent (honest a),pair(Agent (honest a),pair(Agent (dishonest i),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Format(f1),pair(Nonce (absNB(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absM(pair(Agent (honest a),Agent (honest a)))),pair(Agent (honest a),Agent (honest a)))))))))));
fp_97: iknows(pair(Agent (dishonest i),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Format(f1),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (ni),pair(Agent (dishonest i),Agent (honest a))))))));
fp_98: iknows(pair(Agent (honest a),pair(Agent (dishonest i),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Format(f1),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (ni),pair(Agent (dishonest i),Agent (honest a)))))))));
fp_99: iknows(pair(Agent (dishonest i),pair(Agent (honest a),pair(Agent (dishonest i),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Format(f1),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (ni),pair(Agent (dishonest i),Agent (honest a))))))))));
fp_100: iknows(pair(Nonce (ni),pair(Agent (dishonest i),pair(Agent (honest a),pair(Agent (dishonest i),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Format(f1),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (ni),pair(Agent (dishonest i),Agent (honest a)))))))))));
fp_101: iknows(pair(Agent (dishonest i),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Format(f1),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (absM(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),Agent (honest a))))))));
fp_102: iknows(pair(Agent (honest a),pair(Agent (dishonest i),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Format(f1),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (absM(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),Agent (honest a)))))))));
fp_103: iknows(pair(Agent (dishonest i),pair(Agent (honest a),pair(Agent (dishonest i),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Format(f1),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (absM(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),Agent (honest a))))))))));
fp_104: iknows(pair(Nonce (absM(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),pair(Agent (honest a),pair(Agent (dishonest i),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Format(f1),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (absM(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),Agent (honest a)))))))))));
fp_105: iknows(pair(Agent (dishonest i),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Format(f1),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (absM(pair(Agent (honest a),Agent (honest a)))),pair(Agent (dishonest i),Agent (honest a))))))));
fp_106: iknows(pair(Agent (honest a),pair(Agent (dishonest i),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Format(f1),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (absM(pair(Agent (honest a),Agent (honest a)))),pair(Agent (dishonest i),Agent (honest a)))))))));
fp_107: iknows(pair(Agent (dishonest i),pair(Agent (honest a),pair(Agent (dishonest i),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Format(f1),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (absM(pair(Agent (honest a),Agent (honest a)))),pair(Agent (dishonest i),Agent (honest a))))))))));
fp_108: iknows(pair(Nonce (absM(pair(Agent (honest a),Agent (honest a)))),pair(Agent (dishonest i),pair(Agent (honest a),pair(Agent (dishonest i),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Format(f1),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (absM(pair(Agent (honest a),Agent (honest a)))),pair(Agent (dishonest i),Agent (honest a)))))))))));
fp_109: iknows(pair(Agent (honest a),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Format(f1),pair(Nonce (absNA(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absM(pair(Agent (honest a),Agent (honest a)))),pair(Agent (honest a),Agent (honest a))))))));
fp_110: iknows(pair(Agent (honest a),pair(Agent (honest a),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Format(f1),pair(Nonce (absNA(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absM(pair(Agent (honest a),Agent (honest a)))),pair(Agent (honest a),Agent (honest a)))))))));
fp_111: iknows(pair(Nonce (absM(pair(Agent (honest a),Agent (honest a)))),pair(Agent (honest a),pair(Agent (honest a),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Format(f1),pair(Nonce (absNA(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absM(pair(Agent (honest a),Agent (honest a)))),pair(Agent (honest a),Agent (honest a))))))))));
fp_112: iknows(pair(Agent (dishonest i),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Format(f1),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (absM(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (honest a),Agent (dishonest i))))))));
fp_113: iknows(pair(Agent (honest a),pair(Agent (dishonest i),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Format(f1),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (absM(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (honest a),Agent (dishonest i)))))))));
fp_114: iknows(pair(Nonce (absM(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (honest a),pair(Agent (dishonest i),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Format(f1),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (absM(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (honest a),Agent (dishonest i))))))))));
fp_115: iknows(pair(Format(f2),pair(Nonce (ni),SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))))));
fp_116: State (rB,[Agent (honest a),Step 1,SymKey (sk(pair(Agent (honest a),Agent (honest a)))),Agent (dishonest i),Format(f2),Format(f1),Nonce (absM(pair(Agent (honest a),Agent (honest a)))),Agent (dishonest i),pair(Nonce (absM(pair(Agent (honest a),Agent (honest a)))),pair(Agent (dishonest i),pair(Agent (honest a),Agent (dishonest i)))),Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (absM(pair(Agent (honest a),Agent (honest a)))),pair(Agent (dishonest i),pair(Agent (honest a),pair(Agent (dishonest i),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Format(f1),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (absM(pair(Agent (honest a),Agent (honest a)))),pair(Agent (dishonest i),Agent (honest a)))))))))),(SID sid)]);
fp_117: State (rB,[Agent (honest a),Step 1,SymKey (sk(pair(Agent (honest a),Agent (honest a)))),Agent (dishonest i),Format(f2),Format(f1),Nonce (absM(pair(Agent (honest a),Agent (dishonest i)))),Agent (dishonest i),pair(Nonce (absM(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),pair(Agent (honest a),Agent (dishonest i)))),Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (absM(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),pair(Agent (honest a),pair(Agent (dishonest i),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Format(f1),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (absM(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),Agent (honest a)))))))))),(SID sid)]);
fp_118: State (rB,[Agent (honest a),Step 1,SymKey (sk(pair(Agent (honest a),Agent (honest a)))),Agent (honest a),Format(f2),Format(f1),Nonce (absM(pair(Agent (honest a),Agent (honest a)))),Agent (dishonest i),pair(Nonce (absM(pair(Agent (honest a),Agent (honest a)))),pair(Agent (honest a),pair(Agent (honest a),Agent (dishonest i)))),Nonce (absNB(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absM(pair(Agent (honest a),Agent (honest a)))),pair(Agent (honest a),pair(Agent (honest a),pair(Agent (dishonest i),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Format(f1),pair(Nonce (absNB(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absM(pair(Agent (honest a),Agent (honest a)))),pair(Agent (honest a),Agent (honest a)))))))))),(SID sid)]);
fp_119: State (rB,[Agent (honest a),Step 1,SymKey (sk(pair(Agent (honest a),Agent (honest a)))),Agent (honest a),Format(f2),Format(f1),Nonce (absM(pair(Agent (honest a),Agent (dishonest i)))),Agent (dishonest i),pair(Nonce (absM(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (honest a),pair(Agent (honest a),Agent (dishonest i)))),Nonce (absNB(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absM(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (honest a),pair(Agent (honest a),pair(Agent (dishonest i),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Format(f1),pair(Nonce (absNB(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absM(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (honest a),Agent (honest a)))))))))),(SID sid)]);
fp_120: witness(Agent (honest a),Agent (honest a),Purpose (pBsKAB),SymKey (absKAB(pair(Agent (honest a),Agent (honest a)))));
fp_121: witness(Agent (honest a),Agent (honest a),Purpose (pAsKAB),SymKey (absKAB(pair(Agent (honest a),Agent (honest a)))));
fp_122: secrets(SymKey (absKAB(pair(Agent (honest a),Agent (honest a)))),secrecyset(pair(Agent (honest a),pair((SID sid),Purpose (pKAB)))));
fp_123: State (rs,[Agent (honest a),Step 1,SymKey (sk(pair(Agent (honest a),Agent (honest a)))),SymKey (sk(pair(Agent (honest a),Agent (honest a)))),Agent (honest a),Agent (honest a),Format(f2),Format(f1),Nonce (absM(pair(Agent (honest a),Agent (honest a)))),Nonce (absNA(pair(Agent (honest a),Agent (honest a)))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Format(f1),pair(Nonce (absNA(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absM(pair(Agent (honest a),Agent (honest a)))),pair(Agent (honest a),Agent (honest a)))))),Nonce (absNA(pair(Agent (honest a),Agent (honest a)))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Format(f1),pair(Nonce (absNA(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absM(pair(Agent (honest a),Agent (honest a)))),pair(Agent (honest a),Agent (honest a)))))),pair(Nonce (absM(pair(Agent (honest a),Agent (honest a)))),pair(Agent (honest a),pair(Agent (honest a),pair(scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Format(f1),pair(Nonce (absNA(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absM(pair(Agent (honest a),Agent (honest a)))),pair(Agent (honest a),Agent (honest a)))))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Format(f1),pair(Nonce (absNA(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absM(pair(Agent (honest a),Agent (honest a)))),pair(Agent (honest a),Agent (honest a)))))))))),SymKey (absKAB(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absM(pair(Agent (honest a),Agent (honest a)))),pair(scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Format(f2),pair(Nonce (absNA(pair(Agent (honest a),Agent (honest a)))),SymKey (absKAB(pair(Agent (honest a),Agent (honest a))))))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Format(f2),pair(Nonce (absNA(pair(Agent (honest a),Agent (honest a)))),SymKey (absKAB(pair(Agent (honest a),Agent (honest a))))))))),(SID sid)]);
fp_124: State (rs,[Agent (honest a),Step 1,SymKey (sk(pair(Agent (honest a),Agent (honest a)))),SymKey (sk(pair(Agent (honest a),Agent (honest a)))),Agent (honest a),Agent (honest a),Format(f2),Format(f1),Nonce (ni),Nonce (absNB(pair(Agent (honest a),Agent (honest a)))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Format(f1),pair(Nonce (absNB(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (ni),pair(Agent (honest a),Agent (honest a)))))),Nonce (absNB(pair(Agent (honest a),Agent (honest a)))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Format(f1),pair(Nonce (absNB(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (ni),pair(Agent (honest a),Agent (honest a)))))),pair(Nonce (ni),pair(Agent (honest a),pair(Agent (honest a),pair(scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Format(f1),pair(Nonce (absNB(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (ni),pair(Agent (honest a),Agent (honest a)))))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Format(f1),pair(Nonce (absNB(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (ni),pair(Agent (honest a),Agent (honest a)))))))))),SymKey (absKAB(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (ni),pair(scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Format(f2),pair(Nonce (absNB(pair(Agent (honest a),Agent (honest a)))),SymKey (absKAB(pair(Agent (honest a),Agent (honest a))))))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Format(f2),pair(Nonce (absNB(pair(Agent (honest a),Agent (honest a)))),SymKey (absKAB(pair(Agent (honest a),Agent (honest a))))))))),(SID sid)]);
fp_125: witness(Agent (honest a),Agent (dishonest i),Purpose (pBsKAB),SymKey (absKAB(pair(Agent (dishonest i),Agent (honest a)))));
fp_126: witness(Agent (honest a),Agent (honest a),Purpose (pAsKAB),SymKey (absKAB(pair(Agent (dishonest i),Agent (honest a)))));
fp_127: secrets(SymKey (absKAB(pair(Agent (dishonest i),Agent (honest a)))),secrecyset(pair(Agent (honest a),pair((SID sid),Purpose (pKAB)))));
fp_128: State (rs,[Agent (honest a),Step 1,SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),SymKey (sk(pair(Agent (honest a),Agent (honest a)))),Agent (dishonest i),Agent (honest a),Format(f2),Format(f1),Nonce (absM(pair(Agent (honest a),Agent (dishonest i)))),Nonce (absM(pair(Agent (honest a),Agent (honest a)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Format(f1),pair(Nonce (absM(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absM(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (honest a),Agent (dishonest i)))))),Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Format(f1),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (absM(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (honest a),Agent (dishonest i)))))),pair(Nonce (absM(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (honest a),pair(Agent (dishonest i),pair(scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Format(f1),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (absM(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (honest a),Agent (dishonest i)))))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Format(f1),pair(Nonce (absM(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absM(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (honest a),Agent (dishonest i)))))))))),SymKey (absKAB(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absM(pair(Agent (honest a),Agent (dishonest i)))),pair(scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Format(f2),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),SymKey (absKAB(pair(Agent (dishonest i),Agent (honest a))))))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Format(f2),pair(Nonce (absM(pair(Agent (honest a),Agent (honest a)))),SymKey (absKAB(pair(Agent (dishonest i),Agent (honest a))))))))),(SID sid)]);
fp_129: State (rs,[Agent (honest a),Step 1,SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),SymKey (sk(pair(Agent (honest a),Agent (honest a)))),Agent (dishonest i),Agent (honest a),Format(f2),Format(f1),Nonce (absM(pair(Agent (honest a),Agent (dishonest i)))),Nonce (absM(pair(Agent (honest a),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Format(f1),pair(Nonce (absM(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (absM(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (honest a),Agent (dishonest i)))))),Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Format(f1),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (absM(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (honest a),Agent (dishonest i)))))),pair(Nonce (absM(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (honest a),pair(Agent (dishonest i),pair(scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Format(f1),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (absM(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (honest a),Agent (dishonest i)))))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Format(f1),pair(Nonce (absM(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (absM(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (honest a),Agent (dishonest i)))))))))),SymKey (absKAB(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absM(pair(Agent (honest a),Agent (dishonest i)))),pair(scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Format(f2),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),SymKey (absKAB(pair(Agent (dishonest i),Agent (honest a))))))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Format(f2),pair(Nonce (absM(pair(Agent (honest a),Agent (dishonest i)))),SymKey (absKAB(pair(Agent (dishonest i),Agent (honest a))))))))),(SID sid)]);
fp_130: State (rs,[Agent (honest a),Step 1,SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),SymKey (sk(pair(Agent (honest a),Agent (honest a)))),Agent (dishonest i),Agent (honest a),Format(f2),Format(f1),Nonce (absM(pair(Agent (honest a),Agent (dishonest i)))),Nonce (ni),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Format(f1),pair(Nonce (ni),pair(Nonce (absM(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (honest a),Agent (dishonest i)))))),Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Format(f1),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (absM(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (honest a),Agent (dishonest i)))))),pair(Nonce (absM(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (honest a),pair(Agent (dishonest i),pair(scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Format(f1),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (absM(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (honest a),Agent (dishonest i)))))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Format(f1),pair(Nonce (ni),pair(Nonce (absM(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (honest a),Agent (dishonest i)))))))))),SymKey (absKAB(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absM(pair(Agent (honest a),Agent (dishonest i)))),pair(scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Format(f2),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),SymKey (absKAB(pair(Agent (dishonest i),Agent (honest a))))))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Format(f2),pair(Nonce (ni),SymKey (absKAB(pair(Agent (dishonest i),Agent (honest a))))))))),(SID sid)]);
fp_131: witness(Agent (honest a),Agent (honest a),Purpose (pBsKAB),SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))));
fp_132: witness(Agent (honest a),Agent (dishonest i),Purpose (pAsKAB),SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))));
fp_133: secrets(SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))),secrecyset(pair(Agent (honest a),pair((SID sid),Purpose (pKAB)))));
fp_134: State (rs,[Agent (honest a),Step 1,SymKey (sk(pair(Agent (honest a),Agent (honest a)))),SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),Agent (honest a),Agent (dishonest i),Format(f2),Format(f1),Nonce (ni),Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Format(f1),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (ni),pair(Agent (dishonest i),Agent (honest a)))))),Nonce (absM(pair(Agent (honest a),Agent (honest a)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Format(f1),pair(Nonce (absM(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (ni),pair(Agent (dishonest i),Agent (honest a)))))),pair(Nonce (ni),pair(Agent (dishonest i),pair(Agent (honest a),pair(scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Format(f1),pair(Nonce (absM(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (ni),pair(Agent (dishonest i),Agent (honest a)))))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Format(f1),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (ni),pair(Agent (dishonest i),Agent (honest a)))))))))),SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (ni),pair(scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Format(f2),pair(Nonce (absM(pair(Agent (honest a),Agent (honest a)))),SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i))))))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Format(f2),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i))))))))),(SID sid)]);
fp_135: State (rs,[Agent (honest a),Step 1,SymKey (sk(pair(Agent (honest a),Agent (honest a)))),SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),Agent (honest a),Agent (dishonest i),Format(f2),Format(f1),Nonce (ni),Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Format(f1),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (ni),pair(Agent (dishonest i),Agent (honest a)))))),Nonce (absM(pair(Agent (honest a),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Format(f1),pair(Nonce (absM(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (ni),pair(Agent (dishonest i),Agent (honest a)))))),pair(Nonce (ni),pair(Agent (dishonest i),pair(Agent (honest a),pair(scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Format(f1),pair(Nonce (absM(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (ni),pair(Agent (dishonest i),Agent (honest a)))))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Format(f1),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (ni),pair(Agent (dishonest i),Agent (honest a)))))))))),SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (ni),pair(scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Format(f2),pair(Nonce (absM(pair(Agent (honest a),Agent (dishonest i)))),SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i))))))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Format(f2),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i))))))))),(SID sid)]);
fp_136: State (rs,[Agent (honest a),Step 1,SymKey (sk(pair(Agent (honest a),Agent (honest a)))),SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),Agent (honest a),Agent (dishonest i),Format(f2),Format(f1),Nonce (ni),Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Format(f1),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (ni),pair(Agent (dishonest i),Agent (honest a)))))),Nonce (ni),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Format(f1),pair(Nonce (ni),pair(Nonce (ni),pair(Agent (dishonest i),Agent (honest a)))))),pair(Nonce (ni),pair(Agent (dishonest i),pair(Agent (honest a),pair(scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Format(f1),pair(Nonce (ni),pair(Nonce (ni),pair(Agent (dishonest i),Agent (honest a)))))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Format(f1),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (ni),pair(Agent (dishonest i),Agent (honest a)))))))))),SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (ni),pair(scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Format(f2),pair(Nonce (ni),SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i))))))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Format(f2),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i))))))))),(SID sid)]);
fp_137: State (rs,[Agent (honest a),Step 1,SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),Agent (dishonest i),Agent (dishonest i),Format(f2),Format(f1),Nonce (absM(pair(Agent (honest a),Agent (honest a)))),Nonce (absM(pair(Agent (honest a),Agent (honest a)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Format(f1),pair(Nonce (absM(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absM(pair(Agent (honest a),Agent (honest a)))),pair(Agent (dishonest i),Agent (dishonest i)))))),Nonce (absM(pair(Agent (honest a),Agent (honest a)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Format(f1),pair(Nonce (absM(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absM(pair(Agent (honest a),Agent (honest a)))),pair(Agent (dishonest i),Agent (dishonest i)))))),pair(Nonce (absM(pair(Agent (honest a),Agent (honest a)))),pair(Agent (dishonest i),pair(Agent (dishonest i),pair(scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Format(f1),pair(Nonce (absM(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absM(pair(Agent (honest a),Agent (honest a)))),pair(Agent (dishonest i),Agent (dishonest i)))))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Format(f1),pair(Nonce (absM(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absM(pair(Agent (honest a),Agent (honest a)))),pair(Agent (dishonest i),Agent (dishonest i)))))))))),SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))),pair(Nonce (absM(pair(Agent (honest a),Agent (honest a)))),pair(scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Format(f2),pair(Nonce (absM(pair(Agent (honest a),Agent (honest a)))),SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i))))))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Format(f2),pair(Nonce (absM(pair(Agent (honest a),Agent (honest a)))),SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i))))))))),(SID sid)]);
fp_138: State (rs,[Agent (honest a),Step 1,SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),Agent (dishonest i),Agent (dishonest i),Format(f2),Format(f1),Nonce (absM(pair(Agent (honest a),Agent (honest a)))),Nonce (absM(pair(Agent (honest a),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Format(f1),pair(Nonce (absM(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (absM(pair(Agent (honest a),Agent (honest a)))),pair(Agent (dishonest i),Agent (dishonest i)))))),Nonce (absM(pair(Agent (honest a),Agent (honest a)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Format(f1),pair(Nonce (absM(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absM(pair(Agent (honest a),Agent (honest a)))),pair(Agent (dishonest i),Agent (dishonest i)))))),pair(Nonce (absM(pair(Agent (honest a),Agent (honest a)))),pair(Agent (dishonest i),pair(Agent (dishonest i),pair(scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Format(f1),pair(Nonce (absM(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absM(pair(Agent (honest a),Agent (honest a)))),pair(Agent (dishonest i),Agent (dishonest i)))))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Format(f1),pair(Nonce (absM(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (absM(pair(Agent (honest a),Agent (honest a)))),pair(Agent (dishonest i),Agent (dishonest i)))))))))),SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))),pair(Nonce (absM(pair(Agent (honest a),Agent (honest a)))),pair(scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Format(f2),pair(Nonce (absM(pair(Agent (honest a),Agent (honest a)))),SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i))))))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Format(f2),pair(Nonce (absM(pair(Agent (honest a),Agent (dishonest i)))),SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i))))))))),(SID sid)]);
fp_139: State (rs,[Agent (honest a),Step 1,SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),Agent (dishonest i),Agent (dishonest i),Format(f2),Format(f1),Nonce (absM(pair(Agent (honest a),Agent (honest a)))),Nonce (ni),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Format(f1),pair(Nonce (ni),pair(Nonce (absM(pair(Agent (honest a),Agent (honest a)))),pair(Agent (dishonest i),Agent (dishonest i)))))),Nonce (absM(pair(Agent (honest a),Agent (honest a)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Format(f1),pair(Nonce (absM(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absM(pair(Agent (honest a),Agent (honest a)))),pair(Agent (dishonest i),Agent (dishonest i)))))),pair(Nonce (absM(pair(Agent (honest a),Agent (honest a)))),pair(Agent (dishonest i),pair(Agent (dishonest i),pair(scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Format(f1),pair(Nonce (absM(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absM(pair(Agent (honest a),Agent (honest a)))),pair(Agent (dishonest i),Agent (dishonest i)))))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Format(f1),pair(Nonce (ni),pair(Nonce (absM(pair(Agent (honest a),Agent (honest a)))),pair(Agent (dishonest i),Agent (dishonest i)))))))))),SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))),pair(Nonce (absM(pair(Agent (honest a),Agent (honest a)))),pair(scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Format(f2),pair(Nonce (absM(pair(Agent (honest a),Agent (honest a)))),SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i))))))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Format(f2),pair(Nonce (ni),SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i))))))))),(SID sid)]);
fp_140: State (rs,[Agent (honest a),Step 1,SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),Agent (dishonest i),Agent (dishonest i),Format(f2),Format(f1),Nonce (absM(pair(Agent (honest a),Agent (honest a)))),Nonce (absM(pair(Agent (honest a),Agent (honest a)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Format(f1),pair(Nonce (absM(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absM(pair(Agent (honest a),Agent (honest a)))),pair(Agent (dishonest i),Agent (dishonest i)))))),Nonce (absM(pair(Agent (honest a),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Format(f1),pair(Nonce (absM(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (absM(pair(Agent (honest a),Agent (honest a)))),pair(Agent (dishonest i),Agent (dishonest i)))))),pair(Nonce (absM(pair(Agent (honest a),Agent (honest a)))),pair(Agent (dishonest i),pair(Agent (dishonest i),pair(scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Format(f1),pair(Nonce (absM(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (absM(pair(Agent (honest a),Agent (honest a)))),pair(Agent (dishonest i),Agent (dishonest i)))))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Format(f1),pair(Nonce (absM(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absM(pair(Agent (honest a),Agent (honest a)))),pair(Agent (dishonest i),Agent (dishonest i)))))))))),SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))),pair(Nonce (absM(pair(Agent (honest a),Agent (honest a)))),pair(scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Format(f2),pair(Nonce (absM(pair(Agent (honest a),Agent (dishonest i)))),SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i))))))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Format(f2),pair(Nonce (absM(pair(Agent (honest a),Agent (honest a)))),SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i))))))))),(SID sid)]);
fp_141: State (rs,[Agent (honest a),Step 1,SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),Agent (dishonest i),Agent (dishonest i),Format(f2),Format(f1),Nonce (absM(pair(Agent (honest a),Agent (honest a)))),Nonce (absM(pair(Agent (honest a),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Format(f1),pair(Nonce (absM(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (absM(pair(Agent (honest a),Agent (honest a)))),pair(Agent (dishonest i),Agent (dishonest i)))))),Nonce (absM(pair(Agent (honest a),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Format(f1),pair(Nonce (absM(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (absM(pair(Agent (honest a),Agent (honest a)))),pair(Agent (dishonest i),Agent (dishonest i)))))),pair(Nonce (absM(pair(Agent (honest a),Agent (honest a)))),pair(Agent (dishonest i),pair(Agent (dishonest i),pair(scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Format(f1),pair(Nonce (absM(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (absM(pair(Agent (honest a),Agent (honest a)))),pair(Agent (dishonest i),Agent (dishonest i)))))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Format(f1),pair(Nonce (absM(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (absM(pair(Agent (honest a),Agent (honest a)))),pair(Agent (dishonest i),Agent (dishonest i)))))))))),SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))),pair(Nonce (absM(pair(Agent (honest a),Agent (honest a)))),pair(scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Format(f2),pair(Nonce (absM(pair(Agent (honest a),Agent (dishonest i)))),SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i))))))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Format(f2),pair(Nonce (absM(pair(Agent (honest a),Agent (dishonest i)))),SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i))))))))),(SID sid)]);
fp_142: State (rs,[Agent (honest a),Step 1,SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),Agent (dishonest i),Agent (dishonest i),Format(f2),Format(f1),Nonce (absM(pair(Agent (honest a),Agent (honest a)))),Nonce (ni),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Format(f1),pair(Nonce (ni),pair(Nonce (absM(pair(Agent (honest a),Agent (honest a)))),pair(Agent (dishonest i),Agent (dishonest i)))))),Nonce (absM(pair(Agent (honest a),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Format(f1),pair(Nonce (absM(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (absM(pair(Agent (honest a),Agent (honest a)))),pair(Agent (dishonest i),Agent (dishonest i)))))),pair(Nonce (absM(pair(Agent (honest a),Agent (honest a)))),pair(Agent (dishonest i),pair(Agent (dishonest i),pair(scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Format(f1),pair(Nonce (absM(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (absM(pair(Agent (honest a),Agent (honest a)))),pair(Agent (dishonest i),Agent (dishonest i)))))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Format(f1),pair(Nonce (ni),pair(Nonce (absM(pair(Agent (honest a),Agent (honest a)))),pair(Agent (dishonest i),Agent (dishonest i)))))))))),SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))),pair(Nonce (absM(pair(Agent (honest a),Agent (honest a)))),pair(scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Format(f2),pair(Nonce (absM(pair(Agent (honest a),Agent (dishonest i)))),SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i))))))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Format(f2),pair(Nonce (ni),SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i))))))))),(SID sid)]);
fp_143: State (rs,[Agent (honest a),Step 1,SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),Agent (dishonest i),Agent (dishonest i),Format(f2),Format(f1),Nonce (absM(pair(Agent (honest a),Agent (honest a)))),Nonce (absM(pair(Agent (honest a),Agent (honest a)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Format(f1),pair(Nonce (absM(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absM(pair(Agent (honest a),Agent (honest a)))),pair(Agent (dishonest i),Agent (dishonest i)))))),Nonce (ni),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Format(f1),pair(Nonce (ni),pair(Nonce (absM(pair(Agent (honest a),Agent (honest a)))),pair(Agent (dishonest i),Agent (dishonest i)))))),pair(Nonce (absM(pair(Agent (honest a),Agent (honest a)))),pair(Agent (dishonest i),pair(Agent (dishonest i),pair(scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Format(f1),pair(Nonce (ni),pair(Nonce (absM(pair(Agent (honest a),Agent (honest a)))),pair(Agent (dishonest i),Agent (dishonest i)))))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Format(f1),pair(Nonce (absM(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absM(pair(Agent (honest a),Agent (honest a)))),pair(Agent (dishonest i),Agent (dishonest i)))))))))),SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))),pair(Nonce (absM(pair(Agent (honest a),Agent (honest a)))),pair(scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Format(f2),pair(Nonce (ni),SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i))))))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Format(f2),pair(Nonce (absM(pair(Agent (honest a),Agent (honest a)))),SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i))))))))),(SID sid)]);
fp_144: State (rs,[Agent (honest a),Step 1,SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),Agent (dishonest i),Agent (dishonest i),Format(f2),Format(f1),Nonce (absM(pair(Agent (honest a),Agent (honest a)))),Nonce (absM(pair(Agent (honest a),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Format(f1),pair(Nonce (absM(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (absM(pair(Agent (honest a),Agent (honest a)))),pair(Agent (dishonest i),Agent (dishonest i)))))),Nonce (ni),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Format(f1),pair(Nonce (ni),pair(Nonce (absM(pair(Agent (honest a),Agent (honest a)))),pair(Agent (dishonest i),Agent (dishonest i)))))),pair(Nonce (absM(pair(Agent (honest a),Agent (honest a)))),pair(Agent (dishonest i),pair(Agent (dishonest i),pair(scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Format(f1),pair(Nonce (ni),pair(Nonce (absM(pair(Agent (honest a),Agent (honest a)))),pair(Agent (dishonest i),Agent (dishonest i)))))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Format(f1),pair(Nonce (absM(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (absM(pair(Agent (honest a),Agent (honest a)))),pair(Agent (dishonest i),Agent (dishonest i)))))))))),SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))),pair(Nonce (absM(pair(Agent (honest a),Agent (honest a)))),pair(scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Format(f2),pair(Nonce (ni),SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i))))))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Format(f2),pair(Nonce (absM(pair(Agent (honest a),Agent (dishonest i)))),SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i))))))))),(SID sid)]);
fp_145: State (rs,[Agent (honest a),Step 1,SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),Agent (dishonest i),Agent (dishonest i),Format(f2),Format(f1),Nonce (absM(pair(Agent (honest a),Agent (honest a)))),Nonce (ni),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Format(f1),pair(Nonce (ni),pair(Nonce (absM(pair(Agent (honest a),Agent (honest a)))),pair(Agent (dishonest i),Agent (dishonest i)))))),Nonce (ni),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Format(f1),pair(Nonce (ni),pair(Nonce (absM(pair(Agent (honest a),Agent (honest a)))),pair(Agent (dishonest i),Agent (dishonest i)))))),pair(Nonce (absM(pair(Agent (honest a),Agent (honest a)))),pair(Agent (dishonest i),pair(Agent (dishonest i),pair(scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Format(f1),pair(Nonce (ni),pair(Nonce (absM(pair(Agent (honest a),Agent (honest a)))),pair(Agent (dishonest i),Agent (dishonest i)))))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Format(f1),pair(Nonce (ni),pair(Nonce (absM(pair(Agent (honest a),Agent (honest a)))),pair(Agent (dishonest i),Agent (dishonest i)))))))))),SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))),pair(Nonce (absM(pair(Agent (honest a),Agent (honest a)))),pair(scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Format(f2),pair(Nonce (ni),SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i))))))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Format(f2),pair(Nonce (ni),SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i))))))))),(SID sid)]);
fp_146: State (rs,[Agent (honest a),Step 1,SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),Agent (dishonest i),Agent (dishonest i),Format(f2),Format(f1),Nonce (absM(pair(Agent (honest a),Agent (dishonest i)))),Nonce (absM(pair(Agent (honest a),Agent (honest a)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Format(f1),pair(Nonce (absM(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absM(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),Agent (dishonest i)))))),Nonce (absM(pair(Agent (honest a),Agent (honest a)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Format(f1),pair(Nonce (absM(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absM(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),Agent (dishonest i)))))),pair(Nonce (absM(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),pair(Agent (dishonest i),pair(scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Format(f1),pair(Nonce (absM(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absM(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),Agent (dishonest i)))))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Format(f1),pair(Nonce (absM(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absM(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),Agent (dishonest i)))))))))),SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))),pair(Nonce (absM(pair(Agent (honest a),Agent (dishonest i)))),pair(scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Format(f2),pair(Nonce (absM(pair(Agent (honest a),Agent (honest a)))),SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i))))))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Format(f2),pair(Nonce (absM(pair(Agent (honest a),Agent (honest a)))),SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i))))))))),(SID sid)]);
fp_147: State (rs,[Agent (honest a),Step 1,SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),Agent (dishonest i),Agent (dishonest i),Format(f2),Format(f1),Nonce (absM(pair(Agent (honest a),Agent (dishonest i)))),Nonce (absM(pair(Agent (honest a),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Format(f1),pair(Nonce (absM(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (absM(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),Agent (dishonest i)))))),Nonce (absM(pair(Agent (honest a),Agent (honest a)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Format(f1),pair(Nonce (absM(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absM(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),Agent (dishonest i)))))),pair(Nonce (absM(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),pair(Agent (dishonest i),pair(scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Format(f1),pair(Nonce (absM(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absM(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),Agent (dishonest i)))))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Format(f1),pair(Nonce (absM(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (absM(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),Agent (dishonest i)))))))))),SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))),pair(Nonce (absM(pair(Agent (honest a),Agent (dishonest i)))),pair(scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Format(f2),pair(Nonce (absM(pair(Agent (honest a),Agent (honest a)))),SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i))))))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Format(f2),pair(Nonce (absM(pair(Agent (honest a),Agent (dishonest i)))),SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i))))))))),(SID sid)]);
fp_148: State (rs,[Agent (honest a),Step 1,SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),Agent (dishonest i),Agent (dishonest i),Format(f2),Format(f1),Nonce (absM(pair(Agent (honest a),Agent (dishonest i)))),Nonce (ni),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Format(f1),pair(Nonce (ni),pair(Nonce (absM(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),Agent (dishonest i)))))),Nonce (absM(pair(Agent (honest a),Agent (honest a)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Format(f1),pair(Nonce (absM(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absM(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),Agent (dishonest i)))))),pair(Nonce (absM(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),pair(Agent (dishonest i),pair(scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Format(f1),pair(Nonce (absM(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absM(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),Agent (dishonest i)))))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Format(f1),pair(Nonce (ni),pair(Nonce (absM(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),Agent (dishonest i)))))))))),SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))),pair(Nonce (absM(pair(Agent (honest a),Agent (dishonest i)))),pair(scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Format(f2),pair(Nonce (absM(pair(Agent (honest a),Agent (honest a)))),SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i))))))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Format(f2),pair(Nonce (ni),SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i))))))))),(SID sid)]);
fp_149: State (rs,[Agent (honest a),Step 1,SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),Agent (dishonest i),Agent (dishonest i),Format(f2),Format(f1),Nonce (absM(pair(Agent (honest a),Agent (dishonest i)))),Nonce (absM(pair(Agent (honest a),Agent (honest a)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Format(f1),pair(Nonce (absM(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absM(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),Agent (dishonest i)))))),Nonce (absM(pair(Agent (honest a),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Format(f1),pair(Nonce (absM(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (absM(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),Agent (dishonest i)))))),pair(Nonce (absM(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),pair(Agent (dishonest i),pair(scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Format(f1),pair(Nonce (absM(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (absM(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),Agent (dishonest i)))))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Format(f1),pair(Nonce (absM(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absM(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),Agent (dishonest i)))))))))),SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))),pair(Nonce (absM(pair(Agent (honest a),Agent (dishonest i)))),pair(scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Format(f2),pair(Nonce (absM(pair(Agent (honest a),Agent (dishonest i)))),SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i))))))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Format(f2),pair(Nonce (absM(pair(Agent (honest a),Agent (honest a)))),SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i))))))))),(SID sid)]);
fp_150: State (rs,[Agent (honest a),Step 1,SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),Agent (dishonest i),Agent (dishonest i),Format(f2),Format(f1),Nonce (absM(pair(Agent (honest a),Agent (dishonest i)))),Nonce (absM(pair(Agent (honest a),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Format(f1),pair(Nonce (absM(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (absM(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),Agent (dishonest i)))))),Nonce (absM(pair(Agent (honest a),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Format(f1),pair(Nonce (absM(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (absM(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),Agent (dishonest i)))))),pair(Nonce (absM(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),pair(Agent (dishonest i),pair(scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Format(f1),pair(Nonce (absM(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (absM(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),Agent (dishonest i)))))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Format(f1),pair(Nonce (absM(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (absM(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),Agent (dishonest i)))))))))),SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))),pair(Nonce (absM(pair(Agent (honest a),Agent (dishonest i)))),pair(scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Format(f2),pair(Nonce (absM(pair(Agent (honest a),Agent (dishonest i)))),SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i))))))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Format(f2),pair(Nonce (absM(pair(Agent (honest a),Agent (dishonest i)))),SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i))))))))),(SID sid)]);
fp_151: State (rs,[Agent (honest a),Step 1,SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),Agent (dishonest i),Agent (dishonest i),Format(f2),Format(f1),Nonce (absM(pair(Agent (honest a),Agent (dishonest i)))),Nonce (ni),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Format(f1),pair(Nonce (ni),pair(Nonce (absM(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),Agent (dishonest i)))))),Nonce (absM(pair(Agent (honest a),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Format(f1),pair(Nonce (absM(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (absM(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),Agent (dishonest i)))))),pair(Nonce (absM(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),pair(Agent (dishonest i),pair(scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Format(f1),pair(Nonce (absM(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (absM(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),Agent (dishonest i)))))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Format(f1),pair(Nonce (ni),pair(Nonce (absM(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),Agent (dishonest i)))))))))),SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))),pair(Nonce (absM(pair(Agent (honest a),Agent (dishonest i)))),pair(scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Format(f2),pair(Nonce (absM(pair(Agent (honest a),Agent (dishonest i)))),SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i))))))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Format(f2),pair(Nonce (ni),SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i))))))))),(SID sid)]);
fp_152: State (rs,[Agent (honest a),Step 1,SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),Agent (dishonest i),Agent (dishonest i),Format(f2),Format(f1),Nonce (absM(pair(Agent (honest a),Agent (dishonest i)))),Nonce (absM(pair(Agent (honest a),Agent (honest a)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Format(f1),pair(Nonce (absM(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absM(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),Agent (dishonest i)))))),Nonce (ni),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Format(f1),pair(Nonce (ni),pair(Nonce (absM(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),Agent (dishonest i)))))),pair(Nonce (absM(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),pair(Agent (dishonest i),pair(scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Format(f1),pair(Nonce (ni),pair(Nonce (absM(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),Agent (dishonest i)))))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Format(f1),pair(Nonce (absM(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absM(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),Agent (dishonest i)))))))))),SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))),pair(Nonce (absM(pair(Agent (honest a),Agent (dishonest i)))),pair(scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Format(f2),pair(Nonce (ni),SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i))))))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Format(f2),pair(Nonce (absM(pair(Agent (honest a),Agent (honest a)))),SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i))))))))),(SID sid)]);
fp_153: State (rs,[Agent (honest a),Step 1,SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),Agent (dishonest i),Agent (dishonest i),Format(f2),Format(f1),Nonce (absM(pair(Agent (honest a),Agent (dishonest i)))),Nonce (absM(pair(Agent (honest a),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Format(f1),pair(Nonce (absM(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (absM(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),Agent (dishonest i)))))),Nonce (ni),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Format(f1),pair(Nonce (ni),pair(Nonce (absM(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),Agent (dishonest i)))))),pair(Nonce (absM(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),pair(Agent (dishonest i),pair(scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Format(f1),pair(Nonce (ni),pair(Nonce (absM(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),Agent (dishonest i)))))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Format(f1),pair(Nonce (absM(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (absM(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),Agent (dishonest i)))))))))),SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))),pair(Nonce (absM(pair(Agent (honest a),Agent (dishonest i)))),pair(scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Format(f2),pair(Nonce (ni),SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i))))))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Format(f2),pair(Nonce (absM(pair(Agent (honest a),Agent (dishonest i)))),SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i))))))))),(SID sid)]);
fp_154: State (rs,[Agent (honest a),Step 1,SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),Agent (dishonest i),Agent (dishonest i),Format(f2),Format(f1),Nonce (absM(pair(Agent (honest a),Agent (dishonest i)))),Nonce (ni),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Format(f1),pair(Nonce (ni),pair(Nonce (absM(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),Agent (dishonest i)))))),Nonce (ni),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Format(f1),pair(Nonce (ni),pair(Nonce (absM(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),Agent (dishonest i)))))),pair(Nonce (absM(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),pair(Agent (dishonest i),pair(scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Format(f1),pair(Nonce (ni),pair(Nonce (absM(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),Agent (dishonest i)))))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Format(f1),pair(Nonce (ni),pair(Nonce (absM(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),Agent (dishonest i)))))))))),SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))),pair(Nonce (absM(pair(Agent (honest a),Agent (dishonest i)))),pair(scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Format(f2),pair(Nonce (ni),SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i))))))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Format(f2),pair(Nonce (ni),SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i))))))))),(SID sid)]);
fp_155: State (rs,[Agent (honest a),Step 1,SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),Agent (dishonest i),Agent (dishonest i),Format(f2),Format(f1),Nonce (ni),Nonce (absM(pair(Agent (honest a),Agent (honest a)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Format(f1),pair(Nonce (absM(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (ni),pair(Agent (dishonest i),Agent (dishonest i)))))),Nonce (absM(pair(Agent (honest a),Agent (honest a)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Format(f1),pair(Nonce (absM(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (ni),pair(Agent (dishonest i),Agent (dishonest i)))))),pair(Nonce (ni),pair(Agent (dishonest i),pair(Agent (dishonest i),pair(scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Format(f1),pair(Nonce (absM(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (ni),pair(Agent (dishonest i),Agent (dishonest i)))))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Format(f1),pair(Nonce (absM(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (ni),pair(Agent (dishonest i),Agent (dishonest i)))))))))),SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))),pair(Nonce (ni),pair(scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Format(f2),pair(Nonce (absM(pair(Agent (honest a),Agent (honest a)))),SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i))))))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Format(f2),pair(Nonce (absM(pair(Agent (honest a),Agent (honest a)))),SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i))))))))),(SID sid)]);
fp_156: State (rs,[Agent (honest a),Step 1,SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),Agent (dishonest i),Agent (dishonest i),Format(f2),Format(f1),Nonce (ni),Nonce (absM(pair(Agent (honest a),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Format(f1),pair(Nonce (absM(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (ni),pair(Agent (dishonest i),Agent (dishonest i)))))),Nonce (absM(pair(Agent (honest a),Agent (honest a)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Format(f1),pair(Nonce (absM(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (ni),pair(Agent (dishonest i),Agent (dishonest i)))))),pair(Nonce (ni),pair(Agent (dishonest i),pair(Agent (dishonest i),pair(scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Format(f1),pair(Nonce (absM(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (ni),pair(Agent (dishonest i),Agent (dishonest i)))))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Format(f1),pair(Nonce (absM(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (ni),pair(Agent (dishonest i),Agent (dishonest i)))))))))),SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))),pair(Nonce (ni),pair(scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Format(f2),pair(Nonce (absM(pair(Agent (honest a),Agent (honest a)))),SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i))))))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Format(f2),pair(Nonce (absM(pair(Agent (honest a),Agent (dishonest i)))),SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i))))))))),(SID sid)]);
fp_157: State (rs,[Agent (honest a),Step 1,SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),Agent (dishonest i),Agent (dishonest i),Format(f2),Format(f1),Nonce (ni),Nonce (ni),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Format(f1),pair(Nonce (ni),pair(Nonce (ni),pair(Agent (dishonest i),Agent (dishonest i)))))),Nonce (absM(pair(Agent (honest a),Agent (honest a)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Format(f1),pair(Nonce (absM(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (ni),pair(Agent (dishonest i),Agent (dishonest i)))))),pair(Nonce (ni),pair(Agent (dishonest i),pair(Agent (dishonest i),pair(scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Format(f1),pair(Nonce (absM(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (ni),pair(Agent (dishonest i),Agent (dishonest i)))))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Format(f1),pair(Nonce (ni),pair(Nonce (ni),pair(Agent (dishonest i),Agent (dishonest i)))))))))),SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))),pair(Nonce (ni),pair(scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Format(f2),pair(Nonce (absM(pair(Agent (honest a),Agent (honest a)))),SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i))))))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Format(f2),pair(Nonce (ni),SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i))))))))),(SID sid)]);
fp_158: State (rs,[Agent (honest a),Step 1,SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),Agent (dishonest i),Agent (dishonest i),Format(f2),Format(f1),Nonce (ni),Nonce (absM(pair(Agent (honest a),Agent (honest a)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Format(f1),pair(Nonce (absM(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (ni),pair(Agent (dishonest i),Agent (dishonest i)))))),Nonce (absM(pair(Agent (honest a),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Format(f1),pair(Nonce (absM(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (ni),pair(Agent (dishonest i),Agent (dishonest i)))))),pair(Nonce (ni),pair(Agent (dishonest i),pair(Agent (dishonest i),pair(scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Format(f1),pair(Nonce (absM(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (ni),pair(Agent (dishonest i),Agent (dishonest i)))))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Format(f1),pair(Nonce (absM(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (ni),pair(Agent (dishonest i),Agent (dishonest i)))))))))),SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))),pair(Nonce (ni),pair(scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Format(f2),pair(Nonce (absM(pair(Agent (honest a),Agent (dishonest i)))),SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i))))))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Format(f2),pair(Nonce (absM(pair(Agent (honest a),Agent (honest a)))),SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i))))))))),(SID sid)]);
fp_159: State (rs,[Agent (honest a),Step 1,SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),Agent (dishonest i),Agent (dishonest i),Format(f2),Format(f1),Nonce (ni),Nonce (absM(pair(Agent (honest a),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Format(f1),pair(Nonce (absM(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (ni),pair(Agent (dishonest i),Agent (dishonest i)))))),Nonce (absM(pair(Agent (honest a),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Format(f1),pair(Nonce (absM(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (ni),pair(Agent (dishonest i),Agent (dishonest i)))))),pair(Nonce (ni),pair(Agent (dishonest i),pair(Agent (dishonest i),pair(scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Format(f1),pair(Nonce (absM(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (ni),pair(Agent (dishonest i),Agent (dishonest i)))))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Format(f1),pair(Nonce (absM(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (ni),pair(Agent (dishonest i),Agent (dishonest i)))))))))),SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))),pair(Nonce (ni),pair(scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Format(f2),pair(Nonce (absM(pair(Agent (honest a),Agent (dishonest i)))),SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i))))))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Format(f2),pair(Nonce (absM(pair(Agent (honest a),Agent (dishonest i)))),SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i))))))))),(SID sid)]);
fp_160: State (rs,[Agent (honest a),Step 1,SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),Agent (dishonest i),Agent (dishonest i),Format(f2),Format(f1),Nonce (ni),Nonce (ni),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Format(f1),pair(Nonce (ni),pair(Nonce (ni),pair(Agent (dishonest i),Agent (dishonest i)))))),Nonce (absM(pair(Agent (honest a),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Format(f1),pair(Nonce (absM(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (ni),pair(Agent (dishonest i),Agent (dishonest i)))))),pair(Nonce (ni),pair(Agent (dishonest i),pair(Agent (dishonest i),pair(scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Format(f1),pair(Nonce (absM(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (ni),pair(Agent (dishonest i),Agent (dishonest i)))))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Format(f1),pair(Nonce (ni),pair(Nonce (ni),pair(Agent (dishonest i),Agent (dishonest i)))))))))),SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))),pair(Nonce (ni),pair(scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Format(f2),pair(Nonce (absM(pair(Agent (honest a),Agent (dishonest i)))),SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i))))))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Format(f2),pair(Nonce (ni),SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i))))))))),(SID sid)]);
fp_161: State (rs,[Agent (honest a),Step 1,SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),Agent (dishonest i),Agent (dishonest i),Format(f2),Format(f1),Nonce (ni),Nonce (absM(pair(Agent (honest a),Agent (honest a)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Format(f1),pair(Nonce (absM(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (ni),pair(Agent (dishonest i),Agent (dishonest i)))))),Nonce (ni),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Format(f1),pair(Nonce (ni),pair(Nonce (ni),pair(Agent (dishonest i),Agent (dishonest i)))))),pair(Nonce (ni),pair(Agent (dishonest i),pair(Agent (dishonest i),pair(scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Format(f1),pair(Nonce (ni),pair(Nonce (ni),pair(Agent (dishonest i),Agent (dishonest i)))))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Format(f1),pair(Nonce (absM(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (ni),pair(Agent (dishonest i),Agent (dishonest i)))))))))),SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))),pair(Nonce (ni),pair(scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Format(f2),pair(Nonce (ni),SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i))))))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Format(f2),pair(Nonce (absM(pair(Agent (honest a),Agent (honest a)))),SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i))))))))),(SID sid)]);
fp_162: State (rs,[Agent (honest a),Step 1,SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),Agent (dishonest i),Agent (dishonest i),Format(f2),Format(f1),Nonce (ni),Nonce (absM(pair(Agent (honest a),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Format(f1),pair(Nonce (absM(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (ni),pair(Agent (dishonest i),Agent (dishonest i)))))),Nonce (ni),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Format(f1),pair(Nonce (ni),pair(Nonce (ni),pair(Agent (dishonest i),Agent (dishonest i)))))),pair(Nonce (ni),pair(Agent (dishonest i),pair(Agent (dishonest i),pair(scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Format(f1),pair(Nonce (ni),pair(Nonce (ni),pair(Agent (dishonest i),Agent (dishonest i)))))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Format(f1),pair(Nonce (absM(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (ni),pair(Agent (dishonest i),Agent (dishonest i)))))))))),SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))),pair(Nonce (ni),pair(scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Format(f2),pair(Nonce (ni),SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i))))))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Format(f2),pair(Nonce (absM(pair(Agent (honest a),Agent (dishonest i)))),SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i))))))))),(SID sid)]);
fp_163: iknows(scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Format(f2),pair(Nonce (absM(pair(Agent (honest a),Agent (dishonest i)))),SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i))))))));
fp_164: iknows(scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Format(f2),pair(Nonce (absM(pair(Agent (honest a),Agent (honest a)))),SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i))))))));
fp_165: iknows(scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Format(f2),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i))))))));
fp_166: iknows(scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Format(f2),pair(Nonce (ni),SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i))))))));
fp_167: iknows(scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Format(f2),pair(Nonce (absM(pair(Agent (honest a),Agent (dishonest i)))),SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i))))))));
fp_168: iknows(scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Format(f2),pair(Nonce (absM(pair(Agent (honest a),Agent (honest a)))),SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i))))))));
fp_169: iknows(scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Format(f2),pair(Nonce (ni),SymKey (absKAB(pair(Agent (dishonest i),Agent (honest a))))))));
fp_170: iknows(scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Format(f2),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),SymKey (absKAB(pair(Agent (dishonest i),Agent (honest a))))))));
fp_171: iknows(scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Format(f2),pair(Nonce (absM(pair(Agent (honest a),Agent (dishonest i)))),SymKey (absKAB(pair(Agent (dishonest i),Agent (honest a))))))));
fp_172: iknows(scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Format(f2),pair(Nonce (absM(pair(Agent (honest a),Agent (honest a)))),SymKey (absKAB(pair(Agent (dishonest i),Agent (honest a))))))));
fp_173: iknows(scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Format(f2),pair(Nonce (absNB(pair(Agent (honest a),Agent (honest a)))),SymKey (absKAB(pair(Agent (honest a),Agent (honest a))))))));
fp_174: iknows(scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Format(f2),pair(Nonce (absNA(pair(Agent (honest a),Agent (honest a)))),SymKey (absKAB(pair(Agent (honest a),Agent (honest a))))))));
fp_175: iknows(scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Format(f1),pair(Nonce (absNB(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absM(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (honest a),Agent (honest a)))))));
fp_176: iknows(scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Format(f1),pair(Nonce (absNB(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absM(pair(Agent (honest a),Agent (honest a)))),pair(Agent (honest a),Agent (honest a)))))));
fp_177: iknows(scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Format(f1),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (absM(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),Agent (honest a)))))));
fp_178: iknows(scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Format(f1),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (absM(pair(Agent (honest a),Agent (honest a)))),pair(Agent (dishonest i),Agent (honest a)))))));
fp_179: iknows(SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))));
fp_180: iknows(pair(Nonce (ni),Agent (dishonest i)));
fp_181: iknows(pair(Nonce (absM(pair(Agent (honest a),Agent (dishonest i)))),Agent (dishonest i)));
fp_182: iknows(pair(Nonce (absM(pair(Agent (honest a),Agent (honest a)))),Agent (dishonest i)));
fp_183: iknows(pair(scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Format(f2),pair(Nonce (ni),SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i))))))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Format(f2),pair(Nonce (ni),SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))))))));
fp_184: iknows(pair(Nonce (ni),pair(scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Format(f2),pair(Nonce (ni),SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i))))))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Format(f2),pair(Nonce (ni),SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i))))))))));
fp_185: iknows(pair(scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Format(f2),pair(Nonce (ni),SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i))))))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Format(f2),pair(Nonce (absM(pair(Agent (honest a),Agent (dishonest i)))),SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))))))));
fp_186: iknows(pair(Nonce (ni),pair(scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Format(f2),pair(Nonce (ni),SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i))))))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Format(f2),pair(Nonce (absM(pair(Agent (honest a),Agent (dishonest i)))),SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i))))))))));
fp_187: iknows(pair(scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Format(f2),pair(Nonce (ni),SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i))))))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Format(f2),pair(Nonce (absM(pair(Agent (honest a),Agent (honest a)))),SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))))))));
fp_188: iknows(pair(Nonce (ni),pair(scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Format(f2),pair(Nonce (ni),SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i))))))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Format(f2),pair(Nonce (absM(pair(Agent (honest a),Agent (honest a)))),SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i))))))))));
fp_189: iknows(pair(scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Format(f2),pair(Nonce (absM(pair(Agent (honest a),Agent (dishonest i)))),SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i))))))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Format(f2),pair(Nonce (ni),SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))))))));
fp_190: iknows(pair(Nonce (ni),pair(scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Format(f2),pair(Nonce (absM(pair(Agent (honest a),Agent (dishonest i)))),SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i))))))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Format(f2),pair(Nonce (ni),SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i))))))))));
fp_191: iknows(pair(scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Format(f2),pair(Nonce (absM(pair(Agent (honest a),Agent (dishonest i)))),SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i))))))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Format(f2),pair(Nonce (absM(pair(Agent (honest a),Agent (dishonest i)))),SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))))))));
fp_192: iknows(pair(Nonce (ni),pair(scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Format(f2),pair(Nonce (absM(pair(Agent (honest a),Agent (dishonest i)))),SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i))))))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Format(f2),pair(Nonce (absM(pair(Agent (honest a),Agent (dishonest i)))),SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i))))))))));
fp_193: iknows(pair(scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Format(f2),pair(Nonce (absM(pair(Agent (honest a),Agent (dishonest i)))),SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i))))))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Format(f2),pair(Nonce (absM(pair(Agent (honest a),Agent (honest a)))),SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))))))));
fp_194: iknows(pair(Nonce (ni),pair(scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Format(f2),pair(Nonce (absM(pair(Agent (honest a),Agent (dishonest i)))),SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i))))))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Format(f2),pair(Nonce (absM(pair(Agent (honest a),Agent (honest a)))),SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i))))))))));
fp_195: iknows(pair(scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Format(f2),pair(Nonce (absM(pair(Agent (honest a),Agent (honest a)))),SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i))))))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Format(f2),pair(Nonce (ni),SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))))))));
fp_196: iknows(pair(Nonce (ni),pair(scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Format(f2),pair(Nonce (absM(pair(Agent (honest a),Agent (honest a)))),SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i))))))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Format(f2),pair(Nonce (ni),SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i))))))))));
fp_197: iknows(pair(scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Format(f2),pair(Nonce (absM(pair(Agent (honest a),Agent (honest a)))),SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i))))))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Format(f2),pair(Nonce (absM(pair(Agent (honest a),Agent (dishonest i)))),SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))))))));
fp_198: iknows(pair(Nonce (ni),pair(scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Format(f2),pair(Nonce (absM(pair(Agent (honest a),Agent (honest a)))),SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i))))))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Format(f2),pair(Nonce (absM(pair(Agent (honest a),Agent (dishonest i)))),SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i))))))))));
fp_199: iknows(pair(scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Format(f2),pair(Nonce (absM(pair(Agent (honest a),Agent (honest a)))),SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i))))))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Format(f2),pair(Nonce (absM(pair(Agent (honest a),Agent (honest a)))),SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))))))));
fp_200: iknows(pair(Nonce (ni),pair(scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Format(f2),pair(Nonce (absM(pair(Agent (honest a),Agent (honest a)))),SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i))))))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Format(f2),pair(Nonce (absM(pair(Agent (honest a),Agent (honest a)))),SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i))))))))));
fp_201: iknows(pair(Nonce (absM(pair(Agent (honest a),Agent (dishonest i)))),pair(scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Format(f2),pair(Nonce (ni),SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i))))))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Format(f2),pair(Nonce (ni),SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i))))))))));
fp_202: iknows(pair(Nonce (absM(pair(Agent (honest a),Agent (dishonest i)))),pair(scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Format(f2),pair(Nonce (ni),SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i))))))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Format(f2),pair(Nonce (absM(pair(Agent (honest a),Agent (dishonest i)))),SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i))))))))));
fp_203: iknows(pair(Nonce (absM(pair(Agent (honest a),Agent (dishonest i)))),pair(scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Format(f2),pair(Nonce (ni),SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i))))))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Format(f2),pair(Nonce (absM(pair(Agent (honest a),Agent (honest a)))),SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i))))))))));
fp_204: iknows(pair(Nonce (absM(pair(Agent (honest a),Agent (dishonest i)))),pair(scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Format(f2),pair(Nonce (absM(pair(Agent (honest a),Agent (dishonest i)))),SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i))))))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Format(f2),pair(Nonce (ni),SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i))))))))));
fp_205: iknows(pair(Nonce (absM(pair(Agent (honest a),Agent (dishonest i)))),pair(scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Format(f2),pair(Nonce (absM(pair(Agent (honest a),Agent (dishonest i)))),SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i))))))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Format(f2),pair(Nonce (absM(pair(Agent (honest a),Agent (dishonest i)))),SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i))))))))));
fp_206: iknows(pair(Nonce (absM(pair(Agent (honest a),Agent (dishonest i)))),pair(scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Format(f2),pair(Nonce (absM(pair(Agent (honest a),Agent (dishonest i)))),SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i))))))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Format(f2),pair(Nonce (absM(pair(Agent (honest a),Agent (honest a)))),SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i))))))))));
fp_207: iknows(pair(Nonce (absM(pair(Agent (honest a),Agent (dishonest i)))),pair(scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Format(f2),pair(Nonce (absM(pair(Agent (honest a),Agent (honest a)))),SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i))))))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Format(f2),pair(Nonce (ni),SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i))))))))));
fp_208: iknows(pair(Nonce (absM(pair(Agent (honest a),Agent (dishonest i)))),pair(scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Format(f2),pair(Nonce (absM(pair(Agent (honest a),Agent (honest a)))),SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i))))))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Format(f2),pair(Nonce (absM(pair(Agent (honest a),Agent (dishonest i)))),SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i))))))))));
fp_209: iknows(pair(Nonce (absM(pair(Agent (honest a),Agent (dishonest i)))),pair(scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Format(f2),pair(Nonce (absM(pair(Agent (honest a),Agent (honest a)))),SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i))))))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Format(f2),pair(Nonce (absM(pair(Agent (honest a),Agent (honest a)))),SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i))))))))));
fp_210: iknows(pair(Nonce (absM(pair(Agent (honest a),Agent (honest a)))),pair(scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Format(f2),pair(Nonce (ni),SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i))))))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Format(f2),pair(Nonce (ni),SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i))))))))));
fp_211: iknows(pair(Nonce (absM(pair(Agent (honest a),Agent (honest a)))),pair(scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Format(f2),pair(Nonce (ni),SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i))))))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Format(f2),pair(Nonce (absM(pair(Agent (honest a),Agent (dishonest i)))),SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i))))))))));
fp_212: iknows(pair(Nonce (absM(pair(Agent (honest a),Agent (honest a)))),pair(scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Format(f2),pair(Nonce (ni),SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i))))))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Format(f2),pair(Nonce (absM(pair(Agent (honest a),Agent (honest a)))),SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i))))))))));
fp_213: iknows(pair(Nonce (absM(pair(Agent (honest a),Agent (honest a)))),pair(scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Format(f2),pair(Nonce (absM(pair(Agent (honest a),Agent (dishonest i)))),SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i))))))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Format(f2),pair(Nonce (ni),SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i))))))))));
fp_214: iknows(pair(Nonce (absM(pair(Agent (honest a),Agent (honest a)))),pair(scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Format(f2),pair(Nonce (absM(pair(Agent (honest a),Agent (dishonest i)))),SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i))))))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Format(f2),pair(Nonce (absM(pair(Agent (honest a),Agent (dishonest i)))),SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i))))))))));
fp_215: iknows(pair(Nonce (absM(pair(Agent (honest a),Agent (honest a)))),pair(scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Format(f2),pair(Nonce (absM(pair(Agent (honest a),Agent (dishonest i)))),SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i))))))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Format(f2),pair(Nonce (absM(pair(Agent (honest a),Agent (honest a)))),SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i))))))))));
fp_216: iknows(pair(Nonce (absM(pair(Agent (honest a),Agent (honest a)))),pair(scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Format(f2),pair(Nonce (absM(pair(Agent (honest a),Agent (honest a)))),SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i))))))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Format(f2),pair(Nonce (ni),SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i))))))))));
fp_217: iknows(pair(Nonce (absM(pair(Agent (honest a),Agent (honest a)))),pair(scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Format(f2),pair(Nonce (absM(pair(Agent (honest a),Agent (honest a)))),SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i))))))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Format(f2),pair(Nonce (absM(pair(Agent (honest a),Agent (dishonest i)))),SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i))))))))));
fp_218: iknows(pair(Nonce (absM(pair(Agent (honest a),Agent (honest a)))),pair(scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Format(f2),pair(Nonce (absM(pair(Agent (honest a),Agent (honest a)))),SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i))))))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Format(f2),pair(Nonce (absM(pair(Agent (honest a),Agent (honest a)))),SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i))))))))));
fp_219: iknows(pair(scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Format(f2),pair(Nonce (ni),SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i))))))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Format(f2),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))))))));
fp_220: iknows(pair(Nonce (ni),pair(scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Format(f2),pair(Nonce (ni),SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i))))))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Format(f2),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i))))))))));
fp_221: iknows(pair(scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Format(f2),pair(Nonce (absM(pair(Agent (honest a),Agent (dishonest i)))),SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i))))))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Format(f2),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))))))));
fp_222: iknows(pair(Nonce (ni),pair(scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Format(f2),pair(Nonce (absM(pair(Agent (honest a),Agent (dishonest i)))),SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i))))))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Format(f2),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i))))))))));
fp_223: iknows(pair(scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Format(f2),pair(Nonce (absM(pair(Agent (honest a),Agent (honest a)))),SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i))))))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Format(f2),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))))))));
fp_224: iknows(pair(Nonce (ni),pair(scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Format(f2),pair(Nonce (absM(pair(Agent (honest a),Agent (honest a)))),SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i))))))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Format(f2),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i))))))))));
fp_225: iknows(pair(Nonce (absM(pair(Agent (honest a),Agent (dishonest i)))),pair(scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Format(f2),pair(Nonce (ni),SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i))))))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Format(f2),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i))))))))));
fp_226: iknows(pair(Nonce (absM(pair(Agent (honest a),Agent (dishonest i)))),pair(scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Format(f2),pair(Nonce (absM(pair(Agent (honest a),Agent (dishonest i)))),SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i))))))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Format(f2),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i))))))))));
fp_227: iknows(pair(Nonce (absM(pair(Agent (honest a),Agent (dishonest i)))),pair(scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Format(f2),pair(Nonce (absM(pair(Agent (honest a),Agent (honest a)))),SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i))))))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Format(f2),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i))))))))));
fp_228: iknows(pair(Nonce (absM(pair(Agent (honest a),Agent (honest a)))),pair(scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Format(f2),pair(Nonce (ni),SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i))))))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Format(f2),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i))))))))));
fp_229: iknows(pair(Nonce (absM(pair(Agent (honest a),Agent (honest a)))),pair(scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Format(f2),pair(Nonce (absM(pair(Agent (honest a),Agent (dishonest i)))),SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i))))))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Format(f2),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i))))))))));
fp_230: iknows(pair(Nonce (absM(pair(Agent (honest a),Agent (honest a)))),pair(scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Format(f2),pair(Nonce (absM(pair(Agent (honest a),Agent (honest a)))),SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i))))))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Format(f2),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i))))))))));
fp_231: iknows(pair(scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Format(f2),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),SymKey (absKAB(pair(Agent (dishonest i),Agent (honest a))))))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Format(f2),pair(Nonce (ni),SymKey (absKAB(pair(Agent (dishonest i),Agent (honest a)))))))));
fp_232: iknows(pair(Nonce (absM(pair(Agent (honest a),Agent (dishonest i)))),pair(scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Format(f2),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),SymKey (absKAB(pair(Agent (dishonest i),Agent (honest a))))))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Format(f2),pair(Nonce (ni),SymKey (absKAB(pair(Agent (dishonest i),Agent (honest a))))))))));
fp_233: iknows(pair(scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Format(f2),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),SymKey (absKAB(pair(Agent (dishonest i),Agent (honest a))))))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Format(f2),pair(Nonce (absM(pair(Agent (honest a),Agent (dishonest i)))),SymKey (absKAB(pair(Agent (dishonest i),Agent (honest a)))))))));
fp_234: iknows(pair(Nonce (absM(pair(Agent (honest a),Agent (dishonest i)))),pair(scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Format(f2),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),SymKey (absKAB(pair(Agent (dishonest i),Agent (honest a))))))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Format(f2),pair(Nonce (absM(pair(Agent (honest a),Agent (dishonest i)))),SymKey (absKAB(pair(Agent (dishonest i),Agent (honest a))))))))));
fp_235: iknows(pair(scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Format(f2),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),SymKey (absKAB(pair(Agent (dishonest i),Agent (honest a))))))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Format(f2),pair(Nonce (absM(pair(Agent (honest a),Agent (honest a)))),SymKey (absKAB(pair(Agent (dishonest i),Agent (honest a)))))))));
fp_236: iknows(pair(Nonce (absM(pair(Agent (honest a),Agent (dishonest i)))),pair(scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Format(f2),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),SymKey (absKAB(pair(Agent (dishonest i),Agent (honest a))))))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Format(f2),pair(Nonce (absM(pair(Agent (honest a),Agent (honest a)))),SymKey (absKAB(pair(Agent (dishonest i),Agent (honest a))))))))));
fp_237: iknows(pair(scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Format(f2),pair(Nonce (absNB(pair(Agent (honest a),Agent (honest a)))),SymKey (absKAB(pair(Agent (honest a),Agent (honest a))))))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Format(f2),pair(Nonce (absNB(pair(Agent (honest a),Agent (honest a)))),SymKey (absKAB(pair(Agent (honest a),Agent (honest a)))))))));
fp_238: iknows(pair(Nonce (ni),pair(scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Format(f2),pair(Nonce (absNB(pair(Agent (honest a),Agent (honest a)))),SymKey (absKAB(pair(Agent (honest a),Agent (honest a))))))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Format(f2),pair(Nonce (absNB(pair(Agent (honest a),Agent (honest a)))),SymKey (absKAB(pair(Agent (honest a),Agent (honest a))))))))));
fp_239: iknows(pair(Nonce (absM(pair(Agent (honest a),Agent (dishonest i)))),pair(scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Format(f2),pair(Nonce (absNB(pair(Agent (honest a),Agent (honest a)))),SymKey (absKAB(pair(Agent (honest a),Agent (honest a))))))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Format(f2),pair(Nonce (absNB(pair(Agent (honest a),Agent (honest a)))),SymKey (absKAB(pair(Agent (honest a),Agent (honest a))))))))));
fp_240: iknows(pair(scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Format(f2),pair(Nonce (absNA(pair(Agent (honest a),Agent (honest a)))),SymKey (absKAB(pair(Agent (honest a),Agent (honest a))))))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Format(f2),pair(Nonce (absNA(pair(Agent (honest a),Agent (honest a)))),SymKey (absKAB(pair(Agent (honest a),Agent (honest a)))))))));
fp_241: iknows(pair(Nonce (absM(pair(Agent (honest a),Agent (honest a)))),pair(scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Format(f2),pair(Nonce (absNA(pair(Agent (honest a),Agent (honest a)))),SymKey (absKAB(pair(Agent (honest a),Agent (honest a))))))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Format(f2),pair(Nonce (absNA(pair(Agent (honest a),Agent (honest a)))),SymKey (absKAB(pair(Agent (honest a),Agent (honest a))))))))));
fp_242: iknows(pair(scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Format(f2),pair(Nonce (absNA(pair(Agent (honest a),Agent (honest a)))),SymKey (absKAB(pair(Agent (honest a),Agent (honest a))))))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Format(f2),pair(Nonce (absNB(pair(Agent (honest a),Agent (honest a)))),SymKey (absKAB(pair(Agent (honest a),Agent (honest a)))))))));
fp_243: iknows(pair(Nonce (absM(pair(Agent (honest a),Agent (honest a)))),pair(scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Format(f2),pair(Nonce (absNA(pair(Agent (honest a),Agent (honest a)))),SymKey (absKAB(pair(Agent (honest a),Agent (honest a))))))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Format(f2),pair(Nonce (absNB(pair(Agent (honest a),Agent (honest a)))),SymKey (absKAB(pair(Agent (honest a),Agent (honest a))))))))));
fp_244: iknows(pair(scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Format(f2),pair(Nonce (absNB(pair(Agent (honest a),Agent (honest a)))),SymKey (absKAB(pair(Agent (honest a),Agent (honest a))))))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Format(f2),pair(Nonce (absNA(pair(Agent (honest a),Agent (honest a)))),SymKey (absKAB(pair(Agent (honest a),Agent (honest a)))))))));
fp_245: iknows(pair(Nonce (absM(pair(Agent (honest a),Agent (honest a)))),pair(scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Format(f2),pair(Nonce (absNB(pair(Agent (honest a),Agent (honest a)))),SymKey (absKAB(pair(Agent (honest a),Agent (honest a))))))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Format(f2),pair(Nonce (absNA(pair(Agent (honest a),Agent (honest a)))),SymKey (absKAB(pair(Agent (honest a),Agent (honest a))))))))));
fp_246: iknows(pair(Nonce (absM(pair(Agent (honest a),Agent (honest a)))),pair(scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Format(f2),pair(Nonce (absNB(pair(Agent (honest a),Agent (honest a)))),SymKey (absKAB(pair(Agent (honest a),Agent (honest a))))))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Format(f2),pair(Nonce (absNB(pair(Agent (honest a),Agent (honest a)))),SymKey (absKAB(pair(Agent (honest a),Agent (honest a))))))))));
fp_247: iknows(pair(Agent (dishonest i),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Format(f1),pair(Nonce (absNB(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (ni),pair(Agent (honest a),Agent (honest a))))))));
fp_248: iknows(pair(Agent (honest a),pair(Agent (dishonest i),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Format(f1),pair(Nonce (absNB(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (ni),pair(Agent (honest a),Agent (honest a)))))))));
fp_249: iknows(pair(Agent (honest a),pair(Agent (honest a),pair(Agent (dishonest i),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Format(f1),pair(Nonce (absNB(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (ni),pair(Agent (honest a),Agent (honest a))))))))));
fp_250: iknows(pair(Nonce (ni),pair(Agent (honest a),pair(Agent (honest a),pair(Agent (dishonest i),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Format(f1),pair(Nonce (absNB(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (ni),pair(Agent (honest a),Agent (honest a)))))))))));
fp_251: iknows(pair(Agent (dishonest i),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Format(f1),pair(Nonce (absNB(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absM(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (honest a),Agent (honest a))))))));
fp_252: iknows(pair(Agent (honest a),pair(Agent (dishonest i),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Format(f1),pair(Nonce (absNB(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absM(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (honest a),Agent (honest a)))))))));
fp_253: iknows(pair(Agent (honest a),pair(Agent (honest a),pair(Agent (dishonest i),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Format(f1),pair(Nonce (absNB(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absM(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (honest a),Agent (honest a))))))))));
fp_254: iknows(pair(Nonce (absM(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (honest a),pair(Agent (honest a),pair(Agent (dishonest i),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Format(f1),pair(Nonce (absNB(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absM(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (honest a),Agent (honest a)))))))))));
fp_255: iknows(pair(Agent (dishonest i),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Format(f1),pair(Nonce (absNB(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absM(pair(Agent (honest a),Agent (honest a)))),pair(Agent (honest a),Agent (honest a))))))));
fp_256: iknows(pair(Agent (honest a),pair(Agent (dishonest i),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Format(f1),pair(Nonce (absNB(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absM(pair(Agent (honest a),Agent (honest a)))),pair(Agent (honest a),Agent (honest a)))))))));
fp_257: iknows(pair(Agent (honest a),pair(Agent (honest a),pair(Agent (dishonest i),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Format(f1),pair(Nonce (absNB(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absM(pair(Agent (honest a),Agent (honest a)))),pair(Agent (honest a),Agent (honest a))))))))));
fp_258: iknows(pair(Nonce (absM(pair(Agent (honest a),Agent (honest a)))),pair(Agent (honest a),pair(Agent (honest a),pair(Agent (dishonest i),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Format(f1),pair(Nonce (absNB(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absM(pair(Agent (honest a),Agent (honest a)))),pair(Agent (honest a),Agent (honest a)))))))))));
fp_259: iknows(pair(Agent (dishonest i),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Format(f1),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (ni),pair(Agent (dishonest i),Agent (honest a))))))));
fp_260: iknows(pair(Agent (honest a),pair(Agent (dishonest i),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Format(f1),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (ni),pair(Agent (dishonest i),Agent (honest a)))))))));
fp_261: iknows(pair(Agent (dishonest i),pair(Agent (honest a),pair(Agent (dishonest i),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Format(f1),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (ni),pair(Agent (dishonest i),Agent (honest a))))))))));
fp_262: iknows(pair(Nonce (ni),pair(Agent (dishonest i),pair(Agent (honest a),pair(Agent (dishonest i),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Format(f1),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (ni),pair(Agent (dishonest i),Agent (honest a)))))))))));
fp_263: iknows(pair(Agent (dishonest i),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Format(f1),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (absM(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),Agent (honest a))))))));
fp_264: iknows(pair(Agent (honest a),pair(Agent (dishonest i),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Format(f1),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (absM(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),Agent (honest a)))))))));
fp_265: iknows(pair(Agent (dishonest i),pair(Agent (honest a),pair(Agent (dishonest i),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Format(f1),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (absM(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),Agent (honest a))))))))));
fp_266: iknows(pair(Nonce (absM(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),pair(Agent (honest a),pair(Agent (dishonest i),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Format(f1),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (absM(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),Agent (honest a)))))))))));
fp_267: iknows(pair(Agent (dishonest i),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Format(f1),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (absM(pair(Agent (honest a),Agent (honest a)))),pair(Agent (dishonest i),Agent (honest a))))))));
fp_268: iknows(pair(Agent (honest a),pair(Agent (dishonest i),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Format(f1),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (absM(pair(Agent (honest a),Agent (honest a)))),pair(Agent (dishonest i),Agent (honest a)))))))));
fp_269: iknows(pair(Agent (dishonest i),pair(Agent (honest a),pair(Agent (dishonest i),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Format(f1),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (absM(pair(Agent (honest a),Agent (honest a)))),pair(Agent (dishonest i),Agent (honest a))))))))));
fp_270: iknows(pair(Nonce (absM(pair(Agent (honest a),Agent (honest a)))),pair(Agent (dishonest i),pair(Agent (honest a),pair(Agent (dishonest i),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Format(f1),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (absM(pair(Agent (honest a),Agent (honest a)))),pair(Agent (dishonest i),Agent (honest a)))))))))));
fp_271: iknows(pair(Agent (honest a),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Format(f1),pair(Nonce (absNA(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absM(pair(Agent (honest a),Agent (honest a)))),pair(Agent (honest a),Agent (honest a))))))));
fp_272: iknows(pair(Agent (honest a),pair(Agent (honest a),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Format(f1),pair(Nonce (absNA(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absM(pair(Agent (honest a),Agent (honest a)))),pair(Agent (honest a),Agent (honest a)))))))));
fp_273: iknows(pair(Nonce (absM(pair(Agent (honest a),Agent (honest a)))),pair(Agent (honest a),pair(Agent (honest a),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Format(f1),pair(Nonce (absNA(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absM(pair(Agent (honest a),Agent (honest a)))),pair(Agent (honest a),Agent (honest a))))))))));
fp_274: iknows(pair(Agent (dishonest i),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Format(f1),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (absM(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (honest a),Agent (dishonest i))))))));
fp_275: iknows(pair(Agent (honest a),pair(Agent (dishonest i),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Format(f1),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (absM(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (honest a),Agent (dishonest i)))))))));
fp_276: iknows(pair(Nonce (absM(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (honest a),pair(Agent (dishonest i),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Format(f1),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (absM(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (honest a),Agent (dishonest i))))))))));
fp_277: iknows(pair(Format(f2),pair(Nonce (ni),SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))))));
fp_278: iknows(pair(Format(f2),pair(Nonce (absM(pair(Agent (honest a),Agent (honest a)))),SymKey (absKAB(pair(Agent (dishonest i),Agent (honest a)))))));
fp_279: iknows(pair(Format(f2),pair(Nonce (absM(pair(Agent (honest a),Agent (dishonest i)))),SymKey (absKAB(pair(Agent (dishonest i),Agent (honest a)))))));
fp_280: iknows(pair(Format(f2),pair(Nonce (ni),SymKey (absKAB(pair(Agent (dishonest i),Agent (honest a)))))));
fp_281: iknows(pair(Format(f2),pair(Nonce (absM(pair(Agent (honest a),Agent (honest a)))),SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))))));
fp_282: iknows(pair(Format(f2),pair(Nonce (absM(pair(Agent (honest a),Agent (dishonest i)))),SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))))));
fp_283: iknows(pair(Format(f2),pair(Nonce (ni),SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))))));
fp_284: iknows(pair(Format(f2),pair(Nonce (absM(pair(Agent (honest a),Agent (honest a)))),SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))))));
fp_285: iknows(pair(Format(f2),pair(Nonce (absM(pair(Agent (honest a),Agent (dishonest i)))),SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))))));
fp_286: State (rs,[Agent (honest a),Step 1,SymKey (sk(pair(Agent (honest a),Agent (honest a)))),SymKey (sk(pair(Agent (honest a),Agent (honest a)))),Agent (honest a),Agent (honest a),Format(f2),Format(f1),Nonce (absM(pair(Agent (honest a),Agent (honest a)))),Nonce (absNB(pair(Agent (honest a),Agent (honest a)))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Format(f1),pair(Nonce (absNB(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absM(pair(Agent (honest a),Agent (honest a)))),pair(Agent (honest a),Agent (honest a)))))),Nonce (absNB(pair(Agent (honest a),Agent (honest a)))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Format(f1),pair(Nonce (absNB(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absM(pair(Agent (honest a),Agent (honest a)))),pair(Agent (honest a),Agent (honest a)))))),pair(Nonce (absM(pair(Agent (honest a),Agent (honest a)))),pair(Agent (honest a),pair(Agent (honest a),pair(scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Format(f1),pair(Nonce (absNB(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absM(pair(Agent (honest a),Agent (honest a)))),pair(Agent (honest a),Agent (honest a)))))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Format(f1),pair(Nonce (absNB(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absM(pair(Agent (honest a),Agent (honest a)))),pair(Agent (honest a),Agent (honest a)))))))))),SymKey (absKAB(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absM(pair(Agent (honest a),Agent (honest a)))),pair(scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Format(f2),pair(Nonce (absNB(pair(Agent (honest a),Agent (honest a)))),SymKey (absKAB(pair(Agent (honest a),Agent (honest a))))))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Format(f2),pair(Nonce (absNB(pair(Agent (honest a),Agent (honest a)))),SymKey (absKAB(pair(Agent (honest a),Agent (honest a))))))))),(SID sid)]);
fp_287: State (rs,[Agent (honest a),Step 1,SymKey (sk(pair(Agent (honest a),Agent (honest a)))),SymKey (sk(pair(Agent (honest a),Agent (honest a)))),Agent (honest a),Agent (honest a),Format(f2),Format(f1),Nonce (absM(pair(Agent (honest a),Agent (honest a)))),Nonce (absNA(pair(Agent (honest a),Agent (honest a)))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Format(f1),pair(Nonce (absNA(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absM(pair(Agent (honest a),Agent (honest a)))),pair(Agent (honest a),Agent (honest a)))))),Nonce (absNB(pair(Agent (honest a),Agent (honest a)))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Format(f1),pair(Nonce (absNB(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absM(pair(Agent (honest a),Agent (honest a)))),pair(Agent (honest a),Agent (honest a)))))),pair(Nonce (absM(pair(Agent (honest a),Agent (honest a)))),pair(Agent (honest a),pair(Agent (honest a),pair(scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Format(f1),pair(Nonce (absNB(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absM(pair(Agent (honest a),Agent (honest a)))),pair(Agent (honest a),Agent (honest a)))))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Format(f1),pair(Nonce (absNA(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absM(pair(Agent (honest a),Agent (honest a)))),pair(Agent (honest a),Agent (honest a)))))))))),SymKey (absKAB(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absM(pair(Agent (honest a),Agent (honest a)))),pair(scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Format(f2),pair(Nonce (absNB(pair(Agent (honest a),Agent (honest a)))),SymKey (absKAB(pair(Agent (honest a),Agent (honest a))))))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Format(f2),pair(Nonce (absNA(pair(Agent (honest a),Agent (honest a)))),SymKey (absKAB(pair(Agent (honest a),Agent (honest a))))))))),(SID sid)]);
fp_288: State (rs,[Agent (honest a),Step 1,SymKey (sk(pair(Agent (honest a),Agent (honest a)))),SymKey (sk(pair(Agent (honest a),Agent (honest a)))),Agent (honest a),Agent (honest a),Format(f2),Format(f1),Nonce (absM(pair(Agent (honest a),Agent (honest a)))),Nonce (absNB(pair(Agent (honest a),Agent (honest a)))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Format(f1),pair(Nonce (absNB(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absM(pair(Agent (honest a),Agent (honest a)))),pair(Agent (honest a),Agent (honest a)))))),Nonce (absNA(pair(Agent (honest a),Agent (honest a)))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Format(f1),pair(Nonce (absNA(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absM(pair(Agent (honest a),Agent (honest a)))),pair(Agent (honest a),Agent (honest a)))))),pair(Nonce (absM(pair(Agent (honest a),Agent (honest a)))),pair(Agent (honest a),pair(Agent (honest a),pair(scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Format(f1),pair(Nonce (absNA(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absM(pair(Agent (honest a),Agent (honest a)))),pair(Agent (honest a),Agent (honest a)))))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Format(f1),pair(Nonce (absNB(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absM(pair(Agent (honest a),Agent (honest a)))),pair(Agent (honest a),Agent (honest a)))))))))),SymKey (absKAB(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absM(pair(Agent (honest a),Agent (honest a)))),pair(scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Format(f2),pair(Nonce (absNA(pair(Agent (honest a),Agent (honest a)))),SymKey (absKAB(pair(Agent (honest a),Agent (honest a))))))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Format(f2),pair(Nonce (absNB(pair(Agent (honest a),Agent (honest a)))),SymKey (absKAB(pair(Agent (honest a),Agent (honest a))))))))),(SID sid)]);
fp_289: State (rs,[Agent (honest a),Step 1,SymKey (sk(pair(Agent (honest a),Agent (honest a)))),SymKey (sk(pair(Agent (honest a),Agent (honest a)))),Agent (honest a),Agent (honest a),Format(f2),Format(f1),Nonce (absM(pair(Agent (honest a),Agent (dishonest i)))),Nonce (absNB(pair(Agent (honest a),Agent (honest a)))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Format(f1),pair(Nonce (absNB(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absM(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (honest a),Agent (honest a)))))),Nonce (absNB(pair(Agent (honest a),Agent (honest a)))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Format(f1),pair(Nonce (absNB(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absM(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (honest a),Agent (honest a)))))),pair(Nonce (absM(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (honest a),pair(Agent (honest a),pair(scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Format(f1),pair(Nonce (absNB(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absM(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (honest a),Agent (honest a)))))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Format(f1),pair(Nonce (absNB(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absM(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (honest a),Agent (honest a)))))))))),SymKey (absKAB(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absM(pair(Agent (honest a),Agent (dishonest i)))),pair(scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Format(f2),pair(Nonce (absNB(pair(Agent (honest a),Agent (honest a)))),SymKey (absKAB(pair(Agent (honest a),Agent (honest a))))))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Format(f2),pair(Nonce (absNB(pair(Agent (honest a),Agent (honest a)))),SymKey (absKAB(pair(Agent (honest a),Agent (honest a))))))))),(SID sid)]);
fp_290: State (rs,[Agent (honest a),Step 1,SymKey (sk(pair(Agent (honest a),Agent (honest a)))),SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),Agent (honest a),Agent (dishonest i),Format(f2),Format(f1),Nonce (absM(pair(Agent (honest a),Agent (honest a)))),Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Format(f1),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (absM(pair(Agent (honest a),Agent (honest a)))),pair(Agent (dishonest i),Agent (honest a)))))),Nonce (absM(pair(Agent (honest a),Agent (honest a)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Format(f1),pair(Nonce (absM(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absM(pair(Agent (honest a),Agent (honest a)))),pair(Agent (dishonest i),Agent (honest a)))))),pair(Nonce (absM(pair(Agent (honest a),Agent (honest a)))),pair(Agent (dishonest i),pair(Agent (honest a),pair(scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Format(f1),pair(Nonce (absM(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absM(pair(Agent (honest a),Agent (honest a)))),pair(Agent (dishonest i),Agent (honest a)))))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Format(f1),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (absM(pair(Agent (honest a),Agent (honest a)))),pair(Agent (dishonest i),Agent (honest a)))))))))),SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (absM(pair(Agent (honest a),Agent (honest a)))),pair(scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Format(f2),pair(Nonce (absM(pair(Agent (honest a),Agent (honest a)))),SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i))))))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Format(f2),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i))))))))),(SID sid)]);
fp_291: State (rs,[Agent (honest a),Step 1,SymKey (sk(pair(Agent (honest a),Agent (honest a)))),SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),Agent (honest a),Agent (dishonest i),Format(f2),Format(f1),Nonce (absM(pair(Agent (honest a),Agent (honest a)))),Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Format(f1),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (absM(pair(Agent (honest a),Agent (honest a)))),pair(Agent (dishonest i),Agent (honest a)))))),Nonce (absM(pair(Agent (honest a),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Format(f1),pair(Nonce (absM(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (absM(pair(Agent (honest a),Agent (honest a)))),pair(Agent (dishonest i),Agent (honest a)))))),pair(Nonce (absM(pair(Agent (honest a),Agent (honest a)))),pair(Agent (dishonest i),pair(Agent (honest a),pair(scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Format(f1),pair(Nonce (absM(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (absM(pair(Agent (honest a),Agent (honest a)))),pair(Agent (dishonest i),Agent (honest a)))))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Format(f1),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (absM(pair(Agent (honest a),Agent (honest a)))),pair(Agent (dishonest i),Agent (honest a)))))))))),SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (absM(pair(Agent (honest a),Agent (honest a)))),pair(scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Format(f2),pair(Nonce (absM(pair(Agent (honest a),Agent (dishonest i)))),SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i))))))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Format(f2),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i))))))))),(SID sid)]);
fp_292: State (rs,[Agent (honest a),Step 1,SymKey (sk(pair(Agent (honest a),Agent (honest a)))),SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),Agent (honest a),Agent (dishonest i),Format(f2),Format(f1),Nonce (absM(pair(Agent (honest a),Agent (honest a)))),Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Format(f1),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (absM(pair(Agent (honest a),Agent (honest a)))),pair(Agent (dishonest i),Agent (honest a)))))),Nonce (ni),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Format(f1),pair(Nonce (ni),pair(Nonce (absM(pair(Agent (honest a),Agent (honest a)))),pair(Agent (dishonest i),Agent (honest a)))))),pair(Nonce (absM(pair(Agent (honest a),Agent (honest a)))),pair(Agent (dishonest i),pair(Agent (honest a),pair(scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Format(f1),pair(Nonce (ni),pair(Nonce (absM(pair(Agent (honest a),Agent (honest a)))),pair(Agent (dishonest i),Agent (honest a)))))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Format(f1),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (absM(pair(Agent (honest a),Agent (honest a)))),pair(Agent (dishonest i),Agent (honest a)))))))))),SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (absM(pair(Agent (honest a),Agent (honest a)))),pair(scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Format(f2),pair(Nonce (ni),SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i))))))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Format(f2),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i))))))))),(SID sid)]);
fp_293: State (rs,[Agent (honest a),Step 1,SymKey (sk(pair(Agent (honest a),Agent (honest a)))),SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),Agent (honest a),Agent (dishonest i),Format(f2),Format(f1),Nonce (absM(pair(Agent (honest a),Agent (dishonest i)))),Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Format(f1),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (absM(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),Agent (honest a)))))),Nonce (absM(pair(Agent (honest a),Agent (honest a)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Format(f1),pair(Nonce (absM(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absM(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),Agent (honest a)))))),pair(Nonce (absM(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),pair(Agent (honest a),pair(scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Format(f1),pair(Nonce (absM(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absM(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),Agent (honest a)))))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Format(f1),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (absM(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),Agent (honest a)))))))))),SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (absM(pair(Agent (honest a),Agent (dishonest i)))),pair(scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Format(f2),pair(Nonce (absM(pair(Agent (honest a),Agent (honest a)))),SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i))))))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Format(f2),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i))))))))),(SID sid)]);
fp_294: State (rs,[Agent (honest a),Step 1,SymKey (sk(pair(Agent (honest a),Agent (honest a)))),SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),Agent (honest a),Agent (dishonest i),Format(f2),Format(f1),Nonce (absM(pair(Agent (honest a),Agent (dishonest i)))),Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Format(f1),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (absM(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),Agent (honest a)))))),Nonce (absM(pair(Agent (honest a),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Format(f1),pair(Nonce (absM(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (absM(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),Agent (honest a)))))),pair(Nonce (absM(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),pair(Agent (honest a),pair(scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Format(f1),pair(Nonce (absM(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (absM(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),Agent (honest a)))))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Format(f1),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (absM(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),Agent (honest a)))))))))),SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (absM(pair(Agent (honest a),Agent (dishonest i)))),pair(scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Format(f2),pair(Nonce (absM(pair(Agent (honest a),Agent (dishonest i)))),SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i))))))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Format(f2),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i))))))))),(SID sid)]);
fp_295: State (rs,[Agent (honest a),Step 1,SymKey (sk(pair(Agent (honest a),Agent (honest a)))),SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),Agent (honest a),Agent (dishonest i),Format(f2),Format(f1),Nonce (absM(pair(Agent (honest a),Agent (dishonest i)))),Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Format(f1),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (absM(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),Agent (honest a)))))),Nonce (ni),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Format(f1),pair(Nonce (ni),pair(Nonce (absM(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),Agent (honest a)))))),pair(Nonce (absM(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),pair(Agent (honest a),pair(scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Format(f1),pair(Nonce (ni),pair(Nonce (absM(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),Agent (honest a)))))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Format(f1),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (absM(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),Agent (honest a)))))))))),SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (absM(pair(Agent (honest a),Agent (dishonest i)))),pair(scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Format(f2),pair(Nonce (ni),SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i))))))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Format(f2),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i))))))))),(SID sid)]);
fp_296: request(Agent (honest a),Agent (honest a),Purpose (pBsKAB),SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))),(SID sid));
fp_297: State (rB,[Agent (honest a),Step 2,SymKey (sk(pair(Agent (honest a),Agent (honest a)))),Agent (dishonest i),Format(f2),Format(f1),Nonce (absM(pair(Agent (honest a),Agent (honest a)))),Agent (dishonest i),pair(Nonce (absM(pair(Agent (honest a),Agent (honest a)))),pair(Agent (dishonest i),pair(Agent (honest a),Agent (dishonest i)))),Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (absM(pair(Agent (honest a),Agent (honest a)))),pair(Agent (dishonest i),pair(Agent (honest a),pair(Agent (dishonest i),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Format(f1),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (absM(pair(Agent (honest a),Agent (honest a)))),pair(Agent (dishonest i),Agent (honest a)))))))))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Format(f1),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (absM(pair(Agent (honest a),Agent (honest a)))),pair(Agent (dishonest i),Agent (honest a)))))),SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Format(f2),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i))))))),Agent (dishonest i),pair(Nonce (absM(pair(Agent (honest a),Agent (honest a)))),pair(Agent (dishonest i),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Format(f2),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i))))))))),pair(Nonce (absM(pair(Agent (honest a),Agent (honest a)))),Agent (dishonest i)),(SID sid)]);
fp_298: State (rB,[Agent (honest a),Step 2,SymKey (sk(pair(Agent (honest a),Agent (honest a)))),Agent (dishonest i),Format(f2),Format(f1),Nonce (absM(pair(Agent (honest a),Agent (dishonest i)))),Agent (dishonest i),pair(Nonce (absM(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),pair(Agent (honest a),Agent (dishonest i)))),Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (absM(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),pair(Agent (honest a),pair(Agent (dishonest i),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Format(f1),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (absM(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),Agent (honest a)))))))))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Format(f1),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (absM(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),Agent (honest a)))))),SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Format(f2),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i))))))),Agent (dishonest i),pair(Nonce (absM(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Format(f2),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i))))))))),pair(Nonce (absM(pair(Agent (honest a),Agent (dishonest i)))),Agent (dishonest i)),(SID sid)]);
fp_299: request(Agent (honest a),Agent (honest a),Purpose (pBsKAB),SymKey (absKAB(pair(Agent (honest a),Agent (honest a)))),(SID sid));
fp_300: State (rB,[Agent (honest a),Step 2,SymKey (sk(pair(Agent (honest a),Agent (honest a)))),Agent (honest a),Format(f2),Format(f1),Nonce (absM(pair(Agent (honest a),Agent (honest a)))),Agent (dishonest i),pair(Nonce (absM(pair(Agent (honest a),Agent (honest a)))),pair(Agent (honest a),pair(Agent (honest a),Agent (dishonest i)))),Nonce (absNB(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absM(pair(Agent (honest a),Agent (honest a)))),pair(Agent (honest a),pair(Agent (honest a),pair(Agent (dishonest i),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Format(f1),pair(Nonce (absNB(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absM(pair(Agent (honest a),Agent (honest a)))),pair(Agent (honest a),Agent (honest a)))))))))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Format(f1),pair(Nonce (absNB(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absM(pair(Agent (honest a),Agent (honest a)))),pair(Agent (honest a),Agent (honest a)))))),SymKey (absKAB(pair(Agent (honest a),Agent (honest a)))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Format(f2),pair(Nonce (absNB(pair(Agent (honest a),Agent (honest a)))),SymKey (absKAB(pair(Agent (honest a),Agent (honest a))))))),Agent (dishonest i),pair(Nonce (absM(pair(Agent (honest a),Agent (honest a)))),pair(Agent (dishonest i),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Format(f2),pair(Nonce (absNB(pair(Agent (honest a),Agent (honest a)))),SymKey (absKAB(pair(Agent (honest a),Agent (honest a))))))))),pair(Nonce (absM(pair(Agent (honest a),Agent (honest a)))),Agent (dishonest i)),(SID sid)]);
fp_301: State (rB,[Agent (honest a),Step 2,SymKey (sk(pair(Agent (honest a),Agent (honest a)))),Agent (honest a),Format(f2),Format(f1),Nonce (absM(pair(Agent (honest a),Agent (dishonest i)))),Agent (dishonest i),pair(Nonce (absM(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (honest a),pair(Agent (honest a),Agent (dishonest i)))),Nonce (absNB(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absM(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (honest a),pair(Agent (honest a),pair(Agent (dishonest i),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Format(f1),pair(Nonce (absNB(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absM(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (honest a),Agent (honest a)))))))))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Format(f1),pair(Nonce (absNB(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absM(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (honest a),Agent (honest a)))))),SymKey (absKAB(pair(Agent (honest a),Agent (honest a)))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Format(f2),pair(Nonce (absNB(pair(Agent (honest a),Agent (honest a)))),SymKey (absKAB(pair(Agent (honest a),Agent (honest a))))))),Agent (dishonest i),pair(Nonce (absM(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Format(f2),pair(Nonce (absNB(pair(Agent (honest a),Agent (honest a)))),SymKey (absKAB(pair(Agent (honest a),Agent (honest a))))))))),pair(Nonce (absM(pair(Agent (honest a),Agent (dishonest i)))),Agent (dishonest i)),(SID sid)]);
fp_302: State (rB,[Agent (honest a),Step 2,SymKey (sk(pair(Agent (honest a),Agent (honest a)))),Agent (dishonest i),Format(f2),Format(f1),Nonce (ni),Agent (dishonest i),pair(Nonce (ni),pair(Agent (dishonest i),pair(Agent (honest a),Agent (dishonest i)))),Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (ni),pair(Agent (dishonest i),pair(Agent (honest a),pair(Agent (dishonest i),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Format(f1),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (ni),pair(Agent (dishonest i),Agent (honest a)))))))))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Format(f1),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (ni),pair(Agent (dishonest i),Agent (honest a)))))),SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Format(f2),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i))))))),Agent (dishonest i),pair(Nonce (ni),pair(Agent (dishonest i),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Format(f2),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i))))))))),pair(Nonce (ni),Agent (dishonest i)),(SID sid)]);
fp_303: State (rB,[Agent (honest a),Step 2,SymKey (sk(pair(Agent (honest a),Agent (honest a)))),Agent (honest a),Format(f2),Format(f1),Nonce (ni),Agent (dishonest i),pair(Nonce (ni),pair(Agent (honest a),pair(Agent (honest a),Agent (dishonest i)))),Nonce (absNB(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (ni),pair(Agent (honest a),pair(Agent (honest a),pair(Agent (dishonest i),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Format(f1),pair(Nonce (absNB(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (ni),pair(Agent (honest a),Agent (honest a)))))))))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Format(f1),pair(Nonce (absNB(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (ni),pair(Agent (honest a),Agent (honest a)))))),SymKey (absKAB(pair(Agent (honest a),Agent (honest a)))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Format(f2),pair(Nonce (absNB(pair(Agent (honest a),Agent (honest a)))),SymKey (absKAB(pair(Agent (honest a),Agent (honest a))))))),Agent (dishonest i),pair(Nonce (ni),pair(Agent (dishonest i),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Format(f2),pair(Nonce (absNB(pair(Agent (honest a),Agent (honest a)))),SymKey (absKAB(pair(Agent (honest a),Agent (honest a))))))))),pair(Nonce (ni),Agent (dishonest i)),(SID sid)]);
fp_304: request(Agent (honest a),Agent (honest a),Purpose (pAsKAB),SymKey (absKAB(pair(Agent (dishonest i),Agent (honest a)))),(SID sid));
fp_305: State (rA,[Agent (honest a),Step 2,SymKey (sk(pair(Agent (honest a),Agent (honest a)))),Agent (dishonest i),Format(f2),Format(f1),Nonce (absM(pair(Agent (honest a),Agent (dishonest i)))),Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (absM(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (honest a),pair(Agent (dishonest i),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Format(f1),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (absM(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (honest a),Agent (dishonest i))))))))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Format(f1),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (absM(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (honest a),Agent (dishonest i)))))),SymKey (absKAB(pair(Agent (dishonest i),Agent (honest a)))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Format(f2),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),SymKey (absKAB(pair(Agent (dishonest i),Agent (honest a))))))),pair(Nonce (absM(pair(Agent (honest a),Agent (dishonest i)))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Format(f2),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),SymKey (absKAB(pair(Agent (dishonest i),Agent (honest a)))))))),(SID sid)]);
fp_306: request(Agent (honest a),Agent (honest a),Purpose (pAsKAB),SymKey (absKAB(pair(Agent (honest a),Agent (honest a)))),(SID sid));
fp_307: State (rA,[Agent (honest a),Step 2,SymKey (sk(pair(Agent (honest a),Agent (honest a)))),Agent (honest a),Format(f2),Format(f1),Nonce (absM(pair(Agent (honest a),Agent (honest a)))),Nonce (absNA(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absM(pair(Agent (honest a),Agent (honest a)))),pair(Agent (honest a),pair(Agent (honest a),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Format(f1),pair(Nonce (absNA(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absM(pair(Agent (honest a),Agent (honest a)))),pair(Agent (honest a),Agent (honest a))))))))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Format(f1),pair(Nonce (absNA(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absM(pair(Agent (honest a),Agent (honest a)))),pair(Agent (honest a),Agent (honest a)))))),SymKey (absKAB(pair(Agent (honest a),Agent (honest a)))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Format(f2),pair(Nonce (absNA(pair(Agent (honest a),Agent (honest a)))),SymKey (absKAB(pair(Agent (honest a),Agent (honest a))))))),pair(Nonce (absM(pair(Agent (honest a),Agent (honest a)))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Format(f2),pair(Nonce (absNA(pair(Agent (honest a),Agent (honest a)))),SymKey (absKAB(pair(Agent (honest a),Agent (honest a)))))))),(SID sid)]);
fp_308: iknows(SymKey (absKAB(pair(Agent (dishonest i),Agent (honest a)))));
fp_309: iknows(SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))));
fp_310: iknows(pair(Nonce (ni),Agent (dishonest i)));
fp_311: iknows(pair(Nonce (absM(pair(Agent (honest a),Agent (dishonest i)))),Agent (dishonest i)));
fp_312: iknows(pair(Nonce (absM(pair(Agent (honest a),Agent (honest a)))),Agent (dishonest i)));
fp_313: iknows(pair(scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Format(f2),pair(Nonce (ni),SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i))))))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Format(f2),pair(Nonce (ni),SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))))))));
fp_314: iknows(pair(Nonce (ni),pair(scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Format(f2),pair(Nonce (ni),SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i))))))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Format(f2),pair(Nonce (ni),SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i))))))))));
fp_315: iknows(pair(scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Format(f2),pair(Nonce (ni),SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i))))))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Format(f2),pair(Nonce (absM(pair(Agent (honest a),Agent (dishonest i)))),SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))))))));
fp_316: iknows(pair(Nonce (ni),pair(scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Format(f2),pair(Nonce (ni),SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i))))))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Format(f2),pair(Nonce (absM(pair(Agent (honest a),Agent (dishonest i)))),SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i))))))))));
fp_317: iknows(pair(scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Format(f2),pair(Nonce (ni),SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i))))))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Format(f2),pair(Nonce (absM(pair(Agent (honest a),Agent (honest a)))),SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))))))));
fp_318: iknows(pair(Nonce (ni),pair(scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Format(f2),pair(Nonce (ni),SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i))))))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Format(f2),pair(Nonce (absM(pair(Agent (honest a),Agent (honest a)))),SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i))))))))));
fp_319: iknows(pair(scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Format(f2),pair(Nonce (absM(pair(Agent (honest a),Agent (dishonest i)))),SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i))))))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Format(f2),pair(Nonce (ni),SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))))))));
fp_320: iknows(pair(Nonce (ni),pair(scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Format(f2),pair(Nonce (absM(pair(Agent (honest a),Agent (dishonest i)))),SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i))))))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Format(f2),pair(Nonce (ni),SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i))))))))));
fp_321: iknows(pair(scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Format(f2),pair(Nonce (absM(pair(Agent (honest a),Agent (dishonest i)))),SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i))))))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Format(f2),pair(Nonce (absM(pair(Agent (honest a),Agent (dishonest i)))),SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))))))));
fp_322: iknows(pair(Nonce (ni),pair(scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Format(f2),pair(Nonce (absM(pair(Agent (honest a),Agent (dishonest i)))),SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i))))))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Format(f2),pair(Nonce (absM(pair(Agent (honest a),Agent (dishonest i)))),SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i))))))))));
fp_323: iknows(pair(scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Format(f2),pair(Nonce (absM(pair(Agent (honest a),Agent (dishonest i)))),SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i))))))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Format(f2),pair(Nonce (absM(pair(Agent (honest a),Agent (honest a)))),SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))))))));
fp_324: iknows(pair(Nonce (ni),pair(scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Format(f2),pair(Nonce (absM(pair(Agent (honest a),Agent (dishonest i)))),SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i))))))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Format(f2),pair(Nonce (absM(pair(Agent (honest a),Agent (honest a)))),SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i))))))))));
fp_325: iknows(pair(scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Format(f2),pair(Nonce (absM(pair(Agent (honest a),Agent (honest a)))),SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i))))))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Format(f2),pair(Nonce (ni),SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))))))));
fp_326: iknows(pair(Nonce (ni),pair(scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Format(f2),pair(Nonce (absM(pair(Agent (honest a),Agent (honest a)))),SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i))))))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Format(f2),pair(Nonce (ni),SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i))))))))));
fp_327: iknows(pair(scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Format(f2),pair(Nonce (absM(pair(Agent (honest a),Agent (honest a)))),SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i))))))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Format(f2),pair(Nonce (absM(pair(Agent (honest a),Agent (dishonest i)))),SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))))))));
fp_328: iknows(pair(Nonce (ni),pair(scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Format(f2),pair(Nonce (absM(pair(Agent (honest a),Agent (honest a)))),SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i))))))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Format(f2),pair(Nonce (absM(pair(Agent (honest a),Agent (dishonest i)))),SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i))))))))));
fp_329: iknows(pair(scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Format(f2),pair(Nonce (absM(pair(Agent (honest a),Agent (honest a)))),SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i))))))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Format(f2),pair(Nonce (absM(pair(Agent (honest a),Agent (honest a)))),SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))))))));
fp_330: iknows(pair(Nonce (ni),pair(scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Format(f2),pair(Nonce (absM(pair(Agent (honest a),Agent (honest a)))),SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i))))))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Format(f2),pair(Nonce (absM(pair(Agent (honest a),Agent (honest a)))),SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i))))))))));
fp_331: iknows(pair(Nonce (absM(pair(Agent (honest a),Agent (dishonest i)))),pair(scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Format(f2),pair(Nonce (ni),SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i))))))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Format(f2),pair(Nonce (ni),SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i))))))))));
fp_332: iknows(pair(Nonce (absM(pair(Agent (honest a),Agent (dishonest i)))),pair(scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Format(f2),pair(Nonce (ni),SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i))))))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Format(f2),pair(Nonce (absM(pair(Agent (honest a),Agent (dishonest i)))),SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i))))))))));
fp_333: iknows(pair(Nonce (absM(pair(Agent (honest a),Agent (dishonest i)))),pair(scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Format(f2),pair(Nonce (ni),SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i))))))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Format(f2),pair(Nonce (absM(pair(Agent (honest a),Agent (honest a)))),SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i))))))))));
fp_334: iknows(pair(Nonce (absM(pair(Agent (honest a),Agent (dishonest i)))),pair(scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Format(f2),pair(Nonce (absM(pair(Agent (honest a),Agent (dishonest i)))),SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i))))))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Format(f2),pair(Nonce (ni),SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i))))))))));
fp_335: iknows(pair(Nonce (absM(pair(Agent (honest a),Agent (dishonest i)))),pair(scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Format(f2),pair(Nonce (absM(pair(Agent (honest a),Agent (dishonest i)))),SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i))))))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Format(f2),pair(Nonce (absM(pair(Agent (honest a),Agent (dishonest i)))),SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i))))))))));
fp_336: iknows(pair(Nonce (absM(pair(Agent (honest a),Agent (dishonest i)))),pair(scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Format(f2),pair(Nonce (absM(pair(Agent (honest a),Agent (dishonest i)))),SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i))))))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Format(f2),pair(Nonce (absM(pair(Agent (honest a),Agent (honest a)))),SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i))))))))));
fp_337: iknows(pair(Nonce (absM(pair(Agent (honest a),Agent (dishonest i)))),pair(scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Format(f2),pair(Nonce (absM(pair(Agent (honest a),Agent (honest a)))),SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i))))))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Format(f2),pair(Nonce (ni),SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i))))))))));
fp_338: iknows(pair(Nonce (absM(pair(Agent (honest a),Agent (dishonest i)))),pair(scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Format(f2),pair(Nonce (absM(pair(Agent (honest a),Agent (honest a)))),SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i))))))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Format(f2),pair(Nonce (absM(pair(Agent (honest a),Agent (dishonest i)))),SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i))))))))));
fp_339: iknows(pair(Nonce (absM(pair(Agent (honest a),Agent (dishonest i)))),pair(scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Format(f2),pair(Nonce (absM(pair(Agent (honest a),Agent (honest a)))),SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i))))))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Format(f2),pair(Nonce (absM(pair(Agent (honest a),Agent (honest a)))),SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i))))))))));
fp_340: iknows(pair(Nonce (absM(pair(Agent (honest a),Agent (honest a)))),pair(scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Format(f2),pair(Nonce (ni),SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i))))))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Format(f2),pair(Nonce (ni),SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i))))))))));
fp_341: iknows(pair(Nonce (absM(pair(Agent (honest a),Agent (honest a)))),pair(scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Format(f2),pair(Nonce (ni),SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i))))))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Format(f2),pair(Nonce (absM(pair(Agent (honest a),Agent (dishonest i)))),SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i))))))))));
fp_342: iknows(pair(Nonce (absM(pair(Agent (honest a),Agent (honest a)))),pair(scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Format(f2),pair(Nonce (ni),SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i))))))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Format(f2),pair(Nonce (absM(pair(Agent (honest a),Agent (honest a)))),SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i))))))))));
fp_343: iknows(pair(Nonce (absM(pair(Agent (honest a),Agent (honest a)))),pair(scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Format(f2),pair(Nonce (absM(pair(Agent (honest a),Agent (dishonest i)))),SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i))))))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Format(f2),pair(Nonce (ni),SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i))))))))));
fp_344: iknows(pair(Nonce (absM(pair(Agent (honest a),Agent (honest a)))),pair(scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Format(f2),pair(Nonce (absM(pair(Agent (honest a),Agent (dishonest i)))),SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i))))))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Format(f2),pair(Nonce (absM(pair(Agent (honest a),Agent (dishonest i)))),SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i))))))))));
fp_345: iknows(pair(Nonce (absM(pair(Agent (honest a),Agent (honest a)))),pair(scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Format(f2),pair(Nonce (absM(pair(Agent (honest a),Agent (dishonest i)))),SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i))))))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Format(f2),pair(Nonce (absM(pair(Agent (honest a),Agent (honest a)))),SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i))))))))));
fp_346: iknows(pair(Nonce (absM(pair(Agent (honest a),Agent (honest a)))),pair(scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Format(f2),pair(Nonce (absM(pair(Agent (honest a),Agent (honest a)))),SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i))))))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Format(f2),pair(Nonce (ni),SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i))))))))));
fp_347: iknows(pair(Nonce (absM(pair(Agent (honest a),Agent (honest a)))),pair(scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Format(f2),pair(Nonce (absM(pair(Agent (honest a),Agent (honest a)))),SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i))))))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Format(f2),pair(Nonce (absM(pair(Agent (honest a),Agent (dishonest i)))),SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i))))))))));
fp_348: iknows(pair(Nonce (absM(pair(Agent (honest a),Agent (honest a)))),pair(scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Format(f2),pair(Nonce (absM(pair(Agent (honest a),Agent (honest a)))),SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i))))))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Format(f2),pair(Nonce (absM(pair(Agent (honest a),Agent (honest a)))),SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i))))))))));
fp_349: iknows(pair(scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Format(f2),pair(Nonce (ni),SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i))))))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Format(f2),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))))))));
fp_350: iknows(pair(Nonce (ni),pair(scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Format(f2),pair(Nonce (ni),SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i))))))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Format(f2),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i))))))))));
fp_351: iknows(pair(scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Format(f2),pair(Nonce (absM(pair(Agent (honest a),Agent (dishonest i)))),SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i))))))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Format(f2),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))))))));
fp_352: iknows(pair(Nonce (ni),pair(scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Format(f2),pair(Nonce (absM(pair(Agent (honest a),Agent (dishonest i)))),SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i))))))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Format(f2),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i))))))))));
fp_353: iknows(pair(scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Format(f2),pair(Nonce (absM(pair(Agent (honest a),Agent (honest a)))),SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i))))))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Format(f2),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))))))));
fp_354: iknows(pair(Nonce (ni),pair(scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Format(f2),pair(Nonce (absM(pair(Agent (honest a),Agent (honest a)))),SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i))))))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Format(f2),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i))))))))));
fp_355: iknows(pair(Nonce (absM(pair(Agent (honest a),Agent (dishonest i)))),pair(scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Format(f2),pair(Nonce (ni),SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i))))))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Format(f2),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i))))))))));
fp_356: iknows(pair(Nonce (absM(pair(Agent (honest a),Agent (dishonest i)))),pair(scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Format(f2),pair(Nonce (absM(pair(Agent (honest a),Agent (dishonest i)))),SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i))))))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Format(f2),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i))))))))));
fp_357: iknows(pair(Nonce (absM(pair(Agent (honest a),Agent (dishonest i)))),pair(scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Format(f2),pair(Nonce (absM(pair(Agent (honest a),Agent (honest a)))),SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i))))))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Format(f2),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i))))))))));
fp_358: iknows(pair(Nonce (absM(pair(Agent (honest a),Agent (honest a)))),pair(scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Format(f2),pair(Nonce (ni),SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i))))))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Format(f2),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i))))))))));
fp_359: iknows(pair(Nonce (absM(pair(Agent (honest a),Agent (honest a)))),pair(scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Format(f2),pair(Nonce (absM(pair(Agent (honest a),Agent (dishonest i)))),SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i))))))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Format(f2),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i))))))))));
fp_360: iknows(pair(Nonce (absM(pair(Agent (honest a),Agent (honest a)))),pair(scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Format(f2),pair(Nonce (absM(pair(Agent (honest a),Agent (honest a)))),SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i))))))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Format(f2),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i))))))))));
fp_361: iknows(pair(scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Format(f2),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),SymKey (absKAB(pair(Agent (dishonest i),Agent (honest a))))))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Format(f2),pair(Nonce (ni),SymKey (absKAB(pair(Agent (dishonest i),Agent (honest a)))))))));
fp_362: iknows(pair(Nonce (absM(pair(Agent (honest a),Agent (dishonest i)))),pair(scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Format(f2),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),SymKey (absKAB(pair(Agent (dishonest i),Agent (honest a))))))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Format(f2),pair(Nonce (ni),SymKey (absKAB(pair(Agent (dishonest i),Agent (honest a))))))))));
fp_363: iknows(pair(scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Format(f2),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),SymKey (absKAB(pair(Agent (dishonest i),Agent (honest a))))))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Format(f2),pair(Nonce (absM(pair(Agent (honest a),Agent (dishonest i)))),SymKey (absKAB(pair(Agent (dishonest i),Agent (honest a)))))))));
fp_364: iknows(pair(Nonce (absM(pair(Agent (honest a),Agent (dishonest i)))),pair(scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Format(f2),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),SymKey (absKAB(pair(Agent (dishonest i),Agent (honest a))))))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Format(f2),pair(Nonce (absM(pair(Agent (honest a),Agent (dishonest i)))),SymKey (absKAB(pair(Agent (dishonest i),Agent (honest a))))))))));
fp_365: iknows(pair(scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Format(f2),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),SymKey (absKAB(pair(Agent (dishonest i),Agent (honest a))))))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Format(f2),pair(Nonce (absM(pair(Agent (honest a),Agent (honest a)))),SymKey (absKAB(pair(Agent (dishonest i),Agent (honest a)))))))));
fp_366: iknows(pair(Nonce (absM(pair(Agent (honest a),Agent (dishonest i)))),pair(scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Format(f2),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),SymKey (absKAB(pair(Agent (dishonest i),Agent (honest a))))))),scrypt(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Format(f2),pair(Nonce (absM(pair(Agent (honest a),Agent (honest a)))),SymKey (absKAB(pair(Agent (dishonest i),Agent (honest a))))))))));
fp_367: iknows(pair(scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Format(f2),pair(Nonce (absNB(pair(Agent (honest a),Agent (honest a)))),SymKey (absKAB(pair(Agent (honest a),Agent (honest a))))))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Format(f2),pair(Nonce (absNB(pair(Agent (honest a),Agent (honest a)))),SymKey (absKAB(pair(Agent (honest a),Agent (honest a)))))))));
fp_368: iknows(pair(Nonce (ni),pair(scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Format(f2),pair(Nonce (absNB(pair(Agent (honest a),Agent (honest a)))),SymKey (absKAB(pair(Agent (honest a),Agent (honest a))))))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Format(f2),pair(Nonce (absNB(pair(Agent (honest a),Agent (honest a)))),SymKey (absKAB(pair(Agent (honest a),Agent (honest a))))))))));
fp_369: iknows(pair(Nonce (absM(pair(Agent (honest a),Agent (dishonest i)))),pair(scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Format(f2),pair(Nonce (absNB(pair(Agent (honest a),Agent (honest a)))),SymKey (absKAB(pair(Agent (honest a),Agent (honest a))))))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Format(f2),pair(Nonce (absNB(pair(Agent (honest a),Agent (honest a)))),SymKey (absKAB(pair(Agent (honest a),Agent (honest a))))))))));
fp_370: iknows(pair(scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Format(f2),pair(Nonce (absNA(pair(Agent (honest a),Agent (honest a)))),SymKey (absKAB(pair(Agent (honest a),Agent (honest a))))))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Format(f2),pair(Nonce (absNA(pair(Agent (honest a),Agent (honest a)))),SymKey (absKAB(pair(Agent (honest a),Agent (honest a)))))))));
fp_371: iknows(pair(Nonce (absM(pair(Agent (honest a),Agent (honest a)))),pair(scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Format(f2),pair(Nonce (absNA(pair(Agent (honest a),Agent (honest a)))),SymKey (absKAB(pair(Agent (honest a),Agent (honest a))))))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Format(f2),pair(Nonce (absNA(pair(Agent (honest a),Agent (honest a)))),SymKey (absKAB(pair(Agent (honest a),Agent (honest a))))))))));
fp_372: iknows(pair(scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Format(f2),pair(Nonce (absNA(pair(Agent (honest a),Agent (honest a)))),SymKey (absKAB(pair(Agent (honest a),Agent (honest a))))))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Format(f2),pair(Nonce (absNB(pair(Agent (honest a),Agent (honest a)))),SymKey (absKAB(pair(Agent (honest a),Agent (honest a)))))))));
fp_373: iknows(pair(Nonce (absM(pair(Agent (honest a),Agent (honest a)))),pair(scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Format(f2),pair(Nonce (absNA(pair(Agent (honest a),Agent (honest a)))),SymKey (absKAB(pair(Agent (honest a),Agent (honest a))))))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Format(f2),pair(Nonce (absNB(pair(Agent (honest a),Agent (honest a)))),SymKey (absKAB(pair(Agent (honest a),Agent (honest a))))))))));
fp_374: iknows(pair(scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Format(f2),pair(Nonce (absNB(pair(Agent (honest a),Agent (honest a)))),SymKey (absKAB(pair(Agent (honest a),Agent (honest a))))))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Format(f2),pair(Nonce (absNA(pair(Agent (honest a),Agent (honest a)))),SymKey (absKAB(pair(Agent (honest a),Agent (honest a)))))))));
fp_375: iknows(pair(Nonce (absM(pair(Agent (honest a),Agent (honest a)))),pair(scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Format(f2),pair(Nonce (absNB(pair(Agent (honest a),Agent (honest a)))),SymKey (absKAB(pair(Agent (honest a),Agent (honest a))))))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Format(f2),pair(Nonce (absNA(pair(Agent (honest a),Agent (honest a)))),SymKey (absKAB(pair(Agent (honest a),Agent (honest a))))))))));
fp_376: iknows(pair(Nonce (absM(pair(Agent (honest a),Agent (honest a)))),pair(scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Format(f2),pair(Nonce (absNB(pair(Agent (honest a),Agent (honest a)))),SymKey (absKAB(pair(Agent (honest a),Agent (honest a))))))),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Format(f2),pair(Nonce (absNB(pair(Agent (honest a),Agent (honest a)))),SymKey (absKAB(pair(Agent (honest a),Agent (honest a))))))))));
fp_377: iknows(pair(Agent (dishonest i),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Format(f1),pair(Nonce (absNB(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (ni),pair(Agent (honest a),Agent (honest a))))))));
fp_378: iknows(pair(Agent (honest a),pair(Agent (dishonest i),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Format(f1),pair(Nonce (absNB(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (ni),pair(Agent (honest a),Agent (honest a)))))))));
fp_379: iknows(pair(Agent (honest a),pair(Agent (honest a),pair(Agent (dishonest i),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Format(f1),pair(Nonce (absNB(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (ni),pair(Agent (honest a),Agent (honest a))))))))));
fp_380: iknows(pair(Nonce (ni),pair(Agent (honest a),pair(Agent (honest a),pair(Agent (dishonest i),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Format(f1),pair(Nonce (absNB(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (ni),pair(Agent (honest a),Agent (honest a)))))))))));
fp_381: iknows(pair(Agent (dishonest i),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Format(f1),pair(Nonce (absNB(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absM(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (honest a),Agent (honest a))))))));
fp_382: iknows(pair(Agent (honest a),pair(Agent (dishonest i),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Format(f1),pair(Nonce (absNB(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absM(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (honest a),Agent (honest a)))))))));
fp_383: iknows(pair(Agent (honest a),pair(Agent (honest a),pair(Agent (dishonest i),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Format(f1),pair(Nonce (absNB(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absM(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (honest a),Agent (honest a))))))))));
fp_384: iknows(pair(Nonce (absM(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (honest a),pair(Agent (honest a),pair(Agent (dishonest i),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Format(f1),pair(Nonce (absNB(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absM(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (honest a),Agent (honest a)))))))))));
fp_385: iknows(pair(Agent (dishonest i),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Format(f1),pair(Nonce (absNB(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absM(pair(Agent (honest a),Agent (honest a)))),pair(Agent (honest a),Agent (honest a))))))));
fp_386: iknows(pair(Agent (honest a),pair(Agent (dishonest i),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Format(f1),pair(Nonce (absNB(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absM(pair(Agent (honest a),Agent (honest a)))),pair(Agent (honest a),Agent (honest a)))))))));
fp_387: iknows(pair(Agent (honest a),pair(Agent (honest a),pair(Agent (dishonest i),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Format(f1),pair(Nonce (absNB(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absM(pair(Agent (honest a),Agent (honest a)))),pair(Agent (honest a),Agent (honest a))))))))));
fp_388: iknows(pair(Nonce (absM(pair(Agent (honest a),Agent (honest a)))),pair(Agent (honest a),pair(Agent (honest a),pair(Agent (dishonest i),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Format(f1),pair(Nonce (absNB(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absM(pair(Agent (honest a),Agent (honest a)))),pair(Agent (honest a),Agent (honest a)))))))))));
fp_389: iknows(pair(Agent (dishonest i),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Format(f1),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (ni),pair(Agent (dishonest i),Agent (honest a))))))));
fp_390: iknows(pair(Agent (honest a),pair(Agent (dishonest i),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Format(f1),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (ni),pair(Agent (dishonest i),Agent (honest a)))))))));
fp_391: iknows(pair(Agent (dishonest i),pair(Agent (honest a),pair(Agent (dishonest i),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Format(f1),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (ni),pair(Agent (dishonest i),Agent (honest a))))))))));
fp_392: iknows(pair(Nonce (ni),pair(Agent (dishonest i),pair(Agent (honest a),pair(Agent (dishonest i),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Format(f1),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (ni),pair(Agent (dishonest i),Agent (honest a)))))))))));
fp_393: iknows(pair(Agent (dishonest i),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Format(f1),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (absM(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),Agent (honest a))))))));
fp_394: iknows(pair(Agent (honest a),pair(Agent (dishonest i),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Format(f1),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (absM(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),Agent (honest a)))))))));
fp_395: iknows(pair(Agent (dishonest i),pair(Agent (honest a),pair(Agent (dishonest i),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Format(f1),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (absM(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),Agent (honest a))))))))));
fp_396: iknows(pair(Nonce (absM(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),pair(Agent (honest a),pair(Agent (dishonest i),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Format(f1),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (absM(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),Agent (honest a)))))))))));
fp_397: iknows(pair(Agent (dishonest i),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Format(f1),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (absM(pair(Agent (honest a),Agent (honest a)))),pair(Agent (dishonest i),Agent (honest a))))))));
fp_398: iknows(pair(Agent (honest a),pair(Agent (dishonest i),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Format(f1),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (absM(pair(Agent (honest a),Agent (honest a)))),pair(Agent (dishonest i),Agent (honest a)))))))));
fp_399: iknows(pair(Agent (dishonest i),pair(Agent (honest a),pair(Agent (dishonest i),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Format(f1),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (absM(pair(Agent (honest a),Agent (honest a)))),pair(Agent (dishonest i),Agent (honest a))))))))));
fp_400: iknows(pair(Nonce (absM(pair(Agent (honest a),Agent (honest a)))),pair(Agent (dishonest i),pair(Agent (honest a),pair(Agent (dishonest i),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Format(f1),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (absM(pair(Agent (honest a),Agent (honest a)))),pair(Agent (dishonest i),Agent (honest a)))))))))));
fp_401: iknows(pair(Agent (honest a),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Format(f1),pair(Nonce (absNA(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absM(pair(Agent (honest a),Agent (honest a)))),pair(Agent (honest a),Agent (honest a))))))));
fp_402: iknows(pair(Agent (honest a),pair(Agent (honest a),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Format(f1),pair(Nonce (absNA(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absM(pair(Agent (honest a),Agent (honest a)))),pair(Agent (honest a),Agent (honest a)))))))));
fp_403: iknows(pair(Nonce (absM(pair(Agent (honest a),Agent (honest a)))),pair(Agent (honest a),pair(Agent (honest a),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Format(f1),pair(Nonce (absNA(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absM(pair(Agent (honest a),Agent (honest a)))),pair(Agent (honest a),Agent (honest a))))))))));
fp_404: iknows(pair(Agent (dishonest i),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Format(f1),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (absM(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (honest a),Agent (dishonest i))))))));
fp_405: iknows(pair(Agent (honest a),pair(Agent (dishonest i),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Format(f1),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (absM(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (honest a),Agent (dishonest i)))))))));
fp_406: iknows(pair(Nonce (absM(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (honest a),pair(Agent (dishonest i),scrypt(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Format(f1),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (absM(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (honest a),Agent (dishonest i))))))))));
fp_407: iknows(pair(Format(f2),pair(Nonce (ni),SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))))));
fp_408: iknows(pair(Format(f2),pair(Nonce (absM(pair(Agent (honest a),Agent (honest a)))),SymKey (absKAB(pair(Agent (dishonest i),Agent (honest a)))))));
fp_409: iknows(pair(Format(f2),pair(Nonce (absM(pair(Agent (honest a),Agent (dishonest i)))),SymKey (absKAB(pair(Agent (dishonest i),Agent (honest a)))))));
fp_410: iknows(pair(Format(f2),pair(Nonce (ni),SymKey (absKAB(pair(Agent (dishonest i),Agent (honest a)))))));
fp_411: iknows(pair(Format(f2),pair(Nonce (absM(pair(Agent (honest a),Agent (honest a)))),SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))))));
fp_412: iknows(pair(Format(f2),pair(Nonce (absM(pair(Agent (honest a),Agent (dishonest i)))),SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))))));
fp_413: iknows(pair(Format(f2),pair(Nonce (ni),SymKey (absKAB(pair(Agent (honest a),Agent (dishonest i)))))));
fp_414: iknows(pair(Format(f2),pair(Nonce (absM(pair(Agent (honest a),Agent (honest a)))),SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))))));
fp_415: iknows(pair(Format(f2),pair(Nonce (absM(pair(Agent (honest a),Agent (dishonest i)))),SymKey (absKAB(pair(Agent (dishonest i),Agent (dishonest i)))))));

section abstraction:
M->Nonce (absM(pair(A,B)));
NA->Nonce (absNA(pair(A,B)));
NB->Nonce (absNB(pair(B,A)));
KAB->SymKey (absKAB(pair(B,A)))

